#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x9ec8b3e3, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x59cc562f, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x24ecf61e, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x37eded44, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x441222ce, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x1bd55161, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xcc355521, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x12615910, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x5136ac7a, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x11ef2c8f, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x4bb4bf24, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x0c9af159, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x1462cc4e, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xdf372a77, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x40ce0adf, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xe02c29c7, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xc7684b55, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xf3893f8d, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x5e749fc7, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x3ee20644, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x8be7a0bc, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x57b3bfc9, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xd7ac40b5, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xa58d5c01, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x3329092f, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xcc36dcc3, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xd9080950, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x5d81dc6b, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xa99835b7, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xba5dc62c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x83819154, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa1705931, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xc1ffbc6f, "kthread_create_worker_on_node" },
	{ 0xd812d09d, "wake_up_process" },
	{ 0xd0734197, "_dev_err" },
	{ 0x567d068a, "_dev_info" },
	{ 0x1f16039d, "sched_set_fifo" },
	{ 0x9d9450e8, "crypto_register_aead" },
	{ 0x5e2356a4, "crypto_unregister_aead" },
	{ 0x26a2b980, "crypto_register_ahash" },
	{ 0xcaa8e7db, "crypto_unregister_ahash" },
	{ 0x887a4fbd, "crypto_register_akcipher" },
	{ 0xf4dc7fff, "crypto_unregister_akcipher" },
	{ 0x001e917c, "crypto_register_kpp" },
	{ 0xb6fe7220, "crypto_unregister_kpp" },
	{ 0x9963583f, "crypto_register_skcipher" },
	{ 0x106f4622, "crypto_unregister_skcipher" },
	{ 0x2cf58482, "crypto_enqueue_request" },
	{ 0xd4824eb2, "crypto_dequeue_request" },
	{ 0x83d67aac, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x15cb9966, "kthread_destroy_worker" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9A4F37948CABE6A6577B9B3");
