#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x4cbb5dea, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x66afbbc9, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0xbe5e2454, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0x59ceba8f, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x2234171f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0a9fe50e, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe5e95a55, "crypto_unregister_aeads" },
	{ 0x318f4adc, "cryptd_skcipher_child" },
	{ 0x17982c4e, "crypto_skcipher_decrypt" },
	{ 0x11f196fd, "cryptd_alloc_skcipher" },
	{ 0xc14b787e, "crypto_aead_setkey" },
	{ 0x9963583f, "crypto_register_skcipher" },
	{ 0xb2e0ab94, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe4f1cb55, "cryptd_aead_queued" },
	{ 0x106f4622, "crypto_unregister_skcipher" },
	{ 0xf25ca24f, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xa56c58d2, "cryptd_skcipher_queued" },
	{ 0xdc8e75e8, "cryptd_free_aead" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x9828281a, "crypto_unregister_skciphers" },
	{ 0x7fe86b88, "cryptd_free_skcipher" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xe8ad4f28, "crypto_skcipher_encrypt" },
	{ 0x11eb3169, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x241a662f, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x9d9450e8, "crypto_register_aead" },
	{ 0x5e2356a4, "crypto_unregister_aead" },
	{ 0x037a0cba, "kfree" },
	{ 0x760433a9, "crypto_register_aeads" },
	{ 0xf4bf9f3b, "crypto_aead_setauthsize" },
	{ 0x5eb86948, "crypto_aead_decrypt" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "B291AFE3EFD1B0AA3DCC59F");
