#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x0f0b6d9f, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xffca4ee1, "_gpl");
SYMBOL_CRC(ahci_ops, 0xfb3f177a, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x2e21f2ac, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x7456d8f1, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0xfdf33a12, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x84a41aee, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x06e3ff3e, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x5ee871ee, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x90ca46a0, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x45f1fa00, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x114933f2, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x2643f292, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x42a8436e, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xbea896bd, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xcd5ac1f5, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x8a22f63b, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x4c76b21e, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x22741fa6, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x009e4a54, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x48b4b12e, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xa5067975, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xc4dbda10, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x2d712ac1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x684e418f, "ata_std_qc_defer" },
	{ 0x3e9de3c9, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xc5cdf989, "ata_port_classify" },
	{ 0x06301538, "ata_qc_complete_multiple" },
	{ 0xe4b22f79, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xba627c9e, "sata_pmp_error_handler" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x244bddf7, "ata_host_start" },
	{ 0xa920901f, "devm_request_threaded_irq" },
	{ 0xdcd8e9c6, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x527f73e4, "ata_host_register" },
	{ 0xe1c76b89, "ata_host_activate" },
	{ 0xac88ac98, "ata_dummy_port_ops" },
	{ 0xa48f74ec, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x61759c2c, "dmam_alloc_attrs" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdb94223e, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xa84d4e09, "sata_link_hardreset" },
	{ 0x4fe2f4cf, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x0f42901d, "ata_ehi_clear_desc" },
	{ 0x689ce019, "ata_ehi_push_desc" },
	{ 0xfbca0fc9, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x379ec135, "ata_port_abort" },
	{ 0x540fd7fb, "sata_lpm_ignore_phy_events" },
	{ 0xda368946, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0xdb067374, "sata_pmp_port_ops" },
	{ 0x4674061c, "dev_attr_sw_activity" },
	{ 0xac98fa96, "dev_attr_unload_heads" },
	{ 0x4d024f41, "dev_attr_ncq_prio_supported" },
	{ 0xa8e4642b, "dev_attr_ncq_prio_enable" },
	{ 0xd0a90b3e, "dev_attr_link_power_management_policy" },
	{ 0x70c7a3f8, "dev_attr_em_message_type" },
	{ 0xe1091d82, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x2b16db38, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x19b6440c, "ata_link_next" },
	{ 0x758dd831, "ata_wait_register" },
	{ 0x5a84c3b9, "ata_dev_set_feature" },
	{ 0x567d068a, "_dev_info" },
	{ 0x0dbba902, "ata_msleep" },
	{ 0x1f880682, "sata_link_scr_lpm" },
	{ 0xd0734197, "_dev_err" },
	{ 0x216193f5, "ata_std_postreset" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "0C6A7C1E0ADD2F318939B06");
