#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hci_uart_tx_wakeup, "_gpl", "");
KSYMTAB_FUNC(hci_uart_register_device_priv, "_gpl", "");
KSYMTAB_FUNC(hci_uart_unregister_device, "_gpl", "");
KSYMTAB_FUNC(h4_recv_buf, "_gpl", "");

SYMBOL_CRC(hci_uart_tx_wakeup, 0x79822ca1, "_gpl");
SYMBOL_CRC(hci_uart_register_device_priv, 0x6016493d, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0xfa7df954, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0x05f84df6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf79b167, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3681c5bd, "tty_unregister_ldisc" },
	{ 0x336fd215, "hci_unregister_dev" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x1d9576fd, "hci_recv_frame" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x2380cd8e, "serdev_device_close" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x74fd0f60, "__percpu_down_read" },
	{ 0x3b4c1c6f, "tty_unthrottle" },
	{ 0x9a20b7cf, "hci_reset_dev" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x55a7743d, "rcuwait_wake_up" },
	{ 0xbf8117e6, "__pm_runtime_suspend" },
	{ 0x0bac20ac, "hci_register_dev" },
	{ 0x214e4265, "bt_warn" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xb0f35316, "__hci_cmd_sync" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x46bce313, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x37d8d8c2, "percpu_free_rwsem" },
	{ 0x92ed9419, "tty_set_termios" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe9b2ffec, "is_acpi_device_node" },
	{ 0xdb6955ec, "percpu_down_write" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x0ee03265, "skb_put" },
	{ 0xcec6602e, "tty_register_ldisc" },
	{ 0x289faf13, "serdev_device_set_baudrate" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x242f9124, "hci_free_dev" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x0160266c, "skb_dequeue" },
	{ 0x10a85991, "nvmem_cell_get" },
	{ 0x746cf5e4, "gpiod_set_value_cansleep" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0x61ea96f4, "serdev_device_set_flow_control" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbc35d43c, "hci_alloc_dev_priv" },
	{ 0x037a0cba, "kfree" },
	{ 0x745732bf, "serdev_device_open" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x91db46e5, "dev_kfree_skb_irq_reason" },
	{ 0x9ce7224f, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x86921ac7, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3d312923, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbbfaffb5, "tty_driver_flush_buffer" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x89253265, "skb_queue_tail" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x2d7771ad, "percpu_up_write" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x52c8acf3, "devm_acpi_dev_add_driver_gpios" },
	{ 0xd0734197, "_dev_err" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xb06bf14d, "serdev_device_write_flush" },
	{ 0x5b8a6e40, "serdev_device_get_tiocm" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb51878d5, "skb_push" },
	{ 0xaa9cae15, "n_tty_ioctl_helper" },
	{ 0xb217aa95, "driver_unregister" },
	{ 0x7b5ce5c3, "baswap" },
	{ 0xe2cbcc30, "tty_ldisc_flush" },
	{ 0x9bb9f277, "__percpu_init_rwsem" },
	{ 0xcb29767f, "__serdev_device_driver_register" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8cc0dcbf, "acpi_match_device" },
	{ 0x0f338525, "serdev_device_set_tiocm" },
	{ 0x0718b8b7, "bt_info" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xaba6c917, "serdev_device_write_buf" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");

MODULE_ALIAS("of:N*T*Cti,cc2560");
MODULE_ALIAS("of:N*T*Cti,cc2560C*");
MODULE_ALIAS("of:N*T*Cti,wl1271-st");
MODULE_ALIAS("of:N*T*Cti,wl1271-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1273-st");
MODULE_ALIAS("of:N*T*Cti,wl1273-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1281-st");
MODULE_ALIAS("of:N*T*Cti,wl1281-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1283-st");
MODULE_ALIAS("of:N*T*Cti,wl1283-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1285-st");
MODULE_ALIAS("of:N*T*Cti,wl1285-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1801-st");
MODULE_ALIAS("of:N*T*Cti,wl1801-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1805-st");
MODULE_ALIAS("of:N*T*Cti,wl1805-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1807-st");
MODULE_ALIAS("of:N*T*Cti,wl1807-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1831-st");
MODULE_ALIAS("of:N*T*Cti,wl1831-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1835-st");
MODULE_ALIAS("of:N*T*Cti,wl1835-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1837-st");
MODULE_ALIAS("of:N*T*Cti,wl1837-stC*");

MODULE_INFO(srcversion, "58139B4544EB5B6CDBAA203");
