#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_err_handler, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_cfg_dev_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_accel_mask, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_misc_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_etr_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sram_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sku, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_heartbeat_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_device, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_msix_default_rttable, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_services_supported, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_thd2arb_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_ring_to_svc_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_quiesce_coal_timer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_save, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_restore, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_ras_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_vf_mig_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_create, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_cleanup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_open, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_close, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_suspend, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_resume, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_destroy, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_tl_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_restart_complete, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "CRYPTO_QAT");

SYMBOL_CRC(adf_send_admin_init, 0x7a31183c, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0x454307a1, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0x397e8249, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x0e74bf91, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x97a09695, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x6f3b358b, "_gpl");
SYMBOL_CRC(adf_cfg_dev_add, 0xe2590690, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0x50787af0, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0xa34d516d, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0x522dc405, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0xc713ac58, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0x98fa2685, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0xa2a03923, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0x3d5c5ae3, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0xe9b875ab, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0xbdb3f7e0, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0xa6934129, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0x20ad9543, "_gpl");
SYMBOL_CRC(adf_dev_get, 0x189a1ff0, "_gpl");
SYMBOL_CRC(adf_dev_put, 0x863af7e9, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x0d68bcb0, "_gpl");
SYMBOL_CRC(adf_dev_started, 0x6c3a4339, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0xbbfef4e9, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xe7e93b61, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0x5bf87e3e, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0xeb7e4c59, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0xb7f271cc, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0xe6b14ac6, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0xb706f7b5, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0x9fdb48a2, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x12aa919f, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0x133d954b, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0x2cc54bf6, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0x2c0f84ec, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0x05ab2a54, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0x6403852e, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0x1c53c1c5, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0x56801bce, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0xbdc57ca6, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0x55f901dc, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0x3646df54, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0xa4961b95, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0x6d52a0e1, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0x78e4b4db, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0x5db373c5, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0xdc1c6c79, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0x9375a2ed, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0x4abb6a07, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0x91e86b93, "_gpl");
SYMBOL_CRC(adf_gen4_services_supported, 0xa117196b, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0x8092f54c, "_gpl");
SYMBOL_CRC(adf_gen4_get_ring_to_svc_map, 0x804e0242, "_gpl");
SYMBOL_CRC(adf_gen4_bank_quiesce_coal_timer, 0xc7b2b9ce, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_save, 0xbaf7526d, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_restore, 0x5bae78b3, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0xdfff1d4d, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0xa7f4329d, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0x9fb2d7b0, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0xf8bb6a71, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x53fe91c1, "_gpl");
SYMBOL_CRC(adf_gen4_init_vf_mig_ops, 0xfa6ffd23, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x6e557c76, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0x766a4da3, "_gpl");
SYMBOL_CRC(adf_dev_down, 0xbee1390b, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x99c47005, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x76131298, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0x24721162, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0xe1e210e7, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0x127b0e87, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x23d016e2, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0xf2dd11d7, "_gpl");
SYMBOL_CRC(qat_vfmig_create, 0xc5dff659, "_gpl");
SYMBOL_CRC(qat_vfmig_init, 0x11c78a82, "_gpl");
SYMBOL_CRC(qat_vfmig_cleanup, 0xc445daef, "_gpl");
SYMBOL_CRC(qat_vfmig_reset, 0xf957a0dc, "_gpl");
SYMBOL_CRC(qat_vfmig_open, 0xe6ec398c, "_gpl");
SYMBOL_CRC(qat_vfmig_close, 0x8d9f5e3d, "_gpl");
SYMBOL_CRC(qat_vfmig_suspend, 0x17442e7f, "_gpl");
SYMBOL_CRC(qat_vfmig_resume, 0x99d30dc6, "_gpl");
SYMBOL_CRC(qat_vfmig_save_state, 0x85ff00a2, "_gpl");
SYMBOL_CRC(qat_vfmig_save_setup, 0x6161526c, "_gpl");
SYMBOL_CRC(qat_vfmig_load_state, 0x4f7494c7, "_gpl");
SYMBOL_CRC(qat_vfmig_load_setup, 0x7e56a91f, "_gpl");
SYMBOL_CRC(qat_vfmig_destroy, 0x52d721ce, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0xaef7fa92, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0x70e2dffe, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0xe2c32138, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0xf0344e03, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0x5eaa9027, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0x5139b3e5, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x6f611d00, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0xa36adef8, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0x135df38a, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0x6ddc231e, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0xfe39f60a, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x9560d5a0, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0x9736749d, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_restart_complete, 0x7bf63f1d, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0x4dffac39, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0x950e4e35, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x9471a294, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0xd478beef, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0x60f7eb28, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0x5235672a, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x7eea18a4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xba936f69, "seq_write" },
	{ 0x001e917c, "crypto_register_kpp" },
	{ 0x7cb7a7e1, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x760c0f9f, "pci_disable_sriov" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x49d0e787, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xf67d9e73, "device_add_groups" },
	{ 0xe8f042db, "seq_open" },
	{ 0x9828281a, "crypto_unregister_skciphers" },
	{ 0x887a4fbd, "crypto_register_akcipher" },
	{ 0xaec940e7, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x258fca53, "crypto_alloc_shash" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0x5f61ca39, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0xeca6626b, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x98096cf7, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xea72c169, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x30f076bf, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xe7458c1b, "cdev_del" },
	{ 0xdda49170, "crypto_shash_export" },
	{ 0x342e5585, "crypto_alloc_skcipher" },
	{ 0xe8ad4f28, "crypto_skcipher_encrypt" },
	{ 0x646ed0f0, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x798fab05, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd04c72f2, "crypto_alloc_base" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x37effa85, "pci_alloc_irq_vectors" },
	{ 0xb6fe7220, "crypto_unregister_kpp" },
	{ 0x6b4b8e63, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xedd67b61, "__kmalloc_node_noprof" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf918181a, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x760433a9, "crypto_register_aeads" },
	{ 0x15640372, "pci_sriov_get_totalvfs" },
	{ 0xb3c23787, "seq_hex_dump" },
	{ 0x04fb7f7f, "device_remove_groups" },
	{ 0xad972c70, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xf349dda9, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x20fdfba9, "pci_irq_vector" },
	{ 0x0a9fe50e, "crypto_skcipher_setkey" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2bd238d9, "crypto_cipher_setkey" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0xe5e95a55, "crypto_unregister_aeads" },
	{ 0xd4e81835, "crypto_destroy_tfm" },
	{ 0x05c5234f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x022f9e87, "crypto_alloc_kpp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x17982c4e, "crypto_skcipher_decrypt" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x39da6341, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x567d068a, "_dev_info" },
	{ 0xb3a06803, "debugfs_get_aux" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xaf3e0764, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73c07e98, "compat_ptr_ioctl" },
	{ 0x14e1425a, "cdev_add" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x903ed0da, "pci_clear_master" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xe2e88b35, "crypto_unregister_acomps" },
	{ 0x57bc19d2, "down_write" },
	{ 0xdb94223e, "devm_kfree" },
	{ 0xd0734197, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x3c68f838, "simple_open" },
	{ 0x01c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf4dc7fff, "crypto_unregister_akcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x98ed3f24, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x50b148b7, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x016a5565, "pcie_flr" },
	{ 0xc426afb0, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xb0faca18, "seq_putc" },
	{ 0xb5eb8f07, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x04239b38, "crypto_shash_update" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf25ca24f, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0x25802ec7, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x70e1c53b, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf2392db2, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x8f51ea76, "memcpy_from_sglist" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa94462bd, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5b5614f4, "_dev_notice" },
	{ 0x5a264c2f, "crypto_cipher_encrypt_one" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x03fc8512, "memcpy_to_sglist" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "311F1550CFB5D9D57ED2813");
