#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(amdgpu_bo_create_kernel, "", "");
KSYMTAB_FUNC(amdgpu_bo_create_isp_user, "", "");
KSYMTAB_FUNC(amdgpu_bo_free_kernel, "", "");
KSYMTAB_FUNC(amdgpu_bo_free_isp_user, "", "");

SYMBOL_CRC(amdgpu_bo_create_kernel, 0x659a4bb4, "");
SYMBOL_CRC(amdgpu_bo_create_isp_user, 0x20eda1c8, "");
SYMBOL_CRC(amdgpu_bo_free_kernel, 0x3429297e, "");
SYMBOL_CRC(amdgpu_bo_free_isp_user, 0x17a14353, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xccce0d05, "drm_add_edid_modes" },
	{ 0xeabdf23c, "mmu_interval_notifier_remove" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0xfb277dcf, "drm_send_event_locked" },
	{ 0x01ab9123, "drm_dev_wedged_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x32a7f55f, "drm_dp_mst_put_port_malloc" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x74dd9e0b, "dma_fence_wait_any_timeout" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x349cba85, "strchr" },
	{ 0x65127eb6, "drm_atomic_get_mst_payload_state" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x5849ed26, "drm_buddy_init" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x60bbb124, "dma_fence_signal_locked" },
	{ 0x2f4b1e37, "drm_dp_aux_unregister" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x04e8f828, "mtree_load" },
	{ 0xcc063d0f, "drm_atomic_helper_page_flip" },
	{ 0xeed63659, "drm_connector_unregister" },
	{ 0x37512857, "pci_device_is_present" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xaa014ad9, "debugfs_create_blob" },
	{ 0x2e8433f0, "dma_buf_dynamic_attach" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0x1620c08a, "pci_get_domain_bus_and_slot" },
	{ 0xd0c05159, "emergency_restart" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x0775dd8d, "drm_sched_fault" },
	{ 0x7613d305, "drm_dp_mst_update_slots" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x825ed80b, "dma_map_resource" },
	{ 0x5a921311, "strncmp" },
	{ 0x682a1f45, "drm_modeset_lock_all_ctx" },
	{ 0x5a290250, "hdmi_drm_infoframe_pack_only" },
	{ 0x37294456, "drm_connector_set_path_property" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x409fde64, "drm_connector_list_iter_end" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x53b954a2, "up_read" },
	{ 0xf5c136d7, "drm_atomic_helper_shutdown" },
	{ 0xbcf3029b, "sg_alloc_table_from_pages_segment" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x3e69d3cd, "dma_resv_iter_next_unlocked" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x2c240264, "drm_atomic_helper_check_modeset" },
	{ 0x30a3680f, "drm_helper_hpd_irq_event" },
	{ 0x1528d90c, "drm_mm_print" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x9e9fbdd1, "__mmap_lock_do_trace_start_locking" },
	{ 0xa916b694, "strnlen" },
	{ 0x7f59a0c2, "drm_dp_mst_topology_mgr_suspend" },
	{ 0x1686ce72, "drm_dp_mst_atomic_enable_dsc" },
	{ 0x2840283b, "pm_runtime_forbid" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x80c7087b, "pci_store_saved_state" },
	{ 0x791e9fec, "perf_pmu_register" },
	{ 0x47c16376, "kobject_create_and_add" },
	{ 0xa542ecb6, "__drm_puts_coredump" },
	{ 0x4d653cb2, "pcie_get_speed_cap" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x21126465, "amdgpu_xcp_drm_dev_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfc3ec233, "__folio_lock" },
	{ 0x605b79e7, "pci_load_saved_state" },
	{ 0xfc68a002, "drm_crtc_vblank_off" },
	{ 0x18249205, "drm_atomic_helper_suspend" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9493fc86, "node_states" },
	{ 0xadf5e559, "drm_sched_suspend_timeout" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0x826bbe13, "ttm_bo_wait_ctx" },
	{ 0xe574a5cc, "simple_attr_open" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x94366b7f, "firmware_request_nowarn" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37effa85, "pci_alloc_irq_vectors" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x02f5e271, "drm_gem_fb_get_obj" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xdec81e06, "vga_client_register" },
	{ 0x94745d37, "ttm_resource_manager_usage" },
	{ 0x6c788b0d, "drm_atomic_helper_check_planes" },
	{ 0xbac6ec68, "dma_resv_wait_timeout" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xce6c3ebd, "ttm_resource_manager_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x87640136, "drm_syncobj_create" },
	{ 0x1702a292, "drm_dp_mst_connector_late_register" },
	{ 0xb62c25f8, "drm_gem_dmabuf_vmap" },
	{ 0xba936f69, "seq_write" },
	{ 0xbbe250b2, "__srcu_read_lock" },
	{ 0xec57d14b, "ttm_bo_vm_access" },
	{ 0x72841117, "__task_pid_nr_ns" },
	{ 0xf041dbac, "drm_sched_job_add_resv_dependencies" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xb3db035c, "pid_task" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0x9e957126, "ttm_resource_free" },
	{ 0x700a2eb3, "drm_sched_fini" },
	{ 0x400a995b, "to_drm_sched_fence" },
	{ 0x4b055d85, "ttm_bo_init_reserved" },
	{ 0x9a57ccf9, "cec_notifier_conn_register" },
	{ 0x048a510f, "drm_suballoc_manager_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xfdc0bba3, "drm_sched_entity_modify_sched" },
	{ 0xa3f4a28e, "drm_crtc_vblank_on_config" },
	{ 0x9e8ddc1c, "drm_connector_attach_encoder" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xab1fb453, "param_ops_hexint" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x52addc5d, "i2c_new_client_device" },
	{ 0x5e4c294e, "__register_chrdev" },
	{ 0xd672b23d, "vga_switcheroo_register_client" },
	{ 0x95aba5ec, "drm_dp_mst_topology_state_funcs" },
	{ 0xa1fcd50c, "irq_set_chip_and_handler_name" },
	{ 0x715801e3, "get_device" },
	{ 0x03a5e6f4, "drm_exec_lock_obj" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa28d073d, "put_device" },
	{ 0x73c07e98, "compat_ptr_ioctl" },
	{ 0x4e2ad95e, "drm_set_preferred_mode" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb1f68523, "drm_get_edid" },
	{ 0xd797ec50, "hrtimer_try_to_cancel" },
	{ 0xb06b2f84, "drm_crtc_enable_color_mgmt" },
	{ 0x1345bcea, "drm_dp_dpcd_write" },
	{ 0x62f7e207, "down_read_killable" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x604ea0c2, "drm_modeset_acquire_init" },
	{ 0x2650cb34, "bpf_trace_run6" },
	{ 0x646ed0f0, "pci_save_state" },
	{ 0x7b2e2166, "drm_vma_node_revoke" },
	{ 0xf09318dd, "drm_plane_get_damage_clips_count" },
	{ 0x59586bb1, "mmput_async" },
	{ 0x9d2dd686, "get_pid_task" },
	{ 0xa820930a, "kobject_add" },
	{ 0xc8cc8b9d, "drm_buddy_free_list" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x50b148b7, "pci_wait_for_pending_transaction" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x0d81a00a, "backlight_device_unregister" },
	{ 0x6e9e163f, "drm_sched_entity_set_priority" },
	{ 0x48844e32, "drm_plane_get_damage_clips" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe6ecdd76, "drm_sched_pick_best" },
	{ 0x2d9c6d6d, "drm_modeset_acquire_fini" },
	{ 0x5d2b0dca, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0x0248efd3, "kstrtobool_from_user" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb5e6c03a, "drm_sched_job_cleanup" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x0465e661, "ttm_tt_fini" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xa6e57b25, "drm_dp_start_crc" },
	{ 0x4bdb8fe4, "ttm_pool_fini" },
	{ 0xee7b9ef8, "drm_buddy_alloc_blocks" },
	{ 0x9b1ec791, "drm_crtc_helper_set_mode" },
	{ 0x580d1e31, "__drm_atomic_helper_plane_reset" },
	{ 0xf6033d9c, "drm_dp_dpcd_read" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0xde80cd09, "ioremap" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4c6deded, "drm_buddy_fini" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x0bb3dc82, "drm_modeset_unlock_all" },
	{ 0x58a4ec96, "drm_dp_mst_atomic_wait_for_dependencies" },
	{ 0xf9e6a292, "dma_buf_unmap_attachment" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xba073b5c, "dma_resv_iter_first" },
	{ 0xc3cad747, "unlock_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb12006cc, "ttm_bo_kmap" },
	{ 0xb7c0f443, "sort" },
	{ 0xf2579ed7, "generic_handle_domain_irq" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7e7972ce, "acpi_video_get_edid" },
	{ 0xa4fc75d1, "migrate_vma_finalize" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe5a438fb, "kthread_use_mm" },
	{ 0x19c46b7b, "kobject_del" },
	{ 0x1c5b3201, "drm_dp_mst_topology_mgr_set_mst" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbdb03ed4, "dma_buf_move_notify" },
	{ 0x0916112c, "dma_resv_reserve_fences" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x3633af8d, "ttm_bo_set_bulk_move" },
	{ 0x9c278b0c, "debugfs_attr_write_signed" },
	{ 0x71763304, "drm_gem_handle_delete" },
	{ 0x20978fb9, "idr_find" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xba2a50b8, "drm_edid_read_custom" },
	{ 0x3c7baeaf, "drm_gem_prime_export" },
	{ 0xf349dda9, "devm_device_add_group" },
	{ 0x587bca8f, "dma_buf_put" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xa5d96653, "mmu_notifier_put" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xaec940e7, "single_open" },
	{ 0x89434b4b, "radix_tree_tag_clear" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x62c3f371, "dma_resv_iter_first_unlocked" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x1337e38c, "dma_resv_add_fence" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0xcaf68118, "__drm_atomic_helper_connector_destroy_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x30ab4a92, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x18694cc1, "drm_dp_atomic_release_time_slots" },
	{ 0xe0121f77, "drm_atomic_add_affected_connectors" },
	{ 0xf04488a7, "kthread_stop" },
	{ 0x2231301c, "dma_resv_get_fences" },
	{ 0x45ad6ffd, "devm_memremap_pages" },
	{ 0xa973443d, "drm_dp_mst_detect_port" },
	{ 0x25802ec7, "pci_restore_state" },
	{ 0x5e98d588, "drm_helper_connector_dpms" },
	{ 0x64760077, "drm_get_panel_min_brightness_quirk" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb3c23787, "seq_hex_dump" },
	{ 0x86d35927, "pci_unmap_rom" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0xf7628eb2, "sync_file_create" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0x79c00fa2, "drm_edid_alloc" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8c3acb9e, "synchronize_srcu" },
	{ 0x88ab6fe3, "kgdb_active" },
	{ 0xcaf749db, "drm_plane_create_rotation_property" },
	{ 0xa9febfbe, "iommu_iova_to_phys" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0x22733abd, "kset_register" },
	{ 0x7f68abb9, "drm_add_modes_noedid" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0x00208642, "ttm_bo_vm_dummy_page" },
	{ 0x55da8835, "drm_modeset_lock_all" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0x042765d6, "dma_resv_iter_next" },
	{ 0x1ff179f9, "drm_atomic_private_obj_init" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x42a7ed02, "debugfs_create_file_unsafe" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd4525be9, "drm_atomic_normalize_zpos" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3744cfed, "drm_gem_dmabuf_mmap" },
	{ 0x668b19a1, "down_read" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xa473b5f2, "drm_crtc_helper_set_config" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe091c977, "list_sort" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd17bcf8f, "drm_gem_handle_create" },
	{ 0x38b8a49e, "__mmdrop" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x7e7dd2d1, "pci_enable_atomic_ops_to_root" },
	{ 0xe774d212, "drm_atomic_helper_set_config" },
	{ 0x88be693d, "ww_mutex_unlock" },
	{ 0xc73e3254, "drm_connector_attach_broadcast_rgb_property" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0x28b6914e, "drm_dp_read_dpcd_caps" },
	{ 0x101b9bde, "drm_dev_enter" },
	{ 0x6626afca, "down" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x01c12c32, "cpu_bit_bitmap" },
	{ 0xc310b981, "strnstr" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x924a7973, "pm_runtime_autosuspend_expiration" },
	{ 0x7c173634, "__bitmap_complement" },
	{ 0x5588af9c, "ttm_bo_pin" },
	{ 0x8b6e2ef3, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x0d9b4753, "drm_mode_equal" },
	{ 0xfb578fc5, "memset" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8643f540, "component_del" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x35721162, "drm_atomic_helper_update_legacy_modeset_state" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x7320f7c1, "vga_switcheroo_register_handler" },
	{ 0xc3680e89, "hwmon_device_register_with_groups" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xa86773ab, "drm_sched_init" },
	{ 0x3b39f399, "fd_install" },
	{ 0xbdc15124, "drm_object_property_set_value" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x037a0cba, "kfree" },
	{ 0xc001b161, "anon_inode_getfd" },
	{ 0x54ea6dfe, "xen_start_flags" },
	{ 0xee2a5036, "drm_sched_wqueue_ready" },
	{ 0x3e419842, "iommu_get_domain_for_dev" },
	{ 0xd4d68375, "sysfs_create_bin_file" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0x98555a05, "dma_fence_chain_walk" },
	{ 0x16aea572, "drm_client_register" },
	{ 0x0c5e5dab, "drm_dp_mst_topology_queue_probe" },
	{ 0x8c66d26b, "drm_atomic_commit" },
	{ 0x438165b3, "drm_atomic_helper_plane_reset" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x8453f818, "__kmem_cache_create_args" },
	{ 0x193c2155, "drm_dp_remove_payload_part2" },
	{ 0x19af4ba4, "drm_atomic_private_obj_fini" },
	{ 0x1adac019, "fget" },
	{ 0xa01fbb6b, "cec_notifier_set_phys_addr" },
	{ 0xbaf2ada1, "drm_kms_helper_connector_hotplug_event" },
	{ 0x1129a7dd, "drm_client_dev_suspend" },
	{ 0xbc8a4418, "pcie_capability_read_dword" },
	{ 0x368e48d8, "perf_pmu_unregister" },
	{ 0xe18fd7df, "__put_task_struct" },
	{ 0xf6164b3b, "drm_crtc_send_vblank_event" },
	{ 0x6b99d08f, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xae8bb9b1, "ttm_bo_mem_space" },
	{ 0xda17f06b, "drm_dp_mst_hpd_irq_send_new_request" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x8d79d0d6, "ttm_device_init" },
	{ 0x41bbbdd7, "pci_wake_from_d3" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x2c9244f4, "drm_dp_add_payload_part2" },
	{ 0x54622ef7, "drm_client_init" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x7073fc75, "drm_mode_object_get" },
	{ 0xf1aaf2f8, "sysfs_create_files" },
	{ 0xa2cbdcbf, "get_task_pid" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbe67b86d, "drm_connector_attach_dp_subconnector_property" },
	{ 0xcf2a6966, "up" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x82f8c878, "ww_mutex_trylock" },
	{ 0x1c6dea7d, "drm_release" },
	{ 0x34d5f30e, "drm_atomic_helper_connector_destroy_state" },
	{ 0x84446c1b, "drm_universal_plane_init" },
	{ 0x868f80ef, "drm_atomic_helper_crtc_reset" },
	{ 0x71823045, "pci_get_class" },
	{ 0x017f2b98, "pcie_capability_read_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0x65fed63f, "pnp_get_resource" },
	{ 0xe234076e, "drm_dp_stop_crc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x59e29122, "pci_bus_resource_n" },
	{ 0x4e2a621e, "drm_prime_sg_to_dma_addr_array" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x7aa2d9b0, "drm_connector_attach_vrr_capable_property" },
	{ 0xa81fa1dc, "drm_property_blob_get" },
	{ 0x4d924f20, "memremap" },
	{ 0x299f2aa7, "drm_crtc_accurate_vblank_count" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x55c76a23, "ksys_sync_helper" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x044ec4f8, "drm_mode_object_put" },
	{ 0x436b6574, "drm_atomic_helper_disable_plane" },
	{ 0x2d13f46a, "param_ops_string" },
	{ 0x5cec311b, "__tracepoint_mmap_lock_start_locking" },
	{ 0x7cb7a7e1, "device_destroy" },
	{ 0xfc9f9476, "drm_sched_job_arm" },
	{ 0xa40b91cc, "drm_dp_mst_dsc_aux_for_port" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x3adc0336, "drm_mode_create_scaling_mode_property" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xbec83b0b, "drm_read" },
	{ 0x55e6aa67, "dma_buf_map_attachment" },
	{ 0x3767ba60, "_dev_printk" },
	{ 0xf5444453, "pci_restore_msi_state" },
	{ 0x144a6082, "i2c_add_adapter" },
	{ 0x77358855, "iomem_resource" },
	{ 0x07650d87, "drm_memory_stats_is_zero" },
	{ 0x3e8f582b, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x6d2f682a, "drm_simple_encoder_init" },
	{ 0x96cb05f9, "kobject_init" },
	{ 0xf63dfa22, "drm_dp_mst_topology_mgr_init" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd77f5123, "drm_crtc_handle_vblank" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xc0a5d244, "drm_atomic_helper_check_plane_state" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xf15ea717, "drm_syncobj_get_fd" },
	{ 0x7530f9c5, "drm_gem_fb_create_handle" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe5758339, "vma_alloc_folio_noprof" },
	{ 0x26cadf1c, "drm_plane_create_zpos_property" },
	{ 0x56470118, "__warn_printk" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x0797d658, "drm_atomic_get_mst_topology_state" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xe16cb36d, "drm_dev_register" },
	{ 0x9ce79d9e, "drm_crtc_vblank_helper_get_vblank_timestamp" },
	{ 0x4c138e95, "mmput" },
	{ 0x54f3217a, "drm_gem_ttm_vunmap" },
	{ 0x6b9164f2, "drm_dp_send_real_edid_checksum" },
	{ 0xfbc88a3c, "param_ops_bint" },
	{ 0xc7b4b0aa, "drm_dp_link_train_channel_eq_delay" },
	{ 0x17d26d7a, "cec_fill_conn_info_from_drm" },
	{ 0x388c2a07, "device_remove_file" },
	{ 0x2c208607, "power_supply_is_system_supplied" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x48797770, "drm_crtc_init_with_planes" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9555fc04, "boot_cpu_data" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa993097a, "kmem_cache_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6cf3addb, "pci_set_power_state" },
	{ 0x4dab9b50, "ttm_device_clear_dma_mappings" },
	{ 0x528762cd, "hwmon_device_unregister" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xfd2e94ad, "drm_gem_object_lookup" },
	{ 0xaee236c6, "cec_notifier_conn_unregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4d180836, "drm_crtc_init" },
	{ 0xc74547c1, "drm_atomic_helper_connector_reset" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x84e64183, "default_llseek" },
	{ 0xc4ba0fd4, "perf_event_update_userpage" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x4765e184, "ttm_pool_free" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xa47826e4, "drm_dp_calc_pbn_mode" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8e8eed36, "drm_sched_entity_init" },
	{ 0xc4200dab, "drm_edid_is_valid" },
	{ 0x1a8390b6, "dma_buf_fd" },
	{ 0x0745a981, "xa_erase" },
	{ 0xd6475c00, "drm_buddy_print" },
	{ 0x33c76c9e, "drm_dp_aux_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x689067dd, "dma_fence_chain_ops" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa905d378, "ttm_bo_move_to_lru_tail" },
	{ 0xffca5f75, "drm_sched_entity_flush" },
	{ 0x1ef0cc63, "mmu_notifier_get_locked" },
	{ 0xb83cbcb8, "drm_kms_helper_poll_disable" },
	{ 0xd812d09d, "wake_up_process" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x4abd1908, "drm_dp_check_act_status" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0xa6257a2f, "complete" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0xa8061c73, "drm_plane_enable_fb_damage_clips" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xf9fcb030, "_dev_emerg" },
	{ 0x61242bb8, "pci_assign_unassigned_bus_resources" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x1ae80c13, "drm_fbdev_ttm_driver_fbdev_probe" },
	{ 0x87f8bb05, "drm_mode_create_hdmi_colorspace_property" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x8eaf2a5f, "vga_switcheroo_unregister_handler" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0x221c94ce, "drm_sched_wqueue_stop" },
	{ 0xbdf6de79, "drm_atomic_helper_check" },
	{ 0x3d417ab4, "dma_buf_get" },
	{ 0x583bf5c6, "ttm_bo_unpin" },
	{ 0x6229c040, "drm_dp_mst_connector_early_unregister" },
	{ 0x6a27dfff, "drm_plane_create_color_properties" },
	{ 0xc3dffeab, "drm_gem_dmabuf_release" },
	{ 0x47e22e1f, "drm_edid_to_speaker_allocation" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xea72c169, "class_register" },
	{ 0x3acef432, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x2d18eb69, "cpu_info" },
	{ 0x5035ae67, "vm_mmap" },
	{ 0x045ca1f1, "drm_gem_dmabuf_vunmap" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xc6c7fca8, "kthread_create_on_node" },
	{ 0x47ce034a, "drm_modeset_lock" },
	{ 0x49d0e787, "single_release" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x20cf1b5a, "pci_find_ext_capability" },
	{ 0xea7852a4, "drm_atomic_get_connector_state" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe9b2ffec, "is_acpi_device_node" },
	{ 0x7385c18d, "dma_resv_test_signaled" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xf5ce95a5, "drm_connector_attach_content_type_property" },
	{ 0x2c3fe451, "drm_encoder_cleanup" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc1a2120a, "drm_connector_attach_colorspace_property" },
	{ 0x3eccec41, "drm_atomic_get_plane_state" },
	{ 0xbd5ccee0, "drm_helper_probe_single_connector_modes" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xca9360b5, "rb_next" },
	{ 0xc48a9b58, "__free_pages" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6a683ed1, "acpi_get_table" },
	{ 0x088da5e1, "__pm_runtime_disable" },
	{ 0x5a465378, "ttm_bo_eviction_valuable" },
	{ 0x7bff650e, "__devm_drm_dev_alloc" },
	{ 0x5f61ca39, "pci_write_config_word" },
	{ 0x26815dbc, "drm_dp_link_rate_to_bw_code" },
	{ 0x32206b06, "debugfs_attr_read" },
	{ 0xa53ddff0, "drm_plane_helper_destroy" },
	{ 0xdcbb371a, "devm_request_free_mem_region" },
	{ 0x05c5234f, "pci_read_config_dword" },
	{ 0x2c4aa60c, "drm_client_release" },
	{ 0x09db39ed, "drm_dp_aux_register" },
	{ 0x670bfd74, "component_add" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x21df8989, "drm_sched_entity_push_job" },
	{ 0x112d3bf0, "migrate_vma_setup" },
	{ 0x820667be, "drm_atomic_add_affected_planes" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x6d375d6e, "drm_syncobj_find" },
	{ 0x26f0a7a5, "send_sig" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x58d8fcaa, "drm_dsc_pps_payload_pack" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xba35b625, "drm_crtc_add_crc_entry" },
	{ 0xe8f2dcd8, "pcie_get_width_cap" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x25d6cabc, "drm_modeset_drop_locks" },
	{ 0x79c59de5, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xca30ddb1, "drm_dp_dpcd_read_link_status" },
	{ 0x92cd196f, "drm_edid_connector_update" },
	{ 0xb54f2364, "__srcu_read_unlock" },
	{ 0x00148653, "vsnprintf" },
	{ 0x0f5d9794, "kmem_cache_alloc_noprof" },
	{ 0x5c81d54c, "dma_buf_unpin" },
	{ 0x5278fdf4, "__folio_put" },
	{ 0x85f181d1, "ttm_bo_vm_open" },
	{ 0xbf8117e6, "__pm_runtime_suspend" },
	{ 0x6185b747, "radix_tree_gang_lookup_tag" },
	{ 0x03a6c908, "drm_atomic_get_crtc_state" },
	{ 0x87a268e6, "drm_syncobj_replace_fence" },
	{ 0x1bb540f9, "i2c_bit_add_bus" },
	{ 0x86eb530c, "pci_ignore_hotplug" },
	{ 0xefb1a29f, "drm_modeset_backoff" },
	{ 0xcf040dca, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xb2ea59b1, "kthread_unuse_mm" },
	{ 0xeca6626b, "pci_free_irq_vectors" },
	{ 0x5a632a62, "drm_cvt_mode" },
	{ 0xbb77b172, "kobject_init_and_add" },
	{ 0xe09942c1, "ttm_pool_init" },
	{ 0xc9798685, "drm_dp_mst_add_affected_dsc_crtcs" },
	{ 0xc57d312a, "get_task_mm" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf625e376, "drm_poll" },
	{ 0x5e0415a9, "dma_unmap_resource" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x676c22ae, "drmm_mode_config_init" },
	{ 0x1ef4a17b, "kobject_set_name" },
	{ 0x21f4f0d5, "drm_atomic_helper_wait_for_flip_done" },
	{ 0x3da092b8, "dma_fence_get_stub" },
	{ 0x33049b49, "ttm_bo_move_memcpy" },
	{ 0x41841d2f, "drm_kms_helper_poll_init" },
	{ 0xbe6850fb, "pcie_bandwidth_available" },
	{ 0x058a30b8, "pci_write_config_dword" },
	{ 0x4ec54e78, "bitmap_to_arr32" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x8e6b25ef, "unmap_mapping_range" },
	{ 0x06c52ad2, "drm_property_create_range" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xfa259f64, "pci_get_base_class" },
	{ 0x585313a4, "drm_framebuffer_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x8bf65028, "drm_dp_mst_hpd_irq_handle_event" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xa784e4d2, "ttm_lru_bulk_move_tail" },
	{ 0xe78b1293, "dma_addressing_limited" },
	{ 0x87be893c, "ttm_resource_fini" },
	{ 0x997f3868, "drm_mode_crtc_set_gamma_size" },
	{ 0x1fec21c5, "drm_sched_increase_karma" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x265a184d, "drm_dp_mst_dump_topology" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xd691b0ed, "param_ops_charp" },
	{ 0xb0faca18, "seq_putc" },
	{ 0x34ddd2d7, "debugfs_attr_write" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x56256e8a, "orderly_poweroff" },
	{ 0x8d7aa185, "vga_switcheroo_fini_domain_pm_ops" },
	{ 0xa32acd3f, "drmm_cgroup_register_region" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x367f92a3, "drm_edid_connector_add_modes" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x76bd81ac, "pci_release_resource" },
	{ 0xbf656756, "drm_mode_config_cleanup" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x74689a0c, "drm_atomic_helper_cleanup_planes" },
	{ 0x988da772, "sysfs_create_group" },
	{ 0xd0734197, "_dev_err" },
	{ 0xa275187e, "pci_disable_device" },
	{ 0x30eeea47, "__drm_atomic_helper_crtc_reset" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x999e8297, "vfree" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x073d6936, "drm_atomic_helper_plane_destroy_state" },
	{ 0xca90193d, "drm_atomic_get_private_obj_state" },
	{ 0xce13824b, "put_pid" },
	{ 0x9c6e452f, "drm_property_create_enum" },
	{ 0xce9f7540, "drm_handle_vblank" },
	{ 0x10f7d4d4, "ttm_bo_kunmap" },
	{ 0x5de18a20, "bpf_trace_run9" },
	{ 0xebe876d7, "drm_compat_ioctl" },
	{ 0x2f43569c, "pci_resize_resource" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x5ac9bbc8, "drm_crtc_vblank_crtc" },
	{ 0x198eae03, "drm_gem_ttm_mmap" },
	{ 0x986cc4af, "ttm_bo_put" },
	{ 0x058a24d1, "drm_syncobj_add_point" },
	{ 0x7d005661, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0x0ea5d74b, "amdgpu_xcp_drv_release" },
	{ 0x9a0702ad, "__vma_start_write" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0xa3313ff8, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x8debd4c9, "drm_suballoc_free" },
	{ 0x946372b2, "bpf_trace_run5" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0x68f054b7, "dma_unmap_sg_attrs" },
	{ 0xfec1a305, "dma_map_sgtable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xec2958f8, "device_create_file" },
	{ 0x8e441fe0, "drm_dp_mst_atomic_check" },
	{ 0xe51e0a42, "ttm_pool_debugfs" },
	{ 0x794d8cdf, "__num_cores_per_package" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0x89003b56, "backlight_device_register" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x794e50f9, "pcie_aspm_enabled" },
	{ 0x21fd7560, "drm_prime_gem_destroy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3faeba1f, "ttm_range_man_fini_nocheck" },
	{ 0x2c337a2c, "drm_atomic_helper_async_check" },
	{ 0x5c65f4a2, "pm_runtime_enable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x7230beea, "fdget" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbcecb152, "hrtimer_forward" },
	{ 0x00ab423a, "drm_exec_fini" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x143aa6d3, "drm_dev_unplug" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x9f892b3e, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf19909be, "__drm_printfn_coredump" },
	{ 0x96848186, "scnprintf" },
	{ 0x57a61ea2, "pci_map_rom" },
	{ 0x50d68377, "arch_phys_wc_del" },
	{ 0x492f01dc, "drm_client_setup" },
	{ 0xc8f9288d, "dma_resv_get_singleton" },
	{ 0xfa3590ed, "drm_sched_job_init" },
	{ 0x244cb033, "mmu_interval_read_begin" },
	{ 0x5c8215ab, "drm_gem_fb_destroy" },
	{ 0xa81e50d8, "sysfs_create_file_ns" },
	{ 0xd8c14c02, "drm_hdcp_update_content_protection" },
	{ 0x862a7667, "drm_hdmi_infoframe_set_hdr_metadata" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0xf0c66ac7, "find_get_pid" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x0f51a743, "drm_vblank_init" },
	{ 0xfe59f789, "drm_connector_dynamic_init" },
	{ 0x08f34a63, "drm_exec_cleanup" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0xe1d8f6e1, "vga_switcheroo_init_domain_pm_ops" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x12832ddd, "drm_sched_entity_destroy" },
	{ 0x863f8409, "gcd" },
	{ 0xe7fdaf69, "drm_dp_mst_edid_read" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x671330c6, "drm_syncobj_find_fence" },
	{ 0xb7611661, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x5600980d, "pm_runtime_set_autosuspend_delay" },
	{ 0x5dfd60a0, "dma_buf_pin" },
	{ 0xfa7983e8, "pv_ops" },
	{ 0xaee076bc, "kobject_get" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x191562cd, "pcie_get_mps" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xf2498c00, "drm_helper_resume_force_mode" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x0f5f6bc6, "drm_plane_cleanup" },
	{ 0x567d068a, "_dev_info" },
	{ 0xd43c6fb5, "drm_writeback_connector_init" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x06600125, "drm_connector_set_vrr_capable_property" },
	{ 0x8ec9e9be, "drm_atomic_helper_plane_duplicate_state" },
	{ 0xeb435a0c, "drm_sched_wqueue_start" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0x20de3a8c, "sysfs_remove_group" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xd93f28b2, "irq_domain_remove" },
	{ 0xeedbf2a9, "drm_dp_mst_topology_mgr_destroy" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xfabaf622, "irq_domain_instantiate" },
	{ 0x481b34ab, "drm_dp_mst_atomic_setup_commit" },
	{ 0x5581288e, "ww_mutex_lock" },
	{ 0x072f4225, "simple_attr_release" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6d9f2e0f, "kobject_put" },
	{ 0x6ecc607e, "mem_section" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x89d88c41, "ttm_lru_bulk_move_init" },
	{ 0xb8b2b1f7, "mce_register_decode_chain" },
	{ 0x54633474, "drm_encoder_init" },
	{ 0x8997d3f0, "dev_coredumpm_timeout" },
	{ 0xa94462bd, "seq_read" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa7c6c716, "migrate_vma_pages" },
	{ 0xb23e4e1d, "drm_buddy_block_trim" },
	{ 0xcebd04cf, "drm_connector_attach_content_protection_property" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x2e1ad129, "ttm_bo_vm_reserve" },
	{ 0x4bda0b0a, "drm_sched_start" },
	{ 0x2908c1ae, "param_ops_uint" },
	{ 0x3abb1dec, "drm_connector_init_with_ddc" },
	{ 0x8878d4b6, "drm_dp_mst_get_port_malloc" },
	{ 0x3e6a6dbd, "drm_sched_entity_fini" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xba0a8183, "ttm_sg_tt_init" },
	{ 0x3bae858f, "drm_atomic_helper_calc_timestamping_constants" },
	{ 0x2d2ee3a1, "sysfs_add_file_to_group" },
	{ 0xd87cf2a4, "drm_mode_config_helper_suspend" },
	{ 0xac3e7f29, "zone_device_page_init" },
	{ 0xca5c7dce, "drm_gem_ttm_vmap" },
	{ 0x103b7672, "ttm_bo_validate" },
	{ 0xce807a25, "up_write" },
	{ 0x4aa647d8, "mmu_interval_notifier_insert" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2e34c19e, "i2c_del_adapter" },
	{ 0x0ac186c5, "ttm_resource_manager_create_debugfs" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97c125c9, "__drm_dev_dbg" },
	{ 0xc9c32385, "drm_helper_mode_fill_fb_struct" },
	{ 0x50f3c6ff, "kernel_write" },
	{ 0xda85925d, "sysfs_create_link" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0x92997ed8, "_printk" },
	{ 0xa48a8dd5, "__drm_atomic_helper_connector_reset" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x605343b3, "acpi_gbl_FADT" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x0fff5afc, "time64_to_tm" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xa19356c8, "drm_calc_timestamping_constants" },
	{ 0xcf16e077, "ttm_glob" },
	{ 0x108f9396, "drm_crtc_vblank_on" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x98ed3f24, "device_create" },
	{ 0xeaaf5e26, "drm_connector_set_panel_orientation_with_quirk" },
	{ 0xfe84f636, "drm_connector_cleanup" },
	{ 0x07fa5669, "drm_gem_mmap" },
	{ 0xe50e9336, "sysfs_remove_file_from_group" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x89730df5, "vga_switcheroo_unregister_client" },
	{ 0xbd6841d4, "crc16" },
	{ 0x582f248e, "drm_dp_get_adjust_request_pre_emphasis" },
	{ 0xf1e7c90d, "remap_pfn_range" },
	{ 0xda3f2f18, "sysfs_remove_bin_file" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe57e4d86, "drm_dp_set_subconnector_property" },
	{ 0x2a44cb28, "drm_kms_helper_poll_fini" },
	{ 0x364850b1, "down_write_killable" },
	{ 0xbf6053f7, "drm_atomic_helper_commit" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x754d539c, "strlen" },
	{ 0x277cc9af, "drm_connector_update_edid_property" },
	{ 0x4529e7ff, "drm_dp_link_train_clock_recovery_delay" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x360bc0fd, "debugfs_create_file_size" },
	{ 0x92c167c8, "drm_atomic_helper_update_plane" },
	{ 0x52722563, "drm_modeset_unlock" },
	{ 0x6fbdb58a, "drm_kms_helper_hotplug_event" },
	{ 0xb7465646, "drm_any_plane_has_format" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0xccac7c9a, "debugfs_create_u32" },
	{ 0x841dcc0f, "drm_prime_pages_to_sg" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0xa9c6147c, "drm_mode_config_reset" },
	{ 0x7da1a4df, "drm_exec_init" },
	{ 0xbf5f6b0e, "ttm_bo_move_accel_cleanup" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0xf1e1348a, "drm_atomic_helper_resume" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xd0a7770a, "i2c_transfer" },
	{ 0x19a29890, "pci_enable_device" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x7c3bdb77, "drm_gem_plane_helper_prepare_fb" },
	{ 0x2f0f6441, "pci_rebar_get_possible_sizes" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb9f2131e, "drm_kms_helper_poll_enable" },
	{ 0x69cc2943, "ttm_tt_pages_limit" },
	{ 0x95a88090, "drm_dp_mst_root_conn_atomic_check" },
	{ 0x2ebdb2fb, "acpi_dev_get_first_match_dev" },
	{ 0x765324f4, "ttm_device_fini" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x0efa3bd1, "drm_gem_prime_handle_to_dmabuf" },
	{ 0x21c44a34, "drm_connector_init" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x18ffb74c, "drm_dp_remove_payload_part1" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x0b19b445, "ioread8" },
	{ 0xc2a706b1, "sysfs_remove_files" },
	{ 0x46dd2540, "node_data" },
	{ 0xfaf1b480, "drm_gem_prime_fd_to_handle" },
	{ 0xbc83f769, "drm_dp_add_payload_part1" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5114acf2, "fput" },
	{ 0xc6cbbc89, "capable" },
	{ 0x78969eca, "drm_connector_list_iter_begin" },
	{ 0x0e06932e, "drm_mode_create_dp_colorspace_property" },
	{ 0xb6127243, "drm_need_swiotlb" },
	{ 0x0bad1988, "drm_suballoc_new" },
	{ 0x66619d23, "drm_is_current_master" },
	{ 0x9e9eab95, "devcgroup_check_permission" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x4237ebf7, "sysfs_remove_file_ns" },
	{ 0xe7a9ecea, "drm_mode_is_420_only" },
	{ 0x001b074f, "mce_is_correctable" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xfc3698ea, "irq_create_mapping_affinity" },
	{ 0x0dd85a56, "drm_sched_job_add_dependency" },
	{ 0x56b0b931, "__pm_runtime_use_autosuspend" },
	{ 0x364e51b5, "aperture_remove_conflicting_pci_devices" },
	{ 0xe6d54f46, "drm_suballoc_dump_debug_info" },
	{ 0xdd9c3522, "drm_suballoc_manager_fini" },
	{ 0x6f36b5fb, "drm_crtc_vblank_count" },
	{ 0xdd5fa381, "__kfifo_out_linear" },
	{ 0xc4494b99, "__mmap_lock_do_trace_released" },
	{ 0xe468895c, "sysfs_remove_link" },
	{ 0x4e1d4a4b, "drm_crtc_cleanup" },
	{ 0x09b53e14, "interval_tree_remove" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf2b81b64, "arch_io_reserve_memtype_wc" },
	{ 0x727d63e7, "drm_edid_read_ddc" },
	{ 0x133143a8, "pci_pr3_present" },
	{ 0x3de7ed37, "__devm_release_region" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x003e6a3d, "dma_fence_array_create" },
	{ 0xb7c2e9ed, "ttm_pool_alloc" },
	{ 0x88ad0185, "backlight_device_set_brightness" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x20fdfba9, "pci_irq_vector" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x906bc9bb, "drm_plane_create_zpos_immutable_property" },
	{ 0x4124e206, "drm_edid_to_sad" },
	{ 0xdd2edac9, "acpi_get_first_physical_node" },
	{ 0x4e20bcf8, "radix_tree_tag_set" },
	{ 0x4ae4c67e, "drm_mode_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xb294072a, "pm_runtime_get_if_active" },
	{ 0x1930a285, "drm_crtc_vblank_put" },
	{ 0xa2299507, "drm_client_dev_resume" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x15ca9f46, "drm_ioctl" },
	{ 0x5bfd3799, "param_ops_ullong" },
	{ 0xe18e40ab, "handle_simple_irq" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x799b1de9, "drm_mode_duplicate" },
	{ 0xf41ee393, "drm_exec_prepare_obj" },
	{ 0xf539df34, "drm_plane_create_alpha_property" },
	{ 0xfcf39114, "ttm_lru_bulk_move_fini" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1cf3e252, "drm_dev_printk" },
	{ 0x8dafaf22, "hdmi_avi_infoframe_pack" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xedc03953, "iounmap" },
	{ 0x4523ed38, "drm_writeback_signal_completion" },
	{ 0x3c68f838, "simple_open" },
	{ 0x6612cd35, "drm_object_attach_property" },
	{ 0x00aa1603, "xa_find" },
	{ 0x5a4734d1, "drm_kms_helper_is_poll_worker" },
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x2b3c2629, "drm_show_fdinfo" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfc03d97a, "page_is_ram" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x67b10ee6, "acpi_put_table" },
	{ 0xdabe14a3, "drm_atomic_helper_commit_hw_done" },
	{ 0x5b641283, "arch_phys_wc_add" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x01000e51, "schedule" },
	{ 0x784e386d, "drm_gem_object_release" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6a425071, "drm_connector_attach_max_bpc_property" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x33f0768c, "cpufreq_quick_get_max" },
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0x8d701329, "drm_dp_clock_recovery_ok" },
	{ 0xcdba14e8, "pm_runtime_allow" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xd3c9a8a7, "drm_crtc_vblank_get" },
	{ 0x45ab8c1e, "drm_mode_probed_add" },
	{ 0xd1f60a89, "arch_io_free_memtype_wc" },
	{ 0x3d68f038, "dma_resv_replace_fences" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0e6b8a2, "smca_get_bank_type" },
	{ 0xfa8a1c67, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0xd353b6a0, "kobj_sysfs_ops" },
	{ 0xfa78049c, "drm_writeback_queue_job" },
	{ 0xb0e602eb, "memmove" },
	{ 0x149af9ca, "drm_dp_atomic_find_time_slots" },
	{ 0xfe12bcb9, "drm_dsc_compute_rc_parameters" },
	{ 0xc74664f4, "ttm_bo_vm_close" },
	{ 0x3a586a55, "drm_print_memory_stats" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x754cf153, "drm_syncobj_get_handle" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xc7d04fc5, "drm_vma_node_allow" },
	{ 0x3f6cf17f, "drm_sched_stop" },
	{ 0xc5c99a79, "drm_dp_get_adjust_request_voltage" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x8400e6ac, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xad7c385a, "drm_crtc_arm_vblank_event" },
	{ 0x463a93a1, "mmu_interval_notifier_insert_locked" },
	{ 0x334709d5, "__tracepoint_mmap_lock_released" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xcdd21ca3, "drm_sched_entity_error" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x903ed0da, "pci_clear_master" },
	{ 0x3eaac1bb, "kmem_cache_free" },
	{ 0x7551b2a1, "ttm_resource_init" },
	{ 0xd97fe84b, "drm_connector_list_iter_next" },
	{ 0x3651df99, "ttm_bo_vm_fault_reserved" },
	{ 0x325b5a83, "drm_plane_create_blend_mode_property" },
	{ 0x92dd2415, "debugfs_create_x32" },
	{ 0xb87aeb7d, "ww_mutex_lock_interruptible" },
	{ 0xce8f3f0c, "hmm_range_fault" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x9c091149, "drm_atomic_helper_dirtyfb" },
	{ 0x8174836d, "drm_mode_config_helper_resume" },
	{ 0xdd400534, "drm_gem_private_object_init" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0x870679f1, "ttm_range_man_init_nocheck" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0xd59918a1, "ttm_resource_manager_evict_all" },
	{ 0xe3ac76c2, "task_active_pid_ns" },
	{ 0xc2be9a56, "pci_dev_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xb6772b00, "drm_atomic_state_alloc" },
	{ 0xace169b3, "drm_mode_is_420_also" },
	{ 0xc426afb0, "pci_read_config_word" },
	{ 0x69353664, "__drm_debug" },
	{ 0x57bc19d2, "down_write" },
	{ 0xea6c70bd, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x8bc280e8, "pci_reset_function" },
	{ 0x9584e7c2, "debugfs_create_bool" },
	{ 0x73011db0, "drm_dp_bw_code_to_link_rate" },
	{ 0x7e93f76c, "drm_property_blob_put" },
	{ 0xf78e25bd, "drm_helper_force_disable_all" },
	{ 0xdbe8f2fc, "drm_open" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "drm_display_helper,drm_buddy,gpu-sched,amdxcp,ttm,cec,drm_suballoc_helper,drm_exec,video,drm_panel_backlight_quirks,drm_ttm_helper,i2c-algo-bit,crc16");

MODULE_ALIAS("pci:v00001002d00006780sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006788sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000678Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006790sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006791sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006792sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006798sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006799sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000679Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000679Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000679Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000679Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006810sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006811sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006816sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006817sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006818sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006600sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006602sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006603sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006611sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006613sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006617sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006620sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006623sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006631sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006820sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006821sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006823sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006824sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006825sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006826sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006827sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006828sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006829sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000682Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006830sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006831sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006835sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006837sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006838sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006839sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000683Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000683Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000683Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006660sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006663sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006664sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006665sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006667sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000666Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001304sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001305sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001309sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000130Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001310sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001316sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001317sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000131Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000131Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000131Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006641sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006647sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006649sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006650sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006651sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006658sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000665Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000665Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000665Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067B8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067BEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009830sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009831sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009832sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009835sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009836sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009837sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009838sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009839sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000983Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009850sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009851sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009852sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009853sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009854sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009855sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009856sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009857sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009858sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009859sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000985Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006900sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006901sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006902sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006903sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006907sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006920sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006921sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006928sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006929sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000692Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000692Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006930sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006938sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006939sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000730Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009870sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009874sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009875sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009876sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00009877sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000098E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000067CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006FDFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006980sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006981sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006985sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006986sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006987sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006995sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006997sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000699Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000694Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000694Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000694Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006860sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006861sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006862sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006863sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006864sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006867sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006868sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00006869sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000686Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000687Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000069AFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066A7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000066AFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000015D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000738Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007388sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000738Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007310sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000731Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000731Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000731Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000731Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007341sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007347sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000734Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000015E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001636sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001638sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000164Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073ACsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073ADsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073AEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073AFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000164Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00001681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007408sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000740Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000740Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007410sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000013FEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000143Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007420sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007421sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007423sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007424sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000743Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v00001002d*sv*sd*bc03sc80i00*");
MODULE_ALIAS("pci:v00001002d*sv*sd*bc12sc00i00*");

MODULE_INFO(srcversion, "1CF59F5C04D5DF03A038091");
