#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0x721a85ca, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0x4cdab1f6, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0x70d99348, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0xec27ef60, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0xcd7ed94f, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x32a07303, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x8ff7a6e2, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x5e711bf0, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0xd7dccc39, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0x4d7e6c57, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0x80348dc4, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0xed6c9466, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0x053eeeb4, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0xc62cb2f4, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0xec51ac93, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0x6c949e6b, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0x0477fc91, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0x2ac347ef, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0xe2b19e0d, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x97e9cd52, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x2b11dadc, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x5321042a, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x7def65c4, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x54356668, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0xbc850e4b, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x597bb13c, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x6267a42e, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0xbeff56bc, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0xc551ca51, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x1dddfe6d, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0xc8eead4a, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0xd23a603b, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0xcb69eb01, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x69264668, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0x7a4faaeb, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0x0ff46b44, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0xe05e3c5f, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x7e47d12c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x784e386d, "drm_gem_object_release" },
	{ 0x037a0cba, "kfree" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xade8392b, "drm_exec_prepare_array" },
	{ 0x1337e38c, "dma_resv_add_fence" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xdd400534, "drm_gem_private_object_init" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0xf41ee393, "drm_exec_prepare_obj" },
	{ 0x03a5e6f4, "drm_exec_lock_obj" },
	{ 0x7da1a4df, "drm_exec_init" },
	{ 0x08f34a63, "drm_exec_cleanup" },
	{ 0x00ab423a, "drm_exec_fini" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");
