#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nouveau_i2c_encoder_destroy, "", "");

SYMBOL_CRC(nouveau_i2c_encoder_destroy, 0x7c8fe0bf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1345bcea, "drm_dp_dpcd_write" },
	{ 0x86eb530c, "pci_ignore_hotplug" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x78969eca, "drm_connector_list_iter_begin" },
	{ 0x9a7cfc86, "vga_switcheroo_unlock_ddc" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf049f2c1, "drm_plane_helper_disable_primary" },
	{ 0xf6033d9c, "drm_dp_dpcd_read" },
	{ 0xdabe14a3, "drm_atomic_helper_commit_hw_done" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfd2e94ad, "drm_gem_object_lookup" },
	{ 0xbbda18c4, "dma_fence_free" },
	{ 0x65127eb6, "drm_atomic_get_mst_payload_state" },
	{ 0x6cf3addb, "pci_set_power_state" },
	{ 0x6c949e6b, "drm_gpuvm_bo_obtain" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0xc551ca51, "drm_gpuva_map" },
	{ 0x48193639, "acpi_lid_open" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb06b2f84, "drm_crtc_enable_color_mgmt" },
	{ 0x84446c1b, "drm_universal_plane_init" },
	{ 0x4fbe6aac, "iommu_unmap" },
	{ 0x6dfcacdd, "drm_dp_mst_get_edid" },
	{ 0xf63dfa22, "drm_dp_mst_topology_mgr_init" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x7d005661, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0xbb8c604f, "drm_atomic_state_default_clear" },
	{ 0x5588af9c, "ttm_bo_pin" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x820667be, "drm_atomic_add_affected_planes" },
	{ 0x2b16db38, "__pm_runtime_idle" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xfe3535f9, "drm_dp_mst_topology_mgr_resume" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xc928a152, "drm_atomic_helper_commit_cleanup_done" },
	{ 0xb6127243, "drm_need_swiotlb" },
	{ 0x4cdab1f6, "drm_gpuvm_resv_object_alloc" },
	{ 0x277cc9af, "drm_connector_update_edid_property" },
	{ 0x11570076, "drm_edp_backlight_disable" },
	{ 0x2f4b1e37, "drm_dp_aux_unregister" },
	{ 0x18249205, "drm_atomic_helper_suspend" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4e1d4a4b, "drm_crtc_cleanup" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xb12006cc, "ttm_bo_kmap" },
	{ 0x8882d3c8, "drm_atomic_get_old_mst_topology_state" },
	{ 0x0386e723, "iommu_map" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xb6772b00, "drm_atomic_state_alloc" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x090a99a6, "__dma_sync_single_for_device" },
	{ 0x63fadc23, "pci_write_config_byte" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x32a7f55f, "drm_dp_mst_put_port_malloc" },
	{ 0xb9f2131e, "drm_kms_helper_poll_enable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x52722563, "drm_modeset_unlock" },
	{ 0x01000e51, "schedule" },
	{ 0x90351840, "device_link_add" },
	{ 0x3290843a, "drm_connector_register" },
	{ 0x299f2aa7, "drm_crtc_accurate_vblank_count" },
	{ 0xc243d723, "mas_store_gfp" },
	{ 0x18694cc1, "drm_dp_atomic_release_time_slots" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0xbdc15124, "drm_object_property_set_value" },
	{ 0x604ea0c2, "drm_modeset_acquire_init" },
	{ 0x94990ce0, "drm_atomic_state_clear" },
	{ 0xe2b19e0d, "drm_gpuvm_bo_evict" },
	{ 0x1c6dea7d, "drm_release" },
	{ 0x25802ec7, "pci_restore_state" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe10c8c78, "drm_atomic_helper_swap_state" },
	{ 0x7a4faaeb, "drm_gpuvm_sm_unmap_ops_create" },
	{ 0x5321042a, "drm_gpuva_link" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd800a199, "drm_gem_object_init" },
	{ 0xf78e25bd, "drm_helper_force_disable_all" },
	{ 0x0799aa3c, "ttm_agp_unbind" },
	{ 0xf20ebd9a, "drm_dp_lttpr_init" },
	{ 0x0b19b445, "ioread8" },
	{ 0xca5c7dce, "drm_gem_ttm_vmap" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x550ae280, "pci_disable_msi" },
	{ 0x19a29890, "pci_enable_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7da1a4df, "drm_exec_init" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x6a27dfff, "drm_plane_create_color_properties" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0xa973443d, "drm_dp_mst_detect_port" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x198eae03, "drm_gem_ttm_mmap" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0xeca82655, "drm_get_edid_switcheroo" },
	{ 0x2b11dadc, "drm_gpuva_remove" },
	{ 0x9fa92099, "drm_plane_force_disable" },
	{ 0x69353664, "__drm_debug" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1337e38c, "dma_resv_add_fence" },
	{ 0x28b6914e, "drm_dp_read_dpcd_caps" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x54633474, "drm_encoder_init" },
	{ 0x0797d658, "drm_atomic_get_mst_topology_state" },
	{ 0x7e7972ce, "acpi_video_get_edid" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x56b0b931, "__pm_runtime_use_autosuspend" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8d79d0d6, "ttm_device_init" },
	{ 0xa04d5097, "vmalloc_to_page" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x765324f4, "ttm_device_fini" },
	{ 0x5e711bf0, "drm_gpuvm_exec_lock" },
	{ 0x6b133183, "_dev_crit" },
	{ 0x7701a55a, "drm_mode_create_tv_properties_legacy" },
	{ 0x76c1c615, "mas_erase" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4abd1908, "drm_dp_check_act_status" },
	{ 0xbfc4597c, "__drm_universal_plane_alloc" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x69264668, "drm_gpuvm_sm_map_ops_create" },
	{ 0x1620c08a, "pci_get_domain_bus_and_slot" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x97e9cd52, "drm_gpuva_insert" },
	{ 0x8b3aadfb, "drm_edp_backlight_init" },
	{ 0xf2b81b64, "arch_io_reserve_memtype_wc" },
	{ 0xb9e27625, "drm_gem_ttm_dumb_map_offset" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x906bc9bb, "drm_plane_create_zpos_immutable_property" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0dd85a56, "drm_sched_job_add_dependency" },
	{ 0x583bf5c6, "ttm_bo_unpin" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3651df99, "ttm_bo_vm_fault_reserved" },
	{ 0x50d68377, "arch_phys_wc_del" },
	{ 0x81188c30, "match_string" },
	{ 0xd97fe84b, "drm_connector_list_iter_next" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa2299507, "drm_client_dev_resume" },
	{ 0xe16cb36d, "drm_dev_register" },
	{ 0x841dcc0f, "drm_prime_pages_to_sg" },
	{ 0x4765e184, "ttm_pool_free" },
	{ 0x3acef432, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x25d6cabc, "drm_modeset_drop_locks" },
	{ 0xc48a9b58, "__free_pages" },
	{ 0xa59ae7ea, "drm_dp_get_vc_payload_bw" },
	{ 0x54f3217a, "drm_gem_ttm_vunmap" },
	{ 0x3bae858f, "drm_atomic_helper_calc_timestamping_constants" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5600980d, "pm_runtime_set_autosuspend_delay" },
	{ 0xe774d212, "drm_atomic_helper_set_config" },
	{ 0x652462a3, "drm_dp_read_sink_count_cap" },
	{ 0x84b95bbb, "drm_dp_read_downstream_info" },
	{ 0xa473b5f2, "drm_crtc_helper_set_config" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc8f9288d, "dma_resv_get_singleton" },
	{ 0x1930a285, "drm_crtc_vblank_put" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x3c45e891, "i2c_unregister_device" },
	{ 0x670bfd74, "component_add" },
	{ 0x4e2a621e, "drm_prime_sg_to_dma_addr_array" },
	{ 0x30eeea47, "__drm_atomic_helper_crtc_reset" },
	{ 0x5e98d588, "drm_helper_connector_dpms" },
	{ 0x94961283, "vunmap" },
	{ 0xa5879ca6, "drm_edp_backlight_set_level" },
	{ 0x8b6e2ef3, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x700a2eb3, "drm_sched_fini" },
	{ 0x2ff22f46, "pci_enable_rom" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x676c22ae, "drmm_mode_config_init" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xcd1d24b8, "led_classdev_suspend" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xebe876d7, "drm_compat_ioctl" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x4ae4c67e, "drm_mode_destroy" },
	{ 0x48797770, "drm_crtc_init_with_planes" },
	{ 0x3e6a6dbd, "drm_sched_entity_fini" },
	{ 0xbec83b0b, "drm_read" },
	{ 0x58a46966, "pci_enable_msi" },
	{ 0x06c52ad2, "drm_property_create_range" },
	{ 0xa905d378, "ttm_bo_move_to_lru_tail" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5b5614f4, "_dev_notice" },
	{ 0xb83cbcb8, "drm_kms_helper_poll_disable" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xba936f69, "seq_write" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x80348dc4, "drm_gpuvm_validate" },
	{ 0x2ac347ef, "drm_gpuvm_bo_extobj_add" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7530f9c5, "drm_gem_fb_create_handle" },
	{ 0x0f5f6bc6, "drm_plane_cleanup" },
	{ 0xcdba14e8, "pm_runtime_allow" },
	{ 0x754d539c, "strlen" },
	{ 0xd0a7770a, "i2c_transfer" },
	{ 0x1ae80c13, "drm_fbdev_ttm_driver_fbdev_probe" },
	{ 0x55da8835, "drm_modeset_lock_all" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xea4c6bb0, "drm_dp_read_lttpr_common_caps" },
	{ 0x87a268e6, "drm_syncobj_replace_fence" },
	{ 0x00ab423a, "drm_exec_fini" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xffb7c514, "ida_free" },
	{ 0x6d375d6e, "drm_syncobj_find" },
	{ 0x49d0e787, "single_release" },
	{ 0xd3c9a8a7, "drm_crtc_vblank_get" },
	{ 0xc8eead4a, "drm_gpuva_unmap" },
	{ 0xd59918a1, "ttm_resource_manager_evict_all" },
	{ 0xedc03953, "iounmap" },
	{ 0xa9c6147c, "drm_mode_config_reset" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x2a44cb28, "drm_kms_helper_poll_fini" },
	{ 0xf2498c00, "drm_helper_resume_force_mode" },
	{ 0x6fbdb58a, "drm_kms_helper_hotplug_event" },
	{ 0x85df9b6c, "strsep" },
	{ 0xccce0d05, "drm_add_edid_modes" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x17c2086f, "led_classdev_register_ext" },
	{ 0x6c85951c, "vga_switcheroo_client_probe_defer" },
	{ 0x392a838b, "drm_dp_downstream_max_dotclock" },
	{ 0x3038f625, "drm_client_dev_hotplug" },
	{ 0x4909a790, "dma_fence_get_status" },
	{ 0x1c5b3201, "drm_dp_mst_topology_mgr_set_mst" },
	{ 0xa8fa9ab1, "drm_atomic_state_init" },
	{ 0x193c2155, "drm_dp_remove_payload_part2" },
	{ 0x06a86bc1, "iowrite16" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x682a1f45, "drm_modeset_lock_all_ctx" },
	{ 0x38257e16, "drm_atomic_helper_setup_commit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x92c167c8, "drm_atomic_helper_update_plane" },
	{ 0xba073b5c, "dma_resv_iter_first" },
	{ 0x999e8297, "vfree" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xef69cb7c, "drm_atomic_helper_wait_for_dependencies" },
	{ 0x3f116eb0, "dma_resv_init" },
	{ 0xd77f5123, "drm_crtc_handle_vblank" },
	{ 0x3030fa57, "agp_enable" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x18ffb74c, "drm_dp_remove_payload_part1" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x0916112c, "dma_resv_reserve_fences" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x3d37cc0a, "drm_scdc_read" },
	{ 0xceac3782, "ttm_agp_bind" },
	{ 0xb1f68523, "drm_get_edid" },
	{ 0x232b5238, "mxm_wmi_supported" },
	{ 0x799b1de9, "drm_mode_duplicate" },
	{ 0x9e8ddc1c, "drm_connector_attach_encoder" },
	{ 0x7551b2a1, "ttm_resource_init" },
	{ 0x45443436, "drm_get_format_info" },
	{ 0x7c3bdb77, "drm_gem_plane_helper_prepare_fb" },
	{ 0x1b11b80f, "drm_mode_create_dvi_i_properties" },
	{ 0xe9b2ffec, "is_acpi_device_node" },
	{ 0xb7611661, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x60bbb124, "dma_fence_signal_locked" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x3fec47d5, "vga_switcheroo_lock_ddc" },
	{ 0x11089ac7, "_ctype" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x88be693d, "ww_mutex_unlock" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0x6918c262, "pci_find_capability" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x8e441fe0, "drm_dp_mst_atomic_check" },
	{ 0x35721162, "drm_atomic_helper_update_legacy_modeset_state" },
	{ 0xeedbf2a9, "drm_dp_mst_topology_mgr_destroy" },
	{ 0x2e1ad129, "ttm_bo_vm_reserve" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xab6813ae, "__mt_destroy" },
	{ 0x0bb3dc82, "drm_modeset_unlock_all" },
	{ 0x3e8f582b, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0xca9360b5, "rb_next" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xce3f9691, "agp_backend_acquire" },
	{ 0xd1f60a89, "arch_io_free_memtype_wc" },
	{ 0xa275187e, "pci_disable_device" },
	{ 0xed6c9466, "drm_gpuvm_resv_add_fence" },
	{ 0x03a6c908, "drm_atomic_get_crtc_state" },
	{ 0x1bb540f9, "i2c_bit_add_bus" },
	{ 0x33049b49, "ttm_bo_move_memcpy" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0x715801e3, "get_device" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd44bf985, "drm_dp_dpcd_set_powered" },
	{ 0xf1e1348a, "drm_atomic_helper_resume" },
	{ 0x826bbe13, "ttm_bo_wait_ctx" },
	{ 0xba10e7e0, "drm_dev_alloc" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xc4bfd8e8, "drm_atomic_helper_wait_for_fences" },
	{ 0x042765d6, "dma_resv_iter_next" },
	{ 0x47ce034a, "drm_modeset_lock" },
	{ 0xfec1a305, "dma_map_sgtable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x21fd7560, "drm_prime_gem_destroy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x85f181d1, "ttm_bo_vm_open" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0x870679f1, "ttm_range_man_init_nocheck" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x721a85ca, "drm_gpuvm_range_valid" },
	{ 0xbaf2ada1, "drm_kms_helper_connector_hotplug_event" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x5a632a62, "drm_cvt_mode" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x481b34ab, "drm_dp_mst_atomic_setup_commit" },
	{ 0x3c7baeaf, "drm_gem_prime_export" },
	{ 0x108f9396, "drm_crtc_vblank_on" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x21df8989, "drm_sched_entity_push_job" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa3313ff8, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0x582f248e, "drm_dp_get_adjust_request_pre_emphasis" },
	{ 0xfa259f64, "pci_get_base_class" },
	{ 0x6f36b5fb, "drm_crtc_vblank_count" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x95aba5ec, "drm_dp_mst_topology_state_funcs" },
	{ 0xfb578fc5, "memset" },
	{ 0xece784c2, "rb_first" },
	{ 0x01c4bba9, "drm_dp_lttpr_max_link_rate" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xa53ddff0, "drm_plane_helper_destroy" },
	{ 0xaec940e7, "single_open" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xba0a8183, "ttm_sg_tt_init" },
	{ 0xaa014ad9, "debugfs_create_blob" },
	{ 0xbf8117e6, "__pm_runtime_suspend" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xd672b23d, "vga_switcheroo_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x56256e8a, "orderly_poweroff" },
	{ 0xa48a8dd5, "__drm_atomic_helper_connector_reset" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0xc5c99a79, "drm_dp_get_adjust_request_voltage" },
	{ 0xa86773ab, "drm_sched_init" },
	{ 0x325b5a83, "drm_plane_create_blend_mode_property" },
	{ 0x4b055d85, "ttm_bo_init_reserved" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x8c66d26b, "drm_atomic_commit" },
	{ 0x05c5234f, "pci_read_config_dword" },
	{ 0xb0e602eb, "memmove" },
	{ 0x79876873, "led_classdev_unregister" },
	{ 0x57a61ea2, "pci_map_rom" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfe59f789, "drm_connector_dynamic_init" },
	{ 0xfc9f9476, "drm_sched_job_arm" },
	{ 0xd8804027, "ttm_agp_destroy" },
	{ 0x997f3868, "drm_mode_crtc_set_gamma_size" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xec57d14b, "ttm_bo_vm_access" },
	{ 0xfa3590ed, "drm_sched_job_init" },
	{ 0x133143a8, "pci_pr3_present" },
	{ 0x95a88090, "drm_dp_mst_root_conn_atomic_check" },
	{ 0x1a80e1f9, "pci_bus_type" },
	{ 0x9b1ec791, "drm_crtc_helper_set_mode" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0x528762cd, "hwmon_device_unregister" },
	{ 0x07fa5669, "drm_gem_mmap" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x1cf9432d, "drm_modeset_lock_single_interruptible" },
	{ 0x5c488b96, "drm_atomic_helper_prepare_planes" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x784e386d, "drm_gem_object_release" },
	{ 0xdbe8f2fc, "drm_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbac6ec68, "dma_resv_wait_timeout" },
	{ 0x8878d4b6, "drm_dp_mst_get_port_malloc" },
	{ 0x780738ac, "drm_debugfs_gpuva_info" },
	{ 0xe26032eb, "mxm_wmi_call_mxmx" },
	{ 0xae022281, "hwmon_device_register_with_info" },
	{ 0x36f408a9, "mas_find" },
	{ 0x436b6574, "drm_atomic_helper_disable_plane" },
	{ 0xfc68a002, "drm_crtc_vblank_off" },
	{ 0x2c9244f4, "drm_dp_add_payload_part2" },
	{ 0xbc83f769, "drm_dp_add_payload_part1" },
	{ 0x86d35927, "pci_unmap_rom" },
	{ 0x77071c73, "agp_backend_release" },
	{ 0x7320f7c1, "vga_switcheroo_register_handler" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0x671330c6, "drm_syncobj_find_fence" },
	{ 0xa916b694, "strnlen" },
	{ 0x87be893c, "ttm_resource_fini" },
	{ 0x8bf65028, "drm_dp_mst_hpd_irq_handle_event" },
	{ 0x7def65c4, "drm_gpuva_unlink" },
	{ 0x5a465378, "ttm_bo_eviction_valuable" },
	{ 0xa34161e4, "debugfs_lookup" },
	{ 0x48fea0ff, "drm_dev_put" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x1605d0ed, "drm_dp_lttpr_max_lane_count" },
	{ 0xbeff56bc, "drm_gpuvm_interval_empty" },
	{ 0xc9c32385, "drm_helper_mode_fill_fb_struct" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x89730df5, "vga_switcheroo_unregister_client" },
	{ 0x0fd60df2, "drm_get_connector_status_name" },
	{ 0x7073fc75, "drm_mode_object_get" },
	{ 0x97c125c9, "__drm_dev_dbg" },
	{ 0x8e8eed36, "drm_sched_entity_init" },
	{ 0x409fde64, "drm_connector_list_iter_end" },
	{ 0x681aeb0d, "__drm_atomic_helper_plane_destroy_state" },
	{ 0xab13bc70, "drm_invalid_op" },
	{ 0x044ec4f8, "drm_mode_object_put" },
	{ 0x9ce79d9e, "drm_crtc_vblank_helper_get_vblank_timestamp" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xad7c385a, "drm_crtc_arm_vblank_event" },
	{ 0xefb1a29f, "drm_modeset_backoff" },
	{ 0x2840283b, "pm_runtime_forbid" },
	{ 0xd17bcf8f, "drm_gem_handle_create" },
	{ 0xf625e376, "drm_poll" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa47826e4, "drm_dp_calc_pbn_mode" },
	{ 0xb7c2e9ed, "ttm_pool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc13fb485, "regulator_set_voltage" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xfa39cd8d, "dma_resv_fini" },
	{ 0x5b641283, "arch_phys_wc_add" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xe1ea11df, "drm_edp_backlight_enable" },
	{ 0x103b7672, "ttm_bo_validate" },
	{ 0x848d372e, "iowrite8" },
	{ 0xb95cd941, "drm_dp_read_desc" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x0465e661, "ttm_tt_fini" },
	{ 0xf41ee393, "drm_exec_prepare_obj" },
	{ 0x364e51b5, "aperture_remove_conflicting_pci_devices" },
	{ 0x9e957126, "ttm_resource_free" },
	{ 0xd46a9a10, "regulator_get_voltage" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x3faeba1f, "ttm_range_man_fini_nocheck" },
	{ 0xb0faca18, "seq_putc" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x144a6082, "i2c_add_adapter" },
	{ 0x058a24d1, "drm_syncobj_add_point" },
	{ 0x8eaf2a5f, "vga_switcheroo_unregister_handler" },
	{ 0x0d9b4753, "drm_mode_equal" },
	{ 0x5cfbb0ec, "dma_free_pages" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x0562dc30, "__sg_page_iter_start" },
	{ 0xb87aeb7d, "ww_mutex_lock_interruptible" },
	{ 0x009930b3, "led_classdev_resume" },
	{ 0x037a0cba, "kfree" },
	{ 0xa28d073d, "put_device" },
	{ 0x58a4ec96, "drm_dp_mst_atomic_wait_for_dependencies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xce6c3ebd, "ttm_resource_manager_init" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0xa049a50d, "drm_vblank_work_schedule" },
	{ 0x7d19e97a, "dma_alloc_pages" },
	{ 0x93a12aab, "dput" },
	{ 0x349cba85, "strchr" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x08f34a63, "drm_exec_cleanup" },
	{ 0xcc063d0f, "drm_atomic_helper_page_flip" },
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0x37294456, "drm_connector_set_path_property" },
	{ 0xc0a5d244, "drm_atomic_helper_check_plane_state" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x3f6cf17f, "drm_sched_stop" },
	{ 0x09db39ed, "drm_dp_aux_register" },
	{ 0x585313a4, "drm_framebuffer_init" },
	{ 0x5581288e, "ww_mutex_lock" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x45ab8c1e, "drm_mode_probed_add" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xb5e6c03a, "drm_sched_job_cleanup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x798fab05, "try_module_get" },
	{ 0x1129a7dd, "drm_client_dev_suspend" },
	{ 0x74689a0c, "drm_atomic_helper_cleanup_planes" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcec8e288, "agp_copy_info" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xe1d8f6e1, "vga_switcheroo_init_domain_pm_ops" },
	{ 0xfe84f636, "drm_connector_cleanup" },
	{ 0xbf5f6b0e, "ttm_bo_move_accel_cleanup" },
	{ 0xbd5ccee0, "drm_helper_probe_single_connector_modes" },
	{ 0xacfdc3a3, "mas_walk" },
	{ 0x2c208607, "power_supply_is_system_supplied" },
	{ 0x7d2ca27d, "drm_property_add_enum" },
	{ 0x8643f540, "component_del" },
	{ 0x70d99348, "drm_gpuvm_init" },
	{ 0x2e34c19e, "i2c_del_adapter" },
	{ 0xeed63659, "drm_connector_unregister" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x697bd43b, "pci_disable_rom" },
	{ 0x94366b7f, "firmware_request_nowarn" },
	{ 0xf5c136d7, "drm_atomic_helper_shutdown" },
	{ 0x94745d37, "ttm_resource_manager_usage" },
	{ 0xf539df34, "drm_plane_create_alpha_property" },
	{ 0x986cc4af, "ttm_bo_put" },
	{ 0x3a032fc2, "drm_dp_read_sink_count" },
	{ 0x22088a3c, "drm_dp_dpcd_read_phy_link_status" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x33c76c9e, "drm_dp_aux_init" },
	{ 0x0fab8bba, "drm_atomic_helper_unprepare_planes" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x0d81a00a, "backlight_device_unregister" },
	{ 0x9c647df1, "drm_debugfs_create_files" },
	{ 0xf9b118df, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0x5c8215ab, "drm_gem_fb_destroy" },
	{ 0xc74664f4, "ttm_bo_vm_close" },
	{ 0x21c44a34, "drm_connector_init" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x15ca9f46, "drm_ioctl" },
	{ 0x54ee27de, "i2c_bit_algo" },
	{ 0xd691b0ed, "param_ops_charp" },
	{ 0x0f51a743, "drm_vblank_init" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x2825a453, "drm_atomic_state_default_release" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x4e69c9f3, "ttm_agp_tt_create" },
	{ 0xaf267620, "drm_dp_lttpr_count" },
	{ 0x8d7aa185, "vga_switcheroo_fini_domain_pm_ops" },
	{ 0x7f59a0c2, "drm_dp_mst_topology_mgr_suspend" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x532ed9f0, "drm_vblank_work_init" },
	{ 0x5ac9bbc8, "drm_crtc_vblank_crtc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xdec81e06, "vga_client_register" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xbc8405e0, "drm_dp_read_mst_cap" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xda17f06b, "drm_dp_mst_hpd_irq_send_new_request" },
	{ 0x41841d2f, "drm_kms_helper_poll_init" },
	{ 0x492f01dc, "drm_client_setup" },
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0xbdf6de79, "drm_atomic_helper_check" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x26cadf1c, "drm_plane_create_zpos_property" },
	{ 0xc62cb2f4, "drm_gpuvm_bo_put" },
	{ 0xec27ef60, "drm_gpuvm_put" },
	{ 0x272d8830, "__dma_sync_single_for_cpu" },
	{ 0x61cdf799, "mxm_wmi_call_mxds" },
	{ 0x2d9c6d6d, "drm_modeset_acquire_fini" },
	{ 0xaf3e0764, "module_put" },
	{ 0x82c65406, "vmap" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x149af9ca, "drm_dp_atomic_find_time_slots" },
	{ 0x89003b56, "backlight_device_register" },
	{ 0xd0734197, "_dev_err" },
	{ 0xcef5ae44, "drm_vblank_work_cancel_sync" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xf6164b3b, "drm_crtc_send_vblank_event" },
	{ 0x8e6b25ef, "unmap_mapping_range" },
	{ 0x580d1e31, "__drm_atomic_helper_plane_reset" },
	{ 0x5a4734d1, "drm_kms_helper_is_poll_worker" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa94462bd, "seq_read" },
	{ 0x646ed0f0, "pci_save_state" },
	{ 0xe2f93174, "vmemdup_user" },
	{ 0x101b9bde, "drm_dev_enter" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x46f3107e, "__pm_runtime_set_status" },
	{ 0xca93c548, "noop_llseek" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0x3df5b55d, "drm_property_create" },
	{ 0x143aa6d3, "drm_dev_unplug" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x52addc5d, "i2c_new_client_device" },
	{ 0xba35b625, "drm_crtc_add_crc_entry" },
	{ 0xbb8e169a, "vga_switcheroo_handler_flags" },
	{ 0x567d068a, "_dev_info" },
	{ 0x68f054b7, "dma_unmap_sg_attrs" },
	{ 0xc0e94021, "drm_scdc_write" },
	{ 0xbf656756, "drm_mode_config_cleanup" },
	{ 0x3adc0336, "drm_mode_create_scaling_mode_property" },
	{ 0x41d0c16e, "drm_plane_helper_update_primary" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x10f7d4d4, "ttm_bo_kunmap" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x2c3fe451, "drm_encoder_cleanup" },
	{ 0x71763304, "drm_gem_handle_delete" },
	{ 0x4bda0b0a, "drm_sched_start" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7e47d12c, "drm_gpuva_ops_free" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9306dec5, "pci_d3cold_disable" },
	{ 0xcaf68118, "__drm_atomic_helper_connector_destroy_state" },
	{ 0xdc4927ed, "drm_helper_probe_detect" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6612cd35, "drm_object_attach_property" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "drm_display_helper,drm_gpuvm,ttm,video,drm_ttm_helper,drm_exec,gpu-sched,mxm-wmi,i2c-algo-bit,wmi");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v000012D2d*sv*sd*bc03sc*i*");

MODULE_INFO(srcversion, "9EA1F11C0123CCFEB01DBBD");
