#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ttm_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_fini, "", "");
KSYMTAB_FUNC(ttm_sg_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_restore, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_pages_limit, "", "");
KSYMTAB_FUNC(ttm_tt_setup_backup, "", "");
KSYMTAB_FUNC(ttm_bo_move_to_lru_tail, "", "");
KSYMTAB_FUNC(ttm_bo_set_bulk_move, "", "");
KSYMTAB_FUNC(ttm_bo_put, "", "");
KSYMTAB_FUNC(ttm_bo_eviction_valuable, "", "");
KSYMTAB_FUNC(ttm_bo_pin, "", "");
KSYMTAB_FUNC(ttm_bo_unpin, "", "");
KSYMTAB_FUNC(ttm_bo_mem_space, "", "");
KSYMTAB_FUNC(ttm_bo_validate, "", "");
KSYMTAB_FUNC(ttm_bo_init_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_init_validate, "", "");
KSYMTAB_FUNC(ttm_bo_unmap_virtual, "", "");
KSYMTAB_FUNC(ttm_bo_wait_ctx, "", "");
KSYMTAB_FUNC(ttm_bo_populate, "", "");
KSYMTAB_FUNC(ttm_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_bo_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_io_prot, "", "");
KSYMTAB_FUNC(ttm_bo_kmap, "", "");
KSYMTAB_FUNC(ttm_bo_kunmap, "", "");
KSYMTAB_FUNC(ttm_bo_vmap, "", "");
KSYMTAB_FUNC(ttm_bo_vunmap, "", "");
KSYMTAB_FUNC(ttm_bo_move_accel_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_move_sync_cleanup, "", "");
KSYMTAB_FUNC(ttm_lru_walk_for_evict, "", "");
KSYMTAB_FUNC(ttm_bo_lru_cursor_fini, "", "");
KSYMTAB_FUNC(ttm_bo_lru_cursor_init, "", "");
KSYMTAB_FUNC(ttm_bo_lru_cursor_next, "", "");
KSYMTAB_FUNC(ttm_bo_lru_cursor_first, "", "");
KSYMTAB_FUNC(ttm_bo_shrink, "", "");
KSYMTAB_FUNC(ttm_bo_shrink_suitable, "", "");
KSYMTAB_FUNC(ttm_bo_shrink_avoid_wait, "", "");
KSYMTAB_FUNC(ttm_bo_vm_reserve, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_vm_dummy_page, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault, "", "");
KSYMTAB_FUNC(ttm_bo_vm_open, "", "");
KSYMTAB_FUNC(ttm_bo_vm_close, "", "");
KSYMTAB_FUNC(ttm_bo_access, "", "");
KSYMTAB_FUNC(ttm_bo_vm_access, "", "");
KSYMTAB_FUNC(ttm_bo_mmap_obj, "", "");
KSYMTAB_FUNC(ttm_eu_backoff_reservation, "", "");
KSYMTAB_FUNC(ttm_eu_reserve_buffers, "", "");
KSYMTAB_FUNC(ttm_eu_fence_buffer_objects, "", "");
KSYMTAB_FUNC(ttm_range_man_init_nocheck, "", "");
KSYMTAB_FUNC(ttm_range_man_fini_nocheck, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_init, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_fini, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_tail, "", "");
KSYMTAB_FUNC(ttm_resource_init, "", "");
KSYMTAB_FUNC(ttm_resource_fini, "", "");
KSYMTAB_FUNC(ttm_resource_free, "", "");
KSYMTAB_FUNC(ttm_resource_manager_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_evict_all, "", "");
KSYMTAB_FUNC(ttm_resource_manager_usage, "", "");
KSYMTAB_FUNC(ttm_resource_manager_debug, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_iomap_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_create_debugfs, "", "");
KSYMTAB_FUNC(ttm_pool_alloc, "", "");
KSYMTAB_FUNC(ttm_pool_free, "", "");
KSYMTAB_FUNC(ttm_pool_init, "", "");
KSYMTAB_FUNC(ttm_pool_fini, "", "");
KSYMTAB_FUNC(ttm_pool_debugfs, "", "");
KSYMTAB_DATA(ttm_glob, "", "");
KSYMTAB_FUNC(ttm_device_swapout, "", "");
KSYMTAB_FUNC(ttm_device_init, "", "");
KSYMTAB_FUNC(ttm_device_fini, "", "");
KSYMTAB_FUNC(ttm_device_clear_dma_mappings, "", "");
KSYMTAB_FUNC(ttm_backup_bytes_avail, "_gpl", "");
KSYMTAB_FUNC(ttm_agp_bind, "", "");
KSYMTAB_FUNC(ttm_agp_unbind, "", "");
KSYMTAB_FUNC(ttm_agp_is_bound, "", "");
KSYMTAB_FUNC(ttm_agp_destroy, "", "");
KSYMTAB_FUNC(ttm_agp_tt_create, "", "");

SYMBOL_CRC(ttm_tt_init, 0x804c694a, "");
SYMBOL_CRC(ttm_tt_fini, 0x0465e661, "");
SYMBOL_CRC(ttm_sg_tt_init, 0xba0a8183, "");
SYMBOL_CRC(ttm_tt_restore, 0x4eb2013a, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0x9c75f57a, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_tt_setup_backup, 0x5ef6e8b1, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0xa905d378, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0x3633af8d, "");
SYMBOL_CRC(ttm_bo_put, 0x986cc4af, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0x5a465378, "");
SYMBOL_CRC(ttm_bo_pin, 0x5588af9c, "");
SYMBOL_CRC(ttm_bo_unpin, 0x583bf5c6, "");
SYMBOL_CRC(ttm_bo_mem_space, 0xae8bb9b1, "");
SYMBOL_CRC(ttm_bo_validate, 0x103b7672, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0x4b055d85, "");
SYMBOL_CRC(ttm_bo_init_validate, 0xa0fb5e95, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0x9b43cde2, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0x826bbe13, "");
SYMBOL_CRC(ttm_bo_populate, 0x05b7d833, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0x33049b49, "");
SYMBOL_CRC(ttm_io_prot, 0x1b4ce027, "");
SYMBOL_CRC(ttm_bo_kmap, 0xb12006cc, "");
SYMBOL_CRC(ttm_bo_kunmap, 0x10f7d4d4, "");
SYMBOL_CRC(ttm_bo_vmap, 0x1cb9e011, "");
SYMBOL_CRC(ttm_bo_vunmap, 0x7851d6ad, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0xbf5f6b0e, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0xcf9358d5, "");
SYMBOL_CRC(ttm_lru_walk_for_evict, 0x7b85fb66, "");
SYMBOL_CRC(ttm_bo_lru_cursor_fini, 0x7fc66390, "");
SYMBOL_CRC(ttm_bo_lru_cursor_init, 0x34fc6cc1, "");
SYMBOL_CRC(ttm_bo_lru_cursor_next, 0xfc509af4, "");
SYMBOL_CRC(ttm_bo_lru_cursor_first, 0xc866a869, "");
SYMBOL_CRC(ttm_bo_shrink, 0x9882737f, "");
SYMBOL_CRC(ttm_bo_shrink_suitable, 0x415d51c2, "");
SYMBOL_CRC(ttm_bo_shrink_avoid_wait, 0x8832bf37, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0x2e1ad129, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0x3651df99, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0x00208642, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0xa1d858eb, "");
SYMBOL_CRC(ttm_bo_vm_open, 0x85f181d1, "");
SYMBOL_CRC(ttm_bo_vm_close, 0xc74664f4, "");
SYMBOL_CRC(ttm_bo_access, 0x12a49fb2, "");
SYMBOL_CRC(ttm_bo_vm_access, 0xec57d14b, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0xe758a14a, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0x582003cb, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0xebf1e05f, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0x40fcd0a6, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0x870679f1, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0x3faeba1f, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0x89d88c41, "");
SYMBOL_CRC(ttm_lru_bulk_move_fini, 0xfcf39114, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0xa784e4d2, "");
SYMBOL_CRC(ttm_resource_init, 0x7551b2a1, "");
SYMBOL_CRC(ttm_resource_fini, 0x87be893c, "");
SYMBOL_CRC(ttm_resource_free, 0x9e957126, "");
SYMBOL_CRC(ttm_resource_manager_init, 0xce6c3ebd, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0xd59918a1, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0x94745d37, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0xb4599bbb, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x6a847134, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0x0ac186c5, "");
SYMBOL_CRC(ttm_pool_alloc, 0xb7c2e9ed, "");
SYMBOL_CRC(ttm_pool_free, 0x4765e184, "");
SYMBOL_CRC(ttm_pool_init, 0xe09942c1, "");
SYMBOL_CRC(ttm_pool_fini, 0x4bdb8fe4, "");
SYMBOL_CRC(ttm_pool_debugfs, 0xe51e0a42, "");
SYMBOL_CRC(ttm_glob, 0xcf16e077, "");
SYMBOL_CRC(ttm_device_swapout, 0xc716b88e, "");
SYMBOL_CRC(ttm_device_init, 0x8d79d0d6, "");
SYMBOL_CRC(ttm_device_fini, 0x765324f4, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0x4dab9b50, "");
SYMBOL_CRC(ttm_backup_bytes_avail, 0xba5188c9, "_gpl");
SYMBOL_CRC(ttm_agp_bind, 0xceac3782, "");
SYMBOL_CRC(ttm_agp_unbind, 0x0799aa3c, "");
SYMBOL_CRC(ttm_agp_is_bound, 0x657927c1, "");
SYMBOL_CRC(ttm_agp_destroy, 0xd8804027, "");
SYMBOL_CRC(ttm_agp_tt_create, 0x4e69c9f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x037a0cba, "kfree" },
	{ 0xad972c70, "seq_lseek" },
	{ 0xe8a0e334, "drm_vma_offset_add" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0x4d924f20, "memremap" },
	{ 0xbb244fa3, "folio_clear_dirty_for_io" },
	{ 0x334709d5, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x676ba3a4, "shrinker_free" },
	{ 0x1528d90c, "drm_mm_print" },
	{ 0x3bf829ca, "set_pages_wb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x8d164611, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x82f8c878, "ww_mutex_trylock" },
	{ 0x3dd9f6e8, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x7570a971, "set_pages_array_wb" },
	{ 0xce7b61eb, "shrinker_register" },
	{ 0x33b84f74, "copy_page" },
	{ 0x39da6341, "numa_node" },
	{ 0xc48a9b58, "__free_pages" },
	{ 0x567d068a, "_dev_info" },
	{ 0xa03e9bc0, "folio_mark_dirty" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1c7ac092, "split_page" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xca421cb1, "mark_page_accessed" },
	{ 0x00cc45e1, "shmem_file_setup" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x5114acf2, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x5bda9a28, "agp_free_memory" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x9c166d99, "folio_mark_accessed" },
	{ 0xfa39cd8d, "dma_resv_fini" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x0925493f, "clear_page_orig" },
	{ 0xb0faca18, "seq_putc" },
	{ 0x5581288e, "ww_mutex_lock" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0xbf52a51c, "shmem_read_mapping_page_gfp" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x82c65406, "vmap" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x282eddae, "vmf_insert_pfn_prot" },
	{ 0xfb578fc5, "memset" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xe20e3c3e, "agp_allocate_memory" },
	{ 0xc2230c16, "agp_unbind_memory" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0x668b19a1, "down_read" },
	{ 0x758f1946, "dma_resv_copy_fences" },
	{ 0x5c889de4, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xa94462bd, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x040243aa, "shmem_truncate_range" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0x7c2d03a6, "dma_fence_enable_sw_signaling" },
	{ 0x567c1a96, "set_pages_array_wc" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3e69d3cd, "dma_resv_iter_next_unlocked" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xba936f69, "seq_write" },
	{ 0x5278fdf4, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xc4494b99, "__mmap_lock_do_trace_released" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0xa0d3456d, "nr_swap_pages" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x62c3f371, "dma_resv_iter_first_unlocked" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0xfc3ec233, "__folio_lock" },
	{ 0x9555fc04, "boot_cpu_data" },
	{ 0x49d0e787, "single_release" },
	{ 0x2ae6ec46, "set_pages_array_uc" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x7385c18d, "dma_resv_test_signaled" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9a0702ad, "__vma_start_write" },
	{ 0xaec940e7, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x4831da6e, "drm_vma_offset_remove" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x521c7509, "shrinker_alloc" },
	{ 0xb87aeb7d, "ww_mutex_lock_interruptible" },
	{ 0x101b9bde, "drm_dev_enter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x06fe5e1a, "param_ops_ulong" },
	{ 0x0916112c, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x309cf9b3, "shmem_read_folio_gfp" },
	{ 0xd0803b38, "agp_bind_memory" },
	{ 0xe8317f7d, "folio_unlock" },
	{ 0xa04d5097, "vmalloc_to_page" },
	{ 0x3f116eb0, "dma_resv_init" },
	{ 0xbac6ec68, "dma_resv_wait_timeout" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xfa666974, "queue_work_node" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x88be693d, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0xd4405cf4, "debugfs_create_atomic_t" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8e6b25ef, "unmap_mapping_range" },
	{ 0x1337e38c, "dma_resv_add_fence" },
	{ 0x94961283, "vunmap" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EAF01A28CB84C17022E7597");
