#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(rdma_user_mmap_disassociate, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_FUNC(uverbs_try_lock_object, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_create_ucap, "", "");
KSYMTAB_FUNC(ib_remove_ucap, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x1f9823c7, "");
SYMBOL_CRC(rdma_user_mmap_disassociate, 0x9e4a1390, "");
SYMBOL_CRC(flow_resources_alloc, 0x9c914272, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x84f72c21, "");
SYMBOL_CRC(flow_resources_add, 0xe43b2df7, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xe50fbd76, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0xc3461c53, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(uverbs_uobject_put, 0x52ed307d, "");
SYMBOL_CRC(uverbs_try_lock_object, 0xd40ba9aa, "");
SYMBOL_CRC(uverbs_idr_class, 0xa243eb68, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x028bd57c, "");
SYMBOL_CRC(uverbs_fd_class, 0xb4610222, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x756b2c25, "");
SYMBOL_CRC(_uverbs_alloc, 0xcaa65b50, "");
SYMBOL_CRC(uverbs_get_flags64, 0xc6006baa, "");
SYMBOL_CRC(uverbs_get_flags32, 0xddf0f10f, "");
SYMBOL_CRC(uverbs_copy_to, 0x4a482a67, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x6cbd42a2, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x1908420b, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x4c3c49cf, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x233a185f, "");
SYMBOL_CRC(ib_create_ucap, 0xee11e132, "");
SYMBOL_CRC(ib_remove_ucap, 0x5006a537, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0xb09679df, "");
SYMBOL_CRC(ib_umem_get, 0x86f6629b, "");
SYMBOL_CRC(ib_umem_release, 0xf26e44fe, "");
SYMBOL_CRC(ib_umem_copy_from, 0xa1465464, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x2e55048d, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x936ad17e, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x0d241f7f, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0xdcbc9714, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x230f9e47, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0x678937a1, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0x51e49610, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0xd0774564, "");
SYMBOL_CRC(ib_umem_odp_get, 0x873b6b4d, "");
SYMBOL_CRC(ib_umem_odp_release, 0x8a93fea1, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0xdfead835, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x9fca9a77, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5581288e, "ww_mutex_lock" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0xbcb2864f, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x52d9c58f, "ib_qp_usecnt_inc" },
	{ 0x587bca8f, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd91552b5, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdd61afaf, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c839027, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2612014d, "rdma_create_user_ah" },
	{ 0x92ca5ec1, "rdma_destroy_ah_user" },
	{ 0x5dfd60a0, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x30496843, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x38b8a49e, "__mmdrop" },
	{ 0xaa57e047, "rdma_restrack_del" },
	{ 0x0a0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5c889de4, "set_page_dirty" },
	{ 0x0745a981, "xa_erase" },
	{ 0x9e9fbdd1, "__mmap_lock_do_trace_start_locking" },
	{ 0x0aa5ed96, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7230beea, "fdget" },
	{ 0x984d5ea0, "igrab" },
	{ 0x8be0343b, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4c138e95, "mmput" },
	{ 0xfec1a305, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x00aa1603, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5cec311b, "__tracepoint_mmap_lock_start_locking" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc4494b99, "__mmap_lock_do_trace_released" },
	{ 0xea1d9d45, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xb54f2364, "__srcu_read_unlock" },
	{ 0x57b1b6b3, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0x359001b7, "ib_dealloc_xrcd_user" },
	{ 0x6c8fab84, "dma_buf_detach" },
	{ 0x12c575e6, "stream_open" },
	{ 0x4aa647d8, "mmu_interval_notifier_insert" },
	{ 0x59586bb1, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x08caeb18, "ib_open_qp" },
	{ 0x2cfe1a25, "ib_dealloc_pd_user" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x87fb13a9, "rdma_get_gid_attr" },
	{ 0x68f054b7, "dma_unmap_sg_attrs" },
	{ 0xd64e5a56, "rdma_port_get_link_layer" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x494f4e62, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x542c7142, "rdma_query_gid_table" },
	{ 0xa2cbdcbf, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b9e9f2, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x77efb0cd, "ib_attach_mcast" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0xa07fb8e6, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x293c82c1, "ib_destroy_wq_user" },
	{ 0xce13824b, "put_pid" },
	{ 0xea72c169, "class_register" },
	{ 0x30f076bf, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xa59061bd, "rdma_user_mmap_entry_put" },
	{ 0x41da2f16, "pin_user_pages_fast" },
	{ 0xeabdf23c, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x798fab05, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x81293b88, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x9f1995de, "ib_unregister_client" },
	{ 0x745a7563, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbbb442b2, "unpin_user_pages_dirty_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x75feb9ea, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x244cb033, "mmu_interval_read_begin" },
	{ 0xc571d844, "ib_create_qp_user" },
	{ 0xbac6ec68, "dma_resv_wait_timeout" },
	{ 0x21bb96a5, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x9d2dd686, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x5f2a414c, "kill_fasync" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0xea6c70bd, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x1adac019, "fget" },
	{ 0xe18fd7df, "__put_task_struct" },
	{ 0x78650fa3, "ib_query_srq" },
	{ 0x88be693d, "ww_mutex_unlock" },
	{ 0x248cc4c4, "device_initialize" },
	{ 0xdea42869, "__dynamic_ibdev_dbg" },
	{ 0x3a57d2e3, "ib_rdmacg_try_charge" },
	{ 0x3b39f399, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x560732f1, "sg_alloc_append_table_from_pages" },
	{ 0x037a0cba, "kfree" },
	{ 0x543accf6, "unpin_user_page_range_dirty_lock" },
	{ 0x475ac1c0, "iput" },
	{ 0x5c81d54c, "dma_buf_unpin" },
	{ 0x3a6b4189, "zap_vma_ptes" },
	{ 0x0dc30041, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x79c59de5, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8c3acb9e, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2b85aa2f, "rdma_dev_access_netns" },
	{ 0x715801e3, "get_device" },
	{ 0x95e559ca, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x334709d5, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x2e8433f0, "dma_buf_dynamic_attach" },
	{ 0x104f6e93, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0xeeea23e0, "ib_destroy_srq_user" },
	{ 0x3f22b87a, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xce8f3f0c, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0x970038d5, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xef3d9f7b, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x3195fdde, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa28d073d, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x0a9c0e8b, "ib_modify_qp_with_udata" },
	{ 0x58312c73, "ib_register_event_handler" },
	{ 0xe247f9a4, "ib_detach_mcast" },
	{ 0x55e6aa67, "dma_buf_map_attachment" },
	{ 0xc48a9b58, "__free_pages" },
	{ 0xb596fb3e, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0xaf3e0764, "module_put" },
	{ 0xb24d38b9, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x73c07e98, "compat_ptr_ioctl" },
	{ 0xc30578f0, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x72841117, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1ee844d1, "init_srcu_struct" },
	{ 0x5114acf2, "fput" },
	{ 0xbf952e3e, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xd0734197, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x3c68f838, "simple_open" },
	{ 0xf9e6a292, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0xbbe250b2, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x40223674, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3d417ab4, "dma_buf_get" },
	{ 0xdf96eaa5, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0x8d304f20, "nla_put" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "B4DFF02699F536E167F0E06");
