#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipoib_get_netdev_pkey, "", "");

SYMBOL_CRC(ipoib_get_netdev_pkey, 0xeb1ac49d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0bf74ba5, "ib_create_cm_id" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x272d8830, "__dma_sync_single_for_cpu" },
	{ 0x71430632, "__dev_get_by_index" },
	{ 0xa307d66e, "rtnl_link_unregister" },
	{ 0xc2272098, "rdma_destroy_ah_attr" },
	{ 0xbf952e3e, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa81fa991, "rdma_alloc_netdev" },
	{ 0x44e60a66, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xfcf87dbe, "inet_confirm_addr" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x21f51e91, "netif_set_real_num_tx_queues" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x2e8e933a, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xbaf4332d, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x36a321da, "napi_enable" },
	{ 0xdf96eaa5, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb0faca18, "seq_putc" },
	{ 0x9b45dd85, "netif_receive_skb" },
	{ 0xd1b2ff87, "ib_send_cm_rep" },
	{ 0x8d304f20, "nla_put" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0xc450210b, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7108738d, "free_netdev" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3b186a1f, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbc3e8c49, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdd61afaf, "ib_destroy_qp_user" },
	{ 0x991de1d6, "netif_tx_wake_queue" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x61d6cf6f, "ib_cm_init_qp_attr" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x563ec030, "ib_get_vf_stats" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xf061b210, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0x0313037f, "netif_tx_lock" },
	{ 0xece784c2, "rb_first" },
	{ 0x92ca5ec1, "rdma_destroy_ah_user" },
	{ 0xa3ba22cd, "__netdev_alloc_skb" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xebc1b394, "ib_get_device_fw_str" },
	{ 0x30496843, "ib_destroy_cq_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x16a1a2a7, "ib_modify_qp" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x1a86cd64, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x25e48e69, "netdev_walk_all_upper_dev_rcu" },
	{ 0xa94462bd, "seq_read" },
	{ 0x690e53f4, "in_dev_finish_destroy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x6e63f66e, "__icmp_send" },
	{ 0x71150e15, "__dev_queue_xmit" },
	{ 0x8dc7f491, "gro_receive_skb" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x090a99a6, "__dma_sync_single_for_device" },
	{ 0xc5af7be3, "netdev_master_upper_dev_get_rcu" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe007335b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x84470fee, "ib_query_pkey" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0x14ae08b1, "netif_carrier_on" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0x57b1b6b3, "rdma_set_cq_moderation" },
	{ 0x6bfce8bb, "ib_send_cm_rtu" },
	{ 0x70ddfa6f, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0xd2f4f097, "ib_send_cm_req" },
	{ 0xa6237e68, "ib_create_qp_kernel" },
	{ 0x3998c4e9, "ib_sa_join_multicast" },
	{ 0x50e87f78, "rdma_init_netdev" },
	{ 0x2cfe1a25, "ib_dealloc_pd_user" },
	{ 0xe8f042db, "seq_open" },
	{ 0xbedab7a9, "ib_find_pkey" },
	{ 0x9700ea0c, "ipv6_chk_addr" },
	{ 0xd7e9e2cd, "ib_set_vf_link_state" },
	{ 0x5d3c3241, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xd3aae776, "napi_disable" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0x77efb0cd, "ib_attach_mcast" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0xd056c359, "dev_change_flags" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5521297, "ib_send_cm_rej" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x388c2a07, "device_remove_file" },
	{ 0x6c183078, "ib_rate_to_mbps" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x0c5a5cc8, "register_netdevice" },
	{ 0x97910edb, "dev_set_mtu" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x9f1995de, "ib_unregister_client" },
	{ 0x758d52e2, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1aa47af8, "ib_init_ah_attr_from_path" },
	{ 0x0ee03265, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x36370325, "ib_set_vf_guid" },
	{ 0x8ab7f9bb, "netdev_update_features" },
	{ 0x6b4b8e63, "seq_release" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1a6d3aaa, "unregister_netdev" },
	{ 0x0160266c, "skb_dequeue" },
	{ 0xca9360b5, "rb_next" },
	{ 0xc3d10f86, "__ib_alloc_pd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0xa24d3ba8, "rtnl_link_register" },
	{ 0x0c86f5cb, "ib_sa_register_client" },
	{ 0x94b0dcf4, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xc346c23a, "rdma_query_gid" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x2d15b5a4, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x91db46e5, "dev_kfree_skb_irq_reason" },
	{ 0x1bc448e9, "ib_cm_listen" },
	{ 0x67686b10, "unregister_netdevice_queue" },
	{ 0x63711caa, "ib_get_vf_config" },
	{ 0x95e559ca, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5a1fe8ad, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x09cb1f78, "ib_destroy_cm_id" },
	{ 0x84d52f75, "__dev_get_by_name" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe6b9ca06, "ib_find_gid" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0x2f8a901f, "rdma_create_ah" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0xeeea23e0, "ib_destroy_srq_user" },
	{ 0x7f3d75f9, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0x15ef83d0, "napi_complete_done" },
	{ 0x7b6f515d, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x29f549f7, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x54f67676, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x58312c73, "ib_register_event_handler" },
	{ 0xe247f9a4, "ib_detach_mcast" },
	{ 0xa916b694, "strnlen" },
	{ 0x14c3b2c9, "ib_sa_get_mcmember_rec" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb596fb3e, "ib_unregister_event_handler" },
	{ 0x97009c05, "ib_get_vf_guid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x89253265, "skb_queue_tail" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xb24d38b9, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc30578f0, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xec2958f8, "device_create_file" },
	{ 0x8992dd04, "ib_sa_path_rec_get" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core");


MODULE_INFO(srcversion, "C1317E3E2703C32107F0A16");
