#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0x2bf7cae5, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0x3677389b, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x0af1ec4d, "");
SYMBOL_CRC(__rmi_register_function_handler, 0x9b930744, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0xa19db10d, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0xde6aa076, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0xc36355e9, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0x0c46c30f, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0x13d13119, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0xca3b65b1, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0x17086282, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0x942b96ef, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0xe8691406, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0xac52ee0c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x567d068a, "_dev_info" },
	{ 0x1184834a, "bus_unregister" },
	{ 0xdb94223e, "devm_kfree" },
	{ 0xd0734197, "_dev_err" },
	{ 0x76a3bdf5, "device_add" },
	{ 0xbff4c072, "input_mt_init_slots" },
	{ 0x6210230d, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4e480f7e, "input_set_capability" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb217aa95, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x988da772, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x555435d2, "device_del" },
	{ 0x0dbeacec, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xa1171b61, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xbceb99d7, "input_event" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x6522e52c, "input_set_abs_params" },
	{ 0x7e526291, "devm_kasprintf" },
	{ 0x20de3a8c, "sysfs_remove_group" },
	{ 0xeacf1030, "serio_interrupt" },
	{ 0xfabaf622, "irq_domain_instantiate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfc3698ea, "irq_create_mapping_affinity" },
	{ 0xf6891d6f, "input_alloc_absinfo" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x3767ba60, "_dev_printk" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xcec2ab0c, "driver_register" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x3f1b8924, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xc72059e3, "input_mt_assign_slots" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa920901f, "devm_request_threaded_irq" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x181d8e63, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd93f28b2, "irq_domain_remove" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xac6ed83c, "input_mt_report_slot_state" },
	{ 0x248cc4c4, "device_initialize" },
	{ 0x91ecdbe7, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x626e444a, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0xa275654a, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x28f41801, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa1fcd50c, "irq_set_chip_and_handler_name" },
	{ 0xa28d073d, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe18e40ab, "handle_simple_irq" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AE8B809EAA174F3AB9EBBE5");
