#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x54e34de6, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x90a81b42, "_gpl");
SYMBOL_CRC(dm_report_zones, 0xf9826a10, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x0ef76273, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x70026c42, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0xa87ad43d, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0x4373a2ef, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x686e1dcd, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x1b44f2e3, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x9e8e6c12, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x2d47da76, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x91689881, "_gpl");
SYMBOL_CRC(dm_get_md, 0xd3cbde46, "_gpl");
SYMBOL_CRC(dm_hold, 0xdbf5f56c, "_gpl");
SYMBOL_CRC(dm_device_name, 0x28a3f383, "_gpl");
SYMBOL_CRC(dm_put, 0x573407fe, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x73dad4c6, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x9aa52008, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x83085d85, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x7b019e8d, "_gpl");
SYMBOL_CRC(dm_disk, 0xfee96a41, "_gpl");
SYMBOL_CRC(dm_suspended, 0x33e61946, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x5a54f1c5, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0x0a7416f2, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0x7f074efd, "");
SYMBOL_CRC(dm_put_device, 0x6750b99e, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x117d28d8, "_gpl");
SYMBOL_CRC(dm_table_event, 0xf81dbd8a, "");
SYMBOL_CRC(dm_table_get_size, 0xb427ccd3, "");
SYMBOL_CRC(dm_table_get_mode, 0x67f35034, "");
SYMBOL_CRC(dm_table_get_md, 0x3195cc03, "");
SYMBOL_CRC(dm_table_device_name, 0x7a003847, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0xda77d363, "");
SYMBOL_CRC(dm_register_target, 0x42e52b7a, "");
SYMBOL_CRC(dm_unregister_target, 0xb7adc15f, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x5656dd28, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x2f4bc2af, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x81c436c5, "");
SYMBOL_CRC(dm_kcopyd_zero, 0xc0efd0df, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x4742debb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x890b81a1, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x3eaac1bb, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc2049d01, "dax_remove_host" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x67611e86, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xdf600e6d, "dax_recovery_write" },
	{ 0x11df26f1, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xced6a6ad, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbb77b172, "kobject_init_and_add" },
	{ 0x05668d35, "zero_fill_bio_iter" },
	{ 0x399d17f8, "bio_add_page" },
	{ 0x04239b38, "crypto_shash_update" },
	{ 0x0ae45c48, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x64662602, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd91552b5, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3c8f6d81, "bdev_file_open_by_dev" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x98ce6511, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x38645073, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1c3327c3, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x2a79e145, "bio_alloc_clone" },
	{ 0x70e1c53b, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x89069085, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0f5d9794, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1aad6a84, "blk_insert_cloned_request" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x8453f818, "__kmem_cache_create_args" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x907cd046, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdc8adfb0, "audit_log_start" },
	{ 0xec527939, "nonseekable_open" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xfa7983e8, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x69931c9f, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x2568ed80, "bio_uninit" },
	{ 0x296bad7d, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x0f2cdcb9, "bioset_init" },
	{ 0xfedbe714, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb54f2364, "__srcu_read_unlock" },
	{ 0x08135613, "dax_write_cache" },
	{ 0x4f82292c, "__tracepoint_block_bio_remap" },
	{ 0x64a23d0d, "__tracepoint_block_rq_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x519f45f3, "bd_link_disk_holder" },
	{ 0x8d91c502, "blk_mq_start_request" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0x9555fc04, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x07242d92, "put_dax" },
	{ 0x9e438518, "file_bdev" },
	{ 0x36bbd897, "queue_limits_stack_integrity" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x08753ce5, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x940da84f, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x0f60b7e4, "blk_zone_plug_bio" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x835f0c6c, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x258fca53, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdbf5754f, "queue_limits_set" },
	{ 0x1043c93c, "bio_alloc_bioset" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x003b3bcd, "blk_mq_requeue_request" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x35c39ad7, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x0bc4a1da, "bdev_end_io_acct" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa993097a, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6d9f2e0f, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xa131034d, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xb83054e4, "set_disk_ro" },
	{ 0x0e41809e, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x798fab05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe693fe3f, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x65248530, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x2908c1ae, "param_ops_uint" },
	{ 0x06fe5e1a, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x1e7f78cc, "bio_split_to_limits" },
	{ 0xa04d5097, "vmalloc_to_page" },
	{ 0x4e11aeef, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0x2ea87d69, "fs_dax_get_by_bdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x466eda01, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0xbab616ed, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xd5cb791a, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x3650ee46, "blk_rq_prep_clone" },
	{ 0x051a676d, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xa26d1c17, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x2c2923a1, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x0bbc0eeb, "blk_rq_unprep_clone" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8c3acb9e, "synchronize_srcu" },
	{ 0x74f11640, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x23afafc9, "bdev_thaw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xee4d3bef, "alloc_dax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe5bccbe7, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x2fef90af, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0xd4e81835, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x970038d5, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xbf8a32bb, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xa631ac19, "bio_integrity_trim" },
	{ 0x01000e51, "schedule" },
	{ 0x7a51db27, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe75a9fea, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0xea83bcd6, "__SCK__tp_func_block_split" },
	{ 0x39da6341, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc48a9b58, "__free_pages" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x19a8d94c, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x036156c5, "submit_bio" },
	{ 0x31dea9a2, "dax_add_host" },
	{ 0xaf3e0764, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3e1a2378, "blk_mq_init_allocated_queue" },
	{ 0x66f9e32f, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x0d5cecc6, "ima_measure_critical_data" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0x9b01439c, "kobject_uevent_env" },
	{ 0x2149e671, "bio_put" },
	{ 0x59dbdae4, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x1ee844d1, "init_srcu_struct" },
	{ 0xe13f9467, "__SCK__tp_func_block_bio_remap" },
	{ 0x5114acf2, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x3f0bc25d, "blk_revalidate_disk_zones" },
	{ 0xce807a25, "up_write" },
	{ 0xe17bf447, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0xbbe250b2, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3955e93c, "set_capacity" },
	{ 0xf79e1354, "submit_bio_noacct" },
	{ 0xca93c548, "noop_llseek" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5C8EBDBAEB9EA3B12F0312B");
