#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x3900e3b1, "");
SYMBOL_CRC(cx88_querycap, 0x59d169be, "");
SYMBOL_CRC(cx88_enum_input, 0x4d3ed693, "");
SYMBOL_CRC(cx88_set_freq, 0xac392047, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5685309d, "cx88_ir_stop" },
	{ 0x65ef0448, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b4ebd0, "video_devdata" },
	{ 0x94a9d37b, "cx88_set_tvnorm" },
	{ 0x90fcb8aa, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x770c90b9, "v4l2_ctrl_find" },
	{ 0x264863ec, "cx88_ir_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a1fcd5d, "__v4l2_ctrl_s_ctrl" },
	{ 0xfaffa98a, "vb2_plane_cookie" },
	{ 0x0a412948, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x38ab21bf, "cx88_risc_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4d481adf, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5236a348, "cx88_set_stereo" },
	{ 0xbd81aa77, "vb2_buffer_done" },
	{ 0x39f649a3, "v4l2_ctrl_subscribe_event" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x0f6c07f1, "video_unregister_device" },
	{ 0xf04488a7, "kthread_stop" },
	{ 0x52addc5d, "i2c_new_client_device" },
	{ 0x6e9e4770, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x1eb8cece, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x1954f9cd, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa7b19dbd, "vb2_fop_read" },
	{ 0xd64fe9a6, "cx88_sram_channel_dump" },
	{ 0xc6c7fca8, "kthread_create_on_node" },
	{ 0x17ee5f96, "cx88_sram_channel_setup" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf47d0430, "__video_register_device" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x840239b4, "vb2_ioctl_streamon" },
	{ 0xbd82a62f, "vb2_fop_poll" },
	{ 0xcb7f5fef, "v4l2_ctrl_new_std" },
	{ 0xa275187e, "pci_disable_device" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0x4198c736, "v4l2_i2c_new_subdev" },
	{ 0x98abd0d3, "pci_read_config_byte" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x07e1d4a3, "cx88_newstation" },
	{ 0xad86a95e, "v4l2_event_unsubscribe" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x089e1250, "vb2_ioctl_reqbufs" },
	{ 0xe2782aa4, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xbfd88382, "vb2_dma_sg_memops" },
	{ 0xa9f924ff, "cx88_reset" },
	{ 0x11cc6e3e, "v4l2_ctrl_poll" },
	{ 0xcc8f5536, "video_ioctl2" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x29fdf12c, "cx88_wakeup" },
	{ 0x19a29890, "pci_enable_device" },
	{ 0x8b396d3d, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xf6fbbd29, "v4l2_ctrl_add_handler" },
	{ 0xd1d88431, "v4l2_i2c_new_subdev_board" },
	{ 0x35896363, "cx88_set_scale" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0xbba9f8a7, "cx88_shutdown" },
	{ 0xc5782f01, "cx88_vdev_init" },
	{ 0xab62c3bc, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0x54f785f9, "vb2_ioctl_querybuf" },
	{ 0xf3d6cc0c, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6b45c87b, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5a0e9ad2, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd812d09d, "wake_up_process" },
	{ 0x66704148, "cx88_core_get" },
	{ 0xc80229a3, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3AE15AA80EB64ED0E15F34A");
