#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipu6_configure_spc, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_single, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_alloc, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_free, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_unmap_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_map_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_map_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_unmap_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_mmu_hw_init, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_mmu_hw_cleanup, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_auth_done, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_map_fw_image, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_unmap_fw_image, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_start_tsc_sync, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_tsc_read, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_tsc_ticks_to_ns, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_cpd_create_pkg_dir, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_cpd_free_pkg_dir, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_prepare, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_open, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_close, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_release, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_ready, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_send_get_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_send_put_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_recv_get_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_recv_put_token, "_gpl", "INTEL_IPU6");

SYMBOL_CRC(ipu6_configure_spc, 0x3b0ccdce, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_single, 0x2481e274, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_sg, 0x43574963, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_sgtable, 0x8ff1dbce, "_gpl");
SYMBOL_CRC(ipu6_dma_alloc, 0x834e1ca3, "_gpl");
SYMBOL_CRC(ipu6_dma_free, 0x55b43636, "_gpl");
SYMBOL_CRC(ipu6_dma_unmap_sg, 0xfc380d90, "_gpl");
SYMBOL_CRC(ipu6_dma_map_sg, 0xb4ab9a09, "_gpl");
SYMBOL_CRC(ipu6_dma_map_sgtable, 0xecfd77fd, "_gpl");
SYMBOL_CRC(ipu6_dma_unmap_sgtable, 0x6a0856a6, "_gpl");
SYMBOL_CRC(ipu6_mmu_hw_init, 0xa5ef5121, "_gpl");
SYMBOL_CRC(ipu6_mmu_hw_cleanup, 0x675dd547, "_gpl");
SYMBOL_CRC(ipu6_buttress_auth_done, 0x52980c2a, "_gpl");
SYMBOL_CRC(ipu6_buttress_map_fw_image, 0x43292c68, "_gpl");
SYMBOL_CRC(ipu6_buttress_unmap_fw_image, 0x519c7ce9, "_gpl");
SYMBOL_CRC(ipu6_buttress_start_tsc_sync, 0x8093aaff, "_gpl");
SYMBOL_CRC(ipu6_buttress_tsc_read, 0xaed7dddb, "_gpl");
SYMBOL_CRC(ipu6_buttress_tsc_ticks_to_ns, 0x88bb8989, "_gpl");
SYMBOL_CRC(ipu6_cpd_create_pkg_dir, 0x34b18165, "_gpl");
SYMBOL_CRC(ipu6_cpd_free_pkg_dir, 0x12e90d08, "_gpl");
SYMBOL_CRC(ipu6_fw_com_prepare, 0xc7e42529, "_gpl");
SYMBOL_CRC(ipu6_fw_com_open, 0xe4173880, "_gpl");
SYMBOL_CRC(ipu6_fw_com_close, 0xa4ea9101, "_gpl");
SYMBOL_CRC(ipu6_fw_com_release, 0x246154f7, "_gpl");
SYMBOL_CRC(ipu6_fw_com_ready, 0x543b7d9f, "_gpl");
SYMBOL_CRC(ipu6_send_get_token, 0xdd435b9b, "_gpl");
SYMBOL_CRC(ipu6_send_put_token, 0x093c1399, "_gpl");
SYMBOL_CRC(ipu6_recv_get_token, 0x42507517, "_gpl");
SYMBOL_CRC(ipu6_recv_put_token, 0x962f3d15, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x14b334d7, "pci_ats_supported" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0xb294072a, "pm_runtime_get_if_active" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x550ae280, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdf1be5e1, "__free_iova" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0x71403033, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa28d073d, "put_device" },
	{ 0x02f30589, "devm_free_irq" },
	{ 0x5c65f4a2, "pm_runtime_enable" },
	{ 0xd27eeb4b, "alloc_iova" },
	{ 0xc48a9b58, "__free_pages" },
	{ 0x567d068a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x1c7ac092, "split_page" },
	{ 0x2ba41f5f, "pm_generic_runtime_suspend" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7ba5efde, "pcim_iomap_regions" },
	{ 0xc912ba20, "vm_insert_page" },
	{ 0xb805f52f, "devm_kmemdup" },
	{ 0x311c6da4, "put_iova_domain" },
	{ 0xd0734197, "_dev_err" },
	{ 0x1e063198, "__auxiliary_device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x82c65406, "vmap" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x555435d2, "device_del" },
	{ 0xbcf3029b, "sg_alloc_table_from_pages_segment" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0c805f93, "clflush_cache_range" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0xfa7983e8, "pv_ops" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2840283b, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xcdba14e8, "pm_runtime_allow" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0xfec1a305, "dma_map_sgtable" },
	{ 0x4043757f, "init_iova_domain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0x9555fc04, "boot_cpu_data" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0xd5d17a14, "dev_err_probe" },
	{ 0x68f054b7, "dma_unmap_sg_attrs" },
	{ 0x714638f1, "pcim_iomap_table" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x623494e2, "pcim_enable_device" },
	{ 0x088da5e1, "__pm_runtime_disable" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x79f1aa44, "find_iova" },
	{ 0x2b16db38, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0xa920901f, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0xd4277347, "pci_disable_ats" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x1c062c22, "auxiliary_device_init" },
	{ 0xa04d5097, "vmalloc_to_page" },
	{ 0x37effa85, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xd1fceda8, "dev_pm_domain_set" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00009A19sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004E19sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000465Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000462Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A75Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007D19sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EB0DB9AB6B1652E382E2691");
