#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rc_map_get, "_gpl", "");
KSYMTAB_FUNC(rc_map_register, "_gpl", "");
KSYMTAB_FUNC(rc_map_unregister, "_gpl", "");
KSYMTAB_FUNC(rc_g_keycode_from_table, "_gpl", "");
KSYMTAB_FUNC(rc_keyup, "_gpl", "");
KSYMTAB_FUNC(rc_repeat, "_gpl", "");
KSYMTAB_FUNC(rc_keydown, "_gpl", "");
KSYMTAB_FUNC(rc_keydown_notimeout, "_gpl", "");
KSYMTAB_FUNC(rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_free_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_register_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_register_device, "_gpl", "");
KSYMTAB_FUNC(rc_unregister_device, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_edge, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_timeout, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_filter, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_set_idle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_handle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_gen_manchester, "", "");
KSYMTAB_FUNC(ir_raw_gen_pd, "", "");
KSYMTAB_FUNC(ir_raw_gen_pl, "", "");
KSYMTAB_FUNC(ir_raw_encode_scancode, "", "");
KSYMTAB_FUNC(ir_raw_encode_carrier, "", "");
KSYMTAB_FUNC(ir_raw_handler_register, "", "");
KSYMTAB_FUNC(ir_raw_handler_unregister, "", "");
KSYMTAB_FUNC(lirc_scancode_event, "_gpl", "");

SYMBOL_CRC(rc_map_get, 0xfc5d3079, "_gpl");
SYMBOL_CRC(rc_map_register, 0xb960f15c, "_gpl");
SYMBOL_CRC(rc_map_unregister, 0x2ed90ced, "_gpl");
SYMBOL_CRC(rc_g_keycode_from_table, 0xa47a70b4, "_gpl");
SYMBOL_CRC(rc_keyup, 0x134ac908, "_gpl");
SYMBOL_CRC(rc_repeat, 0x8736d4aa, "_gpl");
SYMBOL_CRC(rc_keydown, 0x1c0addd9, "_gpl");
SYMBOL_CRC(rc_keydown_notimeout, 0x334c52b1, "_gpl");
SYMBOL_CRC(rc_allocate_device, 0x02ee004d, "_gpl");
SYMBOL_CRC(rc_free_device, 0x49ed54a3, "_gpl");
SYMBOL_CRC(devm_rc_allocate_device, 0x74ab1b10, "_gpl");
SYMBOL_CRC(rc_register_device, 0xf41c6665, "_gpl");
SYMBOL_CRC(devm_rc_register_device, 0xe89666d2, "_gpl");
SYMBOL_CRC(rc_unregister_device, 0x722f6d22, "_gpl");
SYMBOL_CRC(ir_raw_event_store, 0xc36da1ce, "_gpl");
SYMBOL_CRC(ir_raw_event_store_edge, 0xee6f5c84, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_timeout, 0x7e9947b7, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_filter, 0xf56cea3f, "_gpl");
SYMBOL_CRC(ir_raw_event_set_idle, 0xb83a4ebb, "_gpl");
SYMBOL_CRC(ir_raw_event_handle, 0x6caadadb, "_gpl");
SYMBOL_CRC(ir_raw_gen_manchester, 0xce3696f3, "");
SYMBOL_CRC(ir_raw_gen_pd, 0x2fe55cf5, "");
SYMBOL_CRC(ir_raw_gen_pl, 0x7a02ee87, "");
SYMBOL_CRC(ir_raw_encode_scancode, 0x01098f88, "");
SYMBOL_CRC(ir_raw_encode_carrier, 0xb5516017, "");
SYMBOL_CRC(ir_raw_handler_register, 0x865e3712, "");
SYMBOL_CRC(ir_raw_handler_unregister, 0xc24e5ec3, "");
SYMBOL_CRC(lirc_scancode_event, 0x6e77a2e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe720537, "__module_get" },
	{ 0x715801e3, "get_device" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x349efb0d, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd812d09d, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x60eb7433, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xef3d9f7b, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x28f41801, "input_register_device" },
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa28d073d, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x567d068a, "_dev_info" },
	{ 0xaf3e0764, "module_put" },
	{ 0x73c07e98, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5114acf2, "fput" },
	{ 0xd0734197, "_dev_err" },
	{ 0x76a3bdf5, "device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd3527ed2, "__devres_alloc_node" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0xf04488a7, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x555435d2, "device_del" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbceb99d7, "input_event" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc6c7fca8, "kthread_create_on_node" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x12c575e6, "stream_open" },
	{ 0xbbbb7fbb, "led_trigger_event" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xea72c169, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x30f076bf, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x98e9ef18, "input_allocate_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xed14563a, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x21bb96a5, "cdev_device_del" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x34f6967b, "led_trigger_register_simple" },
	{ 0x1057a279, "bsearch" },
	{ 0x248cc4c4, "device_initialize" },
	{ 0x4de01a50, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xd53cb886, "kobject_get_path" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x29e87f45, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CA7D14E611E827DA7DFF881");
