#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dvb_usbv2_probe, "", "");
KSYMTAB_FUNC(dvb_usbv2_disconnect, "", "");
KSYMTAB_FUNC(dvb_usbv2_suspend, "", "");
KSYMTAB_FUNC(dvb_usbv2_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_reset_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw_locked, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write_locked, "", "");

SYMBOL_CRC(dvb_usbv2_probe, 0x18dc0608, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0xbfc916d9, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0xf41d8b50, "");
SYMBOL_CRC(dvb_usbv2_resume, 0x7f2838ac, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0x115940ac, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0xf3dc132f, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0xd6cb3b13, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0xa9a123bd, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0x2ac17dce, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb7bedcfc, "usb_submit_urb" },
	{ 0x567d068a, "_dev_info" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x2e34c19e, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x18035f1f, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xd0734197, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf41c6665, "rc_register_device" },
	{ 0xadce192b, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x39deebe4, "dvb_dmxdev_release" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x49ed54a3, "rc_free_device" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x386d4bc9, "dvb_frontend_detach" },
	{ 0x144a6082, "i2c_add_adapter" },
	{ 0xbe03795d, "dvb_net_release" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x02ee004d, "rc_allocate_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x943283ca, "dvb_unregister_frontend" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xde62937a, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3e43daa1, "__media_device_usb_init" },
	{ 0xae1f223f, "dvb_frontend_resume" },
	{ 0xbdcbe815, "dvb_register_frontend" },
	{ 0xc38942d5, "dvb_frontend_suspend" },
	{ 0xa550f7fe, "dvb_create_media_graph" },
	{ 0x217de918, "dvb_unregister_adapter" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x722f6d22, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd214a251, "dvb_dmxdev_init" },
	{ 0xa3d32b27, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe8ea0b89, "media_device_unregister" },
	{ 0x00bbb499, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0x037a0cba, "kfree" },
	{ 0x28c320da, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xc91ba409, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x78d13658, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,rc-core");


MODULE_INFO(srcversion, "C29170E9C17F6FCF3168E8E");
