#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x76d67175, "");
SYMBOL_CRC(gspca_dev_probe2, 0x0ccd6623, "");
SYMBOL_CRC(gspca_dev_probe, 0xbe48d8c8, "");
SYMBOL_CRC(gspca_disconnect, 0x071b0818, "");
SYMBOL_CRC(gspca_suspend, 0x65e7f237, "");
SYMBOL_CRC(gspca_resume, 0x0f9d9e2b, "");
SYMBOL_CRC(gspca_expo_autogain, 0x0e22652b, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x35f00cc7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0a412948, "vb2_ioctl_dqbuf" },
	{ 0x3bc33504, "usb_free_coherent" },
	{ 0x2cae292b, "vb2_ioctl_create_bufs" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbd81aa77, "vb2_buffer_done" },
	{ 0xce3320dc, "vb2_plane_vaddr" },
	{ 0x39f649a3, "v4l2_ctrl_subscribe_event" },
	{ 0x44fe10b0, "usb_set_interface" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x0f6c07f1, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6e9e4770, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x1eb8cece, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7ad440b2, "vb2_vmalloc_memops" },
	{ 0xcdb0e5be, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa7b19dbd, "vb2_fop_read" },
	{ 0x3287ffb9, "v4l2_device_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf47d0430, "__video_register_device" },
	{ 0xde62937a, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x840239b4, "vb2_ioctl_streamon" },
	{ 0xbd82a62f, "vb2_fop_poll" },
	{ 0x09de1f55, "v4l2_ctrl_g_ctrl" },
	{ 0x5aaeaf4c, "v4l2_ctrl_handler_free" },
	{ 0x290c4150, "v4l2_device_unregister" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x533e5f6f, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xad86a95e, "v4l2_event_unsubscribe" },
	{ 0x089e1250, "vb2_ioctl_reqbufs" },
	{ 0xe2782aa4, "vb2_queue_init" },
	{ 0x98e9ef18, "input_allocate_device" },
	{ 0xa3d32b27, "usb_alloc_urb" },
	{ 0xcc8f5536, "video_ioctl2" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x00bbb499, "usb_free_urb" },
	{ 0x8503c3d1, "v4l2_device_put" },
	{ 0x8b396d3d, "vb2_ioctl_streamoff" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xa4207814, "usb_alloc_coherent" },
	{ 0xc1be1909, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2d228fb0, "usb_ifnum_to_if" },
	{ 0x4de01a50, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x54f785f9, "vb2_ioctl_querybuf" },
	{ 0x6b45c87b, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x60eb7433, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xb63efca7, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x65ef0448, "v4l2_ctrl_handler_setup" },
	{ 0x28f41801, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b4ebd0, "video_devdata" },
	{ 0x741b099f, "vb2_queue_error" },
	{ 0x90fcb8aa, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb7bedcfc, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a1fcd5d, "__v4l2_ctrl_s_ctrl" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "DEE20B11ED5723876F1CB2B");
