#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x39a6ce8b, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0xf6035871, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0x83a5f51f, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0xfdf6d119, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x610f4182, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0xfe804509, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x3f475980, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x2c507b71, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x39b8116b, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x97721c82, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0x8e193482, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x24f70966, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x7bac56f2, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x24929858, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x073f0526, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0xc7b9ec6b, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x9d6cd2dd, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xec1347ef, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0x3df39af7, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0x44636cea, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0xbf7c7518, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x003b0d49, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x3dedc1d5, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x2af4b62f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x550ae280, "pci_disable_msi" },
	{ 0xbb89dfc3, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x05c5234f, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xd1c05f3b, "pm_schedule_suspend" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2158086b, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x58a46966, "pci_enable_msi" },
	{ 0xd0734197, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x53ce1de4, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3f4d8590, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x0b19b445, "ioread8" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x2840283b, "pm_runtime_forbid" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0xcdba14e8, "pm_runtime_allow" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0xbf1e001d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x63fadc23, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa275187e, "pci_disable_device" },
	{ 0x6c572446, "mfd_remove_devices" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0x68f054b7, "dma_unmap_sg_attrs" },
	{ 0x98abd0d3, "pci_read_config_byte" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2b16db38, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x058a30b8, "pci_write_config_dword" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2541a6f7, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x017f2b98, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x20cf1b5a, "pci_find_ext_capability" },
	{ 0x19a29890, "pci_enable_device" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "C84F85E7544A89EC63E766C");
