#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0x3666c64a, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0x4527c974, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0x4c85bbfa, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0x931a3904, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0x3068ca79, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0x48173529, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0x456666a3, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0x1b8b1a0f, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0x35ead168, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0xbdc60f6b, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0x87cc5e9e, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0x1ba73754, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0x8dc2a351, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78d13658, "usb_bulk_msg" },
	{ 0x7c4145a6, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x02d7852a, "usb_sg_wait" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xa8161809, "usb_control_msg" },
	{ 0xd0f14fa6, "usb_register_driver" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x04a7cf42, "device_for_each_child" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x6c572446, "mfd_remove_devices" },
	{ 0x037a0cba, "kfree" },
	{ 0xd80a37c3, "usb_sg_cancel" },
	{ 0xcf6563d0, "usb_deregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3f4d8590, "mfd_add_devices" },
	{ 0x136a540a, "usb_enable_autosuspend" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "07BBAEA833491FB7BC2C389");
