#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_uhs2_dump_regs, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_clear_set_irqs, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_remove_host, "_gpl", "");

SYMBOL_CRC(sdhci_uhs2_dump_regs, 0xc0d09847, "_gpl");
SYMBOL_CRC(sdhci_uhs2_reset, 0xf367184a, "_gpl");
SYMBOL_CRC(sdhci_uhs2_set_power, 0xe7ea438c, "_gpl");
SYMBOL_CRC(sdhci_uhs2_set_timeout, 0xc42c6f33, "_gpl");
SYMBOL_CRC(sdhci_uhs2_clear_set_irqs, 0x5189c274, "_gpl");
SYMBOL_CRC(sdhci_uhs2_irq, 0xee5577bc, "_gpl");
SYMBOL_CRC(sdhci_uhs2_add_host, 0xbfdb2256, "_gpl");
SYMBOL_CRC(sdhci_uhs2_remove_host, 0x4ed3e8f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b941b91, "__sdhci_set_timeout" },
	{ 0x23c4d5e4, "mmc_regulator_set_ocr" },
	{ 0xb6b7029d, "mmc_regulator_set_vqmmc2" },
	{ 0x03082f95, "sdhci_get_vdd_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x25464e2c, "sdhci_set_ios_common" },
	{ 0x1f4afd08, "sdhci_set_clock" },
	{ 0x47e81621, "sdhci_set_ios" },
	{ 0xf9ace8cb, "sdhci_enable_preset_value" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc9851877, "sdhci_remove_host" },
	{ 0xa61f2ca8, "sdhci_setup_host" },
	{ 0x6bc1621e, "__sdhci_add_host" },
	{ 0xba8d57da, "sdhci_cleanup_host" },
	{ 0x8d4e6c62, "regulator_get_current_limit" },
	{ 0xc18d0327, "sdhci_data_line_cmd" },
	{ 0x8af98ff5, "sdhci_initialize_data" },
	{ 0xb23e57a8, "sdhci_prepare_dma" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x866346b3, "sdhci_mod_timer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa0b7a143, "sdhci_present_error" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x2b6d425b, "sdhci_request" },
	{ 0x8ce04bd0, "mmc_command_done" },
	{ 0x2ce95911, "sdhci_needs_reset" },
	{ 0xcd49858f, "sdhci_do_reset" },
	{ 0xfbb9e7ac, "sdhci_request_done_dma" },
	{ 0x0ff09881, "mmc_request_done" },
	{ 0x4514f8b5, "mmc_detect_change" },
	{ 0x9b1d369c, "sdhci_thread_irq" },
	{ 0x8236c57a, "sdhci_complete_work" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8efb1fce, "sdhci_finish_mrq" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x06e3c5de, "__sdhci_finish_data_common" },
	{ 0x952c69bc, "__sdhci_finish_mrq" },
	{ 0xb779ce9b, "sdhci_dumpregs" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core");


MODULE_INFO(srcversion, "299B41F5CD50B61E53A4431");
