#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_exit_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x6147a150, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0xf17e0547, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x974a130c, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0xf607ec8b, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x87bf9aaa, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x89146c11, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0xa35a7ae9, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x93dd3f3e, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x5071343c, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0x80866cf0, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0x0ed94c7a, "_gpl");
SYMBOL_CRC(nand_readid_op, 0xe63b6b3e, "_gpl");
SYMBOL_CRC(nand_status_op, 0x62471b56, "_gpl");
SYMBOL_CRC(nand_exit_status_op, 0x98fbcef8, "_gpl");
SYMBOL_CRC(nand_erase_op, 0x2b2d0f6e, "_gpl");
SYMBOL_CRC(nand_reset_op, 0xc0b5f0dd, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0xeac9b409, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x3653a0b1, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0xe6cf33b6, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0x2931523c, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x988dc524, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0x54a75cef, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0xba56afe4, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0x3dd628a9, "");
SYMBOL_CRC(nand_write_oob_std, 0x4e114cf9, "");
SYMBOL_CRC(nand_write_page_raw, 0xd2584ace, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x91c1a02f, "");
SYMBOL_CRC(nand_decode_ext_id, 0x53b879b6, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x88059a72, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x125d705c, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x0f2c8f42, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x23715da6, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x27647067, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x401bca79, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x6b884d3c, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x707cb1c8, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0xb7a57ea4, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x1d2f9993, "");
SYMBOL_CRC(nand_cleanup, 0x97f68df9, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0x7b944c3b, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0xcbca03e0, "");
SYMBOL_CRC(nand_create_bbt, 0xecd476ef, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa818a7b, "mtd_ooblayout_find_eccregion" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x827f1db8, "mtd_ooblayout_get_databytes" },
	{ 0x81188c30, "match_string" },
	{ 0x49fde792, "mtd_ooblayout_get_eccbytes" },
	{ 0x80404ec5, "nanddev_mtd_max_bad_blocks" },
	{ 0x087799aa, "nand_ecc_sw_bch_calculate" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xf222e055, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc7911156, "mtd_read_oob" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x49a8e428, "gpiod_count" },
	{ 0x1f1b04fc, "nanddev_cleanup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7f6c6439, "nand_get_large_page_hamming_ooblayout" },
	{ 0x69acdf38, "memcpy" },
	{ 0x259e5718, "nand_get_large_page_ooblayout" },
	{ 0x037a0cba, "kfree" },
	{ 0xa347e46c, "gpiod_get_index_optional" },
	{ 0x73c07b9a, "nand_ecc_sw_hamming_init_ctx" },
	{ 0xcf481191, "nanddev_init" },
	{ 0x8e2d2441, "nand_ecc_sw_bch_correct" },
	{ 0xa346d64a, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0xa06557a0, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4b1c8976, "nand_ecc_sw_hamming_calculate" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x0998019f, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x895feb23, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd0734197, "_dev_err" },
	{ 0xf9fbb340, "nand_ecc_is_strong_enough" },
	{ 0x0be74896, "mtd_write_oob" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0xfb37ddc5, "nand_get_small_page_ooblayout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x9fa2dafe, "nand_ecc_sw_hamming_correct" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4a936e8f, "mtd_read" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4a149b9a, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6cd8bb0e, "mtd_ooblayout_set_databytes" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "9AF0B16F1472F28D87BF423");
