#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x7bb304dd, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x1379b9d4, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x3f99662e, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x1cd22694, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0xe379a8c4, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0xe66960ae, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0xfb9df61c, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x5b2df37a, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0xf6c3d043, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x663cfc57, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0xed7f623a, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x40876ded, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x7db8cc81, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x3dd604b5, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x319fed11, "fwnode_property_read_u32_array" },
	{ 0xc6cbbc89, "capable" },
	{ 0xaf3e0764, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x73c07e98, "compat_ptr_ioctl" },
	{ 0x14e1425a, "cdev_add" },
	{ 0x0bb62b60, "mtd_block_markbad" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x3c68f838, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xde2aa60a, "unregister_mtd_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3eaac1bb, "kmem_cache_free" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x98fa43c0, "fixed_size_llseek" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x37e765c4, "put_mtd_device" },
	{ 0xed932f1e, "register_mtd_user" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4a936e8f, "mtd_read" },
	{ 0xf04488a7, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x01a9e109, "freezing_slow_path" },
	{ 0xeb78441d, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0x8acab588, "kern_path" },
	{ 0x5f5bc5da, "__vmalloc_noprof" },
	{ 0x89069085, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0f5d9794, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0x8453f818, "__kmem_cache_create_args" },
	{ 0xa7191466, "mtd_erase" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc6c7fca8, "kthread_create_on_node" },
	{ 0xa94462bd, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x769f5a6a, "mtd_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x230e58b4, "fwnode_property_read_string" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x247b6e40, "device_get_named_child_node" },
	{ 0xba936f69, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8d6aff89, "__put_user_nocheck_4" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0xb40dfb77, "mtd_get_device_size" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe8f042db, "seq_open" },
	{ 0x754d539c, "strlen" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbf3b7640, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xea72c169, "class_register" },
	{ 0x30f076bf, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xe7458c1b, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa993097a, "kmem_cache_destroy" },
	{ 0x760a0f4f, "yield" },
	{ 0x798fab05, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe693fe3f, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2cca19ea, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x6b4b8e63, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x21bb96a5, "cdev_device_del" },
	{ 0x83e0d3c9, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x248cc4c4, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x183ec921, "fwnode_get_next_child_node" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x715801e3, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6f4bdda7, "get_mtd_device_nm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc0a6a21c, "path_put" },
	{ 0x0907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb58f519a, "get_mtd_device" },
	{ 0xd812d09d, "wake_up_process" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5c988a12, "device_set_node" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xef3d9f7b, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa28d073d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "CD648643DF84599AC5E1924");
