#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cnic_register_driver, "", "");
KSYMTAB_FUNC(cnic_unregister_driver, "", "");

SYMBOL_CRC(cnic_register_driver, 0xb877d7d0, "");
SYMBOL_CRC(cnic_unregister_driver, 0x636af174, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x43eaa0d4, "netdev_warn" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x44e60a66, "init_net" },
	{ 0xb4229a07, "ip6_route_output_flags" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xabf63cae, "uio_unregister_device" },
	{ 0xc2be9a56, "pci_dev_put" },
	{ 0x037a0cba, "kfree" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0xca738dd5, "ip_route_output_flow" },
	{ 0x7467f46b, "ip6_mtu" },
	{ 0xe20a91b7, "vlan_dev_real_dev" },
	{ 0x70be755a, "vlan_dev_vlan_id" },
	{ 0x1c8fc996, "ipv4_mtu" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x2ee0ed59, "netdev_info" },
	{ 0x5db55af7, "pci_dev_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x037876d2, "netdev_err" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x0307c400, "__uio_register_device" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb354cd13, "uio_event_notify" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "uio");


MODULE_INFO(srcversion, "3F3EADD5BE10FB09E2E9B3E");
