#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x8459c3ed, "");
SYMBOL_CRC(be_roce_unregister_driver, 0xe6969307, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9f68349f, "pci_iounmap" },
	{ 0x25802ec7, "pci_restore_state" },
	{ 0x991de1d6, "netif_tx_wake_queue" },
	{ 0x1c1e8117, "devm_hwmon_device_register_with_groups" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0x0313037f, "netif_tx_lock" },
	{ 0xa3ba22cd, "__netdev_alloc_skb" },
	{ 0x1a86cd64, "__netif_napi_del_locked" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x9084dfb9, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbf1e001d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5278fdf4, "__folio_put" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe007335b, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x02d3b8a3, "skb_clone" },
	{ 0x72bff50d, "__hw_addr_sync_dev" },
	{ 0x760c0f9f, "pci_disable_sriov" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x14ae08b1, "netif_carrier_on" },
	{ 0x50c26879, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0xa275187e, "pci_disable_device" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0xb637657c, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x5d3c3241, "napi_schedule_prep" },
	{ 0x6789afbb, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0xd3aae776, "napi_disable" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x3767ba60, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x98096cf7, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x058a30b8, "pci_write_config_dword" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2ee0ed59, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9d80db70, "alloc_etherdev_mqs" },
	{ 0x646ed0f0, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2bf1d387, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x06dd2884, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0x2908c1ae, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x19a29890, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x282e3a91, "param_ops_ushort" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0x7a718811, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x348293fa, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf2801e5e, "ndo_dflt_bridge_getlink" },
	{ 0x1a6d3aaa, "unregister_netdev" },
	{ 0xf9612a74, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0xf918181a, "pci_num_vf" },
	{ 0xbb89dfc3, "pci_request_regions" },
	{ 0x060b16f4, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x0e23b37f, "alloc_cpumask_var_node" },
	{ 0x15640372, "pci_sriov_get_totalvfs" },
	{ 0xcfd73d88, "eth_validate_addr" },
	{ 0x2d15b5a4, "netif_napi_add_weight_locked" },
	{ 0xfba4d096, "udp_tunnel_nic_ops" },
	{ 0x5a1fe8ad, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0x05c5234f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0x15ef83d0, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x54f67676, "__napi_schedule" },
	{ 0xe2869f4e, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x166fc5da, "netif_device_detach" },
	{ 0x0549aa38, "__hw_addr_unsync_dev" },
	{ 0x567d068a, "_dev_info" },
	{ 0x999f5537, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x272d8830, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xd0734197, "_dev_err" },
	{ 0xa9f37490, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x21f51e91, "netif_set_real_num_tx_queues" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0x2e8e933a, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x36a321da, "napi_enable" },
	{ 0x9b45dd85, "netif_receive_skb" },
	{ 0xc450210b, "register_netdev" },
	{ 0x7108738d, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3b186a1f, "ethtool_op_get_link" },
	{ 0xb0631095, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "205612569D26FEAD3020046");
