#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");
KSYMTAB_FUNC(ice_alloc_rdma_qvector, "_gpl", "");
KSYMTAB_FUNC(ice_free_rdma_qvector, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x0f501cfc, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xd3e6ef55, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x3126186b, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x52bc972f, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x5aa22dc5, "_gpl");
SYMBOL_CRC(ice_alloc_rdma_qvector, 0xf14c8595, "_gpl");
SYMBOL_CRC(ice_free_rdma_qvector, 0x292a276d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0db8366f, "devl_unlock" },
	{ 0x1a86cd64, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x55c1dfe0, "__dynamic_netdev_dbg" },
	{ 0x907cd046, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0x7be4c8cd, "flow_rule_match_pppoe" },
	{ 0xfa7983e8, "pv_ops" },
	{ 0x7b3a8bee, "flow_rule_match_enc_control" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0xa94462bd, "seq_read" },
	{ 0xbb5617a8, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xb140a091, "gnss_deregister_device" },
	{ 0x8dc3e5d2, "rps_may_expire_flow" },
	{ 0x202ab87c, "metadata_dst_free" },
	{ 0xebd3064a, "xsk_set_tx_need_wakeup" },
	{ 0x71150e15, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3dcc939c, "netdev_reset_tc" },
	{ 0x8dc7f491, "gro_receive_skb" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0x15cb9966, "kthread_destroy_worker" },
	{ 0x208b3442, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x052daeb7, "flow_rule_match_enc_ports" },
	{ 0x014870d1, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x8f148719, "dpll_netdev_pin_clear" },
	{ 0xd96d2f5c, "netif_queue_set_napi" },
	{ 0x090a99a6, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x9a7d891b, "call_netdevice_notifiers" },
	{ 0x00aa1603, "xa_find" },
	{ 0xf358177b, "devl_assert_locked" },
	{ 0x44f3a197, "pcie_print_link_status" },
	{ 0xbbd1b70f, "xp_set_rxq_info" },
	{ 0xbaa1ee48, "flow_rule_match_vlan" },
	{ 0x7caaa1dd, "devl_port_unregister" },
	{ 0x2354c97c, "xdp_rxq_info_unreg" },
	{ 0x5db55af7, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x135d0e57, "devl_param_driverinit_value_get" },
	{ 0x75b7608f, "napi_build_skb" },
	{ 0xc5af7be3, "netdev_master_upper_dev_get_rcu" },
	{ 0x4838f17b, "__xdp_rxq_info_reg" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x17e73d91, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe007335b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x588a5df0, "dpll_pin_register" },
	{ 0xea2ce045, "gnss_register_device" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa5f0d094, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x72bff50d, "__hw_addr_sync_dev" },
	{ 0x760c0f9f, "pci_disable_sriov" },
	{ 0xc48d9d65, "pldmfw_flash_image" },
	{ 0xb33e43e1, "kthread_queue_delayed_work" },
	{ 0xb49d7a94, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0x14ae08b1, "netif_carrier_on" },
	{ 0x03601f23, "netdev_set_num_tc" },
	{ 0xf3febce2, "dpll_device_register" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0x528762cd, "hwmon_device_unregister" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x23f18a70, "ktime_get_snapshot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcabbb02b, "dev_uc_add_excl" },
	{ 0x4c90baba, "xp_free" },
	{ 0xddea4154, "dev_mc_add_excl" },
	{ 0x2a38420f, "gnss_put_device" },
	{ 0x49d0e787, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0xeb2140fd, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf3c38f7e, "pack_fields_u8" },
	{ 0xb637657c, "netif_set_tso_max_size" },
	{ 0x046729ec, "__skb_flow_dissect" },
	{ 0x70be755a, "vlan_dev_vlan_id" },
	{ 0x6b65dae4, "pci_msix_alloc_irq_at" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x61679bb1, "skb_add_rx_frag_netmem" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x714638f1, "pcim_iomap_table" },
	{ 0x1a455602, "xdp_master_redirect" },
	{ 0x68f3d1b6, "__devm_add_action" },
	{ 0x95c19a9a, "dpll_pin_on_pin_register" },
	{ 0x5d3c3241, "napi_schedule_prep" },
	{ 0xa4efa395, "napi_consume_skb" },
	{ 0x98abd0d3, "pci_read_config_byte" },
	{ 0xe9f9096a, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xd3aae776, "napi_disable" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x08e19431, "dcb_ieee_delapp" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x3fca5300, "netif_enable_cpu_rmap" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaec940e7, "single_open" },
	{ 0x623494e2, "pcim_enable_device" },
	{ 0x900a43fe, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeca6626b, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x73d6b795, "flow_rule_match_control" },
	{ 0xff7e0468, "flow_rule_match_ip" },
	{ 0x98096cf7, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb5209ef0, "dpll_device_get" },
	{ 0x56c88e20, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x265b260f, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa9e3da63, "netif_napi_set_irq_locked" },
	{ 0xf2631606, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x2ee0ed59, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x06593d5f, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x75bcb07d, "__tracepoint_xdp_exception" },
	{ 0x6abf098d, "xsk_tx_completed" },
	{ 0x2a3d47f6, "napi_alloc_skb" },
	{ 0x9d80db70, "alloc_etherdev_mqs" },
	{ 0x862859d9, "netdev_lower_get_next" },
	{ 0x4f9e7842, "flow_block_cb_lookup" },
	{ 0x646ed0f0, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x65d1db4b, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x24199ffa, "device_set_wakeup_enable" },
	{ 0x2bf1d387, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf310ad56, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5cd19bd1, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x20cf1b5a, "pci_find_ext_capability" },
	{ 0x308a06fe, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1ffa3c23, "devl_region_create" },
	{ 0xb502e823, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xa920901f, "devm_request_threaded_irq" },
	{ 0x6987e490, "kthread_cancel_delayed_work_sync" },
	{ 0xe59aae48, "dpll_device_change_ntf" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x41bbbdd7, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6da64a34, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x809f9b5c, "call_switchdev_notifiers" },
	{ 0x86871b40, "devlink_info_version_stored_put_ext" },
	{ 0x07efae96, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x94366b7f, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x94dd5c40, "ethtool_forced_speed_maps_init" },
	{ 0x1c062c22, "auxiliary_device_init" },
	{ 0xc49bdc59, "pci_enable_device_mem" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0x0f86f560, "kthread_delayed_work_timer_fn" },
	{ 0x6d0a28ad, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x37effa85, "pci_alloc_irq_vectors" },
	{ 0x25163da2, "flow_rule_match_l2tpv3" },
	{ 0x1227ce9b, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa81966a5, "xsk_tx_peek_release_desc_batch" },
	{ 0x348293fa, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x61759c2c, "dmam_alloc_attrs" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x07eb979a, "devl_lock" },
	{ 0xc2be9a56, "pci_dev_put" },
	{ 0x27511eb6, "xp_fill_cb" },
	{ 0x6d81b822, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf2801e5e, "ndo_dflt_bridge_getlink" },
	{ 0x1a6d3aaa, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7c9ee6fa, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x1e925214, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xed951d67, "xdp_features_set_redirect_target" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x223223be, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x9cfbcceb, "dev_uc_del" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x8a26348f, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1057a279, "bsearch" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x503246fe, "gnss_insert_raw" },
	{ 0xf918181a, "pci_num_vf" },
	{ 0xfa2323b6, "flow_rule_match_eth_addrs" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0xcdcfe876, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x0df1d856, "ptp_clock_index" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0xb755ce0e, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8ba3fdad, "xp_can_alloc" },
	{ 0x037a0cba, "kfree" },
	{ 0x77ff15c7, "devlink_alloc_ns" },
	{ 0x61d7e175, "devl_rate_leaf_destroy" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x3c2c3f81, "xdp_do_redirect" },
	{ 0x9a9212df, "devlink_free" },
	{ 0xcfd73d88, "eth_validate_addr" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2d15b5a4, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x2bfac036, "devl_rate_node_create" },
	{ 0x43eaa0d4, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xfba4d096, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6cf3addb, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3d5f6e7e, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x20fdfba9, "pci_irq_vector" },
	{ 0x6fb3b77b, "flow_rule_match_ipv4_addrs" },
	{ 0x13486730, "dpll_pin_on_pin_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x990f8d1b, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x037876d2, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0x376134e2, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xd812d09d, "wake_up_process" },
	{ 0x7b810861, "devlink_flash_update_status_notify" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0xf5444453, "pci_restore_msi_state" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0xd1f1eb89, "xdp_return_buff" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0x30c9a75c, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x04f89cec, "auxiliary_driver_unregister" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0x15ef83d0, "napi_complete_done" },
	{ 0xc81a01b2, "switchdev_handle_port_obj_del" },
	{ 0x8d164611, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc61935d6, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc123c844, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x29f549f7, "skb_checksum_help" },
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa28d073d, "put_device" },
	{ 0x02f30589, "devm_free_irq" },
	{ 0x8ee8543e, "net_dim" },
	{ 0x54f67676, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x16d65c7a, "ipv6_skip_exthdr" },
	{ 0x7a7db752, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6ee8b603, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x166fc5da, "netif_device_detach" },
	{ 0x39da6341, "numa_node" },
	{ 0xc48a9b58, "__free_pages" },
	{ 0x0549aa38, "__hw_addr_unsync_dev" },
	{ 0x567d068a, "_dev_info" },
	{ 0x999f5537, "netif_device_attach" },
	{ 0x5ebb13fd, "xdp_features_clear_redirect_target" },
	{ 0x566a318e, "netdev_pick_tx" },
	{ 0xc8c1d748, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf78be53d, "xp_raw_get_dma" },
	{ 0xef86a45c, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c7a8579, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6c3bed2d, "xdp_rxq_info_is_reg" },
	{ 0x0f086b91, "flow_rule_match_enc_opts" },
	{ 0xddd5c421, "devl_health_reporter_create" },
	{ 0xbf9371ef, "flow_block_cb_setup_simple" },
	{ 0x35abd87a, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8c21a19, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa7ac366a, "dev_open" },
	{ 0x7ba5efde, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xe20a91b7, "vlan_dev_real_dev" },
	{ 0x903ed0da, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x272d8830, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb805f52f, "devm_kmemdup" },
	{ 0x3c2764ac, "pci_msix_free_irq" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0xd26ad078, "devlink_flash_update_timeout_notify" },
	{ 0xdb94223e, "devm_kfree" },
	{ 0xd0734197, "_dev_err" },
	{ 0x44e60a66, "init_net" },
	{ 0xa9f37490, "softnet_data" },
	{ 0x3c68f838, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x83d648f9, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2166ed49, "ptp_clock_register" },
	{ 0x404c2a7e, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0xae022281, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x21f51e91, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x1e063198, "__auxiliary_device_add" },
	{ 0x9f096290, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x70dcb1a4, "netif_set_affinity_auto" },
	{ 0x2e8e933a, "netif_set_real_num_rx_queues" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0xfd2999e5, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x318f539a, "devl_port_register_with_ops" },
	{ 0xb5e922f8, "devlink_fmsg_dump_skb" },
	{ 0x50b148b7, "pci_wait_for_pending_transaction" },
	{ 0x934926e3, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37512857, "pci_device_is_present" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0xc426afb0, "pci_read_config_word" },
	{ 0x016a5565, "pcie_flr" },
	{ 0x36a321da, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x818033ac, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x7277ce5f, "dcbnl_ieee_notify" },
	{ 0x8bd9b9aa, "xsk_uses_need_wakeup" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0xc450210b, "register_netdev" },
	{ 0x51067670, "dev_mc_del" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x7108738d, "free_netdev" },
	{ 0xfd23939c, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe643e7c0, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8c9e54d3, "devlink_info_version_running_put_ext" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3b186a1f, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xb0631095, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x97f7d76d, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x8f02a611, "netif_tx_stop_all_queues" },
	{ 0x25802ec7, "pci_restore_state" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0x991de1d6, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x555435d2, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf4cb4ae5, "dcb_getapp" },
	{ 0x12c1b968, "dmam_free_coherent" },
	{ 0xa80b12cd, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x9edb2bcb, "flow_rule_match_ports" },
	{ 0x5370e03e, "gnss_allocate_device" },
	{ 0x9c44f50d, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb7d66a9c, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xc72cac90, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0x506d0fab, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x526dfd74, "flow_rule_match_ipv6_addrs" },
	{ 0xf366c3ce, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xda922328, "devl_params_unregister" },
	{ 0x9893ddd3, "ptp_clock_unregister" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0xaa038703, "xp_dma_unmap" },
	{ 0x3c3fbf76, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xc1ffbc6f, "kthread_create_worker_on_node" },
	{ 0x5f9e751a, "switchdev_handle_port_obj_add" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "gnss,libie");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:ice.sf");

MODULE_INFO(srcversion, "5DBC8CC2BC7ED4B8750C984");
