#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_wq_ring_doorbell, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_ring_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_eq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_wq_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_queue, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_register_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_deregister_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_post_work_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_poll_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_get_primary_netdev, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0x4429b62c, "");
SYMBOL_CRC(mana_gd_wq_ring_doorbell, 0x4941487a, "");
SYMBOL_CRC(mana_gd_ring_cq, 0x378963c5, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0xca0afdda, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0x4a2cf257, "");
SYMBOL_CRC(mana_gd_create_mana_wq_cq, 0xd0d54e13, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0x7b88f1c6, "");
SYMBOL_CRC(mana_gd_register_device, 0xf00a5af9, "");
SYMBOL_CRC(mana_gd_deregister_device, 0xac283565, "");
SYMBOL_CRC(mana_gd_post_work_request, 0x1a57de62, "");
SYMBOL_CRC(mana_gd_poll_cq, 0x07fa6b78, "");
SYMBOL_CRC(mana_uncfg_vport, 0xde42433a, "");
SYMBOL_CRC(mana_cfg_vport, 0xeb653c89, "");
SYMBOL_CRC(mana_create_wq_obj, 0x47507675, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0x364ed2dc, "");
SYMBOL_CRC(mana_get_primary_netdev, 0xd3f301d3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x166fc5da, "netif_device_detach" },
	{ 0x39da6341, "numa_node" },
	{ 0x567d068a, "_dev_info" },
	{ 0x999f5537, "netif_device_attach" },
	{ 0x89253265, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6aee6c7f, "__skb_get_hash_net" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xd0734197, "_dev_err" },
	{ 0x3c68f838, "simple_open" },
	{ 0x3402a803, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x01c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x21f51e91, "netif_set_real_num_tx_queues" },
	{ 0x1e063198, "__auxiliary_device_add" },
	{ 0x2e8e933a, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xbaf4332d, "netdev_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x016a5565, "pcie_flr" },
	{ 0x36a321da, "napi_enable" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0xc450210b, "register_netdev" },
	{ 0xffb7c514, "ida_free" },
	{ 0x7108738d, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf30fc678, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3b186a1f, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x97f7d76d, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9f68349f, "pci_iounmap" },
	{ 0x991de1d6, "netif_tx_wake_queue" },
	{ 0x555435d2, "device_del" },
	{ 0x6bee75eb, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0x9e44f5c6, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xccac7c9a, "debugfs_create_u32" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x1a86cd64, "__netif_napi_del_locked" },
	{ 0xe79042ae, "__bitmap_weight_andnot" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x55c1dfe0, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x8dc7f491, "gro_receive_skb" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbf1e001d, "pci_release_regions" },
	{ 0x934cea83, "bpf_prog_add" },
	{ 0x2354c97c, "xdp_rxq_info_unreg" },
	{ 0x22bb4cd9, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x75b7608f, "napi_build_skb" },
	{ 0xc5af7be3, "netdev_master_upper_dev_get_rcu" },
	{ 0x5278fdf4, "__folio_put" },
	{ 0x4838f17b, "__xdp_rxq_info_reg" },
	{ 0x49e6ce92, "xdp_set_features_flag" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe007335b, "netif_carrier_off" },
	{ 0x14ae08b1, "netif_carrier_on" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa275187e, "pci_disable_device" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0xb637657c, "netif_set_tso_max_size" },
	{ 0x1a455602, "xdp_master_redirect" },
	{ 0x7991ce23, "__napi_schedule_irqoff" },
	{ 0x5d3c3241, "napi_schedule_prep" },
	{ 0xa4efa395, "napi_consume_skb" },
	{ 0xd3aae776, "napi_disable" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0x3fab110b, "vcalloc_noprof" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeca6626b, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf9a482f9, "msleep" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2ee0ed59, "netdev_info" },
	{ 0x0172a59c, "cpu_sibling_map" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x75bcb07d, "__tracepoint_xdp_exception" },
	{ 0x9d80db70, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x308a06fe, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x19a29890, "pci_enable_device" },
	{ 0x0ee03265, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1c062c22, "auxiliary_device_init" },
	{ 0x7a718811, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x37effa85, "pci_alloc_irq_vectors" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x6d81b822, "bpf_warn_invalid_xdp_action" },
	{ 0x0160266c, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xce8a04fb, "debugfs_create_u16" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xbb89dfc3, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x0e23b37f, "alloc_cpumask_var_node" },
	{ 0xd0d1db28, "page_pool_destroy" },
	{ 0x3c2c3f81, "xdp_do_redirect" },
	{ 0xcfd73d88, "eth_validate_addr" },
	{ 0x2d15b5a4, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x43eaa0d4, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x20fdfba9, "pci_irq_vector" },
	{ 0x67686b10, "unregister_netdevice_queue" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x037876d2, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0x30c9a75c, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0x15ef83d0, "napi_complete_done" },
	{ 0x8d164611, "__alloc_pages_noprof" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x29f549f7, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa28d073d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F5016C817C27A13F0E9F7C1");
