#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xa493e044, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x4cc32e5a, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x11394e50, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x29a9f13c, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xea1c20b1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1828ebab, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6f5f3965, "eth_header_cache_update" },
	{ 0xa323e412, "nf_register_net_hooks" },
	{ 0xb4229a07, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x05b4e5ab, "ip_route_input_noref" },
	{ 0x71430632, "__dev_get_by_index" },
	{ 0xa307d66e, "rtnl_link_unregister" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0x2d626ce5, "netif_stacked_transfer_operstate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x145c609c, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x95354c99, "ns_capable" },
	{ 0xb6b2fcb1, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3b186a1f, "ethtool_op_get_link" },
	{ 0x6af95a6c, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x65a1a183, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0xe7b5c95f, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x907cd046, "free_percpu" },
	{ 0x23ac7cdf, "skb_scrub_packet" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x71150e15, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdb2d87a9, "vlan_vid_add" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x9a7d891b, "call_netdevice_notifiers" },
	{ 0xbd5ca3ad, "vlan_vid_del" },
	{ 0xfa9a75b2, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x02d3b8a3, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2afca751, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf0c6e42a, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xc0d0011f, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xc3000164, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd056c359, "dev_change_flags" },
	{ 0xcd6bfa87, "netdev_core_stats_inc" },
	{ 0x318a46ba, "dev_forward_skb" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x0c5a5cc8, "register_netdevice" },
	{ 0x89f57540, "__do_once_done" },
	{ 0xea183297, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xf98c10e6, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x55f31b3d, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xce331482, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8ab7f9bb, "netdev_update_features" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0x8d77f73a, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7f4f13c8, "dev_uc_sync" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xa24d3ba8, "rtnl_link_register" },
	{ 0xd8dbf451, "netif_inherit_tso_max" },
	{ 0xf896ff3f, "eth_header_cache" },
	{ 0x037a0cba, "kfree" },
	{ 0xca738dd5, "ip_route_output_flow" },
	{ 0x67686b10, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa410b612, "dev_uc_unsync" },
	{ 0x8ce200b8, "ether_setup" },
	{ 0x037876d2, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x379e550a, "netdev_upper_dev_link" },
	{ 0xc9e6c0b9, "register_pernet_subsys" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xad938b1e, "eth_header_parse" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6386F4546FECB8D7DCBAA00");
