#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xb3227ba0, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x33d9a9ec, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xeb0bc884, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x33391004, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x1d2a429d, "__iptunnel_pull_header" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xe7b5c95f, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x0491272a, "setup_udp_tunnel_sock" },
	{ 0x8c61bfed, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaf79b167, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x55c1dfe0, "__dynamic_netdev_dbg" },
	{ 0x907cd046, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23ac7cdf, "skb_scrub_packet" },
	{ 0x2966a8f2, "nexthop_select_path" },
	{ 0xfa7983e8, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x202ab87c, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x89592605, "neigh_destroy" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x2a0b6a36, "udp_tun_rx_dst" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x051c079d, "rtnl_notify" },
	{ 0x8753b9aa, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5209ce7b, "__netif_rx" },
	{ 0x02d3b8a3, "skb_clone" },
	{ 0xb49d7a94, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0x70ddfa6f, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x29257adf, "udp_tunnel_notify_del_rx_port" },
	{ 0x1a55e25e, "register_nexthop_notifier" },
	{ 0x807912df, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf0338d05, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x79548ebf, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2ee0ed59, "netdev_info" },
	{ 0x1ecdb045, "neigh_lookup" },
	{ 0xec8dafd2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x0c5a5cc8, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xaffcebec, "__skb_checksum_complete" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0x132d4666, "__nlmsg_put" },
	{ 0x8e701f8f, "netdev_adjacent_change_commit" },
	{ 0x4a280003, "eth_mac_addr" },
	{ 0x0ee03265, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x809f9b5c, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd5fc9b54, "ip6_dst_hoplimit" },
	{ 0x282e3a91, "param_ops_ushort" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x920829e6, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x937f2bbe, "udp_tunnel6_xmit_skb" },
	{ 0xa24d3ba8, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x620920e9, "__unregister_nexthop_notifier" },
	{ 0xd8dbf451, "netif_inherit_tso_max" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xcfd73d88, "eth_validate_addr" },
	{ 0xabea5f83, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb76a9bb7, "rtnl_create_link" },
	{ 0x67686b10, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3bb8355e, "iptunnel_handle_offloads" },
	{ 0x50ff7a4f, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8ce200b8, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x81df7049, "udp_tunnel_drop_rx_port" },
	{ 0x379e550a, "netdev_upper_dev_link" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0xc9e6c0b9, "register_pernet_subsys" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x47076f7c, "dst_cache_destroy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0xeb162f79, "udp_tunnel_notify_add_rx_port" },
	{ 0x3136495d, "dst_cache_init" },
	{ 0x8833c3a9, "eth_gro_complete" },
	{ 0x75513712, "rtnl_set_sk_err" },
	{ 0x3164c272, "eth_gro_receive" },
	{ 0x23223519, "rtnl_configure_link" },
	{ 0x9f479afd, "skb_tunnel_check_pmtu" },
	{ 0x48bab78a, "udp_tunnel_dst_lookup" },
	{ 0x97c8e75a, "rtnl_unicast" },
	{ 0x9233716d, "peernet2id" },
	{ 0x6aee6c7f, "__skb_get_hash_net" },
	{ 0xf916b4af, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x71430632, "__dev_get_by_index" },
	{ 0xa307d66e, "rtnl_link_unregister" },
	{ 0x7bd0e017, "ipv6_stub" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x09e6d4b5, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x02e746ad, "dev_get_by_index_rcu" },
	{ 0x56848656, "gro_cells_receive" },
	{ 0xb51878d5, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x145c609c, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x662b0644, "__rtnl_register_many" },
	{ 0x7108738d, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb8369f3c, "ip_mc_join_group" },
	{ 0x2ffe28d3, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xad818c4c, "lock_sock_nested" },
	{ 0x3b186a1f, "ethtool_op_get_link" },
	{ 0x9fcb977a, "nexthop_find_by_id" },
	{ 0x71753889, "arp_create" },
	{ 0x6af95a6c, "__ethtool_get_link_ksettings" },
	{ 0x92bdb790, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x65a1a183, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xbc392194, "netdev_adjacent_change_abort" },
	{ 0xeef57e44, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x65f11671, "udp_tunnel6_dst_lookup" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "F2E4A2EEB259B6997CAB66E");
