#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x9d619c8f, "");
SYMBOL_CRC(ath10k_info, 0xb9b930a2, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x755cef3c, "");
SYMBOL_CRC(ath10k_err, 0xa9235115, "");
SYMBOL_CRC(ath10k_warn, 0x34dca7ff, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0xf3af3e57, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x4bf5137c, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x3a15c29b, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x0cd10b3f, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0xf64cf3bf, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0xfdff2639, "");
SYMBOL_CRC(ath10k_core_start, 0x5bdae846, "");
SYMBOL_CRC(ath10k_core_stop, 0x6ae16593, "");
SYMBOL_CRC(ath10k_core_register, 0x51e2ca7c, "");
SYMBOL_CRC(ath10k_core_unregister, 0xcfbbbb61, "");
SYMBOL_CRC(ath10k_core_create, 0x1b7c8503, "");
SYMBOL_CRC(ath10k_core_destroy, 0x61714224, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x63018e1d, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x7aca5a82, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0xe9337c71, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0xb18edb4d, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x8ce9dbfc, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x06390f8f, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x8e7f2530, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x780fac4e, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0xe83f327a, "");
SYMBOL_CRC(ath10k_bmi_start, 0x321cf012, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x0fce1710, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x907ee7b3, "");
SYMBOL_CRC(ath10k_coredump_new, 0x4827fa99, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xd06d1b54, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x18f7a05f, "");
SYMBOL_CRC(ath10k_ce_send, 0xd03a403c, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x0f35714f, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xa774c72f, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0xe5b9887b, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x3028d45b, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x5a686420, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x5bc3c1a1, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x2822092b, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0xf5dfe24c, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xf2869dc3, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xc321ebf5, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x37310da2, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0xcb8e1c09, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0xc4c0fea1, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x0423bf02, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x68e66556, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x68d29676, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x30537b68, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x1d82bd41, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x6ca82584, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0xf24dca72, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0xa4892888, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x0f1c85a1, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x3862caae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24199ffa, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x94b33418, "ieee80211_connection_loss" },
	{ 0x84e58da8, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe9b2ffec, "is_acpi_device_node" },
	{ 0x05d9a39c, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc5f66919, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x0021e307, "ieee80211_txq_get_depth" },
	{ 0x2908c1ae, "param_ops_uint" },
	{ 0x06fe5e1a, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x0ee03265, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x94366b7f, "firmware_request_nowarn" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x27fe30df, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcc78f507, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x0160266c, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8d6e85c8, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0x935d3b20, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xf10de5e8, "ieee80211_iterate_stations_atomic" },
	{ 0x2524deba, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0xadff5382, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0xb7e1f343, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0xd843e882, "thermal_cooling_device_register" },
	{ 0x79876873, "led_classdev_unregister" },
	{ 0xcbda8d67, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x3ccfc972, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xf12d286d, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6bf7e311, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0x3d312923, "skb_queue_purge_reason" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcb85f5fc, "ieee80211_find_sta" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x387c5a21, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x43b646f4, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xf4196511, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x567d068a, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x89253265, "skb_queue_tail" },
	{ 0xc8fdf070, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xda85925d, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd9a12ced, "wiphy_to_ieee80211_hw" },
	{ 0xf01876cc, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9a3e16e0, "ieee80211_queue_delayed_work" },
	{ 0xc0990dd1, "ieee80211_proberesp_get" },
	{ 0xd0734197, "_dev_err" },
	{ 0x3c68f838, "simple_open" },
	{ 0xe4deed42, "skb_pull" },
	{ 0xe468895c, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c472df5, "init_uts_ns" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6182eae8, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4b89b992, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x276c7784, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x36a321da, "napi_enable" },
	{ 0x80a6b298, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa55e0847, "ieee80211_wake_queues" },
	{ 0x7108738d, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7a543952, "ieee80211_report_low_ack" },
	{ 0x65c77a5e, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x05019fac, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x17c2086f, "led_classdev_register_ext" },
	{ 0x7526f924, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa95daf03, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x84e64183, "default_llseek" },
	{ 0x674f6866, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1c1e8117, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x9e44f5c6, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6d43449, "devm_nvmem_cell_get" },
	{ 0xcb579238, "ieee80211_stop_queue" },
	{ 0xa3ba22cd, "__netdev_alloc_skb" },
	{ 0xc7a11f54, "ieee80211_ready_on_channel" },
	{ 0x6db85105, "ieee80211_stop_queues" },
	{ 0xaf79b167, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x573bc653, "skb_realloc_headroom" },
	{ 0x9061f7f5, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xaadad49f, "alloc_netdev_dummy" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0x44a53273, "ieee80211_scan_completed" },
	{ 0x7cc5d258, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x090a99a6, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x8563af11, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb87ff0cd, "ath_regd_init" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x8b7aff3f, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3ed6a9a7, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0x260ba2c6, "ieee80211_tdls_oper_request" },
	{ 0x46d36e9b, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3277691c, "thermal_cooling_device_unregister" },
	{ 0xc5069d6f, "ieee80211_tx_rate_update" },
	{ 0xa76a5323, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0xd3aae776, "napi_disable" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x540fa239, "ieee80211_bss_get_elem" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x576b8e49, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x8eb5b940, "ieee80211_csa_finish" },
	{ 0x46bce313, "skb_queue_head" },
	{ 0x84e492cb, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xc8b0cf55, "ieee80211_beacon_update_cntdwn" },
	{ 0xa20ae500, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,ath");


MODULE_INFO(srcversion, "B210605F7C4CA6F621B6950");
