#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");
KSYMTAB_FUNC(ipw_wx_set_spy, "", "");
KSYMTAB_FUNC(ipw_wx_get_spy, "", "");
KSYMTAB_FUNC(ipw_wx_set_thrspy, "", "");
KSYMTAB_FUNC(ipw_wx_get_thrspy, "", "");
KSYMTAB_FUNC(libipw_crypt_info_init, "", "");
KSYMTAB_FUNC(libipw_crypt_info_free, "", "");
KSYMTAB_FUNC(libipw_crypt_delayed_deinit, "", "");
KSYMTAB_FUNC(libipw_register_crypto_ops, "", "");
KSYMTAB_FUNC(libipw_unregister_crypto_ops, "", "");
KSYMTAB_FUNC(libipw_get_crypto_ops, "", "");

SYMBOL_CRC(libipw_networks_age, 0x03820024, "");
SYMBOL_CRC(alloc_libipw, 0x4cc8ecbb, "");
SYMBOL_CRC(free_libipw, 0x63f4dc98, "");
SYMBOL_CRC(libipw_xmit, 0x7f0a177c, "");
SYMBOL_CRC(libipw_txb_free, 0xdc90b23b, "");
SYMBOL_CRC(libipw_rx_mgt, 0x6ce1e6bf, "");
SYMBOL_CRC(libipw_rx, 0x2c6b1096, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0xf06064f2, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0xacd241fe, "");
SYMBOL_CRC(libipw_wx_get_scan, 0xd5786108, "");
SYMBOL_CRC(libipw_wx_set_encode, 0x960573c4, "");
SYMBOL_CRC(libipw_wx_get_encode, 0x8b83b64d, "");
SYMBOL_CRC(libipw_get_channel, 0x8843fe8b, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x754c155a, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x918cc8db, "");
SYMBOL_CRC(libipw_freq_to_channel, 0x2573af10, "");
SYMBOL_CRC(libipw_channel_to_freq, 0xffae9a17, "");
SYMBOL_CRC(libipw_channel_to_index, 0xf6a65454, "");
SYMBOL_CRC(libipw_set_geo, 0x2b63cfbc, "");
SYMBOL_CRC(libipw_get_geo, 0x790238bd, "");
SYMBOL_CRC(ipw_wx_set_spy, 0x84594750, "");
SYMBOL_CRC(ipw_wx_get_spy, 0xd8c8aace, "");
SYMBOL_CRC(ipw_wx_set_thrspy, 0x9df913f5, "");
SYMBOL_CRC(ipw_wx_get_thrspy, 0x06aca820, "");
SYMBOL_CRC(libipw_crypt_info_init, 0x61b0c12e, "");
SYMBOL_CRC(libipw_crypt_info_free, 0x59aff175, "");
SYMBOL_CRC(libipw_crypt_delayed_deinit, 0x66105132, "");
SYMBOL_CRC(libipw_register_crypto_ops, 0x7c176f72, "");
SYMBOL_CRC(libipw_unregister_crypto_ops, 0x87a5b686, "");
SYMBOL_CRC(libipw_get_crypto_ops, 0xa2a8def7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0xb51878d5, "skb_push" },
	{ 0x3a83d063, "wireless_send_event" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x7108738d, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x04239b38, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x04d24402, "iwe_stream_add_point" },
	{ 0xe7b5c95f, "netif_rx" },
	{ 0xa3ba22cd, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaf79b167, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0x296bad7d, "crypto_shash_final" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x258fca53, "crypto_alloc_shash" },
	{ 0xe63fee17, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9d80db70, "alloc_etherdev_mqs" },
	{ 0x798fab05, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x0ee03265, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xc4c9f6b0, "crypto_alloc_aead" },
	{ 0xf4bf9f3b, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5eb86948, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd4e81835, "crypto_destroy_tfm" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x44fa9bb6, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0xaf3e0764, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc14b787e, "crypto_aead_setkey" },
	{ 0x7c56da45, "crypto_shash_setkey" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xb2e0ab94, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "libarc4,cfg80211");


MODULE_INFO(srcversion, "1B4056A864A84EC44F3CE97");
