#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0xb0aac6d8, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x2c6c2fa8, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0xb6662d13, "_gpl");
SYMBOL_CRC(p54_free_skb, 0xca219e08, "_gpl");
SYMBOL_CRC(p54_rx, 0x2f4ae414, "_gpl");
SYMBOL_CRC(p54_init_common, 0x695bb48a, "_gpl");
SYMBOL_CRC(p54_register_common, 0xbab0d65a, "_gpl");
SYMBOL_CRC(p54_free_common, 0xe8b6f218, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0x5c32966c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x387c5a21, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x5c1bb296, "__ieee80211_get_rx_led_name" },
	{ 0x567d068a, "_dev_info" },
	{ 0x89253265, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x9a3e16e0, "ieee80211_queue_delayed_work" },
	{ 0xd0734197, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x05019fac, "ieee80211_free_txskb" },
	{ 0x17c2086f, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa95daf03, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xc19400a8, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xe9c231e6, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xcb579238, "ieee80211_stop_queue" },
	{ 0xa3ba22cd, "__netdev_alloc_skb" },
	{ 0xaf79b167, "skb_trim" },
	{ 0x8753f535, "skb_unlink" },
	{ 0x9061f7f5, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x20cd1201, "__ieee80211_get_assoc_led_name" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x8563af11, "ieee80211_unregister_hw" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b7aff3f, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x3767ba60, "_dev_printk" },
	{ 0x860f5a06, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x883def32, "ieee80211_rx_irqsafe" },
	{ 0x46bce313, "skb_queue_head" },
	{ 0x0ee03265, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x0160266c, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8d6e85c8, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0xadff5382, "ieee80211_beacon_loss" },
	{ 0xb7e1f343, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0x79876873, "led_classdev_unregister" },
	{ 0xcbda8d67, "ieee80211_register_hw" },
	{ 0x0b87a0c9, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x12ef15bd, "ieee80211_get_hdrlen_from_skb" },
	{ 0xad2b9f5b, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xf12d286d, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc2b21fd5, "__ieee80211_get_tx_led_name" },
	{ 0x3d312923, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb3c782bd, "ieee80211_handle_wake_tx_queue" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "C1FE7481AB18C588612452C");
