#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(lbs_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(lbs_host_sleep_cfg, "_gpl", "");
KSYMTAB_FUNC(__lbs_cmd, "_gpl", "");
KSYMTAB_DATA(lbs_debug, "_gpl", "");
KSYMTAB_FUNC(lbs_host_to_card_done, "_gpl", "");
KSYMTAB_FUNC(lbs_suspend, "_gpl", "");
KSYMTAB_FUNC(lbs_resume, "_gpl", "");
KSYMTAB_FUNC(lbs_add_card, "_gpl", "");
KSYMTAB_FUNC(lbs_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbs_start_card, "_gpl", "");
KSYMTAB_FUNC(lbs_stop_card, "_gpl", "");
KSYMTAB_FUNC(lbs_queue_event, "_gpl", "");
KSYMTAB_FUNC(lbs_notify_command_response, "_gpl", "");
KSYMTAB_FUNC(lbs_process_rxed_packet, "_gpl", "");
KSYMTAB_FUNC(lbs_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware_async, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware, "_gpl", "");

SYMBOL_CRC(lbs_cmd_copyback, 0xdd6153fc, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0x68b1d87e, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0x08148c84, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0x1483055a, "_gpl");
SYMBOL_CRC(lbs_suspend, 0xd797c312, "_gpl");
SYMBOL_CRC(lbs_resume, 0x01ca412a, "_gpl");
SYMBOL_CRC(lbs_add_card, 0xfb1318f3, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0x3c094034, "_gpl");
SYMBOL_CRC(lbs_start_card, 0xc1e7eb35, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0x9a2c7095, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0xc9e41697, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0x2974fc01, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0x15188b89, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0x7e7f805f, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0x4755b5ee, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0x6bbe4711, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8fdf070, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd0734197, "_dev_err" },
	{ 0xb9d79368, "cfg80211_ibss_joined" },
	{ 0x682f1b6c, "request_firmware_nowait" },
	{ 0x3c68f838, "simple_open" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfb767256, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0xc450210b, "register_netdev" },
	{ 0xd1b65c36, "wiphy_unregister" },
	{ 0x7108738d, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf04488a7, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x991de1d6, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe7b5c95f, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xab298f54, "netdev_alert" },
	{ 0xc6c7fca8, "kthread_create_on_node" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe007335b, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x14ae08b1, "netif_carrier_on" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdb3e93d9, "cfg80211_inform_bss_data" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x540fa239, "ieee80211_bss_get_elem" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0xbb1ed5f0, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9fd30653, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x576b8e49, "__cfg80211_get_bss" },
	{ 0xe63fee17, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5a2ce4ec, "ieee80211_get_num_supported_channels" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x2ee0ed59, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd8158f48, "cfg80211_scan_done" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x1a6d3aaa, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb7e1f343, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xcfd73d88, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x91db46e5, "dev_kfree_skb_irq_reason" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd3e5c128, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x8ce200b8, "ether_setup" },
	{ 0x037876d2, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0xd812d09d, "wake_up_process" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7b6f515d, "alloc_netdev_mqs" },
	{ 0x44fa9bb6, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x622cfa00, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xf4196511, "cfg80211_put_bss" },
	{ 0x166fc5da, "netif_device_detach" },
	{ 0x999f5537, "netif_device_attach" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "91C527206502131B3A48896");
