#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0xa9af839a, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x0575edac, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0xa42657fb, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0xc566ac98, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0xc6210110, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0x3fa531ae, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x7afe676c, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0xd7794b85, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x725bc060, "mt76_csa_check" },
	{ 0x1074eb38, "mt76_tx_status_skb_add" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x77c65c98, "mt76u_single_wr" },
	{ 0xed6ed1a1, "__mt76_tx_complete_skb" },
	{ 0x0e812c4b, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x12ef15bd, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x78d13658, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac817eb2, "mt76_csa_finish" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd0734197, "_dev_err" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0x13ae41be, "mt76x02_init_beacon_config" },
	{ 0x3b8042f7, "__mt76_mcu_msg_alloc" },
	{ 0xd8cef9b3, "mt76x02_mac_write_txwi" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7cc5d258, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5e487cbd, "mt76u_vendor_request" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xbc81644e, "mt76_skb_adjust_pad" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0xb246c96a, "mt76x02_mac_set_beacon" },
	{ 0x5813f0e7, "hrtimer_active" },
	{ 0x9ca2ee45, "__mt76_poll" },
	{ 0x4bd71781, "mt76x02_update_beacon_iter" },
	{ 0xc25d2472, "mt76x02_enqueue_buffered_bc" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0x58d2a061, "mt76x02_remove_hdr_pad" },
	{ 0x0ee03265, "skb_put" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb25412d3, "mt76x02_resync_beacon_timer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38ddd606, "mt76x02_mcu_parse_response" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-usb,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "6A610B64AAA9AE8690A34FC");
