#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0x288a780e, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0xd29521a2, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0xd35c3add, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0xa31f8684, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0xc1c2d59e, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x7eff1e16, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x0f6b68c8, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0xc3518a95, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0x081feedc, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0xd09d8de0, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x4a730074, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0xeae57a54, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0xef795ccc, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xc0fb0ede, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x814cd021, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x5020f526, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x42969514, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0xc55b2bfc, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0xdd4e0175, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x744c79db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdf4616b6, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa1d89b15, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7733ecd6, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x1fd2df80, "mt76_eeprom_init" },
	{ 0xd0734197, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf05e6be3, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x14002848, "mt76_mcu_send_and_get_msg" },
	{ 0x2e3bf32f, "mt76_eeprom_override" },
	{ 0x53b2e689, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x988b8e91, "mt76_get_sar_power" },
	{ 0xf7ea39cf, "mt76x02_eeprom_copy" },
	{ 0xf6e59972, "mt76x02_mcu_calibrate" },
	{ 0x0ecce388, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xcddd4f1d, "mt76_get_min_avg_rssi" },
	{ 0x399362e0, "mt76_init_sar_power" },
	{ 0xbcb7af25, "mt76x02_phy_adjust_vga_gain" },
	{ 0x93bc3360, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "80F7976F489C71A568DEF6A");
