#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_radio_led_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7921_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_event, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_regd_update, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0xe2e5acbb, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x2e818309, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x00c8d98e, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x9f48476b, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0xfcb53bb9, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x3e32c7e7, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0x1086d5a1, "_gpl");
SYMBOL_CRC(mt7921_mcu_radio_led_ctrl, 0xb7543d79, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0xc237786c, "_gpl");
SYMBOL_CRC(__mt7921_start, 0x0458195c, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0x1c17189c, "_gpl");
SYMBOL_CRC(mt7921_set_channel, 0x29d5a1de, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0xd22c4edd, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_event, 0xd2379d44, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0x6d548556, "_gpl");
SYMBOL_CRC(mt7921_ops, 0xefa72676, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0x34b9b9b8, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x56dcc942, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xa52b1b97, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f48da3f, "mt792x_sta_statistics" },
	{ 0x3d312923, "skb_queue_purge_reason" },
	{ 0x52379427, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x93427278, "mt792x_conf_tx" },
	{ 0xb17c016f, "cfg80211_reg_check_beaconing" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe45aa9a6, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x38d35b77, "mt792x_get_et_sset_count" },
	{ 0xa9452480, "mt76_wcid_add_poll" },
	{ 0x8883aa37, "mt76_connac_mcu_set_mac_enable" },
	{ 0x1c21656c, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xe7601423, "mt792x_init_acpi_sar_power" },
	{ 0x56399d20, "mt792x_set_wakeup" },
	{ 0xea873f61, "mt76_wcid_key_setup" },
	{ 0x567d068a, "_dev_info" },
	{ 0x89253265, "skb_queue_tail" },
	{ 0xc7767f57, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x86937be3, "mt76_rx" },
	{ 0xf9b1ab72, "mt792x_load_firmware" },
	{ 0x361465cb, "mt76_connac_mcu_sched_scan_req" },
	{ 0xf7709411, "mt792x_get_et_stats" },
	{ 0xd3303d14, "mt76_connac2_txwi_free" },
	{ 0x2dd786b6, "__tracepoint_lp_event" },
	{ 0x258b0ee7, "mt76_connac_mcu_uni_add_bss" },
	{ 0x8f9b331a, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd9a12ced, "wiphy_to_ieee80211_hw" },
	{ 0x32206b06, "debugfs_attr_read" },
	{ 0x899abe8f, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9a3e16e0, "ieee80211_queue_delayed_work" },
	{ 0xb805f52f, "devm_kmemdup" },
	{ 0xd0734197, "_dev_err" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x4df7ab26, "mt76_register_device" },
	{ 0x99bb741e, "mt792x_get_stats" },
	{ 0xc1a70881, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x072f4225, "simple_attr_release" },
	{ 0xe9bce76a, "mt792x_mac_set_timeing" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x14820659, "mt76_find_power_limits_node" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x276c7784, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0xb0faca18, "seq_putc" },
	{ 0xa55e0847, "ieee80211_wake_queues" },
	{ 0x14002848, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x65c77a5e, "ieee80211_beacon_get_template" },
	{ 0x2773eccc, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2e3bf32f, "mt76_eeprom_override" },
	{ 0x7526f924, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3b8042f7, "__mt76_mcu_msg_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x95d6c637, "mt792x_csa_timer" },
	{ 0x677f989b, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x1c1e8117, "devm_hwmon_device_register_with_groups" },
	{ 0xea30a6a3, "cfg80211_chandef_usable" },
	{ 0x8e758e2c, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd175b579, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x361efdd6, "mt792x_tx" },
	{ 0x2e6eb4ff, "mt792x_get_et_strings" },
	{ 0xcc5ce602, "mt76_sta_state" },
	{ 0xc7a11f54, "ieee80211_ready_on_channel" },
	{ 0x6db85105, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7e526291, "devm_kasprintf" },
	{ 0x42ef6bfe, "mt792x_remove_interface" },
	{ 0xa94462bd, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9061f7f5, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x0c7cf628, "mt792x_queues_read" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x5f1e6d4a, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x4777bc7e, "wiphy_rfkill_start_polling" },
	{ 0x220ed410, "mt792x_queues_acq" },
	{ 0x35542344, "ieee80211_sched_scan_results" },
	{ 0x44a53273, "ieee80211_scan_completed" },
	{ 0x7cc5d258, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc59059d4, "mt792x_config_mac_addr_list" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf149359f, "mt76_insert_ccmp_hdr" },
	{ 0x793f2583, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0xe9d40862, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xd24eb01b, "mt792x_tx_stats_show" },
	{ 0xb3b0e6fc, "mt792x_acpi_get_mtcl_conf" },
	{ 0xd1c3d2e3, "mt76_rx_aggr_start" },
	{ 0x0c95b942, "__SCK__tp_func_lp_event" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x64d86361, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x7856970d, "mt792x_mac_init_band" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0xbc81644e, "mt76_skb_adjust_pad" },
	{ 0xbdd3740b, "ieee80211_cqm_rssi_notify" },
	{ 0xb7453ed1, "mt792x_init_wiphy" },
	{ 0xe3ff6071, "mt76_connac_sta_state_dp" },
	{ 0x3d869d4f, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x49d0e787, "single_release" },
	{ 0x255e8263, "mt76_queues_read" },
	{ 0xe3395e93, "mt76_sta_pre_rcu_remove" },
	{ 0x294c5020, "mt76_register_debugfs_fops" },
	{ 0x47ca015f, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x2dfc1d49, "mt76_connac2_mac_write_txwi" },
	{ 0x93ccf9a8, "__mt76_set_tx_blocked" },
	{ 0xf944937f, "mt76_connac_mcu_sta_ba" },
	{ 0x56270ff2, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0xa76a5323, "ieee80211_queue_work" },
	{ 0x1326fa52, "mt792x_mac_reset_counters" },
	{ 0xa4efa395, "napi_consume_skb" },
	{ 0x9ca2ee45, "__mt76_poll" },
	{ 0x1c3f545e, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaec940e7, "single_open" },
	{ 0xc32be82e, "mt76_connac_mcu_add_key" },
	{ 0x0e6b2afa, "mt792x_unassign_vif_chanctx" },
	{ 0x39fe67fb, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0x271695ce, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb824b849, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x47c82ad3, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x62187c99, "mt76_update_channel" },
	{ 0xa20ae500, "ieee80211_sta_register_airtime" },
	{ 0x10374c36, "mt792x_init_wcid" },
	{ 0x39d15e4a, "mt792x_init_acpi_sar" },
	{ 0x399362e0, "mt76_init_sar_power" },
	{ 0x94b33418, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe574a5cc, "simple_attr_open" },
	{ 0x531893d5, "ieee80211_iterate_interfaces" },
	{ 0xf856cb87, "mt792x_stop" },
	{ 0x34ddd2d7, "debugfs_attr_write" },
	{ 0x7218d2cd, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x5c27eaaf, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x18207112, "ieee80211_chswitch_done" },
	{ 0x0ee03265, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb18311d1, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x67be8cf3, "mt792x_tx_worker" },
	{ 0xb39ba1ad, "mt792x_flush" },
	{ 0xb97b93e6, "mt792x_rx_get_wcid" },
	{ 0x0160266c, "skb_dequeue" },
	{ 0x42128a8c, "mt76_connac_gen_ppe_thresh" },
	{ 0x408997b7, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x38470661, "mt76_connac_mcu_set_channel_domain" },
	{ 0xc91376d4, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbc0fbe13, "mt76_release_buffered_frames" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0x10de48fa, "mt76_get_txpower" },
	{ 0x1074eb38, "mt76_tx_status_skb_add" },
	{ 0xd860e222, "mt76_connac_pm_wake" },
	{ 0x33a687d5, "mt76_connac2_mac_fill_rx_rate" },
	{ 0x0df73a34, "mt792x_pm_wake_work" },
	{ 0x8adf1079, "mt76_connac_mcu_set_deep_sleep" },
	{ 0xf1f9ebe5, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x02311fd7, "mt76_connac_mcu_chip_config" },
	{ 0xf15825ef, "mt76_get_antenna" },
	{ 0x5731952c, "mt792x_set_coverage_class" },
	{ 0x9bdaf384, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xed6ed1a1, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x18977dc9, "mt76_set_stream_caps" },
	{ 0x3cc1e631, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x12ef15bd, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0xf808a30a, "mt76_connac_mcu_update_arp_filter" },
	{ 0xcc760b59, "mt76_connac2_tx_check_aggr" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x5b1f3d40, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0x20d3fcb4, "mt76_wcid_init" },
	{ 0xd812d09d, "wake_up_process" },
	{ 0x8d6a9b5e, "mt76_connac_free_pending_tx_skbs" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "mt792x-lib,mt76-connac-lib,cfg80211,mt76,mac80211");


MODULE_INFO(srcversion, "157F804F99A8397854DAD63");
