#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b8d3270, "rt2x00usb_kick_queue" },
	{ 0xc56a7f89, "rt2x00usb_flush_queue" },
	{ 0xb84467b4, "rt2x00mac_tx" },
	{ 0x400ca364, "rt2x00mac_start" },
	{ 0x8b0c28ce, "rt2x00mac_stop" },
	{ 0x737343fc, "rt2x00mac_add_interface" },
	{ 0xc94e0b8a, "rt2x00mac_remove_interface" },
	{ 0xa1b2b616, "rt2x00mac_config" },
	{ 0x304b3312, "rt2x00mac_bss_info_changed" },
	{ 0x299d3504, "rt2x00mac_configure_filter" },
	{ 0xaada032a, "rt2x00mac_set_tim" },
	{ 0xcf950865, "rt2x00mac_set_key" },
	{ 0xa4a60d52, "rt2x00mac_sw_scan_start" },
	{ 0xadefa7e4, "rt2x00mac_sw_scan_complete" },
	{ 0xf6c53ab3, "rt2x00mac_get_stats" },
	{ 0xb3e97095, "rt2x00mac_conf_tx" },
	{ 0xf89cd780, "rt2x00mac_rfkill_poll" },
	{ 0x1cb0605f, "rt2x00mac_flush" },
	{ 0xd4d230de, "rt2x00mac_set_antenna" },
	{ 0x2380b5ae, "rt2x00mac_get_antenna" },
	{ 0x2e1dc8ac, "rt2x00mac_get_ringparam" },
	{ 0x78d76690, "rt2x00mac_tx_frames_pending" },
	{ 0xc19400a8, "ieee80211_emulate_add_chanctx" },
	{ 0x860f5a06, "ieee80211_emulate_remove_chanctx" },
	{ 0x0b87a0c9, "ieee80211_emulate_change_chanctx" },
	{ 0xe9c231e6, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xb3c782bd, "ieee80211_handle_wake_tx_queue" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd0f14fa6, "usb_register_driver" },
	{ 0x0ef4016b, "rt2x00usb_probe" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaf79b167, "skb_trim" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xb7bedcfc, "usb_submit_urb" },
	{ 0xcf6563d0, "usb_deregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdb1d88f5, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd0734197, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x19fa2bf7, "rt2x00usb_vendor_request" },
	{ 0x6698e28b, "rt2x00lib_set_mac_address" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x41d98433, "rt2x00usb_vendor_request_buff" },
	{ 0x567d068a, "_dev_info" },
	{ 0xb51878d5, "skb_push" },
	{ 0xc34142d4, "rt2x00debug_dump_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe701467b, "rt2x00usb_disable_radio" },
	{ 0xd4176a73, "rt2x00usb_disconnect" },
	{ 0x91ecd605, "rt2x00usb_suspend" },
	{ 0xc37842a1, "rt2x00usb_resume" },
	{ 0x5727a1f6, "rt2x00usb_initialize" },
	{ 0x116c69ba, "rt2x00usb_uninitialize" },
	{ 0x64ad658e, "rt2x00usb_clear_entry" },
	{ 0x425406d0, "rt2x00usb_watchdog" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");
