#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0xa401782f, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0x75352181, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0xfd581443, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0xa7c9dbd2, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x4969dfba, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0xaa843a99, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0xaa577356, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0x860d7478, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x834525b5, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x8d02ab2f, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0x6b864dd4, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0xa6a82676, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0xc7fcfdee, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0xf417ce43, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x62feb45e, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0xedfd8bf9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x73db303e, "rt2x00queue_get_entry" },
	{ 0x4de0adc5, "rt2800_process_rxwi" },
	{ 0xeac31f2a, "rt2x00mmio_rxdone" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xed9c28ec, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa9fc1529, "rt2800_get_txwi_rxwi_size" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x9a113d6d, "rt2800_disable_wpdma" },
	{ 0xe18262a1, "rt2800_wait_wpdma_ready" },
	{ 0x39da64ec, "rt2800_enable_radio" },
	{ 0x1ccbd363, "rt2800_txstatus_pending" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xdb553cbb, "rt2800_txdone" },
	{ 0x0404aa85, "rt2800_txdone_nostatus" },
	{ 0xa4e5d0c4, "rt2800_txstatus_timeout" },
	{ 0x6d0d700e, "rt2800_probe_hw" },
	{ 0x579a1903, "rt2x00lib_pretbtt" },
	{ 0x2146b51b, "rt2x00lib_beacondone" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "36F47ED470BEFD53F5EC32B");
