#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ntb_transport_unregister_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_unregister_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_create_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_free_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_remove, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_up, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_down, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_query, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_qp_num, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_max_size, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_free_entry, "_gpl", "");

SYMBOL_CRC(ntb_transport_unregister_client_dev, 0xf9eb813f, "_gpl");
SYMBOL_CRC(ntb_transport_register_client_dev, 0xf55d6313, "_gpl");
SYMBOL_CRC(ntb_transport_register_client, 0x7bd4a9a8, "_gpl");
SYMBOL_CRC(ntb_transport_unregister_client, 0xb4a72153, "_gpl");
SYMBOL_CRC(ntb_transport_create_queue, 0x19d50db5, "_gpl");
SYMBOL_CRC(ntb_transport_free_queue, 0xc270dc24, "_gpl");
SYMBOL_CRC(ntb_transport_rx_remove, 0xc37d9036, "_gpl");
SYMBOL_CRC(ntb_transport_rx_enqueue, 0xd40e7a02, "_gpl");
SYMBOL_CRC(ntb_transport_tx_enqueue, 0x3d54dbfc, "_gpl");
SYMBOL_CRC(ntb_transport_link_up, 0x9c992c8f, "_gpl");
SYMBOL_CRC(ntb_transport_link_down, 0x436098aa, "_gpl");
SYMBOL_CRC(ntb_transport_link_query, 0x32537aca, "_gpl");
SYMBOL_CRC(ntb_transport_qp_num, 0x82e6c13d, "_gpl");
SYMBOL_CRC(ntb_transport_max_size, 0x30934216, "_gpl");
SYMBOL_CRC(ntb_transport_tx_free_entry, 0x0862001f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b915166, "dma_free_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd0734197, "_dev_err" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x96848186, "scnprintf" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x99c855ad, "ntb_unregister_client" },
	{ 0x94d94231, "dmaengine_get_unmap_data" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0x1bce4bc1, "dmaengine_unmap_put" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x83e0d3c9, "device_unregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x70e1c53b, "__kmalloc_cache_node_noprof" },
	{ 0xed14563a, "dev_set_name" },
	{ 0xeb78441d, "device_register" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2dc41510, "dma_sync_wait" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5e0415a9, "dma_unmap_resource" },
	{ 0x64cd989e, "dma_release_channel" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x02f30589, "devm_free_irq" },
	{ 0x2340d3a6, "ntb_clear_ctx" },
	{ 0xedc03953, "iounmap" },
	{ 0x5d640dd9, "__dma_request_channel" },
	{ 0x825ed80b, "dma_map_resource" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xedd67b61, "__kmalloc_node_noprof" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x1d65a374, "ntb_default_peer_port_count" },
	{ 0x18d709cb, "ntb_set_ctx" },
	{ 0xd325dae4, "ntb_link_event" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3c68f838, "simple_open" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x2908c1ae, "param_ops_uint" },
	{ 0xe9b9d815, "param_ops_byte" },
	{ 0x06fe5e1a, "param_ops_ulong" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa28d073d, "put_device" },
	{ 0x037a0cba, "kfree" },
	{ 0x715801e3, "get_device" },
	{ 0xcec2ab0c, "driver_register" },
	{ 0xb217aa95, "driver_unregister" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x567d068a, "_dev_info" },
	{ 0x92997ed8, "_printk" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0x3f1b8924, "bus_register" },
	{ 0x74a438d1, "__ntb_register_client" },
	{ 0x1184834a, "bus_unregister" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "ntb");


MODULE_INFO(srcversion, "AB75822B06ECA317196D8F4");
