#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0xb34836a7, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xd18862d0, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x6bbda38d, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x44adf242, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x3e55bef5, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x8b3e2095, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xe41fdd6e, "_gpl");
SYMBOL_CRC(nd_device_notify, 0xccec6ebc, "");
SYMBOL_CRC(nvdimm_region_notify, 0xbbcbfb40, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xd5d484dd, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xc634ab98, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xed8e2323, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x496cf6a4, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x528335fb, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xb8aede2c, "");
SYMBOL_CRC(nd_device_unregister, 0xb56faf5f, "");
SYMBOL_CRC(__nd_driver_register, 0xb3830c1d, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xc0363c0d, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x2725f722, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xf314b22a, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x53f859c1, "_gpl");
SYMBOL_CRC(to_ndd, 0x196a7af8, "");
SYMBOL_CRC(nvdimm_name, 0xa9057f3e, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xd0d8e28a, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xd7bdb0b3, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x91b9c576, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x2523770e, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x006a39b5, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x6fde3577, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x900186d3, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x03166d37, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xffd9c4b2, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x75f7f32b, "_gpl");
SYMBOL_CRC(to_nd_region, 0xdc843e66, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xd952e33c, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x207a4d29, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0xedfa36fc, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x30adda22, "");
SYMBOL_CRC(nd_region_release_lane, 0x2ea3a8b8, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x66add9b6, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x6e454710, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xabbb141c, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xb88752f7, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x768eb330, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x6091689a, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xf3b3bc6d, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xc5a385f3, "");
SYMBOL_CRC(pmem_sector_size, 0x45ceb507, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x0e71f6e1, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xbf383848, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xf9b62814, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x9b22279b, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xa63d7aef, "");
SYMBOL_CRC(devm_namespace_enable, 0x9b45672d, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xc0eb3330, "_gpl");
SYMBOL_CRC(badrange_init, 0x11e06ee9, "_gpl");
SYMBOL_CRC(badrange_add, 0x2e08226d, "_gpl");
SYMBOL_CRC(badrange_forget, 0x82092899, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x53d4d129, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xc54c6e84, "");
SYMBOL_CRC(is_nd_btt, 0x061a0c27, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xc4b7ed64, "");
SYMBOL_CRC(nd_btt_version, 0x62dcb69d, "");
SYMBOL_CRC(nd_btt_probe, 0x29baa1ed, "");
SYMBOL_CRC(to_nd_pfn, 0x8937e5c4, "");
SYMBOL_CRC(is_nd_pfn, 0xae00b22a, "");
SYMBOL_CRC(nd_pfn_validate, 0x670d6946, "");
SYMBOL_CRC(nd_pfn_probe, 0xfa75fa52, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xd6cea711, "_gpl");
SYMBOL_CRC(to_nd_dax, 0xc16e2d5d, "");
SYMBOL_CRC(is_nd_dax, 0x21118978, "");
SYMBOL_CRC(nd_dax_probe, 0x964e3167, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x907cd046, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xd0198114, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x3de7ed37, "__devm_release_region" },
	{ 0xc4285c91, "request_key_tag" },
	{ 0x6c8bb3dd, "kernfs_put" },
	{ 0x5e4c294e, "__register_chrdev" },
	{ 0x7cb7a7e1, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x47b07a66, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x9555fc04, "boot_cpu_data" },
	{ 0x7ff22325, "badblocks_check" },
	{ 0x68f3d1b6, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3052c801, "badblocks_clear" },
	{ 0x7a8ca1ee, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0xcec2ab0c, "driver_register" },
	{ 0xea72c169, "class_register" },
	{ 0x743b623c, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x3f1b8924, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb83054e4, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x798fab05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x8dfb39f2, "devm_memremap" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8429aa2d, "badblocks_set" },
	{ 0x83e0d3c9, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x248cc4c4, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x037a0cba, "kfree" },
	{ 0x7963a6e9, "badblocks_exit" },
	{ 0x04a7cf42, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x715801e3, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8bab1f1a, "kernfs_notify" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x51d75571, "__devm_request_region" },
	{ 0x970038d5, "empty_zero_page" },
	{ 0x91cb51da, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa28d073d, "put_device" },
	{ 0x88f95ff7, "badblocks_show" },
	{ 0x0eeae3e8, "key_type_encrypted" },
	{ 0x39da6341, "numa_node" },
	{ 0x567d068a, "_dev_info" },
	{ 0xaf3e0764, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x73c07e98, "compat_ptr_ioctl" },
	{ 0x2e7c8e4b, "perf_pmu_migrate_context" },
	{ 0x791e9fec, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd4c287b8, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x0fbb7344, "memremap_compat_align" },
	{ 0x1184834a, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xd0734197, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf22250d0, "__cpuhp_setup_state" },
	{ 0x2de1f7bf, "devm_memunmap" },
	{ 0x01c12c32, "cpu_bit_bitmap" },
	{ 0x76a3bdf5, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xca93c548, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb2e7ee55, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0xb217aa95, "driver_unregister" },
	{ 0x1843f322, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x368e48d8, "perf_pmu_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf8289da9, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4591BAEB49CBBC0724C6024");
