#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_revoke_tls_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xc2535452, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x951ec583, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xb57a8e27, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xd41f8665, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xadd84add, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xdd05854b, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xb64c2b52, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x283f1da4, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x39670f06, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x6f8d5303, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x20c2c5bc, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xadb49546, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x86a7b070, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x4c263767, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xb66c24d4, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xf18ddb00, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xec270a64, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x30da0d0c, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x4d02c9ed, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x9b92c906, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x1b10d90e, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x14cc5319, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x59f13627, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x6055aa91, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x6cf8a6e1, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x1d31f3e3, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xac13f138, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xd7a8f463, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x7264c17d, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xf6e04c23, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x9f8443db, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xb0456d4d, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x95918a1d, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x54c1fae5, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xf90d2585, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xd7838327, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xe429094a, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x1b917294, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x3919c7bd, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x0938fbc9, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xd807056a, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x8e4deedf, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x5d83178e, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x609de83e, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x22bd1a90, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x41472bf8, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xd665d733, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xf51c1522, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xab54f02f, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xad9bb938, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xc8558fca, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x99576837, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x7f07cf6c, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x352f14a0, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x3bb9acf3, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0xb2eda097, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x8f677f34, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x5f777320, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x90dac130, "_gpl");
SYMBOL_CRC(nvme_auth_revoke_tls_key, 0x0ac31f00, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xc68427e6, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x4a62409d, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xf15ae788, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0xdf67fdff, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xc5694fc2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3955e93c, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf79e1354, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb03a3eca, "nvme_auth_generate_psk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x82b73837, "blk_sync_queue" },
	{ 0x890b81a1, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8aa5509b, "__SCK__tp_func_block_bio_complete" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1fd5f604, "blk_mq_alloc_request_hctx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x55d2a310, "__io_uring_cmd_do_in_task" },
	{ 0xb930784b, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x04239b38, "crypto_shash_update" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0x0ae45c48, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x64662602, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd91552b5, "cleanup_srcu_struct" },
	{ 0xcf511fc3, "blk_freeze_queue_start_non_owner" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x98ce6511, "blk_set_stacking_limits" },
	{ 0x7feb32ed, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xe24ff6b1, "blk_put_queue" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0x555435d2, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x70e1c53b, "__kmalloc_cache_node_noprof" },
	{ 0x5f5bc5da, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xbc377b3f, "blk_mq_wait_quiesce_done" },
	{ 0x4ba8d5a3, "key_revoke" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8453f818, "__kmem_cache_create_args" },
	{ 0x98d2dd6c, "io_uring_cmd_done" },
	{ 0xa4738e59, "blk_rq_unmap_user" },
	{ 0xf3fa4e35, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x8be95f07, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x0745a981, "xa_erase" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x69931c9f, "blk_mq_complete_request" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x296bad7d, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x5804ed5d, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xdd876330, "blk_freeze_queue_start" },
	{ 0x96e919f7, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x00aa1603, "xa_find" },
	{ 0xfef950a5, "disk_live" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x57458b98, "blk_mq_alloc_queue" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x12d12dd0, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xb54f2364, "__srcu_read_unlock" },
	{ 0xd930f19f, "sysfs_add_link_to_group" },
	{ 0x528762cd, "hwmon_device_unregister" },
	{ 0x4f82292c, "__tracepoint_block_bio_remap" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0xe1f088cf, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x83f8e461, "queue_limits_commit_update" },
	{ 0x77c221a5, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdb94b83e, "blk_rq_map_user_iov" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x940da84f, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x337c0af1, "blk_mq_freeze_queue_nomemsave" },
	{ 0xa32a7c36, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x258fca53, "crypto_alloc_shash" },
	{ 0x5e62da6b, "blk_mq_freeze_queue_wait" },
	{ 0xa9cb677f, "nvme_auth_gen_privkey" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x003b3bcd, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xea72c169, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x30f076bf, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x0bc4a1da, "bdev_end_io_acct" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0xb7b67e68, "blk_steal_bios" },
	{ 0xa993097a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9067461c, "set_capacity_and_notify" },
	{ 0xa131034d, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb83054e4, "set_disk_ro" },
	{ 0x0e41809e, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x798fab05, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xa0728826, "blk_rq_integrity_map_user" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x7b756c55, "device_remove_file_self" },
	{ 0x2908c1ae, "param_ops_uint" },
	{ 0x06fe5e1a, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x1e7f78cc, "bio_split_to_limits" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x47d5f272, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x4e11aeef, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x97e30d7a, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x21bb96a5, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x64f6f5cf, "queue_limits_stack_bdev" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x248cc4c4, "device_initialize" },
	{ 0x051a676d, "blk_mq_unquiesce_queue" },
	{ 0xa26d1c17, "blk_mq_quiesce_queue" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdc5f95af, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x037a0cba, "kfree" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x84f4e89c, "nvme_auth_generate_digest" },
	{ 0x8a336487, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8c3acb9e, "synchronize_srcu" },
	{ 0xe9b9d815, "param_ops_byte" },
	{ 0x715801e3, "get_device" },
	{ 0x74f11640, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa305c7ce, "__blk_mq_alloc_disk" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe5bccbe7, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2fef90af, "blk_mq_alloc_tag_set" },
	{ 0xdf92dd24, "blk_rq_is_poll" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0xd4e81835, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xbf8a32bb, "put_disk" },
	{ 0x022f9e87, "crypto_alloc_kpp" },
	{ 0xef3d9f7b, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x94035a7c, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf30ad593, "blk_execute_rq" },
	{ 0xa28d073d, "put_device" },
	{ 0xb08caad8, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x5706d563, "nvme_tls_psk_refresh" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd7e7b271, "blk_mq_free_request" },
	{ 0xb1d34d40, "nvme_auth_derive_tls_psk" },
	{ 0x39da6341, "numa_node" },
	{ 0xc48a9b58, "__free_pages" },
	{ 0x567d068a, "_dev_info" },
	{ 0xb1c064fb, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xaf3e0764, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xda85925d, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfc521e1e, "nvme_auth_gen_pubkey" },
	{ 0x73c07e98, "compat_ptr_ioctl" },
	{ 0xa8b1d9a4, "sysfs_remove_link_from_group" },
	{ 0xc3f7d8cf, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xa28b3467, "blk_mq_quiesce_tagset" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0xd4c287b8, "key_put" },
	{ 0x9b01439c, "kobject_uevent_env" },
	{ 0x59dbdae4, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x1ee844d1, "init_srcu_struct" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0xe13f9467, "__SCK__tp_func_block_bio_remap" },
	{ 0xd0734197, "_dev_err" },
	{ 0x3f0bc25d, "blk_revalidate_disk_zones" },
	{ 0x7c56da45, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x76a3bdf5, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xf15925cd, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe468895c, "sysfs_remove_link" },
	{ 0x1a1a5838, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xbbe250b2, "__srcu_read_lock" },
	{ 0xae022281, "hwmon_device_register_with_info" },
	{ 0x2fc3d3ba, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth,nvme-keyring");


MODULE_INFO(srcversion, "64CA73AA5C52C7B35CBCE52");
