#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0x61c038e5, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x5feb8700, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x388c2a07, "device_remove_file" },
	{ 0xec2958f8, "device_create_file" },
	{ 0xaec940e7, "single_open" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0x79876873, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfcc331f1, "platform_device_unregister" },
	{ 0xe6345608, "platform_driver_unregister" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd0734197, "_dev_err" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x3cc1c899, "pci_find_bus" },
	{ 0x4620994b, "pci_bus_read_config_dword" },
	{ 0xb4a3d067, "pci_get_slot" },
	{ 0xc2be9a56, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0xdca077df, "pci_stop_and_remove_bus_device" },
	{ 0x81534bec, "pci_scan_single_device" },
	{ 0xf8e7b9d4, "pci_bus_assign_resources" },
	{ 0x53365708, "pci_bus_add_device" },
	{ 0x083eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xc1e40aa9, "pci_hp_deregister" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x1707f1df, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0x0d81a00a, "backlight_device_unregister" },
	{ 0x4de01a50, "input_unregister_device" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x20de3a8c, "sysfs_remove_group" },
	{ 0xa2ddf77c, "battery_hook_unregister" },
	{ 0xbceb99d7, "input_event" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x4e480f7e, "input_set_capability" },
	{ 0xe8792b4f, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2d9f1b26, "__pci_hp_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x1a6a48b8, "sparse_keymap_report_event" },
	{ 0x794eafa8, "backlight_force_update" },
	{ 0xe1083442, "platform_profile_cycle" },
	{ 0x89003b56, "backlight_device_register" },
	{ 0x17c2086f, "led_classdev_register_ext" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x988da772, "sysfs_create_group" },
	{ 0x98e9ef18, "input_allocate_device" },
	{ 0x4c801b79, "sparse_keymap_setup" },
	{ 0x28f41801, "input_register_device" },
	{ 0x1c1e8117, "devm_hwmon_device_register_with_groups" },
	{ 0x33c30ffe, "wmi_install_notify_handler" },
	{ 0x2b4c2147, "i8042_install_filter" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0x92dd2415, "debugfs_create_x32" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0x60eb7433, "input_free_device" },
	{ 0x223223be, "pci_get_device" },
	{ 0x05c5234f, "pci_read_config_dword" },
	{ 0x058a30b8, "pci_write_config_dword" },
	{ 0x5e4d3f3b, "battery_hook_register" },
	{ 0xc43a462a, "devm_platform_profile_register" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0xad972c70, "seq_lseek" },
	{ 0xa94462bd, "seq_read" },
	{ 0x49d0e787, "single_release" },
	{ 0x461199a6, "device_show_string" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x037a0cba, "kfree" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x053fdae9, "__platform_create_bundle" },
	{ 0x92997ed8, "_printk" },
	{ 0xff89fe68, "sysfs_notify" },
	{ 0x065b4695, "wmi_get_acpi_device_uid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x567d068a, "_dev_info" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x4197a7ce, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "rfkill,wmi,video,sparse-keymap,platform_profile");


MODULE_INFO(srcversion, "F9655A4E2B2D3FD45DDAC40");
