#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ideapad_laptop_register_notifier, "_gpl", "IDEAPAD_LAPTOP");
KSYMTAB_FUNC(ideapad_laptop_unregister_notifier, "_gpl", "IDEAPAD_LAPTOP");
KSYMTAB_FUNC(ideapad_laptop_call_notifier, "_gpl", "IDEAPAD_LAPTOP");

SYMBOL_CRC(ideapad_laptop_register_notifier, 0xcae1d210, "_gpl");
SYMBOL_CRC(ideapad_laptop_unregister_notifier, 0x4c65bf10, "_gpl");
SYMBOL_CRC(ideapad_laptop_call_notifier, 0x98c23494, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc43a462a, "devm_platform_profile_register" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x567d068a, "_dev_info" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xfcd01236, "rfkill_set_hw_state_reason" },
	{ 0x4fdee897, "i8042_command" },
	{ 0xff89fe68, "sysfs_notify" },
	{ 0x794eafa8, "backlight_force_update" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xe9b2ffec, "is_acpi_device_node" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0x98e9ef18, "input_allocate_device" },
	{ 0x4c801b79, "sparse_keymap_setup" },
	{ 0x28f41801, "input_register_device" },
	{ 0x17c2086f, "led_classdev_register_ext" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xe8792b4f, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x89003b56, "backlight_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd0734197, "_dev_err" },
	{ 0x60eb7433, "input_free_device" },
	{ 0xad972c70, "seq_lseek" },
	{ 0xa94462bd, "seq_read" },
	{ 0x49d0e787, "single_release" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0907d14d, "blocking_notifier_chain_register" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0xaec940e7, "single_open" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xba936f69, "seq_write" },
	{ 0xb0faca18, "seq_putc" },
	{ 0x2cd0050c, "__wmi_driver_register" },
	{ 0x43a32e29, "__platform_driver_register" },
	{ 0x1bdfc615, "wmi_driver_unregister" },
	{ 0xe6345608, "platform_driver_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x0d81a00a, "backlight_device_unregister" },
	{ 0x037a0cba, "kfree" },
	{ 0x083eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x79876873, "led_classdev_unregister" },
	{ 0x4de01a50, "input_unregister_device" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x1a6a48b8, "sparse_keymap_report_event" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xe1083442, "platform_profile_cycle" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x01000e51, "schedule" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x4197a7ce, "platform_profile_notify" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "platform_profile,rfkill,sparse-keymap,video,wmi");

MODULE_ALIAS("acpi*:VPC2004:*");
MODULE_ALIAS("wmi:26CAB2E5-5CF1-46AE-AAC3-4A12B6BA50E6");
MODULE_ALIAS("wmi:56322276-8493-4CE8-A783-98C991274F5E");
MODULE_ALIAS("wmi:8FC0DE0C-B4E4-43FD-B0F3-8871711C1294");

MODULE_INFO(srcversion, "4BF9C3A0698BEFD32EAC9AA");
