#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xe8587d09, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x13d5997e, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0xdad5786b, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x391c08dd, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xd452fb7e, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x6ded30a4, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x01ca21d2, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0xfefb346a, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0xb72c7675, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x0c93b499, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x968fada4, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x9f3954f6, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x6959d06c, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x35febff1, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x6f4416e9, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x9e46c8e1, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x6b3b0f8e, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x49526388, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x2389aed0, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x5c270a95, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x7b40401d, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xb32fc8c6, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xf4fa11a2, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x1f15a8e2, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x79dc2a49, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x0534442a, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x59938789, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x3bdc11d8, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x3464ca37, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0xef56b6fe, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x70663131, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x27b7c0ff, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0xac3df112, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x7b5f32d4, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x7dfb013c, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x7200b698, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0xf6a9d309, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0xd1c53c88, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x8df2b144, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x7c0cc0e9, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0xe1ca3cda, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0xa9dd696e, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x33606961, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x84f9222c, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe20a91b7, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x21528b3d, "iscsi_host_remove" },
	{ 0xc2be9a56, "pci_dev_put" },
	{ 0xa3d9b649, "iscsi_host_free" },
	{ 0x9657ce3c, "iscsi_host_alloc" },
	{ 0x5db55af7, "pci_dev_get" },
	{ 0xead49b4f, "iscsi_host_add" },
	{ 0x3c5e9b2c, "scsi_host_put" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x58e99b5b, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbf11607b, "iscsi_conn_queue_xmit" },
	{ 0x2c8fd61d, "cxgbi_ppm_ppods_reserve" },
	{ 0x2541a6f7, "dma_map_sg_attrs" },
	{ 0x9d00e348, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x18596635, "cxgbi_ppm_ppod_release" },
	{ 0x68f054b7, "dma_unmap_sg_attrs" },
	{ 0xd467b22d, "__kfree_skb" },
	{ 0x17f733f8, "iscsi_tcp_cleanup_task" },
	{ 0x037a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x073fc136, "iscsi_tcp_conn_setup" },
	{ 0xec7e36f6, "iscsi_session_setup" },
	{ 0xa549d9da, "iscsi_tcp_r2tpool_alloc" },
	{ 0xec561a38, "iscsi_session_teardown" },
	{ 0x2c9150ca, "iscsi_tcp_r2tpool_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4d211260, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3767ba60, "_dev_printk" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x159879d4, "iscsi_host_get_param" },
	{ 0xe8b15da1, "iscsi_unregister_transport" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x86e860d6, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x98ad96ba, "iscsi_register_transport" },
	{ 0x44e60a66, "init_net" },
	{ 0xb4229a07, "ip6_route_output_flags" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe987c0bd, "iscsi_tcp_set_max_r2t" },
	{ 0x94537db3, "iscsi_set_param" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc7f47f06, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x4afa69e4, "iscsi_tcp_recv_skb" },
	{ 0x1263e01e, "iscsi_lookup_endpoint" },
	{ 0x96269587, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xaa1c0940, "iscsi_tcp_hdr_recv_prep" },
	{ 0xc6f281c5, "iscsi_put_endpoint" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa867d6b4, "make_kuid" },
	{ 0xca738dd5, "ip_route_output_flow" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0x19bde577, "__ip_dev_find" },
	{ 0x89592605, "neigh_destroy" },
	{ 0x66e8c970, "iscsi_itt_to_ctask" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb7c156db, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5278fdf4, "__folio_put" },
	{ 0xaf3e0764, "module_put" },
	{ 0x611adec7, "ipv6_dev_get_saddr" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x833b5b5d, "iscsi_destroy_endpoint" },
	{ 0x927b1150, "iscsi_create_endpoint" },
	{ 0x0ee03265, "skb_put" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2908c1ae, "param_ops_uint" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A1FE6C08DA5E47540AE3FD6");
