#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x4beab75a, "");
SYMBOL_CRC(sas_remove_host, 0xce3511b5, "");
SYMBOL_CRC(sas_get_address, 0x4a05a0d7, "");
SYMBOL_CRC(sas_tlr_supported, 0x8bc699b1, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x0b9e2b05, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xceb2cc5e, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xd764b652, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x4263569f, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xd51a9185, "");
SYMBOL_CRC(sas_phy_add, 0x1a79a9d9, "");
SYMBOL_CRC(sas_phy_free, 0x4610816d, "");
SYMBOL_CRC(sas_phy_delete, 0x68e68def, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x64a7584d, "");
SYMBOL_CRC(sas_port_alloc, 0xd706920e, "");
SYMBOL_CRC(sas_port_alloc_num, 0xec45d1e4, "");
SYMBOL_CRC(sas_port_add, 0x3b1e2d98, "");
SYMBOL_CRC(sas_port_free, 0x0aa36e52, "");
SYMBOL_CRC(sas_port_delete, 0x6e7fb7ba, "");
SYMBOL_CRC(scsi_is_sas_port, 0x97f90da0, "");
SYMBOL_CRC(sas_port_get_phy, 0xe8817915, "");
SYMBOL_CRC(sas_port_add_phy, 0xed36ec0d, "");
SYMBOL_CRC(sas_port_delete_phy, 0x7862a5dc, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xfe671535, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x7235f6ca, "");
SYMBOL_CRC(sas_end_device_alloc, 0x71db850f, "");
SYMBOL_CRC(sas_expander_alloc, 0x6e0bf399, "");
SYMBOL_CRC(sas_rphy_add, 0xc4897f61, "");
SYMBOL_CRC(sas_rphy_free, 0xbec34a4e, "");
SYMBOL_CRC(sas_rphy_delete, 0xafc5abf6, "");
SYMBOL_CRC(sas_rphy_unlink, 0xc87dc91a, "");
SYMBOL_CRC(sas_rphy_remove, 0xaf8289b6, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x45e8a71e, "");
SYMBOL_CRC(sas_attach_transport, 0xe360101f, "");
SYMBOL_CRC(sas_release_transport, 0x53fd903f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xa5744d0d, "attribute_container_register" },
	{ 0xe468895c, "sysfs_remove_link" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x3767ba60, "_dev_printk" },
	{ 0x7431e800, "attribute_container_unregister" },
	{ 0x475f2570, "scsi_get_vpd_page" },
	{ 0xc764819f, "scsi_mode_sense" },
	{ 0x18f1b856, "scsi_remove_host" },
	{ 0x57465bab, "bsg_remove_queue" },
	{ 0x2c25a969, "scsi_remove_target" },
	{ 0xda48ed92, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xda8d746c, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb7d6d50e, "dma_opt_mapping_size" },
	{ 0x248cc4c4, "device_initialize" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x9f9e39e8, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x04a7cf42, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa28d073d, "put_device" },
	{ 0x037a0cba, "kfree" },
	{ 0x76a3bdf5, "device_add" },
	{ 0xab3b93b1, "transport_add_device" },
	{ 0x614ee598, "transport_configure_device" },
	{ 0x555435d2, "device_del" },
	{ 0xadadf359, "transport_destroy_device" },
	{ 0xabc9f843, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x715801e3, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xda85925d, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xc70a5ce2, "scsi_scan_target" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x639c7de8, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xbe200617, "transport_class_register" },
	{ 0xdaf2af48, "transport_class_unregister" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");
