#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0xac7657a2, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x303b7e93, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x997ab0f1, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x5f71ea54, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x73af4ba5, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x4087ba38, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x3ae15b84, "_gpl");
SYMBOL_CRC(ucsi_create, 0x84227ba1, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x0e5daf1d, "_gpl");
SYMBOL_CRC(ucsi_register, 0xe1b6c80b, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x9aaf21ae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf73a02a6, "typec_set_pwr_opmode" },
	{ 0xa0d012a7, "typec_cable_set_identity" },
	{ 0x32206b06, "debugfs_attr_read" },
	{ 0x1153825b, "typec_unregister_cable" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0xd0734197, "_dev_err" },
	{ 0x73ba32d0, "typec_partner_set_usb_mode" },
	{ 0x04b602a7, "typec_altmode_update_active" },
	{ 0x8dfc2da0, "device_property_read_u8_array" },
	{ 0x072f4225, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x3cdd47c2, "usb_power_delivery_register_capabilities" },
	{ 0x09e77d33, "typec_register_plug" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8df475fa, "typec_altmode_set_ops" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0xa1340304, "usb_power_delivery_unregister" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x1abb8e6b, "typec_set_data_role" },
	{ 0x4c5a8713, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc40a466e, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x40c9a719, "typec_unregister_port" },
	{ 0xb0dcd1f1, "power_supply_get_drvdata" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xf76e7a5d, "typec_register_port" },
	{ 0x5adf82a2, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x88f83092, "typec_partner_set_usb_power_delivery" },
	{ 0x6945d304, "power_supply_changed" },
	{ 0xdc12b3f2, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe49b9082, "typec_plug_register_altmode" },
	{ 0x7e526291, "devm_kasprintf" },
	{ 0xce564f31, "typec_partner_set_svdm_version" },
	{ 0xa94462bd, "seq_read" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2eeddd41, "typec_unregister_altmode" },
	{ 0x30fa50c3, "typec_register_cable" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb954dc93, "usb_power_delivery_unregister_capabilities" },
	{ 0x0fb05bc1, "typec_get_drvdata" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0x5c489c90, "typec_partner_set_identity" },
	{ 0x337ce72a, "power_supply_unregister" },
	{ 0x49d0e787, "single_release" },
	{ 0xe93b5632, "typec_set_pwr_role" },
	{ 0x978b01c1, "typec_partner_usb_power_delivery_register" },
	{ 0xd5d17a14, "dev_err_probe" },
	{ 0x54fb3bab, "usb_debug_root" },
	{ 0x6faa8fcc, "device_get_next_child_node" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaec940e7, "single_open" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdfe5d83b, "__dev_fwnode" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x2bc36778, "typec_partner_set_pd_revision" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe574a5cc, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x0e18fa15, "typec_register_partner" },
	{ 0x49db69b8, "typec_port_set_usb_power_delivery" },
	{ 0x34ddd2d7, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xa9ce7ed4, "typec_port_register_altmode" },
	{ 0xa565ff71, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0xbfa48a4a, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x0a85ac59, "fwnode_usb_role_switch_get" },
	{ 0x037a0cba, "kfree" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x561908bc, "typec_set_mode" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x6ad929db, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa1d25a19, "usb_power_delivery_register" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x64fe3447, "typec_partner_register_altmode" },
	{ 0xc5b2511b, "typec_partner_set_num_altmodes" },
	{ 0x36432807, "typec_unregister_partner" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "typec");


MODULE_INFO(srcversion, "9EFEC9B42F6F34557F2B766");
