#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xb2289100, "");
SYMBOL_CRC(w1_remove_master_device, 0x29701dd4, "");
SYMBOL_CRC(w1_register_family, 0xfa3f316f, "");
SYMBOL_CRC(w1_unregister_family, 0x13ad7a3c, "");
SYMBOL_CRC(w1_touch_bit, 0x9423c5fa, "_gpl");
SYMBOL_CRC(w1_write_8, 0xd741c5f7, "_gpl");
SYMBOL_CRC(w1_triplet, 0x6e00c028, "_gpl");
SYMBOL_CRC(w1_read_8, 0x8d91176d, "_gpl");
SYMBOL_CRC(w1_write_block, 0x9d362c43, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x872ace8c, "_gpl");
SYMBOL_CRC(w1_read_block, 0x813c34d9, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x401f5066, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0xf815ba49, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x977b2291, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x13f84e1a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x80f9359b, "cn_netlink_send_mult" },
	{ 0xa28d073d, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x567d068a, "_dev_info" },
	{ 0x96cb4ba0, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0x1184834a, "bus_unregister" },
	{ 0xd0734197, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xae022281, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0xb217aa95, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x988da772, "sysfs_create_group" },
	{ 0xf04488a7, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xeb78441d, "device_register" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x07483e13, "cn_del_callback" },
	{ 0xc6c7fca8, "kthread_create_on_node" },
	{ 0xfa7983e8, "pv_ops" },
	{ 0x20de3a8c, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x6ca812d2, "kobject_uevent" },
	{ 0x528762cd, "hwmon_device_unregister" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xcec2ab0c, "driver_register" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x57891d66, "cn_add_callback" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3f1b8924, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x83e0d3c9, "device_unregister" },
	{ 0xebcfaf02, "sysfs_remove_groups" },
	{ 0x62180579, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd812d09d, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C9D8282B218737CDCF3452");
