#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_cancel, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0x9bc9459f, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0x1ab4fb6d, "_gpl");
SYMBOL_CRC(dlm_posix_cancel, 0x13908a3a, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x0c8447f8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb933cbf0, "config_item_init_type_name" },
	{ 0x03a612c2, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x00aa1603, "xa_find" },
	{ 0x67dac152, "config_item_put" },
	{ 0xba936f69, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb54f2364, "__srcu_read_unlock" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x6ca812d2, "kobject_uevent" },
	{ 0xcf57e361, "sock_release" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x49d0e787, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x91181984, "tcp_sock_set_nodelay" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe8f042db, "seq_open" },
	{ 0x3b6c48c9, "__seq_puts" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaec940e7, "single_open" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x367a03a4, "sock_bind_add" },
	{ 0x4627d381, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa993097a, "kmem_cache_destroy" },
	{ 0xec8dafd2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa49e6278, "kset_create_and_add" },
	{ 0x6d9f2e0f, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x798fab05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe693fe3f, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x6a537e6d, "config_group_init" },
	{ 0x208dd434, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6b4b8e63, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x6c85e12a, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2650cb34, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x954bdc8d, "config_item_get" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x8dd191f9, "kernel_bind" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xb517ea66, "posix_lock_file" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8a4a0880, "kset_unregister" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x90ce0546, "kernel_kobj" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb8499a7f, "__tracepoint_sk_data_ready" },
	{ 0x9bb838e1, "call_srcu" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8c3acb9e, "synchronize_srcu" },
	{ 0x4fe88e23, "kernel_accept" },
	{ 0x11f257db, "kernel_recvmsg" },
	{ 0xc0b1eae0, "bpf_trace_run8" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9e553b18, "configfs_unregister_subsystem" },
	{ 0xd812d09d, "wake_up_process" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd53faeea, "locks_lock_inode_wait" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xbbd19295, "locks_init_lock" },
	{ 0xc48a9b58, "__free_pages" },
	{ 0xc6cbbc89, "capable" },
	{ 0xaf3e0764, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x44e60a66, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x3c68f838, "simple_open" },
	{ 0xae84cea6, "configfs_register_subsystem" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xd402ff43, "configfs_remove_default_groups" },
	{ 0xbbe250b2, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xca93c548, "noop_llseek" },
	{ 0xd2915a8e, "__SCK__tp_func_sk_data_ready" },
	{ 0x4ed3d556, "config_group_init_type_name" },
	{ 0x946372b2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x680530ba, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3eaac1bb, "kmem_cache_free" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xb0faca18, "seq_putc" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x62eec1d5, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbb77b172, "kobject_init_and_add" },
	{ 0x41f5e688, "sock_sendmsg" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xad818c4c, "lock_sock_nested" },
	{ 0xf04488a7, "kthread_stop" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x61481ffe, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0x84e64183, "default_llseek" },
	{ 0xc819a1cd, "sock_set_reuseaddr" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xb0c57cf9, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xbc1f40b7, "iov_iter_bvec" },
	{ 0x89069085, "misc_register" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0f5d9794, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x8453f818, "__kmem_cache_create_args" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc6c7fca8, "kthread_create_on_node" },
	{ 0x0745a981, "xa_erase" },
	{ 0xfa7983e8, "pv_ops" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0xa94462bd, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "25A9EB00FB665CB4A2FB5FE");
