#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xfbc8d5cb, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xcae6dc41, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xa7986088, "_gpl");
SYMBOL_CRC(fat_scan, 0x20abdccf, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xed1c7310, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xf2daaf88, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x47c6aa80, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x6bd990b7, "_gpl");
SYMBOL_CRC(fat_getattr, 0xecc812d6, "_gpl");
SYMBOL_CRC(fat_setattr, 0x8ec10b1a, "_gpl");
SYMBOL_CRC(fat_attach, 0x642a4467, "_gpl");
SYMBOL_CRC(fat_detach, 0x95f3feea, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x9132a98b, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x953e2f58, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x50960a50, "_gpl");
SYMBOL_CRC(fat_param_spec, 0xf4d8b1c0, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x3da3eeb2, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x5fabe40a, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x8695b917, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0xe4b264c3, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x24a71dc7, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xcaacbd0d, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xe9611d40, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x1b5b4332, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xefc701e2, "_gpl");
SYMBOL_CRC(fat_update_time, 0x7dc4875c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x324eeb0f, "load_nls" },
	{ 0xfe1a4a85, "generic_cont_expand_simple" },
	{ 0xd3b29c2a, "truncate_inode_pages_final" },
	{ 0x98cc416c, "generic_file_mmap" },
	{ 0x452bc6b6, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x773a0ebb, "ilookup" },
	{ 0xc2359497, "invalidate_inode_buffers" },
	{ 0x19a8d94c, "blk_finish_plug" },
	{ 0xd08da148, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6a65a756, "mnt_drop_write_file" },
	{ 0x4809ab8e, "fs_param_is_gid" },
	{ 0xecf8aa8e, "inode_init_once" },
	{ 0x73c07e98, "compat_ptr_ioctl" },
	{ 0x3fe63885, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x8b0cac4f, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xeaf1c774, "generic_file_read_iter" },
	{ 0x0e103703, "inode_maybe_inc_iversion" },
	{ 0xde63775b, "truncate_pagecache" },
	{ 0xdeb94dff, "sync_dirty_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5d5e1ca7, "setattr_copy" },
	{ 0x6dbefe59, "__wait_on_buffer" },
	{ 0x3759ee4f, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x0be6afcd, "kmem_cache_alloc_lru_noprof" },
	{ 0x3eaac1bb, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x77cfd2ef, "mpage_writepages" },
	{ 0x62eec1d5, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x90dbc3c1, "from_vfsgid" },
	{ 0xf99bd6c1, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8be8fae0, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x296e08a8, "__bread_gfp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x31d37dc8, "block_dirty_folio" },
	{ 0x020dd98f, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x2bdf882b, "__insert_inode_hash" },
	{ 0x1eb3184a, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0f5d9794, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8453f818, "__kmem_cache_create_args" },
	{ 0x6fcd0833, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x7b6459c1, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xabd63d4a, "generic_encode_ino32_fh" },
	{ 0x16cb6036, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x984d5ea0, "igrab" },
	{ 0xcaa4f679, "generic_read_dir" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x74f0710a, "mpage_readahead" },
	{ 0xce174536, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x87ad1a06, "init_user_ns" },
	{ 0xba936f69, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x3df0fb79, "__lock_buffer" },
	{ 0x0fff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf771fae0, "blkdev_issue_flush" },
	{ 0x06295105, "generic_fh_to_parent" },
	{ 0x08ad4d2e, "__fs_parse" },
	{ 0xd45eb120, "filemap_splice_read" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4ead95ce, "from_kuid_munged" },
	{ 0x86a2c773, "__generic_file_fsync" },
	{ 0x20c00b85, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5e4e92cf, "__mark_inode_dirty" },
	{ 0xbb1ed5f0, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0efe6b79, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xafa986e0, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa27e4963, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xb5f2e117, "inode_set_ctime_to_ts" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xb219349a, "fs_param_is_uid" },
	{ 0xa993097a, "kmem_cache_destroy" },
	{ 0x2fc0d8a6, "blkdev_issue_discard" },
	{ 0x49729151, "filemap_fdatawrite" },
	{ 0x94c620b8, "generic_fillattr" },
	{ 0xa754c428, "setattr_prepare" },
	{ 0x6ee66e4e, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3c72d213, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1645487c, "make_vfsgid" },
	{ 0x65248530, "blk_start_plug" },
	{ 0xc0351f9d, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa64f293c, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x563bd5d9, "fs_param_is_string" },
	{ 0xf7c81897, "new_inode" },
	{ 0x89ad7112, "mark_buffer_dirty" },
	{ 0xdb85390a, "security_inode_setattr" },
	{ 0xdb167d07, "__find_get_block" },
	{ 0x7ebe0058, "filemap_fdatawrite_range" },
	{ 0x64959b74, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x5272b95b, "__blockdev_direct_IO" },
	{ 0x93de5552, "d_make_root" },
	{ 0x3f9a1f00, "__bforget" },
	{ 0xac694624, "sb_set_blocksize" },
	{ 0x846654ed, "block_truncate_page" },
	{ 0x77985a31, "write_dirty_buffer" },
	{ 0xfa3d88e8, "sync_filesystem" },
	{ 0xd46a57f1, "fsnotify" },
	{ 0xdc34a1fd, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd26d7f2a, "from_vfsuid" },
	{ 0x421a9eeb, "inode_dio_wait" },
	{ 0x39447fa0, "iunique" },
	{ 0x037a0cba, "kfree" },
	{ 0x0f479ca8, "cont_write_begin" },
	{ 0x475ac1c0, "iput" },
	{ 0x5c00fb1f, "fs_param_is_enum" },
	{ 0x1ab83af2, "fs_param_is_s32" },
	{ 0x7ce1fb15, "iter_file_splice_write" },
	{ 0x5e36578d, "fs_param_is_bool" },
	{ 0x2f2fd5ec, "generic_file_write_iter" },
	{ 0x30b39180, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfaa1ddfc, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x3fd3652e, "fs_param_is_u32" },
	{ 0xc17cff84, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x1ffdd95b, "block_invalidate_folio" },
	{ 0xe857ee54, "__breadahead" },
	{ 0xc8b0250b, "generic_write_end" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EB4BC9B3B21FDF6859C3EA");
