#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0x1e228805, "");
SYMBOL_CRC(deregister_atm_ioctl, 0x27c96149, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x44c6e633, "");
SYMBOL_CRC(vcc_insert_socket, 0xbd74f693, "");
SYMBOL_CRC(vcc_release_async, 0xb6571bda, "");
SYMBOL_CRC(vcc_process_recv_queue, 0xd8b1205f, "");
SYMBOL_CRC(atm_dev_signal_change, 0x66d7c38c, "");
SYMBOL_CRC(atm_dev_release_vccs, 0xd0ef842b, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0x1e1d9235, "");
SYMBOL_CRC(atm_alloc_charge, 0xebfbc5f4, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0xfd39227b, "");
SYMBOL_CRC(atm_dev_lookup, 0xdb98b53d, "");
SYMBOL_CRC(atm_dev_register, 0x133a1776, "");
SYMBOL_CRC(atm_dev_deregister, 0xa2db095f, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93154b3a, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x01000e51, "schedule" },
	{ 0xd418939c, "sock_register" },
	{ 0x0c0a8e27, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa28d073d, "put_device" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdcba90ae, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x89253265, "skb_queue_tail" },
	{ 0xaf3e0764, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xec2958f8, "device_create_file" },
	{ 0x44e60a66, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xca93c548, "noop_llseek" },
	{ 0xf6fcfdfe, "sk_free" },
	{ 0xcf449043, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x124405ec, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe627c9a5, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb0faca18, "seq_putc" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xad818c4c, "lock_sock_nested" },
	{ 0x328dc76a, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9c373a16, "sk_alloc" },
	{ 0xeb78441d, "device_register" },
	{ 0x555435d2, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x61334024, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xab5f2062, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8005fa3d, "skb_recv_datagram" },
	{ 0xba936f69, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa4e579a8, "remove_proc_entry" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xf153c749, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x27d2abcf, "sock_gettstamp" },
	{ 0xfba7bf70, "_proc_mkdir" },
	{ 0x26f0a7a5, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3b6c48c9, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x28168137, "iov_iter_revert" },
	{ 0xe3909af2, "proc_create_seq_private" },
	{ 0xea72c169, "class_register" },
	{ 0x81316a72, "sock_init_data" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x388c2a07, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xec8dafd2, "release_sock" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x63b819a3, "skb_free_datagram" },
	{ 0x798fab05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x0ee03265, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x0160266c, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x037a0cba, "kfree" },
	{ 0x0b86b736, "proc_create_data" },
	{ 0x53f5c7f3, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x3d312923, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B146EF15E7BB381AD1AAC1");
