#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xf0703d76, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x9c7025d5, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xe0057d51, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x3dbd5a97, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xba05becf, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x56c5482b, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x3c4d6cca, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x2b0b1f4f, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x99788440, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x25c8f18d, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xac304192, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x2e96f233, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabea5f83, "gro_cells_init" },
	{ 0x3bd4ac36, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa307d66e, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x44e60a66, "init_net" },
	{ 0x7b6f515d, "alloc_netdev_mqs" },
	{ 0xc450210b, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x7108738d, "free_netdev" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x4ed6f3ff, "__xfrm_policy_check" },
	{ 0x96720a81, "__skb_ext_del" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0x0c5a5cc8, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x990f8d1b, "netdev_state_change" },
	{ 0x95354c99, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa867d6b4, "make_kuid" },
	{ 0x64e0ee7f, "ip6_redirect" },
	{ 0x7ed4bdca, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb4229a07, "ip6_route_output_flags" },
	{ 0xf31d6d76, "xfrm_lookup" },
	{ 0x7467f46b, "ip6_mtu" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x23ac7cdf, "skb_scrub_packet" },
	{ 0x573bc653, "skb_realloc_headroom" },
	{ 0x94505d23, "skb_set_owner_w" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xc3a32e93, "ipv6_push_frag_opts" },
	{ 0xb51878d5, "skb_push" },
	{ 0x8d77f73a, "ip6_local_out" },
	{ 0x955d5f8d, "dst_cache_get" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0x0897805d, "dst_cache_set_ip6" },
	{ 0x611adec7, "ipv6_dev_get_saddr" },
	{ 0xd5fc9b54, "ip6_dst_hoplimit" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1c8fc996, "ipv4_mtu" },
	{ 0x89592605, "neigh_destroy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x3bb8355e, "iptunnel_handle_offloads" },
	{ 0xeb0f8d75, "icmpv6_ndo_send" },
	{ 0xf49f8706, "icmp_ndo_send" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0x02d3b8a3, "skb_clone" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x758d52e2, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x56848656, "gro_cells_receive" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1d2a429d, "__iptunnel_pull_header" },
	{ 0xb49d7a94, "metadata_dst_alloc" },
	{ 0xca738dd5, "ip_route_output_flow" },
	{ 0x05b4e5ab, "ip_route_input_noref" },
	{ 0x6e63f66e, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6461f425, "dev_get_tstats64" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d0104ef, "ip6tun_encaps" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xe4936eb5, "ipv6_chk_addr_and_flags" },
	{ 0x02e746ad, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x0c93c6a0, "register_pernet_device" },
	{ 0x85a2120a, "xfrm6_tunnel_register" },
	{ 0xa24d3ba8, "rtnl_link_register" },
	{ 0x83b946f0, "xfrm6_tunnel_deregister" },
	{ 0xa0d4a79a, "unregister_pernet_device" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8d304f20, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x67686b10, "unregister_netdevice_queue" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0x3354c16b, "rt6_lookup" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0x71430632, "__dev_get_by_index" },
	{ 0x50ff7a4f, "gro_cells_destroy" },
	{ 0x47076f7c, "dst_cache_destroy" },
	{ 0x3136495d, "dst_cache_init" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "4FB717F7F122240BA338BBA");
