#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xbd3ce27b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x8c135b02, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0x73b1440a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xdfc53c5a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0x85aacf56, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0x97532b90, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x2fa7741d, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xeff6fb02, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0xf175a22f, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xfc245b28, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x0848bb1a, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x126bcb4e, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xcdfb9471, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x89a733f6, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x80a60b78, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x092e2d0e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x1f232f2a, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x58e165be, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x4591f7ff, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xe914e524, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x89253265, "skb_queue_tail" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe35fa282, "sk_error_report" },
	{ 0xb1744ab1, "ip_icmp_error" },
	{ 0x6dc98e8a, "ipv6_icmp_error" },
	{ 0x92997ed8, "_printk" },
	{ 0x0c93c6a0, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa0d4a79a, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x03a612c2, "sock_create_kern" },
	{ 0x8dd191f9, "kernel_bind" },
	{ 0xb0c57cf9, "kernel_connect" },
	{ 0x8c61bfed, "udp_sock_create6" },
	{ 0x680530ba, "kernel_sock_shutdown" },
	{ 0xcf57e361, "sock_release" },
	{ 0x920829e6, "udp_sock_create4" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf6fcfdfe, "sk_free" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa1ce98b4, "udp_set_csum" },
	{ 0xcff5f960, "ip_queue_xmit" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0xfa325734, "udp6_set_csum" },
	{ 0xba87a973, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x0160266c, "skb_dequeue" },
	{ 0x037a0cba, "kfree" },
	{ 0x20978fb9, "idr_find" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x8072d368, "sockfd_lookup" },
	{ 0xad818c4c, "lock_sock_nested" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xec8dafd2, "release_sock" },
	{ 0x5114acf2, "fput" },
	{ 0x0491272a, "setup_udp_tunnel_sock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "DED7F0743002865D2427A3C");
