#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x1d53472c, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x3f7ebd6b, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x3e610008, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xe170434b, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x45089317, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x81d41455, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x388e2edb, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xad1235bd, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xa5e64458, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xf180e2dd, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x355c659f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65a1a183, "unregister_pernet_subsys" },
	{ 0xa323e412, "nf_register_net_hooks" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xba936f69, "seq_write" },
	{ 0xb6b2fcb1, "nf_unregister_net_hooks" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xaa47e867, "security_skb_classify_flow" },
	{ 0x246b4725, "__nf_ip6_route" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xf31d6d76, "xfrm_lookup" },
	{ 0x8d77f73a, "ip6_local_out" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xca6084fd, "skb_ensure_writable" },
	{ 0xd0dd186e, "inet_proto_csum_replace4" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0x12968d33, "ip_route_me_harder" },
	{ 0xf0c6e42a, "ip_local_out" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa4e579a8, "remove_proc_entry" },
	{ 0x907cd046, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x0c99806b, "nf_ct_tmpl_alloc" },
	{ 0x9e74ec39, "nf_ct_ext_add" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0xe34960d9, "proc_create_net_data" },
	{ 0x1f471f99, "nf_ct_tmpl_free" },
	{ 0x69e4fb2e, "__cookie_v6_check" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0x0ee03265, "skb_put" },
	{ 0x16d65c7a, "ipv6_skip_exthdr" },
	{ 0xf983572b, "nf_ct_seqadj_init" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xbce642df, "__cookie_v4_init_sequence" },
	{ 0x0cafb1c7, "__cookie_v6_init_sequence" },
	{ 0xbdb59c8a, "__cookie_v4_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc9e6c0b9, "register_pernet_subsys" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "C1BDC301FE77D43A55D3BEA");
