#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x844abeef, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xddb79a9e, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xfebba2c3, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x93154b3a, "proto_unregister" },
	{ 0xd418939c, "sock_register" },
	{ 0x846feafb, "datagram_poll" },
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdcba90ae, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xaf3e0764, "module_put" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x1827fe86, "sock_no_shutdown" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x44e60a66, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd2915a8e, "__SCK__tp_func_sk_data_ready" },
	{ 0xd726a5fe, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0xf6fcfdfe, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x124405ec, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0xe627c9a5, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xad818c4c, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x328dc76a, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9c373a16, "sk_alloc" },
	{ 0x61334024, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab5f2062, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa3ba22cd, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x94505d23, "skb_set_owner_w" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x03a612c2, "sock_create_kern" },
	{ 0x00aa1603, "xa_find" },
	{ 0x8005fa3d, "skb_recv_datagram" },
	{ 0x89b9cb1c, "sock_alloc_send_pskb" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xf153c749, "_copy_from_iter" },
	{ 0xcf57e361, "sock_release" },
	{ 0x27d2abcf, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0x28168137, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xca6090d1, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x81316a72, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xec8dafd2, "release_sock" },
	{ 0x63b819a3, "skb_free_datagram" },
	{ 0x9fee5663, "sock_queue_rcv_skb_reason" },
	{ 0x2bf1d387, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x0ee03265, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x8dd191f9, "kernel_bind" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb8499a7f, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbe720537, "__module_get" },
	{ 0x11f257db, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd8a9b28a, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe35fa282, "sk_error_report" },
	{ 0x3d312923, "skb_queue_purge_reason" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "473C5AB47E04ECEA0106681");
