#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(kernel_rds_rt_debug_bitmap, "", "");
KSYMTAB_FUNC(rds_rt_debug_tp_enable, "_gpl", "");
KSYMTAB_FUNC(rds_str_array, "", "");
KSYMTAB_FUNC(rds_sock_addref, "_gpl", "");
KSYMTAB_FUNC(rds_sock_put, "_gpl", "");
KSYMTAB_FUNC(rds_cong_map_updated, "_gpl", "");
KSYMTAB_FUNC(rds_conn_create, "_gpl", "");
KSYMTAB_FUNC(rds_conn_create_outgoing, "_gpl", "");
KSYMTAB_FUNC(rds_conn_find, "_gpl", "");
KSYMTAB_FUNC(rds_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(rds_for_each_conn_info, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_trace_state_change, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_drop, "_gpl", "");
KSYMTAB_FUNC(rds_conn_drop, "_gpl", "");
KSYMTAB_FUNC(rds_conn_faddr_ha_changed, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_connect_if_down, "_gpl", "");
KSYMTAB_FUNC(rds_conn_connect_if_down, "_gpl", "");
KSYMTAB_FUNC(rds_info_register_func, "_gpl", "");
KSYMTAB_FUNC(rds_info_deregister_func, "_gpl", "");
KSYMTAB_FUNC(rds_info_copy, "_gpl", "");
KSYMTAB_FUNC(rds_message_addref, "_gpl", "");
KSYMTAB_FUNC(rds_message_put, "_gpl", "");
KSYMTAB_FUNC(rds_message_populate_header, "_gpl", "");
KSYMTAB_FUNC(rds_message_add_extension, "_gpl", "");
KSYMTAB_FUNC(rds_message_add_rdma_dest_extension, "_gpl", "");
KSYMTAB_FUNC(rds_message_unmapped, "_gpl", "");
KSYMTAB_FUNC(rds_inc_init, "_gpl", "");
KSYMTAB_FUNC(rds_inc_path_init, "_gpl", "");
KSYMTAB_FUNC(rds_inc_addref, "_gpl", "");
KSYMTAB_FUNC(rds_inc_put, "_gpl", "");
KSYMTAB_FUNC(rds_recv_incoming, "_gpl", "");
KSYMTAB_FUNC(rds_send_path_reset, "_gpl", "");
KSYMTAB_FUNC(rds_send_xmit, "_gpl", "");
KSYMTAB_FUNC(rds_asend_complete, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_send_complete, "_gpl", "");
KSYMTAB_FUNC(rds_atomic_send_complete, "_gpl", "");
KSYMTAB_FUNC(rds_send_path_drop_acked, "_gpl", "");
KSYMTAB_FUNC(rds_send_drop_acked, "_gpl", "");
KSYMTAB_FUNC(rds_send_hs_ping, "_gpl", "");
KSYMTAB_DATA(rds_stats, "_gpl", "");
KSYMTAB_FUNC(rds_stats_info_copy, "_gpl", "");
KSYMTAB_FUNC(rds_mod_stats_unregister, "_gpl", "");
KSYMTAB_FUNC(rds_mod_stats_register, "_gpl", "");
KSYMTAB_FUNC(rds_stats_print, "_gpl", "");
KSYMTAB_DATA(rds_wq, "_gpl", "");
KSYMTAB_FUNC(rds_queue_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_work_offline_safe, "_gpl", "");
KSYMTAB_FUNC(rds_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_delayed_work_on, "_gpl", "");
KSYMTAB_FUNC(rds_mod_delayed_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_flush_work, "_gpl", "");
KSYMTAB_FUNC(rds_connect_path_complete, "_gpl", "");
KSYMTAB_FUNC(rds_connect_complete, "_gpl", "");
KSYMTAB_FUNC(rds_addr_cmp, "_gpl", "");
KSYMTAB_FUNC(rds_trans_register, "_gpl", "");
KSYMTAB_FUNC(rds_trans_unregister, "_gpl", "");
KSYMTAB_FUNC(rds_page_remainder_alloc, "_gpl", "");
KSYMTAB_FUNC(rds_csum_and_copy_page_from_iter, "_gpl", "");
KSYMTAB_FUNC(rds_csum_and_copy_to_iter, "_gpl", "");
KSYMTAB_FUNC(rds_csum_and_copy_page_to_iter, "_gpl", "");
KSYMTAB_FUNC(rds_check_csum, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_drop_keys, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_process_send_cmsg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_state_change, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_state_change, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_state_change, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_state_change, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_state_change_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_state_change_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_state_change_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_state_change_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_receive, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_receive, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_receive, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_receive, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_receive_csum_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_receive_csum_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_receive_csum_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_receive_csum_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_drop_ingress, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_drop_ingress, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_drop_ingress, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_drop_ingress, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_drop_egress, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_drop_egress, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_drop_egress, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_drop_egress, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_add_device, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_add_device, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_add_device, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_add_device, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_remove_device, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_remove_device, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_remove_device, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_remove_device, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_queue_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_queue_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_queue_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_queue_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_queue_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_queue_worker, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_queue_worker, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_queue_worker, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_queue_worker, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_mr_destroy, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_mr_destroy, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_mr_destroy, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_mr_destroy, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_mr_get, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_mr_get, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_mr_get, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_mr_get, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_mr_get_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_mr_get_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_mr_get_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_mr_get_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_state_change, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_state_change, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_state_change, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_state_change, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_connect, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_accept, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_accept, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_accept, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_accept, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_listen, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_listen, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_listen, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_listen, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_free_cache_one, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_free_cache_one, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_free_cache_one, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_free_cache_one, "_gpl", "");
KSYMTAB_FUNC(rds_ns, "", "");

SYMBOL_CRC(kernel_rds_rt_debug_bitmap, 0x86d9b622, "");
SYMBOL_CRC(rds_rt_debug_tp_enable, 0x7f5dc4b0, "_gpl");
SYMBOL_CRC(rds_str_array, 0x7505d413, "");
SYMBOL_CRC(rds_sock_addref, 0x9e68c2d5, "_gpl");
SYMBOL_CRC(rds_sock_put, 0x3c9973e8, "_gpl");
SYMBOL_CRC(rds_cong_map_updated, 0x2bfad78a, "_gpl");
SYMBOL_CRC(rds_conn_create, 0xdd6035c6, "_gpl");
SYMBOL_CRC(rds_conn_create_outgoing, 0xbf4db864, "_gpl");
SYMBOL_CRC(rds_conn_find, 0xf0f74cf7, "_gpl");
SYMBOL_CRC(rds_conn_destroy, 0x659f8a96, "_gpl");
SYMBOL_CRC(rds_for_each_conn_info, 0x71486062, "_gpl");
SYMBOL_CRC(rds_conn_path_trace_state_change, 0x23e4221f, "_gpl");
SYMBOL_CRC(rds_conn_path_drop, 0xf53b1304, "_gpl");
SYMBOL_CRC(rds_conn_drop, 0x571b9363, "_gpl");
SYMBOL_CRC(rds_conn_faddr_ha_changed, 0xb022c9a3, "_gpl");
SYMBOL_CRC(rds_conn_path_connect_if_down, 0xb4e65fcb, "_gpl");
SYMBOL_CRC(rds_conn_connect_if_down, 0x04b56c74, "_gpl");
SYMBOL_CRC(rds_info_register_func, 0xb6986a35, "_gpl");
SYMBOL_CRC(rds_info_deregister_func, 0x6e69bc12, "_gpl");
SYMBOL_CRC(rds_info_copy, 0x1b8d0855, "_gpl");
SYMBOL_CRC(rds_message_addref, 0x3936b8d1, "_gpl");
SYMBOL_CRC(rds_message_put, 0x17744f58, "_gpl");
SYMBOL_CRC(rds_message_populate_header, 0x585f567b, "_gpl");
SYMBOL_CRC(rds_message_add_extension, 0xec2e7c77, "_gpl");
SYMBOL_CRC(rds_message_add_rdma_dest_extension, 0x582fe5cf, "_gpl");
SYMBOL_CRC(rds_message_unmapped, 0xaadfa393, "_gpl");
SYMBOL_CRC(rds_inc_init, 0x5ca19b83, "_gpl");
SYMBOL_CRC(rds_inc_path_init, 0x1c0fea28, "_gpl");
SYMBOL_CRC(rds_inc_addref, 0x2fd569a5, "_gpl");
SYMBOL_CRC(rds_inc_put, 0x2f3d6e77, "_gpl");
SYMBOL_CRC(rds_recv_incoming, 0x67cef91b, "_gpl");
SYMBOL_CRC(rds_send_path_reset, 0x23959112, "_gpl");
SYMBOL_CRC(rds_send_xmit, 0xd643d3c9, "_gpl");
SYMBOL_CRC(rds_asend_complete, 0xf27f2c4c, "_gpl");
SYMBOL_CRC(rds_rdma_send_complete, 0xfb34fc2d, "_gpl");
SYMBOL_CRC(rds_atomic_send_complete, 0x69f1dfc7, "_gpl");
SYMBOL_CRC(rds_send_path_drop_acked, 0xabb7bc05, "_gpl");
SYMBOL_CRC(rds_send_drop_acked, 0x043cc080, "_gpl");
SYMBOL_CRC(rds_send_hs_ping, 0x2d706390, "_gpl");
SYMBOL_CRC(rds_stats, 0xe312b24e, "_gpl");
SYMBOL_CRC(rds_stats_info_copy, 0x84a2da2e, "_gpl");
SYMBOL_CRC(rds_mod_stats_unregister, 0xf3f82018, "_gpl");
SYMBOL_CRC(rds_mod_stats_register, 0xbd642168, "_gpl");
SYMBOL_CRC(rds_stats_print, 0x60be35ca, "_gpl");
SYMBOL_CRC(rds_wq, 0x00a467af, "_gpl");
SYMBOL_CRC(rds_queue_work, 0xcb8de4ba, "_gpl");
SYMBOL_CRC(rds_queue_work_offline_safe, 0xa136c4a8, "_gpl");
SYMBOL_CRC(rds_queue_delayed_work, 0x82f3f5d1, "_gpl");
SYMBOL_CRC(rds_queue_delayed_work_on, 0x3aeaa0b8, "_gpl");
SYMBOL_CRC(rds_mod_delayed_work, 0x7ed9873b, "_gpl");
SYMBOL_CRC(rds_queue_cancel_work, 0xac830b94, "_gpl");
SYMBOL_CRC(rds_queue_flush_work, 0x826dc29f, "_gpl");
SYMBOL_CRC(rds_connect_path_complete, 0x6b290aab, "_gpl");
SYMBOL_CRC(rds_connect_complete, 0x2ae01849, "_gpl");
SYMBOL_CRC(rds_addr_cmp, 0x45a4781e, "_gpl");
SYMBOL_CRC(rds_trans_register, 0x47ce6bbb, "_gpl");
SYMBOL_CRC(rds_trans_unregister, 0xc928f389, "_gpl");
SYMBOL_CRC(rds_page_remainder_alloc, 0x75e194c9, "_gpl");
SYMBOL_CRC(rds_csum_and_copy_page_from_iter, 0x339d9deb, "_gpl");
SYMBOL_CRC(rds_csum_and_copy_to_iter, 0xd3758aac, "_gpl");
SYMBOL_CRC(rds_csum_and_copy_page_to_iter, 0x7ffdbf4e, "_gpl");
SYMBOL_CRC(rds_check_csum, 0xc0340111, "_gpl");
SYMBOL_CRC(rds_rdma_drop_keys, 0xd5f059de, "_gpl");
SYMBOL_CRC(rds_rdma_process_send_cmsg, 0x58ee3750, "_gpl");
SYMBOL_CRC(__tracepoint_rds_state_change, 0x1f50ef17, "_gpl");
SYMBOL_CRC(__traceiter_rds_state_change, 0x772ed279, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_state_change, 0x54118b3a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_state_change, 0x1e7fab7a, "_gpl");
SYMBOL_CRC(__tracepoint_rds_state_change_err, 0x7fef80ab, "_gpl");
SYMBOL_CRC(__traceiter_rds_state_change_err, 0xfe1894e6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_state_change_err, 0x6a0572e8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_state_change_err, 0xce157370, "_gpl");
SYMBOL_CRC(__tracepoint_rds_receive, 0x701204b1, "_gpl");
SYMBOL_CRC(__traceiter_rds_receive, 0x22846342, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_receive, 0xbaa585a7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_receive, 0xf2db730b, "_gpl");
SYMBOL_CRC(__tracepoint_rds_receive_csum_err, 0x4bdf800a, "_gpl");
SYMBOL_CRC(__traceiter_rds_receive_csum_err, 0x29c26046, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_receive_csum_err, 0x5e357249, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_receive_csum_err, 0xca5fd9dd, "_gpl");
SYMBOL_CRC(__tracepoint_rds_drop_ingress, 0xfd4e7682, "_gpl");
SYMBOL_CRC(__traceiter_rds_drop_ingress, 0x8b54a7bb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_drop_ingress, 0xb60f12af, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_drop_ingress, 0xdec52cb1, "_gpl");
SYMBOL_CRC(__tracepoint_rds_drop_egress, 0x4c4d1bf8, "_gpl");
SYMBOL_CRC(__traceiter_rds_drop_egress, 0xd491e860, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_drop_egress, 0x09fd71dd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_drop_egress, 0xa9c56129, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_send_ping, 0x5fb4138d, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_send_ping, 0x34c1d2ad, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_send_ping, 0x4b3da858, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_send_ping, 0x068b101b, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_send_pong, 0x7adf4c51, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_send_pong, 0xc0b85f1a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_send_pong, 0x6e56f784, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_send_pong, 0x5c76b2ed, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_receive_ping, 0xb60af121, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_receive_ping, 0xeb9d3553, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_receive_ping, 0xae1d4a19, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_receive_ping, 0xe7f0c741, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_receive_pong, 0x9361aefd, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_receive_pong, 0x1fe4b8e4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_receive_pong, 0x8b7615c5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_receive_pong, 0x4f3ff255, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_disable, 0x1955cab3, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_disable, 0x29cfd8c2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_disable, 0xf695306b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_disable, 0x63fcdfe5, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_add_device, 0x1c473fed, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_add_device, 0xef6a09bf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_add_device, 0x59d322fc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_add_device, 0xb9ec22a1, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_add_device_err, 0x87379674, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_add_device_err, 0x2de44eed, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_add_device_err, 0x68f76cac, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_add_device_err, 0xd7f28c88, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_remove_device, 0x465e4f8e, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_remove_device, 0x6a8e6e97, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_remove_device, 0x53b4bdcd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_remove_device, 0x524400dd, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_remove_device_err, 0xeaebb73b, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_remove_device_err, 0xa23a55de, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_remove_device_err, 0x1c4618db, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_remove_device_err, 0xd98f6498, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_shutdown_device, 0xbdb1ae56, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_shutdown_device, 0x8fac9359, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_shutdown_device, 0x3556344a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_shutdown_device, 0xece143fd, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_accept_err, 0x2e6f6808, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_accept_err, 0xcbec48d9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_accept_err, 0x3b859a4b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_accept_err, 0x20c43551, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_handle_connect, 0xde776af6, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_handle_connect, 0x73e86370, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_handle_connect, 0x28dac516, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_handle_connect, 0xdb44b6db, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_handle_connect_err, 0xc0743fde, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_handle_connect_err, 0xb686dbed, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_handle_connect_err, 0x8b58f136, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_handle_connect_err, 0x25cf4ea5, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_initiate_connect, 0x877d18de, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_initiate_connect, 0x88de2ddd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_initiate_connect, 0x9f6aa3e6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_initiate_connect, 0xe3415bdc, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_initiate_connect_err, 0x1adf05eb, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_initiate_connect_err, 0xd0f0001e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_initiate_connect_err, 0xf0a4d894, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_initiate_connect_err, 0xc8303e71, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_connect, 0x200598c1, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_connect, 0x394f95b5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_connect, 0xd6a83721, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_path_connect, 0xb0475606, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_connect_err, 0x5cc49c17, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_connect_err, 0x3113481b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_connect_err, 0x17e852ff, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_path_connect_err, 0x82b62f26, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_shutdown_prepare, 0xc95ece49, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_shutdown_prepare, 0xe35c9ca8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare, 0x65b2f228, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_path_shutdown_prepare, 0xad28a08c, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_shutdown_prepare_err, 0x9c818e82, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_shutdown_prepare_err, 0x9b58868e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare_err, 0x1fc15133, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_path_shutdown_prepare_err, 0xe4925020, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_yielding, 0xb04635f4, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_yielding, 0x8e37cef3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_yielding, 0xa8518ecc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_yielding, 0x0b340d7e, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_right_of_way, 0x5249e841, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_right_of_way, 0x4815c69f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_right_of_way, 0xb832353e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_right_of_way, 0xd10716ff, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_stale, 0x5353b601, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_stale, 0x76001baf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_stale, 0x47da0dd4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_stale, 0x3d58d409, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_expired, 0x86bec4a4, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_expired, 0xb410fd82, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_expired, 0x26428b73, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_expired, 0xb268807d, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_accepting, 0x8ca571e9, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_accepting, 0x36764b03, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_accepting, 0xa4bfdecc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_accepting, 0xdac1c6dd, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_success, 0x42a9c12e, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_success, 0x9d054c6a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_success, 0xe2558ef9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_success, 0x65830d15, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_accept_err, 0x5b36a482, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_accept_err, 0x732dcfbc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_accept_err, 0x101a6a6a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_accept_err, 0xdc748619, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_fastreg, 0x66eec468, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_fastreg, 0x1e0bacbd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_fastreg, 0x7304362b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_setup_fastreg, 0x6ee67c15, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_fastreg_err, 0x2b34d3ce, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_fastreg_err, 0xee028181, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_fastreg_err, 0xdd997c2e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_setup_fastreg_err, 0xbe7bad4d, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_qp, 0x7b2fd777, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_qp, 0x7ed0ffcb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_qp, 0x3e9fbd52, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_setup_qp, 0x360f26de, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_qp_err, 0x8cc903f8, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_qp_err, 0xe1d293a4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_qp_err, 0xbc1609a5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_setup_qp_err, 0x28921228, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_send_cqe_handler, 0x0f43b98c, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_send_cqe_handler, 0x6dbc2038, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_send_cqe_handler, 0x1bca0259, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_send_cqe_handler, 0x5942bd55, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_send_cqe_handler_err, 0x01c7e5fa, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_send_cqe_handler_err, 0xbe223d95, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_send_cqe_handler_err, 0x29dd4adf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_send_cqe_handler_err, 0xe4d385b1, "_gpl");
SYMBOL_CRC(__tracepoint_rds_rdma_cm_event_handler, 0xf13f6092, "_gpl");
SYMBOL_CRC(__traceiter_rds_rdma_cm_event_handler, 0x0c6caa7c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_rdma_cm_event_handler, 0x51c32f45, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_rdma_cm_event_handler, 0xf416b410, "_gpl");
SYMBOL_CRC(__tracepoint_rds_rdma_cm_event_handler_err, 0xead62208, "_gpl");
SYMBOL_CRC(__traceiter_rds_rdma_cm_event_handler_err, 0xfd7bf878, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_rdma_cm_event_handler_err, 0x444c648c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_rdma_cm_event_handler_err, 0x607f6769, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_flow_cntrl_add_credits, 0x6a5b03fe, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_flow_cntrl_add_credits, 0xed3a7d00, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_flow_cntrl_add_credits, 0xc4c1457a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_flow_cntrl_add_credits, 0x78ac01cc, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_flow_cntrl_advertise_credits, 0x5f4e34a2, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_flow_cntrl_advertise_credits, 0x1b96637d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_flow_cntrl_advertise_credits, 0x0cc7be2f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_flow_cntrl_advertise_credits, 0x00ec8051, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_flow_cntrl_grab_credits, 0xc3925921, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_flow_cntrl_grab_credits, 0xb225d923, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_flow_cntrl_grab_credits, 0x29e9845e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_flow_cntrl_grab_credits, 0x80254d7c, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_work, 0x9deac6f7, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_work, 0x465e9f67, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_work, 0xd87edbe6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_queue_work, 0xa6576d27, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_worker, 0x3815eb7d, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_worker, 0xb277be23, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_worker, 0x08cae120, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_queue_worker, 0x197883d8, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_cancel_work, 0x1f7e5b56, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_cancel_work, 0x31b3c8d9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_cancel_work, 0xe9d3f4b6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_queue_cancel_work, 0xb1361ce6, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_flush_work, 0x94e08cf5, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_flush_work, 0xfeee5375, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_flush_work, 0x80693720, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_queue_flush_work, 0xf17c4446, "_gpl");
SYMBOL_CRC(__tracepoint_rds_queue_work, 0xc9a3cad8, "_gpl");
SYMBOL_CRC(__traceiter_rds_queue_work, 0xcc09ad6e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_queue_work, 0xa6959af5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_queue_work, 0xebd4efc4, "_gpl");
SYMBOL_CRC(__tracepoint_rds_queue_worker, 0x23bfcb72, "_gpl");
SYMBOL_CRC(__traceiter_rds_queue_worker, 0x03343ecb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_queue_worker, 0x68feaf5f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_queue_worker, 0xa14dce90, "_gpl");
SYMBOL_CRC(__tracepoint_rds_queue_cancel_work, 0x40c57095, "_gpl");
SYMBOL_CRC(__traceiter_rds_queue_cancel_work, 0x814a2c01, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_queue_cancel_work, 0xaf058a4d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_queue_cancel_work, 0x0c6bafd0, "_gpl");
SYMBOL_CRC(__tracepoint_rds_mr_destroy, 0x7d2a8c7b, "_gpl");
SYMBOL_CRC(__traceiter_rds_mr_destroy, 0xdc627c6c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_mr_destroy, 0x121cdc56, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_mr_destroy, 0xb0c2decc, "_gpl");
SYMBOL_CRC(__tracepoint_rds_mr_get, 0x0b9d23f2, "_gpl");
SYMBOL_CRC(__traceiter_rds_mr_get, 0x726aa9e3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_mr_get, 0x06debf03, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_mr_get, 0xce7265de, "_gpl");
SYMBOL_CRC(__tracepoint_rds_mr_get_err, 0x627523fb, "_gpl");
SYMBOL_CRC(__traceiter_rds_mr_get_err, 0xa7f55a32, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_mr_get_err, 0x0d4373d6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_mr_get_err, 0x3c698b36, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_state_change, 0xa9fdb206, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_state_change, 0xbcb80b0e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_state_change, 0xbc174045, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_state_change, 0x7d7ad297, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_connect, 0x03aa7d98, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_connect, 0x865a6d7d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_connect, 0x461a17bd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_connect, 0xf215fb0f, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_connect_err, 0xce101f20, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_connect_err, 0x1e4f2695, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_connect_err, 0xfecf157d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_connect_err, 0xeac4e099, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_accept, 0xaf510686, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_accept, 0x36293c50, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_accept, 0xc06756ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_accept, 0xe34e13fe, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_accept_err, 0x0e5a6f88, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_accept_err, 0xee1a8c48, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_accept_err, 0x64afdb67, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_accept_err, 0x051d1d41, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_listen, 0x4d987818, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_listen, 0x2a0e6d3a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_listen, 0x22ae2835, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_listen, 0x4da3c0df, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_listen_err, 0x59965316, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_listen_err, 0x193b3182, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_listen_err, 0x3363e7f9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_listen_err, 0x7a45a512, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_shutdown, 0x6d209635, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_shutdown, 0xb8b715ba, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_shutdown, 0x2661f218, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_shutdown, 0xfd39220b, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_free_cache_one, 0x83ff0c27, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_free_cache_one, 0xe98fc2e1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_free_cache_one, 0x6c3ff6ff, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_free_cache_one, 0x82c80d89, "_gpl");
SYMBOL_CRC(rds_ns, 0x7e05f810, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xc0b1eae0, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1642f980, "put_cmsg" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0x1e9be7d5, "register_net_sysctl_sz" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb4e32191, "dump_stack" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x8d164611, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x93154b3a, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xd418939c, "sock_register" },
	{ 0x9c367b7e, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x39da6341, "numa_node" },
	{ 0xc48a9b58, "__free_pages" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xdcba90ae, "proto_register" },
	{ 0xaf3e0764, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1827fe86, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x44e60a66, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbc01ddc0, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x946372b2, "bpf_trace_run5" },
	{ 0xf6fcfdfe, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x124405ec, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x3eaac1bb, "kmem_cache_free" },
	{ 0xe627c9a5, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6999bd71, "proc_douintvec_minmax" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x95354c99, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa0d4a79a, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xad818c4c, "lock_sock_nested" },
	{ 0x40dede87, "copy_page_to_iter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9c373a16, "sk_alloc" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x61334024, "sock_no_socketpair" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xc998f67a, "unpin_user_page" },
	{ 0x7db14ca4, "proc_douintvec" },
	{ 0xd691b0ed, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0f5d9794, "kmem_cache_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xab5f2062, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x8453f818, "__kmem_cache_create_args" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x668b19a1, "down_read" },
	{ 0x907cd046, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5c889de4, "set_page_dirty" },
	{ 0x4b107ad2, "copy_page_from_iter" },
	{ 0xfa7983e8, "pv_ops" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x10e45293, "sock_i_ino" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9555fc04, "boot_cpu_data" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x9e62b463, "csum_and_copy_from_iter_full" },
	{ 0x5831e062, "cpus_read_trylock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0xd217e9e6, "trace_set_clr_event" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x754d539c, "strlen" },
	{ 0x36892c56, "bpf_trace_run7" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x0c93c6a0, "register_pernet_device" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x81316a72, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa993097a, "kmem_cache_destroy" },
	{ 0xec8dafd2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x41da2f16, "pin_user_pages_fast" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x89f57540, "__do_once_done" },
	{ 0x9c65b78a, "csum_partial_copy_nocheck" },
	{ 0x798fab05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2650cb34, "bpf_trace_run6" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x023967b1, "xas_find" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x8e313a4c, "unpin_user_pages" },
	{ 0x6e80795e, "param_set_uint" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E36C8B2907D2341A50631AB");
