#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x97bd6ac4, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x08329c53, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x5ef16ebf, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x2356eb03, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xdbce5795, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0x2993460d, "__ip_queue_xmit" },
	{ 0x3eaac1bb, "kmem_cache_free" },
	{ 0xcb32355f, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x95354c99, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xad818c4c, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x1cc344b5, "inet6_ioctl" },
	{ 0x328dc76a, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x9c373a16, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x65a1a183, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe065d43a, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x61334024, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xeef57e44, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0f5d9794, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xab5f2062, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0x8453f818, "__kmem_cache_create_args" },
	{ 0x0491272a, "setup_udp_tunnel_sock" },
	{ 0x8c61bfed, "udp_sock_create6" },
	{ 0xaf79b167, "skb_trim" },
	{ 0x907cd046, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe5845b6e, "sk_common_release" },
	{ 0xfa7983e8, "pv_ops" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8bcaa728, "inet6_getname" },
	{ 0x10e45293, "sock_i_ino" },
	{ 0xe74364d7, "inet6_sock_destruct" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xa54e4737, "ip6_xmit" },
	{ 0x4c857bff, "security_sctp_assoc_request" },
	{ 0xdaa7b8cd, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1c8fc996, "ipv4_mtu" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x94505d23, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x4c96ece9, "__skb_checksum" },
	{ 0x585b9769, "reuseport_alloc" },
	{ 0x3bf89c43, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8ee5cb73, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0x0b0db153, "percpu_counter_add_batch" },
	{ 0x8e347ca6, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x311fb02e, "crc32c_shift" },
	{ 0x409cdf8d, "ipv6_dup_options" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xba936f69, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8753b9aa, "udp_tunnel_xmit_skb" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd42c45f6, "proc_create_net_single" },
	{ 0x3ed6a9a7, "skb_copy" },
	{ 0x02d3b8a3, "skb_clone" },
	{ 0x1f3716c6, "inet_sk_set_state" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0xf153c749, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xcf57e361, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x69da579b, "inet_recv_error" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x27d2abcf, "sock_gettstamp" },
	{ 0x6648b984, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xfba7bf70, "_proc_mkdir" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x69c45ed4, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x26f0a7a5, "send_sig" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x71994fa0, "inet6_add_protocol" },
	{ 0x4ead95ce, "from_kuid_munged" },
	{ 0xe95ff04d, "ip_setsockopt" },
	{ 0x0cd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x9700ea0c, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xad774670, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x267b4965, "reuseport_detach_sock" },
	{ 0x993ea5e3, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x28168137, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x258fca53, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xe6489e94, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x81316a72, "sock_init_data" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xa993097a, "kmem_cache_destroy" },
	{ 0xec8dafd2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x46bce313, "skb_queue_head" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xbdb2df08, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x8aeeb4d2, "sock_i_uid" },
	{ 0x1a844675, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd65cd79f, "inet_addr_type_table" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x4621492d, "sock_kmemdup" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0x156b201e, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1b243758, "sock_wfree" },
	{ 0x0ee03265, "skb_put" },
	{ 0xc29cc573, "__percpu_counter_init_many" },
	{ 0x945ad029, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xd5fc9b54, "ip6_dst_hoplimit" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0x1c812d4c, "inet6_add_offload" },
	{ 0x51ba875d, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7163ac66, "inet6_bind" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xeda9bee2, "l3mdev_fib_table_by_index" },
	{ 0x920829e6, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x0160266c, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9e1136de, "inet6_unregister_protosw" },
	{ 0x43e3c744, "crc32c_csum_stub" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96720a81, "__skb_ext_del" },
	{ 0xe4e5620f, "skb_segment" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x19bde577, "__ip_dev_find" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x937f2bbe, "udp_tunnel6_xmit_skb" },
	{ 0x5a0755e9, "sock_common_getsockopt" },
	{ 0xc9d168da, "inet_bind" },
	{ 0x0e442f07, "sock_create" },
	{ 0xd65020e5, "net_hotdata" },
	{ 0x191b4b3b, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x061227e2, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x3b39f399, "fd_install" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x037a0cba, "kfree" },
	{ 0x1b39a365, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0x4ed6f3ff, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xbcf3a974, "security_sctp_assoc_established" },
	{ 0xb8499a7f, "__tracepoint_sk_data_ready" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x09455afb, "sock_common_setsockopt" },
	{ 0x53f5c7f3, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xca738dd5, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x100387dd, "__sk_mem_schedule" },
	{ 0x2cf85646, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xd1ed8776, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe34960d9, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xe35fa282, "sk_error_report" },
	{ 0xc9e6c0b9, "register_pernet_subsys" },
	{ 0x1642f980, "put_cmsg" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x1e9be7d5, "register_net_sysctl_sz" },
	{ 0x5b08e0bb, "inet_sock_destruct" },
	{ 0xd4e81835, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5af7b705, "inet_sk_get_local_port_range" },
	{ 0x440437f7, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xc88d92e1, "inet_getname" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x93154b3a, "proto_unregister" },
	{ 0xf9c7f6cc, "security_sctp_sk_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x0c0a8e27, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x1c40c308, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdcba90ae, "proto_register" },
	{ 0xd4baecad, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xb8496cc2, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4b705089, "inet_ctl_sock_create" },
	{ 0x440506ea, "inet_ioctl" },
	{ 0x38960ff3, "reuseport_add_sock" },
	{ 0xa7ddab23, "reuseport_select_sock" },
	{ 0x1ed10558, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x7d64c919, "sk_filter_trim_cap" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x5114acf2, "fput" },
	{ 0x38f0ce37, "inet_accept" },
	{ 0x44e60a66, "init_net" },
	{ 0x7c56da45, "crypto_shash_setkey" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x95cdec48, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7467f46b, "ip6_mtu" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd2915a8e, "__SCK__tp_func_sk_data_ready" },
	{ 0x1ae2df6e, "inet_add_protocol" },
	{ 0xf021ddf7, "inet_shutdown" },
	{ 0xf6fcfdfe, "sk_free" },
	{ 0xcf449043, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x02e746ad, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x4cce8f88, "inet_del_offload" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "D1F2963B3F6B71A9ABB54EC");
