#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd389f477, "virtio_transport_dgram_enqueue" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x55019887, "virtio_transport_shutdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9bdba1e5, "virtio_transport_notify_send_post_enqueue" },
	{ 0xcaac3508, "virtio_transport_dgram_dequeue" },
	{ 0xe4f3ed3a, "unregister_virtio_driver" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0x03a81e69, "virtio_transport_stream_allow" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf99314ee, "virtqueue_get_vring_size" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xdf677953, "virtio_transport_notify_send_init" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xae267b51, "virtio_transport_notify_send_pre_enqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x52382de1, "virtio_transport_seqpacket_dequeue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x40faf087, "virtio_transport_seqpacket_enqueue" },
	{ 0x7d08df0d, "virtio_transport_seqpacket_has_data" },
	{ 0x07862dda, "virtio_transport_notify_recv_pre_dequeue" },
	{ 0x284c3aa2, "virtio_transport_stream_enqueue" },
	{ 0x5ebde2cf, "virtqueue_disable_cb" },
	{ 0x5e3fb510, "virtio_transport_stream_dequeue" },
	{ 0x740bb075, "vsock_core_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x83bf9a3c, "vsock_core_register" },
	{ 0xf502dabd, "virtqueue_add_sgs" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf2ac3477, "virtio_reset_device" },
	{ 0xd547aab9, "virtio_transport_notify_poll_out" },
	{ 0x97131316, "virtio_transport_notify_recv_post_dequeue" },
	{ 0xbabd30f5, "virtio_transport_dgram_allow" },
	{ 0x1910ddc6, "__register_virtio_driver" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x0474c74a, "virtqueue_get_buf" },
	{ 0xba3859f9, "virtio_transport_deliver_tap_pkt" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd31a947e, "virtio_transport_read_skb" },
	{ 0xe93eb9b7, "virtqueue_kick" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd29e9285, "virtio_transport_stream_is_active" },
	{ 0x58a35f55, "virtqueue_add_inbuf" },
	{ 0x56cff357, "virtio_transport_do_socket_init" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xe61c276d, "virtio_transport_notify_poll_in" },
	{ 0xebe2eaff, "virtio_check_driver_offered_feature" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x057084b6, "virtio_transport_unsent_bytes" },
	{ 0xe44b160d, "virtio_transport_stream_has_space" },
	{ 0x027b1bcd, "virtio_transport_notify_send_pre_block" },
	{ 0x3aac19d8, "virtio_transport_notify_buffer_size" },
	{ 0x16b03fd1, "virtio_transport_destruct" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa5f3b841, "virtio_transport_recv_pkt" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe6443b2e, "virtio_transport_purge_skbs" },
	{ 0xb565ca0d, "virtio_transport_notify_recv_init" },
	{ 0x6f92431a, "virtio_transport_release" },
	{ 0x4b4b36ba, "virtqueue_enable_cb" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x57eb65a3, "virtio_transport_consume_skb_sent" },
	{ 0x0ee03265, "skb_put" },
	{ 0x33b7f94c, "vsock_for_each_connected_socket" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe5cafb38, "virtqueue_detach_unused_buf" },
	{ 0x43cf98fd, "virtio_transport_connect" },
	{ 0xa65623a0, "virtio_transport_notify_set_rcvlowat" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x321e55b0, "virtio_transport_stream_has_data" },
	{ 0x0aeaf9f2, "virtio_transport_stream_rcvhiwat" },
	{ 0x037a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x90059b26, "virtio_transport_dgram_bind" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe35fa282, "sk_error_report" },
	{ 0x2ad59fa6, "virtio_transport_notify_recv_pre_block" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "vmw_vsock_virtio_transport_common,vsock");

MODULE_ALIAS("virtio:d00000013v*");

MODULE_INFO(srcversion, "BA658B185FB703DF612B0C8");
