#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_runtime_buffer_set_silence, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_debug_name, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync_per_card, "_gpl", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_hw_params_bits, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");
KSYMTAB_FUNC(snd_parse_eld, "_gpl", "");
KSYMTAB_FUNC(snd_show_eld, "_gpl", "");
KSYMTAB_FUNC(snd_print_eld_info, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_default, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer_hw_params, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer, "", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_hw_params, "", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0xe44e5b1e, "");
SYMBOL_CRC(snd_pcm_new, 0x766f734a, "");
SYMBOL_CRC(snd_pcm_new_internal, 0x5d614e0e, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0xc2618a69, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0x423d96ce, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0xb809ce56, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0x863f2486, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0x66ed8393, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0x34f18931, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0x1dec67e4, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0x6f8c4408, "");
SYMBOL_CRC(snd_pcm_runtime_buffer_set_silence, 0xe6a0e3cf, "_gpl");
SYMBOL_CRC(snd_pcm_stop, 0x8f4b8e66, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0xfa572f71, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0x82d76096, "");
SYMBOL_CRC(snd_pcm_release_substream, 0x53a07ee9, "");
SYMBOL_CRC(snd_pcm_open_substream, 0xb4901f4f, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0xff4896e3, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0xd1736f21, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0xbe9b2688, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0x88db0380, "");
SYMBOL_CRC(snd_pcm_debug_name, 0xc606f048, "");
SYMBOL_CRC(snd_pcm_set_ops, 0x82492047, "");
SYMBOL_CRC(snd_pcm_set_sync_per_card, 0x9dad92da, "_gpl");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0x91460775, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x40d4b735, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0xc1984c7f, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x2f5cdabb, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0xe019ed8b, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0xd501a2b0, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0x130c4891, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0xa0299173, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0x768c3284, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0x9567abff, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x9e44a06f, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0x4ef9824a, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x195b710c, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x77bd191e, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x42b22246, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0x049d3d83, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0x0ed60ab3, "");
SYMBOL_CRC(snd_pcm_hw_params_bits, 0xe385f704, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0xb1131316, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0x02999a5d, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0xc81f50c5, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0x4feab681, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0x489afcdd, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0xbbdd3e30, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0xaff0cec1, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0xc656ab08, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0xf57ad120, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0x12ba4ca3, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0xf8080d3e, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0x5699539d, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0x23cb3522, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0x696f6621, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0x17dad214, "");
SYMBOL_CRC(snd_dma_free_pages, 0xab3f193d, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0xc26dade6, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0x976e406b, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0xcf76a945, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0x03958b61, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0x7f7b8127, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x488ec78f, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0x5a8bdab4, "_gpl");
SYMBOL_CRC(snd_parse_eld, 0x4477169d, "_gpl");
SYMBOL_CRC(snd_show_eld, 0xcbeb10a6, "_gpl");
SYMBOL_CRC(snd_print_eld_info, 0x31bf70c1, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_default, 0x649892e8, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer, 0xe914d05e, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer_hw_params, 0x99b70ac2, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer, 0x7bd886f2, "");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_hw_params, 0x5115799c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x037ad6f1, "alloc_pages_exact_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc7167b92, "snd_ctl_unregister_ioctl" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xec527939, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x92fc1695, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x61dd9c8b, "dma_alloc_noncontiguous" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x7230beea, "fdget" },
	{ 0x2db6249d, "dma_mmap_noncontiguous" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0xfec1a305, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x090a99a6, "__dma_sync_single_for_device" },
	{ 0x8465f793, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x060ba97c, "gen_pool_free_owner" },
	{ 0x0562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x01ffb657, "snd_ctl_register_ioctl_compat" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xca925e92, "snd_info_create_card_entry" },
	{ 0xf153c749, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x5b484c5f, "snd_power_wait" },
	{ 0x9555fc04, "boot_cpu_data" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xbcb5c40c, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x2dacb86a, "pid_vnr" },
	{ 0xe01d1d48, "snd_device_free" },
	{ 0x3572016c, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x68f054b7, "dma_unmap_sg_attrs" },
	{ 0x863f8409, "gcd" },
	{ 0x66a55738, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0x754d539c, "strlen" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9a0702ad, "__vma_start_write" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc21de125, "snd_device_register" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x1bcd5d56, "snd_register_device" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xce13824b, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7e2515b5, "dma_can_mmap" },
	{ 0x798fab05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2cfd4804, "_copy_to_iter" },
	{ 0x26fcf1a1, "snd_info_register" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf91a5449, "snd_info_create_module_entry" },
	{ 0x83062248, "snd_ctl_unregister_ioctl_compat" },
	{ 0x06fe5e1a, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x15cf71e2, "snd_ctl_add" },
	{ 0xa04d5097, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x5a1b82a4, "snd_timer_notify" },
	{ 0xa870cc9f, "snd_ctl_get_preferred_subdevice" },
	{ 0x93211f19, "dma_vunmap_noncontiguous" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x042d9168, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0xb2d81d2e, "dma_mmap_pages" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x16559d55, "__dma_need_sync" },
	{ 0x5cfbb0ec, "dma_free_pages" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x4f1eef8b, "snd_timer_interrupt" },
	{ 0x1d8ca2c1, "snd_info_free_entry" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf1e7c90d, "remap_pfn_range" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x037a0cba, "kfree" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x03bdc259, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa4c955a4, "import_ubuf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x675ae8dd, "snd_ctl_remove" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x349efb0d, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x08f987d8, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7d19e97a, "dma_alloc_pages" },
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa28d073d, "put_device" },
	{ 0xcadf315d, "snd_ctl_register_ioctl" },
	{ 0xc231e2fc, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x567d068a, "_dev_info" },
	{ 0xaf3e0764, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x272d8830, "__dma_sync_single_for_cpu" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x5114acf2, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xd0734197, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x855ac014, "dma_vmap_noncontiguous" },
	{ 0x0ffd9ddb, "__dma_sync_sg_for_device" },
	{ 0x946372b2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd3527ed2, "__devres_alloc_node" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0xd68f5746, "__dma_sync_sg_for_cpu" },
	{ 0x8ee3d128, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x82c65406, "vmap" },
	{ 0x2ebb3c56, "snd_unregister_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2c3eeefb, "snd_device_alloc" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x820a2872, "snd_timer_new" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0xbcf3029b, "sg_alloc_table_from_pages_segment" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xd5433683, "snd_device_new" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "5125173EBE51C047130A8E7");
