#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x6780974d, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x3608af89, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x7872fa1c, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0x26412353, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0x45206080, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x2d9c1451, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x196244e2, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x6cda10e6, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x342a2ab4, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x97d6a973, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0xe01ea704, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0xec2630fe, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0xdcad47d5, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xa6631e83, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0x01d4878b, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x4d4827db, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0xfb1d2104, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x34731577, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa920901f, "devm_request_threaded_irq" },
	{ 0x9caf3226, "cs_amp_get_efi_calibration_data" },
	{ 0xa1d636ca, "regmap_raw_read" },
	{ 0x423b9238, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa998a3d7, "gpiod_get_array_optional" },
	{ 0x358cb366, "spi_bus_lock" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfdd22d64, "device_property_read_u32_array" },
	{ 0x567d068a, "_dev_info" },
	{ 0x0505bf8b, "regmap_multi_reg_write_bypassed" },
	{ 0xd0734197, "_dev_err" },
	{ 0x21769f34, "gpiod_put_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3a375722, "regmap_read_bypassed" },
	{ 0xa315014f, "regmap_read" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x29a6d288, "spi_sync_locked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6b133183, "_dev_crit" },
	{ 0x6d0267b8, "regmap_update_bits_base" },
	{ 0xd5d17a14, "dev_err_probe" },
	{ 0xbf8117e6, "__pm_runtime_suspend" },
	{ 0x18838a4b, "regmap_register_patch" },
	{ 0x2b16db38, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf222e055, "gpiod_get_value_cansleep" },
	{ 0x16522cf5, "spi_bus_unlock" },
	{ 0xe51d774e, "regcache_cache_only" },
	{ 0x6e2e4d83, "regcache_sync" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfe0446c6, "regmap_write" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "C12BFE4C3C83D2BB249B6EF");
