#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x37f4f4d1, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0xc2526c6c, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0xa0848f3b, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x5c90422a, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x8cedc1dc, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x8e0c5c1c, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x35791dc0, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x1bdc96f3, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x209b8997, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0xcb29e25a, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x885a5673, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xbe11adcf, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x2df2f350, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x9bd4fb8f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb759286, "regcache_sync_region" },
	{ 0x30d86ae7, "snd_soc_put_enum_double" },
	{ 0x423b9238, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9ce7224f, "devm_gpiod_get_optional" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2c17316d, "devm_snd_soc_register_component" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x129e4281, "regulator_bulk_disable" },
	{ 0xfdd22d64, "device_property_read_u32_array" },
	{ 0x37144112, "snd_soc_get_enum_double" },
	{ 0x567d068a, "_dev_info" },
	{ 0x14001579, "snd_soc_info_volsw" },
	{ 0x6a4b5e7d, "regcache_drop_region" },
	{ 0xd0734197, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5a67834e, "snd_soc_info_enum_double" },
	{ 0xb9774683, "regulator_bulk_enable" },
	{ 0x94724270, "devm_regulator_bulk_get" },
	{ 0x4af501d1, "snd_soc_get_volsw" },
	{ 0xa315014f, "regmap_read" },
	{ 0x3dbe7eaa, "snd_soc_put_volsw" },
	{ 0x97b3689d, "snd_soc_component_update_bits" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3e2c6120, "regmap_bulk_read" },
	{ 0x82ed3615, "device_property_read_bool" },
	{ 0x6d0267b8, "regmap_update_bits_base" },
	{ 0xd5d17a14, "dev_err_probe" },
	{ 0xdd9c731d, "regmap_multi_reg_write" },
	{ 0xbf8117e6, "__pm_runtime_suspend" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe51d774e, "regcache_cache_only" },
	{ 0x6e2e4d83, "regcache_sync" },
	{ 0xfe0446c6, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x322f0115, "snd_soc_jack_report" },
	{ 0x746cf5e4, "gpiod_set_value_cansleep" },
	{ 0x2f5cdabb, "snd_pcm_hw_constraint_minmax" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "A30532B6041B3779F4F0698");
