#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5670_jack_suspend, "_gpl", "");
KSYMTAB_FUNC(rt5670_jack_resume, "_gpl", "");
KSYMTAB_FUNC(rt5670_set_jack_detect, "_gpl", "");
KSYMTAB_FUNC(rt5670_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5670_components, "_gpl", "");

SYMBOL_CRC(rt5670_jack_suspend, 0x9a8022fb, "_gpl");
SYMBOL_CRC(rt5670_jack_resume, 0x0d2846c5, "_gpl");
SYMBOL_CRC(rt5670_set_jack_detect, 0x5ccc8a26, "_gpl");
SYMBOL_CRC(rt5670_sel_asrc_clk_src, 0xf0e489f8, "_gpl");
SYMBOL_CRC(rt5670_components, 0x2f5ee4db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x14001579, "snd_soc_info_volsw" },
	{ 0xd0734197, "_dev_err" },
	{ 0xb9a2fbc2, "snd_soc_dapm_put_volsw" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x325e6532, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x29c59dc8, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x5a67834e, "snd_soc_info_enum_double" },
	{ 0x4af501d1, "snd_soc_get_volsw" },
	{ 0xa315014f, "regmap_read" },
	{ 0x3dbe7eaa, "snd_soc_put_volsw" },
	{ 0x97b3689d, "snd_soc_component_update_bits" },
	{ 0x2e12cbc5, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x6d0267b8, "regmap_update_bits_base" },
	{ 0x31e3706d, "snd_soc_dapm_get_volsw" },
	{ 0x95d100a8, "i2c_del_driver" },
	{ 0x18838a4b, "regmap_register_patch" },
	{ 0x54d8d617, "snd_soc_dapm_get_enum_double" },
	{ 0x088da5e1, "__pm_runtime_disable" },
	{ 0x2b16db38, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb62a81cf, "snd_soc_dapm_put_enum_double" },
	{ 0xe51d774e, "regcache_cache_only" },
	{ 0x6e2e4d83, "regcache_sync" },
	{ 0xfe0446c6, "regmap_write" },
	{ 0x2908c1ae, "param_ops_uint" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x24a9bdd0, "snd_soc_jack_free_gpios" },
	{ 0xe8730272, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xfdbf2d90, "snd_soc_jack_add_gpios" },
	{ 0x46dda2ed, "snd_soc_dapm_disable_pin" },
	{ 0x1c31afb7, "snd_soc_dapm_force_enable_pin" },
	{ 0x30d86ae7, "snd_soc_put_enum_double" },
	{ 0x423b9238, "regcache_mark_dirty" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb67fb5d0, "snd_soc_component_write" },
	{ 0x79248e93, "snd_soc_dapm_sync" },
	{ 0x2c17316d, "devm_snd_soc_register_component" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7e6325ca, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c65f4a2, "pm_runtime_enable" },
	{ 0x37144112, "snd_soc_get_enum_double" },
	{ 0x567d068a, "_dev_info" },
	{ 0x649456c9, "i2c_register_driver" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5670:*");
MODULE_ALIAS("acpi*:10EC5672:*");
MODULE_ALIAS("i2c:rt5670");
MODULE_ALIAS("i2c:rt5671");
MODULE_ALIAS("i2c:rt5672");

MODULE_INFO(srcversion, "4D923F4792766827CEC3138");
