#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(codec_info_list, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_info_list_count, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_part, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_acpi, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_dai, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_startup, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_prepare, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_trigger, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_params, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_free, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_shutdown, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_name, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_find_codec_dai_used, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_dailink_exit_loop, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_card_late_probe, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_simple_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_count_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_dailink, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_parse_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_dmic_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt700_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt5682_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_DATA(soc_sdw_rt1308_i2s_ops, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_mf_sdca_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_count_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_add_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l42_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_hs_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs35l56_volume_limit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_feedback_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_init, "", "SND_SOC_SDW_UTILS");

SYMBOL_CRC(codec_info_list, 0xb563b583, "");
SYMBOL_CRC(asoc_sdw_get_codec_info_list_count, 0xcb490bf7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_part, 0x2e07b566, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_acpi, 0xa279fb73, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_dai, 0x46c85f96, "");
SYMBOL_CRC(asoc_sdw_rtd_init, 0x1243d8c4, "");
SYMBOL_CRC(asoc_sdw_startup, 0x231ecc37, "");
SYMBOL_CRC(asoc_sdw_prepare, 0x3a16ca08, "");
SYMBOL_CRC(asoc_sdw_trigger, 0xf5d25136, "");
SYMBOL_CRC(asoc_sdw_hw_params, 0x5e919b7c, "");
SYMBOL_CRC(asoc_sdw_hw_free, 0xb31e01d4, "");
SYMBOL_CRC(asoc_sdw_shutdown, 0x406b99cf, "");
SYMBOL_CRC(asoc_sdw_get_codec_name, 0x99168adc, "");
SYMBOL_CRC(asoc_sdw_mc_find_codec_dai_used, 0x21874bec, "");
SYMBOL_CRC(asoc_sdw_mc_dailink_exit_loop, 0x2110b571, "");
SYMBOL_CRC(asoc_sdw_card_late_probe, 0x7b0a1194, "");
SYMBOL_CRC(asoc_sdw_init_dai_link, 0x16d8613c, "");
SYMBOL_CRC(asoc_sdw_init_simple_dai_link, 0x0fb9f15f, "");
SYMBOL_CRC(asoc_sdw_count_sdw_endpoints, 0xa5624c54, "");
SYMBOL_CRC(asoc_sdw_find_dailink, 0x2bed0fe8, "");
SYMBOL_CRC(asoc_sdw_parse_sdw_endpoints, 0x57bf939d, "");
SYMBOL_CRC(asoc_sdw_dmic_init, 0xbabf439b, "");
SYMBOL_CRC(asoc_sdw_rt_dmic_rtd_init, 0x0eaa117c, "");
SYMBOL_CRC(asoc_sdw_rt700_rtd_init, 0x8f2b9d4a, "");
SYMBOL_CRC(asoc_sdw_rt711_rtd_init, 0x5816c13a, "");
SYMBOL_CRC(asoc_sdw_rt711_exit, 0x143cea17, "");
SYMBOL_CRC(asoc_sdw_rt711_init, 0xe6cf84ee, "");
SYMBOL_CRC(asoc_sdw_rt5682_rtd_init, 0x8852365f, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_rtd_init, 0x4cf587a2, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_exit, 0x59cf8bd5, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_init, 0xb9eac752, "");
SYMBOL_CRC(asoc_sdw_rt_amp_spk_rtd_init, 0x449dacd5, "");
SYMBOL_CRC(soc_sdw_rt1308_i2s_ops, 0x92972569, "");
SYMBOL_CRC(asoc_sdw_rt_amp_exit, 0xe45301c8, "");
SYMBOL_CRC(asoc_sdw_rt_amp_init, 0x9bd559b6, "");
SYMBOL_CRC(asoc_sdw_rt_mf_sdca_spk_rtd_init, 0x3d76d83a, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_count_sidecar, 0xdc7f6e8a, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_add_sidecar, 0x7080b25e, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_spk_init, 0xf17e8032, "");
SYMBOL_CRC(asoc_sdw_cs42l42_rtd_init, 0x1bebbba9, "");
SYMBOL_CRC(asoc_sdw_cs42l43_hs_rtd_init, 0xc7bdcb08, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_rtd_init, 0x0d3e6e8d, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_init, 0x74163831, "");
SYMBOL_CRC(asoc_sdw_cs42l43_dmic_rtd_init, 0x7328eadc, "");
SYMBOL_CRC(asoc_sdw_cs35l56_volume_limit, 0x766c80e4, "");
SYMBOL_CRC(asoc_sdw_cs_spk_rtd_init, 0xccc1bbff, "");
SYMBOL_CRC(asoc_sdw_cs_spk_feedback_rtd_init, 0xdc29f811, "");
SYMBOL_CRC(asoc_sdw_cs_amp_init, 0xd58f4888, "");
SYMBOL_CRC(asoc_sdw_maxim_spk_rtd_init, 0x91091f6a, "");
SYMBOL_CRC(asoc_sdw_maxim_init, 0x1222b56c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0x6a686708, "snd_soc_dai_set_tdm_slot" },
	{ 0x3fae6b4e, "snd_soc_dapm_enable_pin" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x46dda2ed, "snd_soc_dapm_disable_pin" },
	{ 0x6b518613, "snd_soc_component_set_sysclk" },
	{ 0x5187b628, "snd_soc_dai_set_sysclk" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x79248e93, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x502478bf, "snd_soc_component_set_jack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4e474c50, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa28d073d, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x567d068a, "_dev_info" },
	{ 0x0da8ae18, "fwnode_create_software_node" },
	{ 0x1fbfe59c, "snd_soc_dapm_get_pin_switch" },
	{ 0x1ef4c6f6, "sdw_disable_stream" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd0734197, "_dev_err" },
	{ 0x47b78b78, "bus_find_device" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6f95b16b, "sdw_shutdown_stream" },
	{ 0x3b0a8582, "sdw_startup_stream" },
	{ 0x8dd47a06, "sdw_deprepare_stream" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x325e6532, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6dcbe891, "device_remove_software_node" },
	{ 0xac908a06, "snd_jack_set_key" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7e526291, "devm_kasprintf" },
	{ 0xb2bbde3a, "snd_soc_card_jack_new_pins" },
	{ 0x7cf704fa, "snd_soc_dai_set_pll" },
	{ 0x2e12cbc5, "snd_soc_dapm_new_controls" },
	{ 0x00c6021b, "sdw_enable_stream" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x55922955, "snd_soc_dapm_put_pin_switch" },
	{ 0x47b07a66, "device_match_name" },
	{ 0x573a3093, "snd_soc_dapm_info_pin_switch" },
	{ 0x66a79bae, "snd_soc_add_card_controls" },
	{ 0xfa8b841e, "device_add_software_node" },
	{ 0xf096d8d2, "snd_soc_find_dai" },
	{ 0x7d67b26c, "sdw_prepare_stream" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0xb93ad8f9, "sdw_bus_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x76fdc880, "to_software_node" },
	{ 0x7bcde054, "snd_soc_limit_volume" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd");


MODULE_INFO(srcversion, "EEADFF13B66A9206F422417");
