#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_cl_prepare, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(cl_dsp_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_cleanup, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware_iccmax, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_load_library, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ext_man_get_cavs_config_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_hda_position_quirk, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_stream_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_threaded_handler, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_get_position, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_llp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_ldp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_release, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_get_interface_mask, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_is_chain_dma_supported, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_stall_reset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_is_enabled, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_run, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_power_up, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_enable_core, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_reset_power_down, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_disable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc3, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc4, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_idle, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown_dma_flush, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_hw_params_upon_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_get, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_common_enable_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_common, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_ext, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_process_wakeen, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(hda_dsp_ipc_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_schedule_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_reply, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_msg_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_stream_data_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_irq_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_tx_is_busy, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_get_caps, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_clock_power_gating, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_init_chip, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_ack, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_pointer, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_open, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_close, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dai_config, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_dai_drv_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_dai, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_exit, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_ipc4_intel_dump_telemetry_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(hda_probes_register, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_probes_unregister, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_cl_prepare, 0x4c1d1489, "");
SYMBOL_CRC(cl_dsp_init, 0x06aa74de, "");
SYMBOL_CRC(hda_cl_trigger, 0x7df176b7, "");
SYMBOL_CRC(hda_cl_cleanup, 0x08e3fa86, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware_iccmax, 0xda6f66e7, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware, 0xea68243b, "");
SYMBOL_CRC(hda_dsp_ipc4_load_library, 0xbb1dc5ec, "");
SYMBOL_CRC(hda_dsp_ext_man_get_cavs_config_data, 0x5fc55bc4, "");
SYMBOL_CRC(sof_hda_position_quirk, 0xf2ce560f, "");
SYMBOL_CRC(hda_dsp_stream_hw_free, 0x5e4dfa1f, "");
SYMBOL_CRC(hda_dsp_check_stream_irq, 0xc61ebd56, "");
SYMBOL_CRC(hda_dsp_stream_threaded_handler, 0x3bdcdfa9, "");
SYMBOL_CRC(hda_dsp_stream_init, 0xd3ca63c3, "");
SYMBOL_CRC(hda_dsp_stream_free, 0xbf459079, "");
SYMBOL_CRC(hda_dsp_stream_get_position, 0xfd4304b1, "");
SYMBOL_CRC(hda_dsp_get_stream_llp, 0x1ddfa3d5, "");
SYMBOL_CRC(hda_dsp_get_stream_ldp, 0xb2eaaa00, "");
SYMBOL_CRC(hda_dsp_trace_init, 0x98512370, "");
SYMBOL_CRC(hda_dsp_trace_release, 0x8dfd1c3f, "");
SYMBOL_CRC(hda_dsp_trace_trigger, 0x52755f0d, "");
SYMBOL_CRC(hda_get_interface_mask, 0xd540ca0d, "");
SYMBOL_CRC(hda_is_chain_dma_supported, 0xb8f3a551, "");
SYMBOL_CRC(hda_dsp_core_stall_reset, 0x3da6dc02, "");
SYMBOL_CRC(hda_dsp_core_is_enabled, 0x2ddfd91a, "");
SYMBOL_CRC(hda_dsp_core_run, 0x052199f0, "");
SYMBOL_CRC(hda_dsp_core_power_up, 0xfc8ecaa9, "");
SYMBOL_CRC(hda_dsp_enable_core, 0x0ad9a340, "");
SYMBOL_CRC(hda_dsp_core_reset_power_down, 0xb7a64919, "");
SYMBOL_CRC(hda_dsp_ipc_int_enable, 0x181e2484, "");
SYMBOL_CRC(hda_dsp_ipc_int_disable, 0x2dca2270, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc3, 0x186eb083, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc4, 0xcb803a05, "");
SYMBOL_CRC(hda_dsp_resume, 0xe2ae9992, "");
SYMBOL_CRC(hda_dsp_runtime_resume, 0x889ee052, "");
SYMBOL_CRC(hda_dsp_runtime_idle, 0xee5fa8fe, "");
SYMBOL_CRC(hda_dsp_runtime_suspend, 0x9ce381e7, "");
SYMBOL_CRC(hda_dsp_suspend, 0xfb854933, "");
SYMBOL_CRC(hda_dsp_shutdown_dma_flush, 0xf6610af9, "");
SYMBOL_CRC(hda_dsp_shutdown, 0x5a33ed69, "");
SYMBOL_CRC(hda_dsp_set_hw_params_upon_resume, 0x6a1e2af1, "");
SYMBOL_CRC(hda_dsp_d0i3_work, 0x2ad078bb, "");
SYMBOL_CRC(hda_dsp_core_get, 0x6f85f0ea, "");
SYMBOL_CRC(hda_common_enable_sdw_irq, 0x8712c69e, "");
SYMBOL_CRC(hda_sdw_int_enable, 0xfa62b842, "");
SYMBOL_CRC(hda_sdw_check_lcount_common, 0x53d4a8e9, "");
SYMBOL_CRC(hda_sdw_check_lcount_ext, 0x9a06e742, "");
SYMBOL_CRC(hda_sdw_check_lcount, 0x97daf2d2, "");
SYMBOL_CRC(hda_sdw_process_wakeen, 0x142973af, "");
SYMBOL_CRC(hda_dsp_disable_interrupts, 0x66086307, "");
SYMBOL_CRC(hda_dsp_get_state, 0xf9ef81e8, "");
SYMBOL_CRC(hda_dsp_dump, 0xa94de7e0, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_initiated, 0x2eb65470, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_initiated, 0xdae4aaa2, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_initiated, 0x90d35101, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, 0x35e33813, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_response, 0x852eb6ed, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_response, 0x96c52497, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_response, 0xeb3bd79f, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_response, 0x16bbbb91, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq_ipc_check, 0xf5d1eab9, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq_ipc_check, 0x3289c4c3, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq_ipc_check, 0xc932971f, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, 0x2b37f935, "");
SYMBOL_CRC(hda_dsp_ipc_send_msg, 0xcb0055da, "");
SYMBOL_CRC(hda_dsp_ipc4_schedule_d0i3_work, 0xb4f68d68, "");
SYMBOL_CRC(hda_dsp_ipc4_send_msg, 0xada464e5, "");
SYMBOL_CRC(hda_dsp_ipc_get_reply, 0xab135628, "");
SYMBOL_CRC(hda_dsp_ipc4_irq_thread, 0x6ef62ffb, "");
SYMBOL_CRC(hda_dsp_ipc_irq_thread, 0xa457063a, "");
SYMBOL_CRC(hda_dsp_check_ipc_irq, 0xb3ca741a, "");
SYMBOL_CRC(hda_dsp_ipc_get_mailbox_offset, 0xac291fd8, "");
SYMBOL_CRC(hda_dsp_ipc_get_window_offset, 0x9cdf4bb2, "");
SYMBOL_CRC(hda_ipc_msg_data, 0x295031b7, "");
SYMBOL_CRC(hda_set_stream_data_offset, 0x6d03ade2, "");
SYMBOL_CRC(hda_ipc4_dsp_dump, 0x4aacff87, "");
SYMBOL_CRC(hda_check_ipc_irq, 0x079e3fa4, "");
SYMBOL_CRC(hda_ipc_irq_dump, 0xe6dd6caa, "");
SYMBOL_CRC(hda_ipc_dump, 0x213117e3, "");
SYMBOL_CRC(hda_ipc4_dump, 0x362ffbaf, "");
SYMBOL_CRC(hda_ipc4_tx_is_busy, 0xc628ec61, "");
SYMBOL_CRC(hda_dsp_ctrl_get_caps, 0x4a477989, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_enable, 0x6534605c, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_int_enable, 0x5028076f, "");
SYMBOL_CRC(hda_dsp_ctrl_clock_power_gating, 0x02db9f74, "");
SYMBOL_CRC(hda_dsp_ctrl_init_chip, 0x61e99dfc, "");
SYMBOL_CRC(hda_dsp_pcm_hw_params, 0xff3dbf88, "");
SYMBOL_CRC(hda_dsp_pcm_ack, 0x3afb066c, "");
SYMBOL_CRC(hda_dsp_pcm_trigger, 0xc80686d2, "");
SYMBOL_CRC(hda_dsp_pcm_pointer, 0x0b970560, "");
SYMBOL_CRC(hda_dsp_pcm_open, 0xb3881a62, "");
SYMBOL_CRC(hda_dsp_pcm_close, 0x51710c9c, "");
SYMBOL_CRC(hda_dai_config, 0xd9a3d463, "");
SYMBOL_CRC(sdw_hda_dai_hw_params, 0x5f380c07, "");
SYMBOL_CRC(sdw_hda_dai_hw_free, 0x2e3c3f53, "");
SYMBOL_CRC(sdw_hda_dai_trigger, 0x0cd03bc6, "");
SYMBOL_CRC(hda_set_dai_drv_ops, 0xb33543cc, "");
SYMBOL_CRC(hda_ops_free, 0x9f5ea9a6, "");
SYMBOL_CRC(skl_dai, 0x80c4ad7e, "");
SYMBOL_CRC(sof_hda_bus_init, 0xfc4be11c, "");
SYMBOL_CRC(sof_hda_bus_exit, 0x0b833574, "");
SYMBOL_CRC(sof_ipc4_intel_dump_telemetry_state, 0x465bfd2e, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq, 0x57ba2096, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq, 0xc7f3dde3, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq, 0x37ba839d, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq, 0x79bb115b, "");
SYMBOL_CRC(hda_probes_register, 0xa84ff40a, "");
SYMBOL_CRC(hda_probes_unregister, 0x9288cdc2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf3e6883, "hda_codec_resume_cmd_io" },
	{ 0x0e606c9a, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x32870531, "snd_hdac_ext_bus_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8721965e, "snd_hdac_ext_stream_clear" },
	{ 0x37e7c855, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x567d068a, "_dev_info" },
	{ 0x10c77543, "snd_hdac_ext_bus_link_power" },
	{ 0x3a9641ed, "snd_sof_dsp_dbg_dump" },
	{ 0xd42013be, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x09803b0a, "sof_mailbox_read" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0xdb94223e, "devm_kfree" },
	{ 0xd0734197, "_dev_err" },
	{ 0x04aac734, "snd_sof_dsp_update_bits_forced" },
	{ 0x38156599, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa48ff92e, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5739a916, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0xd0fd0235, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x8f19be63, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa62758f3, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x97378a50, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6cafc56d, "hda_bus_ml_reset_losidv" },
	{ 0x628da831, "snd_hdac_ext_stream_setup" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xff700e41, "snd_sof_ipc_get_reply" },
	{ 0xaa213387, "snd_sof_dsp_update_bits" },
	{ 0x25802ec7, "pci_restore_state" },
	{ 0x7bd4c57e, "snd_sof_pci_update_bits" },
	{ 0x6a9dc3bd, "hdac_bus_eml_ssp_get_hlink" },
	{ 0xac1b479a, "hdac_bus_eml_dmic_get_hlink" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xc8065890, "snd_hdac_display_power" },
	{ 0x40d4b735, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc1984c7f, "snd_pcm_hw_constraint_integer" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0x3a20eb4b, "hda_codec_rirb_status_clear" },
	{ 0xe02f8ec3, "hda_codec_suspend_cmd_io" },
	{ 0x024368f0, "snd_sof_ipc_reply" },
	{ 0xa965fcc2, "hda_codec_init_cmd_io" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x775c3e94, "hda_codec_stop_cmd_io" },
	{ 0x9756c8b5, "hda_codec_detect_mask" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc35c548c, "sof_ipc_tx_message" },
	{ 0x8efbfbed, "snd_sof_dsp_panic" },
	{ 0x801188b5, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x70ac8bb2, "snd_sof_suspend" },
	{ 0xc975e0d8, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0x9567abff, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x29d047b9, "intel_nhlt_init" },
	{ 0x3767ba60, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x03d4a697, "sof_client_dev_unregister" },
	{ 0x9d97c0a5, "hda_codec_check_rirb_status" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7fab7383, "snd_hdac_ext_stream_reset" },
	{ 0x10f0787f, "hdac_bus_eml_get_count" },
	{ 0x1c0ca42b, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xe9f428ef, "sof_io_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x40dddf43, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x66e65598, "hda_codec_jack_check" },
	{ 0x1dead630, "hda_bus_ml_suspend" },
	{ 0x646ed0f0, "pci_save_state" },
	{ 0xd0a8923a, "sof_block_read" },
	{ 0xcd673edb, "hda_codec_i915_display_power" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0x696f6621, "snd_dma_alloc_dir_pages" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0xc4b7e8c7, "snd_hdac_bus_send_cmd" },
	{ 0x40da5c62, "hda_bus_ml_resume" },
	{ 0xb0bb56de, "snd_hdac_bus_get_response" },
	{ 0x91e4a01c, "snd_hdac_ext_stream_start" },
	{ 0xa6257a2f, "complete" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0xd9a15dcf, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x3f569d11, "hda_codec_set_codec_wakeup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0xc4602f5c, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x2f5cdabb, "snd_pcm_hw_constraint_minmax" },
	{ 0x528fc968, "hda_codec_jack_wake_enable" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x26bbd5dd, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x9cbb3d34, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x03958b61, "snd_sgbuf_get_addr" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x488ec78f, "snd_sgbuf_get_chunk_size" },
	{ 0x9afacaf3, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0xab3f193d, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda,snd-sof,snd-hda-ext-core,snd-sof-intel-hda-mlink,snd-soc-core,snd-intel-dspcfg,snd-pcm,snd-hda-core,snd-soc-hdac-hda");


MODULE_INFO(srcversion, "0C23107D9222C7549AF7BAD");
