#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x8f141c2f, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0xffef8bc6, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0xa6ed257c, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0xfbffed27, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0x0b90d3ca, "");
SYMBOL_CRC(hda_dsp_probe_early, 0xc23c287d, "");
SYMBOL_CRC(hda_dsp_probe, 0xc3b9316e, "");
SYMBOL_CRC(hda_dsp_remove, 0xf33a6894, "");
SYMBOL_CRC(hda_power_down_dsp, 0x5b49abd9, "");
SYMBOL_CRC(hda_pci_intel_probe, 0x2814ca44, "");
SYMBOL_CRC(sof_hda_common_ops, 0x3900ab72, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0x37effa85, "pci_alloc_irq_vectors" },
	{ 0x6dedcd22, "intel_nhlt_get_dmic_geo" },
	{ 0x5fc55bc4, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0x6534605c, "hda_dsp_ctrl_ppcap_enable" },
	{ 0x142973af, "hda_sdw_process_wakeen" },
	{ 0xfa62b842, "hda_sdw_int_enable" },
	{ 0xe32c4db4, "hda_bus_ml_init" },
	{ 0x9fe9cd00, "hda_codec_probe_bus" },
	{ 0x0b833574, "sof_hda_bus_exit" },
	{ 0x5f380c07, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0x967c85dc, "sdw_intel_exit" },
	{ 0x75459ad9, "hda_codec_check_for_state_change" },
	{ 0xf7be2ef1, "sof_xtensa_arch_ops" },
	{ 0x0e4a5140, "intel_nhlt_has_endpoint_type" },
	{ 0x0cd03bc6, "sdw_hda_dai_trigger" },
	{ 0x66b27cc8, "hda_bus_ml_free" },
	{ 0xea68243b, "hda_dsp_cl_boot_firmware" },
	{ 0xff3dbf88, "hda_dsp_pcm_hw_params" },
	{ 0x97daf2d2, "hda_sdw_check_lcount" },
	{ 0x4a802bdb, "snd_intel_dsp_driver_probe" },
	{ 0x20fdfba9, "pci_irq_vector" },
	{ 0x02db9f74, "hda_dsp_ctrl_clock_power_gating" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x6a5f8d0f, "pci_ioremap_bar" },
	{ 0x61e99dfc, "hda_dsp_ctrl_init_chip" },
	{ 0x2e3c3f53, "sdw_hda_dai_hw_free" },
	{ 0xddcafcbf, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfb854933, "hda_dsp_suspend" },
	{ 0x9ce381e7, "hda_dsp_runtime_suspend" },
	{ 0x20e7e44e, "hda_codec_i915_exit" },
	{ 0xab3f193d, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xac291fd8, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0xd9a3d463, "hda_dai_config" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x9288cdc2, "hda_probes_unregister" },
	{ 0x02081529, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3afb066c, "hda_dsp_pcm_ack" },
	{ 0x8dfd1c3f, "hda_dsp_trace_release" },
	{ 0x37ba839d, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0x567d068a, "_dev_info" },
	{ 0xa94de7e0, "hda_dsp_dump" },
	{ 0x35272ca4, "sdw_intel_startup" },
	{ 0x0b970560, "hda_dsp_pcm_pointer" },
	{ 0x91be015b, "sdw_intel_process_wakeen_event" },
	{ 0xd42013be, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb805f52f, "devm_kmemdup" },
	{ 0x09803b0a, "sof_mailbox_read" },
	{ 0x5bc03cfb, "hda_bus_ml_put_all" },
	{ 0xd0734197, "_dev_err" },
	{ 0x9584e7c2, "debugfs_create_bool" },
	{ 0xb7a64919, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x57ba2096, "__tracepoint_sof_intel_hda_irq" },
	{ 0xfcc331f1, "platform_device_unregister" },
	{ 0x98512370, "hda_dsp_trace_init" },
	{ 0xb157f402, "snd_soc_acpi_find_machine" },
	{ 0x40d66380, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x2c34764a, "hda_codec_device_remove" },
	{ 0x5028076f, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x8f19be63, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xaa213387, "snd_sof_dsp_update_bits" },
	{ 0x7bd4c57e, "snd_sof_pci_update_bits" },
	{ 0xfc4be11c, "sof_hda_bus_init" },
	{ 0xee5fa8fe, "hda_dsp_runtime_idle" },
	{ 0xb3881a62, "hda_dsp_pcm_open" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x0fa4e411, "sdw_intel_lnl_hw_ops" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0xd691b0ed, "param_ops_charp" },
	{ 0x5e4dfa1f, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x51710c9c, "hda_dsp_pcm_close" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0x7e526291, "devm_kasprintf" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x079e3fa4, "hda_check_ipc_irq" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x760c583f, "platform_device_register_full" },
	{ 0x0e84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0x889ee052, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x52755f0d, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x11008476, "sof_machine_unregister" },
	{ 0x80c4ad7e, "skl_dai" },
	{ 0x1ddfa3d5, "hda_dsp_get_stream_llp" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x96fcabb5, "sdw_intel_probe" },
	{ 0x887e00e3, "snd_sof_load_firmware_raw" },
	{ 0xcaadfd9e, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0xb8f3a551, "hda_is_chain_dma_supported" },
	{ 0xe2ae9992, "hda_dsp_resume" },
	{ 0x1a584304, "intel_nhlt_ssp_mclk_mask" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0xa84ff40a, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0xd5d17a14, "dev_err_probe" },
	{ 0xd3ca63c3, "hda_dsp_stream_init" },
	{ 0xb2eaaa00, "hda_dsp_get_stream_ldp" },
	{ 0xbf459079, "hda_dsp_stream_free" },
	{ 0x4a477989, "hda_dsp_ctrl_get_caps" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x29d047b9, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaf7daf60, "sdw_intel_cnl_hw_ops" },
	{ 0xbf0f1bd7, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xec1e67d0, "hda_codec_i915_init" },
	{ 0xeca6626b, "pci_free_irq_vectors" },
	{ 0xc61ebd56, "hda_dsp_check_stream_irq" },
	{ 0x6d03ade2, "hda_set_stream_data_offset" },
	{ 0x64ce64c1, "sdw_intel_acpi_scan" },
	{ 0x9cdf4bb2, "hda_dsp_ipc_get_window_offset" },
	{ 0x295031b7, "hda_ipc_msg_data" },
	{ 0xb5ef4f7c, "sof_machine_register" },
	{ 0x80e56409, "hdac_bus_eml_get_mutex" },
	{ 0xd467c0b3, "snd_soc_acpi_intel_hda_machines" },
	{ 0x6a1e2af1, "hda_dsp_set_hw_params_upon_resume" },
	{ 0xf27f0a05, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xd0a8923a, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xce51f722, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xd540ca0d, "hda_get_interface_mask" },
	{ 0xcd673edb, "hda_codec_i915_display_power" },
	{ 0xe9b2ffec, "is_acpi_device_node" },
	{ 0xc80686d2, "hda_dsp_pcm_trigger" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,soundwire-intel,snd-sof-xtensa-dsp,snd-sof-pci,snd-pcm,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "D6B1ADF73F7DA3B78C29411");
