#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_mic_privacy_mask, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_is_mic_privacy_changed, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mic_privacy_state, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0xe32c4db4, "");
SYMBOL_CRC(hda_bus_ml_free, 0x66b27cc8, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0x10f0787f, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt_unlocked, 0xb837d651, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x833b0424, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0xef3caad4, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0xd9b69537, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x4ed0885f, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0xf6353adb, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0x988cb4f5, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x1426e4fc, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x27cb2218, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0xcb7da285, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x86363a65, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x05caef0e, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0xa1cf5f27, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0x7f91765b, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x1f9d588d, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0xbce627c1, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x6719e1ca, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0xfc2349f8, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x7dd58b10, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x2748a673, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x714b2fd0, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0xa48ff92e, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x5bc03cfb, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x6cafc56d, "");
SYMBOL_CRC(hda_bus_ml_resume, 0x40da5c62, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0x1dead630, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0x80e56409, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0x6a9dc3bd, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0xac1b479a, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0xd9a15dcf, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x62d0baa9, "");
SYMBOL_CRC(hdac_bus_eml_set_mic_privacy_mask, 0x491e1110, "");
SYMBOL_CRC(hdac_bus_eml_is_mic_privacy_changed, 0x87986816, "");
SYMBOL_CRC(hdac_bus_eml_get_mic_privacy_state, 0xfaabb5c2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1742ab34, "snd_hdac_ext_bus_link_power_up" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbe20f8ee, "snd_hdac_ext_bus_link_power_down" },
	{ 0xd0734197, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xd751c621, "snd_hdac_ext_bus_link_put" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "CBB01D9ED4ECAAD92D34502");
