#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0x528fc968, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0x66e65598, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0x9fe9cd00, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0x75459ad9, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0x9756c8b5, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0xa965fcc2, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0xcf3e6883, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0x775c3e94, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0xe02f8ec3, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0x3a20eb4b, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0x3f569d11, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0x9d97c0a5, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0x2c34764a, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0xcd673edb, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0xec1e67d0, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0x20e7e44e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0xc4b7e8c7, "snd_hdac_bus_send_cmd" },
	{ 0xb0bb56de, "snd_hdac_bus_get_response" },
	{ 0xa07ac322, "snd_hdac_bus_update_rirb" },
	{ 0x39e47991, "snd_hdac_codec_modalias" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xd688eea2, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa28d073d, "put_device" },
	{ 0x4f203da1, "snd_hdac_device_register" },
	{ 0x8a0e1430, "snd_hdac_i915_init" },
	{ 0xd0734197, "_dev_err" },
	{ 0x85f2c067, "snd_hdac_device_unregister" },
	{ 0xe350e2e6, "device_attach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x878fe2df, "snd_hdac_bus_stop_cmd_io" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xc8065890, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x057e0842, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb307b262, "snd_hdac_acomp_exit" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd92327e0, "snd_hda_codec_device_init" },
	{ 0x516728f0, "snd_hdac_set_codec_wakeup" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "25C4682725E14437AA2A9C6");
