#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0xd8b07ebf, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0x88bfaed1, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0xf75eaffe, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0x1f1f3d45, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0x0607b12c, "_gpl");
SYMBOL_CRC(line6_read_data, 0x2558e131, "_gpl");
SYMBOL_CRC(line6_write_data, 0xa3b0e4ce, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0x7f257f9c, "_gpl");
SYMBOL_CRC(line6_probe, 0x81387142, "_gpl");
SYMBOL_CRC(line6_disconnect, 0x094f14d8, "_gpl");
SYMBOL_CRC(line6_suspend, 0x392ba5c6, "_gpl");
SYMBOL_CRC(line6_resume, 0xe1bce08e, "_gpl");
SYMBOL_CRC(line6_init_midi, 0xf4272ac8, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0xdafef00b, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0x88128296, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0x8e6974b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0734197, "_dev_err" },
	{ 0xabd65d72, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc98a6a6f, "snd_rawmidi_transmit_peek" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x5acc2d74, "snd_card_free_when_closed" },
	{ 0x44fe10b0, "usb_set_interface" },
	{ 0x82492047, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf8080d3e, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6cb465a, "__kfifo_max_r" },
	{ 0xf683bec6, "snd_rawmidi_new" },
	{ 0xe78c40af, "snd_card_disconnect" },
	{ 0xe24f20f2, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6e2f9b1c, "snd_rawmidi_set_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2484adc3, "__kfifo_to_user_r" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xde62937a, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc81f50c5, "snd_pcm_period_elapsed" },
	{ 0x7846af3e, "__kfifo_len_r" },
	{ 0x754d539c, "strlen" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa3d32b27, "usb_alloc_urb" },
	{ 0xb56ab4d7, "snd_rawmidi_receive" },
	{ 0x00bbb499, "usb_free_urb" },
	{ 0x20718ce1, "usb_control_msg_send" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x15cf71e2, "snd_ctl_add" },
	{ 0x766f734a, "snd_pcm_new" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x0a3f1f78, "usb_control_msg_recv" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd5e54333, "usb_interrupt_msg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3955fcf6, "__kfifo_in_r" },
	{ 0x08f987d8, "snd_ctl_new1" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xce6fa783, "usb_put_dev" },
	{ 0x78d13658, "usb_bulk_msg" },
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a9e3acf, "snd_rawmidi_transmit_ack" },
	{ 0xba245d2f, "usb_get_dev" },
	{ 0xb7bedcfc, "usb_submit_urb" },
	{ 0x567d068a, "_dev_info" },
	{ 0xa0299173, "snd_pcm_hw_constraint_ratdens" },
	{ 0xe2f3583a, "snd_card_new" },
	{ 0x4cf26915, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd-hwdep,snd-rawmidi,snd,snd-pcm");


MODULE_INFO(srcversion, "7DD4A530BEBC54D6137E74E");
