#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0xd58499eb, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x37ded661, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0xfe22fd95, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0xb1d9fa25, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x534e0bda, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x9ab2202e, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x223c020c, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x56c36b80, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x02f05e59, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x682c1f93, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x50414958, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x3c207149, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x9a2212e9, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x4a0963a9, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x25721b77, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x122587b2, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0xe1783535, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x753e42ff, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x0fccf3a6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x54c1833b, "regulator_disable" },
	{ 0xd2bd29f4, "regulator_put" },
	{ 0x037a0cba, "kfree" },
	{ 0x2b16db38, "__pm_runtime_idle" },
	{ 0x088da5e1, "__pm_runtime_disable" },
	{ 0xe7cda367, "regulator_enable" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf82053cb, "platform_get_irq" },
	{ 0x7456d8f1, "ahci_save_initial_config" },
	{ 0xc4dbda10, "ahci_set_em_messages" },
	{ 0x6f20069b, "ata_host_alloc_pinfo" },
	{ 0xe5a3fb3a, "platform_get_resource" },
	{ 0xdcd8e9c6, "ata_port_desc" },
	{ 0xac88ac98, "ata_dummy_port_ops" },
	{ 0x5ee871ee, "ahci_reset_controller" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x45f1fa00, "ahci_init_controller" },
	{ 0xa5067975, "ahci_print_info" },
	{ 0x2d712ac1, "ahci_host_activate" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0x90ca46a0, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd0734197, "_dev_err" },
	{ 0x567d068a, "_dev_info" },
	{ 0x151ecf88, "devres_open_group" },
	{ 0xd3527ed2, "__devres_alloc_node" },
	{ 0x349efb0d, "devres_add" },
	{ 0xd5d29215, "platform_get_resource_byname" },
	{ 0x14b2dc87, "devm_platform_ioremap_resource_byname" },
	{ 0xf0014a1c, "devm_clk_bulk_get_all" },
	{ 0x2f579165, "devm_regulator_get" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x77b8eefe, "devm_of_phy_get" },
	{ 0xefb6f26f, "regulator_get" },
	{ 0x5c65f4a2, "pm_runtime_enable" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x8c1189c1, "devres_remove_group" },
	{ 0x83cbbbb4, "devm_platform_ioremap_resource" },
	{ 0x00d67ef4, "devres_release_group" },
	{ 0x6d26147c, "devm_reset_control_array_get" },
	{ 0x9598efef, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x4dbbf711, "phy_power_off" },
	{ 0xbb10bc20, "phy_exit" },
	{ 0xcc91b603, "ata_host_suspend" },
	{ 0x35521e4d, "phy_init" },
	{ 0xe9683dc8, "phy_set_mode_ext" },
	{ 0xa4352171, "phy_power_on" },
	{ 0x2fdff3c8, "ata_host_resume" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x46f3107e, "__pm_runtime_set_status" },
	{ 0xfb3f177a, "ahci_ops" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "libahci,libata");


MODULE_INFO(srcversion, "2B03E6882AD44B7DDD5C22D");
