#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_wake_timeout_setup, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write_payload, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_clear_payload, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_poll_act_handled, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_set_transparent_mode, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_init, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_name, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_get, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_put, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_set_io_error, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_detect, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_destroy, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_enable_bw_alloc, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_disable_bw_alloc, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_bw_alloc_is_enabled, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_alloc_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_get_allocated_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_update_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_handle_irq, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_max_dprx_rate, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_max_dprx_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_available_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_old_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_new_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_set_stream_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_required_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_group_streams_in_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_check_stream_bws, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_mgr_create, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x647fe1a2, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x1bb930d0, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x33d3bdde, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x291653b0, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xb8fcc42f, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0xd3f82c14, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x9ddeff7e, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x8fcf7d10, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x949634f6, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x4fab3892, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x8b2a029d, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x4529e7ff, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0xc7b4b0aa, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x62e8704e, "");
SYMBOL_CRC(drm_dp_lttpr_wake_timeout_setup, 0xc5d53caa, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xd9e79119, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0xd44bf985, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xf6033d9c, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x1345bcea, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xca30ddb1, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x22088a3c, "");
SYMBOL_CRC(drm_dp_dpcd_write_payload, 0x59e273bd, "");
SYMBOL_CRC(drm_dp_dpcd_clear_payload, 0x0bf604a6, "");
SYMBOL_CRC(drm_dp_dpcd_poll_act_handled, 0x108a97ed, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x6b9164f2, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x28b6914e, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x84b95bbb, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x958f9ea3, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x65b5946b, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x3c3637d2, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0xe57e4d86, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x652462a3, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x3a032fc2, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x3a8a284e, "");
SYMBOL_CRC(drm_dp_aux_init, 0x33c76c9e, "");
SYMBOL_CRC(drm_dp_aux_register, 0x09db39ed, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x2f4b1e37, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xa6e57b25, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xe234076e, "");
SYMBOL_CRC(drm_dp_read_desc, 0xb95cd941, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0xca0a82ea, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xea4c6bb0, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x993b9232, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_set_transparent_mode, 0xed494fe7, "");
SYMBOL_CRC(drm_dp_lttpr_init, 0xf20ebd9a, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x981804ec, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x7f60e222, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0x501de16d, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x7aa650cb, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0xcd036812, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x24c84b1e, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0xe6a2188c, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x9f52f074, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0xf7785eb3, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0xb43aac3c, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0xc26c0de6, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xd2310e69, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x2bee0036, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0xc70b62a5, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x344c7f99, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0xb5881276, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x026bd1f0, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x72126ed6, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xf7c9d135, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0xa5879ca6, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0xe1ea11df, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x11570076, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x8b3aadfb, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0xae4af174, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x8878d4b6, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x32a7f55f, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x65127eb6, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x1702a292, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x6229c040, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x00211343, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x855fc8cc, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0xbc83f769, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x18ffb74c, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x193c2155, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x2c9244f4, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xa59ae7ea, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0xbc8405e0, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x1c5b3201, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0x0c5e5dab, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x7f59a0c2, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xfe3535f9, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x8bf65028, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xda17f06b, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0xa973443d, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0xe7fdaf69, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x6dfcacdd, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x149af9ca, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x18694cc1, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x481b34ab, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x58a4ec96, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x95a88090, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x7613d305, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x4abd1908, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x265a184d, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x7b4393e0, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xc9798685, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x1686ce72, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0xe9ea0090, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x8e441fe0, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x95aba5ec, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x0797d658, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x8882d3c8, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x74a60a91, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0xf63dfa22, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xeedbf2a9, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0x4831a02c, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0xa40b91cc, "");
SYMBOL_CRC(drm_dp_tunnel_name, 0x4dcbe65a, "");
SYMBOL_CRC(drm_dp_tunnel_get, 0x2251bc99, "");
SYMBOL_CRC(drm_dp_tunnel_put, 0x64ed053c, "");
SYMBOL_CRC(drm_dp_tunnel_set_io_error, 0x59fd5d64, "");
SYMBOL_CRC(drm_dp_tunnel_detect, 0x5be00010, "");
SYMBOL_CRC(drm_dp_tunnel_destroy, 0xc3e313ce, "");
SYMBOL_CRC(drm_dp_tunnel_enable_bw_alloc, 0x9b94e482, "");
SYMBOL_CRC(drm_dp_tunnel_disable_bw_alloc, 0x33dc9f9e, "");
SYMBOL_CRC(drm_dp_tunnel_bw_alloc_is_enabled, 0x12a7a127, "");
SYMBOL_CRC(drm_dp_tunnel_alloc_bw, 0xe23ec5be, "");
SYMBOL_CRC(drm_dp_tunnel_get_allocated_bw, 0x2be568a2, "");
SYMBOL_CRC(drm_dp_tunnel_update_state, 0x12c52ff9, "");
SYMBOL_CRC(drm_dp_tunnel_handle_irq, 0x2b552045, "");
SYMBOL_CRC(drm_dp_tunnel_max_dprx_rate, 0xe239de10, "");
SYMBOL_CRC(drm_dp_tunnel_max_dprx_lane_count, 0x848588fb, "");
SYMBOL_CRC(drm_dp_tunnel_available_bw, 0x5a08e995, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_state, 0xf2588b52, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_old_state, 0x496f4edd, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_new_state, 0x753e6be4, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_set_stream_bw, 0xd9ae85b5, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_required_bw, 0xf0022b0c, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_group_streams_in_state, 0x33711e76, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_check_stream_bws, 0x68240f6a, "");
SYMBOL_CRC(drm_dp_tunnel_mgr_create, 0x8efb6266, "");
SYMBOL_CRC(drm_dp_tunnel_mgr_destroy, 0xf792853b, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0x367395af, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x813fee1b, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0xcebd04cf, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0xd8c14c02, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x862a7667, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x9efec7b7, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xb6cf0753, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0xe1a7e1ee, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0x3d37cc0a, "");
SYMBOL_CRC(drm_scdc_write, 0xc0e94021, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x2c8116a1, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x716ecd53, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x86897038, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x19af4ba4, "drm_atomic_private_obj_fini" },
	{ 0xa916b694, "strnlen" },
	{ 0x9c6e452f, "drm_property_create_enum" },
	{ 0x1cf3e252, "drm_dev_printk" },
	{ 0x2e34c19e, "i2c_del_adapter" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x03a6c908, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c16aa7a, "drm_crtc_wait_one_vblank" },
	{ 0x47ce034a, "drm_modeset_lock" },
	{ 0x52722563, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd0734197, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1cf9432d, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb0faca18, "seq_putc" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xf189a943, "drm_crtc_commit_wait" },
	{ 0xec6597af, "drm_connector_dynamic_register" },
	{ 0xe940ab4f, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6612cd35, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x0ea593f6, "hdmi_drm_infoframe_init" },
	{ 0x6831e958, "drm_atomic_get_old_private_obj_state" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x97c125c9, "__drm_dev_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x144a6082, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbdc15124, "drm_object_property_set_value" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6fbdb58a, "drm_kms_helper_hotplug_event" },
	{ 0xba936f69, "seq_write" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xd0a7770a, "i2c_transfer" },
	{ 0xfd2b37a3, "drm_display_mode_from_cea_vic" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf45f05ea, "drm_sysfs_connector_property_event" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x82cf1ed9, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xea7852a4, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x727d63e7, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xba35b625, "drm_crtc_add_crc_entry" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xca90193d, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x1ff179f9, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xeed63659, "drm_connector_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x044ec4f8, "drm_mode_object_put" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x8417d1b8, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x8400e6ac, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "840F2DEDD87E088DC788008");
