#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x50c35e94, "");
SYMBOL_CRC(drm_gem_vram_put, 0x100841b6, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x7d9d93a2, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x8670c445, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x6f344e6f, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xd9ac31dc, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x5be61d41, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x59f278ab, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x0f201761, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xbe750738, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x0e68610c, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xb3887c3e, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x2741cecd, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xc36c7695, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x3dd9f6e8, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x7851d6ad, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x784e386d, "drm_gem_object_release" },
	{ 0x804c694a, "ttm_tt_init" },
	{ 0xd17bcf8f, "drm_gem_handle_create" },
	{ 0x02f5e271, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x583bf5c6, "ttm_bo_unpin" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0x0185db53, "drm_debugfs_add_files" },
	{ 0xa0fb5e95, "ttm_bo_init_validate" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d79d0d6, "ttm_device_init" },
	{ 0x103b7672, "ttm_bo_validate" },
	{ 0xa905d378, "ttm_bo_move_to_lru_tail" },
	{ 0x1cb9e011, "ttm_bo_vmap" },
	{ 0x986cc4af, "ttm_bo_put" },
	{ 0x9e957126, "ttm_resource_free" },
	{ 0x33049b49, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0465e661, "ttm_tt_fini" },
	{ 0x765324f4, "ttm_device_fini" },
	{ 0x7c3bdb77, "drm_gem_plane_helper_prepare_fb" },
	{ 0x5a465378, "ttm_bo_eviction_valuable" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x4812fb7e, "drm_gem_ttm_print_info" },
	{ 0x870679f1, "ttm_range_man_init_nocheck" },
	{ 0xb87aeb7d, "ww_mutex_lock_interruptible" },
	{ 0xb4599bbb, "ttm_resource_manager_debug" },
	{ 0x88be693d, "ww_mutex_unlock" },
	{ 0x037a0cba, "kfree" },
	{ 0x3faeba1f, "ttm_range_man_fini_nocheck" },
	{ 0xd800a199, "drm_gem_object_init" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5588af9c, "ttm_bo_pin" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0x198eae03, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "BE91EDF4E1BA70D0E0DCB4B");
