#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x4df43b4a, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x676c2aae, "_gpl");
SYMBOL_CRC(stm_data_write, 0xd6d0ead4, "_gpl");
SYMBOL_CRC(stm_register_device, 0xd50dc755, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0xa2eb9d35, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xfff58f05, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0xebf3a2c7, "_gpl");
SYMBOL_CRC(stm_source_write, 0x67ae1edf, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xb92c691e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x73c07e98, "compat_ptr_ioctl" },
	{ 0x1ee844d1, "init_srcu_struct" },
	{ 0xae84cea6, "configfs_register_subsystem" },
	{ 0x76a3bdf5, "device_add" },
	{ 0xbbe250b2, "__srcu_read_lock" },
	{ 0x4ed3d556, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd91552b5, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc7d7594f, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xec527939, "nonseekable_open" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x2840283b, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x67dac152, "config_item_put" },
	{ 0x5e4c294e, "__register_chrdev" },
	{ 0x1ef4a17b, "kobject_set_name" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x47b07a66, "device_match_name" },
	{ 0xb54f2364, "__srcu_read_unlock" },
	{ 0x9555fc04, "boot_cpu_data" },
	{ 0xbf8117e6, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x56b0b931, "__pm_runtime_use_autosuspend" },
	{ 0x9a0702ad, "__vma_start_write" },
	{ 0x088da5e1, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xea72c169, "class_register" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc017ceae, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x798fab05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6a537e6d, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x83e0d3c9, "device_unregister" },
	{ 0x5600980d, "pm_runtime_set_autosuspend_delay" },
	{ 0x042d9168, "vm_iomap_memory" },
	{ 0x954bdc8d, "config_item_get" },
	{ 0x248cc4c4, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c3acb9e, "synchronize_srcu" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9e553b18, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x46f3107e, "__pm_runtime_set_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa28d073d, "put_device" },
	{ 0x5c65f4a2, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x9f984513, "strrchr" },
	{ 0xaf3e0764, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A80A2091E20FB9827EE187E");
