#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0xb3ec2ef9, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0xb23e8fd5, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0xde6bd294, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0x872f5f65, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56b0b931, "__pm_runtime_use_autosuspend" },
	{ 0xbf8117e6, "__pm_runtime_suspend" },
	{ 0x46f3107e, "__pm_runtime_set_status" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x7cd971a4, "iio_trigger_unregister" },
	{ 0x0d1f32f3, "iio_trigger_free" },
	{ 0xebfe6045, "iio_triggered_buffer_cleanup" },
	{ 0x088da5e1, "__pm_runtime_disable" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xeb12ac23, "sensor_hub_device_close" },
	{ 0xd004e046, "hid_sensor_get_usage_index" },
	{ 0x77d5e651, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x15bca617, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x524288fb, "sensor_hub_device_open" },
	{ 0xf7d9f20b, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x080d4980, "hid_sensor_set_report_latency" },
	{ 0x2814f85d, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0x93b6a5b8, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xc84feb85, "iio_triggered_buffer_setup_ext" },
	{ 0xd96f03c9, "iio_device_id" },
	{ 0x16fcaad2, "__iio_trigger_alloc" },
	{ 0xbb84a54f, "iio_trigger_register" },
	{ 0x715801e3, "get_device" },
	{ 0xbe720537, "__module_get" },
	{ 0x5600980d, "pm_runtime_set_autosuspend_delay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd0734197, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5c65f4a2, "pm_runtime_enable" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-iio-common");


MODULE_INFO(srcversion, "10020F6F33148E98120D4D0");
