#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_notify_addr_change, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x7b8fe408, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xc15784cc, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xda5f10a0, "");
SYMBOL_CRC(rdma_res_to_id, 0x8d6efaba, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x8aa502d2, "");
SYMBOL_CRC(rdma_create_user_id, 0x1fad2ffb, "");
SYMBOL_CRC(rdma_create_qp, 0xad2ee0d5, "");
SYMBOL_CRC(rdma_destroy_qp, 0x9d1d3131, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xfe84f087, "");
SYMBOL_CRC(rdma_destroy_id, 0x2aafb9a5, "");
SYMBOL_CRC(rdma_get_service_id, 0x124021ea, "");
SYMBOL_CRC(rdma_read_gids, 0x517ef1ca, "");
SYMBOL_CRC(rdma_set_service_type, 0xe92cd8fe, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x9418b357, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x70d3d459, "");
SYMBOL_CRC(rdma_set_ib_path, 0xa0b390dc, "");
SYMBOL_CRC(rdma_resolve_route, 0xc6f81f3f, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x793500a5, "");
SYMBOL_CRC(rdma_notify_addr_change, 0xca77939f, "");
SYMBOL_CRC(rdma_set_afonly, 0x640a0094, "");
SYMBOL_CRC(rdma_listen, 0xa317d0f5, "");
SYMBOL_CRC(rdma_resolve_addr, 0xf4b59b16, "");
SYMBOL_CRC(rdma_bind_addr, 0xc63b40ae, "");
SYMBOL_CRC(rdma_connect_locked, 0xaae0dbd9, "");
SYMBOL_CRC(rdma_connect, 0xd7eecd78, "");
SYMBOL_CRC(rdma_connect_ece, 0x0dfb31fb, "");
SYMBOL_CRC(rdma_accept, 0x7e89d822, "");
SYMBOL_CRC(rdma_accept_ece, 0x23eebe8a, "");
SYMBOL_CRC(rdma_lock_handler, 0xccf5a2d5, "");
SYMBOL_CRC(rdma_unlock_handler, 0x4c46b3dd, "");
SYMBOL_CRC(rdma_notify, 0x32dd7a0b, "");
SYMBOL_CRC(rdma_reject, 0x0c1a24d7, "");
SYMBOL_CRC(rdma_disconnect, 0x420c6fb7, "");
SYMBOL_CRC(rdma_join_multicast, 0x833c62ad, "");
SYMBOL_CRC(rdma_leave_multicast, 0xb02d9cf3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd1b2ff87, "ib_send_cm_rep" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xce4fe8c7, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0xdd61afaf, "ib_destroy_qp_user" },
	{ 0x65a1a183, "unregister_pernet_subsys" },
	{ 0x61d6cf6f, "ib_cm_init_qp_attr" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xf061b210, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c839027, "rdma_restrack_set_name" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xa5273a30, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x617949ff, "ib_get_cached_port_state" },
	{ 0x7a96f09d, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaa57e047, "rdma_restrack_del" },
	{ 0x16a1a2a7, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0x45436317, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe8184611, "rdma_restrack_parent_name" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xbd7838e8, "iw_cm_accept" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x67dac152, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6cdae2c6, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x3aaf60e3, "iw_cm_init_qp_attr" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0x6bfce8bb, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x95973138, "ib_send_cm_dreq" },
	{ 0xd2f4f097, "ib_send_cm_req" },
	{ 0xa6237e68, "ib_create_qp_kernel" },
	{ 0x3998c4e9, "ib_sa_join_multicast" },
	{ 0x6c9d98bf, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x87fb13a9, "rdma_get_gid_attr" },
	{ 0x494f4e62, "rdma_restrack_new" },
	{ 0x50a09cf9, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x3836c24f, "iw_cm_listen" },
	{ 0xc5521297, "ib_send_cm_rej" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd7f180ae, "rdma_copy_src_l2_addr" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x39e23a72, "rdma_resolve_ip" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x4397f81f, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfb4a8b9c, "iw_create_cm_id" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x9f1995de, "ib_unregister_client" },
	{ 0x003ec15d, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf8553123, "ib_send_cm_sidr_rep" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0x6a537e6d, "config_group_init" },
	{ 0x1aa47af8, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x0678e585, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x334afc34, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x0c86f5cb, "ib_sa_register_client" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xc346c23a, "rdma_query_gid" },
	{ 0x3354c16b, "rt6_lookup" },
	{ 0xa1891024, "rdma_translate_ip" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x2b85aa2f, "rdma_dev_access_netns" },
	{ 0x336ac52d, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x09cb1f78, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9e553b18, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc9e6c0b9, "register_pernet_subsys" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0x1e9be7d5, "register_net_sysctl_sz" },
	{ 0x3308f817, "ip_mc_inc_group" },
	{ 0x3f22b87a, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x7f3d75f9, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xebdaa63e, "iw_cm_connect" },
	{ 0x3195fdde, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x08dbc2b1, "rdma_addr_cancel" },
	{ 0xbec3659e, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x14c3b2c9, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xb24d38b9, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8992dd04, "ib_sa_path_rec_get" },
	{ 0x0bf74ba5, "ib_create_cm_id" },
	{ 0xa6ee4380, "__ip_mc_dec_group" },
	{ 0xe20a91b7, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x5f0208ee, "ib_init_ah_from_mcmember" },
	{ 0xc2272098, "rdma_destroy_ah_attr" },
	{ 0xbf952e3e, "ib_set_client_data" },
	{ 0x44e60a66, "init_net" },
	{ 0xce3119aa, "ib_get_cached_pkey" },
	{ 0xae84cea6, "configfs_register_subsystem" },
	{ 0xd402ff43, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x40223674, "rdma_put_gid_attr" },
	{ 0x4ed3d556, "config_group_init_type_name" },
	{ 0xad7452a7, "dev_get_by_index" },
	{ 0xddbd47ad, "iw_destroy_cm_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x02e746ad, "dev_get_by_index_rcu" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "6E800622B7B039A2070F775");
