#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0x6c4436a5, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0x38ab21bf, "");
SYMBOL_CRC(cx88_risc_databuffer, 0xea3040ad, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0x17ee5f96, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0xd64fe9a6, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x5a0e9ad2, "");
SYMBOL_CRC(cx88_wakeup, 0x29fdf12c, "");
SYMBOL_CRC(cx88_shutdown, 0xbba9f8a7, "");
SYMBOL_CRC(cx88_reset, 0xa9f924ff, "");
SYMBOL_CRC(cx88_set_scale, 0x35896363, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x94a9d37b, "");
SYMBOL_CRC(cx88_vdev_init, 0xc5782f01, "");
SYMBOL_CRC(cx88_core_get, 0x66704148, "");
SYMBOL_CRC(cx88_core_put, 0xf3d6cc0c, "");
SYMBOL_CRC(cx88_set_tvaudio, 0x1954f9cd, "");
SYMBOL_CRC(cx88_newstation, 0x07e1d4a3, "");
SYMBOL_CRC(cx88_get_stereo, 0xc80229a3, "");
SYMBOL_CRC(cx88_set_stereo, 0x5236a348, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0x879d66c5, "");
SYMBOL_CRC(cx88_ir_start, 0x264863ec, "");
SYMBOL_CRC(cx88_ir_stop, 0x5685309d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x1667ff1f, "i2c_smbus_xfer" },
	{ 0x2e34c19e, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x134ac908, "rc_keyup" },
	{ 0xb11d9c39, "__v4l2_ctrl_grab" },
	{ 0x3c45e891, "i2c_unregister_device" },
	{ 0x064bfb70, "tveeprom_read" },
	{ 0x334c52b1, "rc_keydown_notimeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf41c6665, "rc_register_device" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x1c0addd9, "rc_keydown" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0xbd81aa77, "vb2_buffer_done" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x52addc5d, "i2c_new_client_device" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x01a9e109, "freezing_slow_path" },
	{ 0x49ed54a3, "rc_free_device" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3287ffb9, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x02ee004d, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x63fadc23, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x5aaeaf4c, "v4l2_ctrl_handler_free" },
	{ 0xd0a7770a, "i2c_transfer" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x290c4150, "v4l2_device_unregister" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0xbcecb152, "hrtimer_forward" },
	{ 0x4198c736, "v4l2_i2c_new_subdev" },
	{ 0x98abd0d3, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0xf56cea3f, "ir_raw_event_store_with_filter" },
	{ 0x6668639b, "i2c_smbus_read_byte_data" },
	{ 0x533e5f6f, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x722f6d22, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6caadadb, "ir_raw_event_handle" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0x2908c1ae, "param_ops_uint" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb540f9, "i2c_bit_add_bus" },
	{ 0x960895c9, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xab62c3bc, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0x904b4c81, "i2c_transfer_buffer_flags" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "85F0EDBD61831CD153A6F89");
