#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(v4l2_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_format, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_crop, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_compose, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_frame_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_is_streaming, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(__v4l2_get_link_freq_ctrl, "_gpl", "");
KSYMTAB_FUNC(__v4l2_get_link_freq_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_link_freq_to_bitmap, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl_to_v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x35d9b3b8, "");
SYMBOL_CRC(video_device_release, 0x8a93ca1f, "");
SYMBOL_CRC(video_device_release_empty, 0x533e5f6f, "");
SYMBOL_CRC(video_devdata, 0x79b4ebd0, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0xf47d0430, "");
SYMBOL_CRC(video_unregister_device, 0x0f6c07f1, "");
SYMBOL_CRC(v4l2_debugfs_root, 0xf79b3ace, "_gpl");
SYMBOL_CRC(video_device_pipeline_start, 0x4885d517, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x80bfa999, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x774a648a, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x1a813c9c, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0x802f06e6, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0x45261973, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0xcc8f5536, "");
SYMBOL_CRC(v4l2_device_register, 0x3287ffb9, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x8503c3d1, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0xfc315c1c, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0xcdb0e5be, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x290c4150, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev, 0xb46255b6, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0xc243f987, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x4f10c56e, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x0f14118c, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x28dd1f07, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x6b45c87b, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0xe4a9ffb7, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x5711e350, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0x4d481adf, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0x89f0012e, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0xda1302f7, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0x36051dfa, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x5398f6c9, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0xd3dae89f, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x91a67e82, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0xb12a3bb7, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x2ef4b404, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0xad86a95e, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x4d576b8d, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x15098ba2, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x62318dea, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0xaefbc73a, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0xf8b93765, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x3ec97d59, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x698ef782, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x839cfb91, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0xf40e5d1b, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0x9f4639f3, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0xf3a3b9aa, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0xd772186e, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_format, 0x3d533c53, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_crop, 0x1729b931, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_compose, 0xafad0db2, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_interval, 0x77fd89a6, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x0594f9f2, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_frame_interval, 0x1fd8d5f2, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x9e1d7171, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0x180f326c, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0x1ea56f4f, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0x2776e4eb, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0xf231afe7, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x98f0aa73, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x4cf3656c, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0xc3b82059, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0x93f1f671, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0x780456c6, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x578204f4, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x70c489f2, "_gpl");
SYMBOL_CRC(v4l2_subdev_is_streaming, 0xb45869bb, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0xe7051eff, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0xac3e1b28, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0xfa3aaf4c, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0x4e72f488, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(__v4l2_get_link_freq_ctrl, 0x9d4356fc, "_gpl");
SYMBOL_CRC(__v4l2_get_link_freq_pad, 0x09495230, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_link_freq_to_bitmap, 0xf400d289, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x35f20bd6, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0x5f927624, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x3e5ba3af, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xe7c2932c, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x22fb4799, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x960895c9, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0x5aaeaf4c, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x770c90b9, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0xb7fe0201, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0xcb7f5fef, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0xc17d666c, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x8d557e2f, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x06923055, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x7d142aea, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0xf6fbbd29, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0xf10129a0, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x02054f65, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0x14c95e5f, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x1f527a8f, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0xb11d9c39, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x6f9fb08b, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x65ef0448, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xb9031ace, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x5ce315c1, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x15b2ef73, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0xef49b91c, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0x84bf47a0, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x21292132, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x8e1ea1d5, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0x09de1f55, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0xf31aec5b, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x2a1fcd5d, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x1d496af5, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0xf6a77425, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x2b336079, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xe8dec883, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0xae7fd457, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x9dc21edc, "");
SYMBOL_CRC(v4l2_query_ext_ctrl_to_v4l2_queryctrl, 0x8ed2112d, "");
SYMBOL_CRC(v4l2_queryctrl, 0x304ae2d9, "");
SYMBOL_CRC(v4l2_querymenu, 0x53f7dae5, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0xd3d0cec8, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x08c3252c, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0x370d974a, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x39f649a3, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x34672da1, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x11cc6e3e, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0x134ee5ab, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x8dd56d87, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x1a8cd3d3, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x54b15608, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0xea617875, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0xad28162f, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x39e4462e, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0xcebf6b70, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0xbebe51ae, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0xdafb0aec, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0xfe52fed9, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0xbf686740, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0xc14ef5eb, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xb40fff1e, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x4297a4fb, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0xfb32dbfa, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x06965ada, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x7ca3b8c7, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x93bfa9ec, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x8bbcfef9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xd372b8d4, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0xb32ec5ac, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x12e4ba39, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0xb425084a, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x978444e4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x25cfc295, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0x2c49fdbb, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x5f247042, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0xa2efb5f5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x0fd678cc, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0xfb26e222, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0xd1d88431, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0x4198c736, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0xf8c3f5aa, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeb78441d, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x24eafb00, "media_pipeline_start" },
	{ 0xb57c67b1, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x41ede4d3, "media_get_pad_index" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xad12696b, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x7bbe340e, "led_set_brightness" },
	{ 0xfd4a4b8e, "media_graph_walk_start" },
	{ 0x4bcfcf9c, "media_devnode_create" },
	{ 0xd5d17a14, "dev_err_probe" },
	{ 0x2db79fda, "media_entity_get_fwnode_pad" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xc9855bb4, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x6f9e413c, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xea72c169, "class_register" },
	{ 0x24101069, "led_sysfs_disable" },
	{ 0xf7ce6b50, "media_entity_find_link" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a80e1f9, "pci_bus_type" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xe7458c1b, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd69c465c, "cdev_alloc" },
	{ 0x29796e3c, "media_devnode_remove" },
	{ 0x798fab05, "try_module_get" },
	{ 0x5241e9b9, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x083eaca4, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x62daff1f, "led_sysfs_enable" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x076e835f, "fwnode_graph_get_remote_endpoint" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x54371011, "spi_unregister_device" },
	{ 0x83e0d3c9, "device_unregister" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x40d1c4cb, "media_request_object_unbind" },
	{ 0x2aab17df, "led_put" },
	{ 0xd26d3be2, "led_trigger_remove" },
	{ 0x057149ce, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xb1e40318, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x701e2cf8, "fwnode_graph_get_port_parent" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x715801e3, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9672dd76, "media_create_intf_link" },
	{ 0x7035fc22, "media_create_pad_link" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x190083e3, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0x9e550b54, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa28d073d, "put_device" },
	{ 0xd6d2c04c, "i2c_new_scanned_device" },
	{ 0x5a4244dd, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x09f3cd69, "media_request_object_put" },
	{ 0xaf3e0764, "module_put" },
	{ 0xa7bfcde9, "media_pipeline_alloc_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf3998dc5, "media_device_register_entity" },
	{ 0x0ad93010, "media_request_get_by_fd" },
	{ 0x14e1425a, "cdev_add" },
	{ 0x51f1eab7, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0xd0734197, "_dev_err" },
	{ 0x3c45e891, "i2c_unregister_device" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x134873bd, "media_request_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x6538809c, "spi_new_device" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x5da8402d, "media_request_object_bind" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0x7be432c4, "media_graph_walk_next" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x52addc5d, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "4328926C7BCA75E63C08A75");
