#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x54ae35ce, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0xba5d700e, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x7c1fdeca, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xdc836790, "");
SYMBOL_CRC(mpt_halt_firmware, 0xb38389b8, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0xafba5a8c, "");
SYMBOL_CRC(mpt_attach, 0xad40a0dc, "");
SYMBOL_CRC(mpt_detach, 0xeb8bc857, "");
SYMBOL_CRC(mpt_resume, 0xae5d27f2, "");
SYMBOL_CRC(mpt_suspend, 0x291aa032, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x0b0d6ede, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xc0429442, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x985fce04, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0xbd80e469, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x3bd8c4dd, "");
SYMBOL_CRC(mpt_put_msg_frame, 0xf9d31c12, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0xd47562d7, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x7e16ba7d, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x650cc54f, "");
SYMBOL_CRC(mpt_verify_adapter, 0x94b7a303, "");
SYMBOL_CRC(mpt_GetIocState, 0x779889af, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0xbfa581d8, "");
SYMBOL_CRC(mpt_HardResetHandler, 0xe1ca89cf, "");
SYMBOL_CRC(mpt_config, 0x8059b8e2, "");
SYMBOL_CRC(mpt_findImVolumes, 0x7533595a, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x6778035a, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x1f814a2f, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0xaa4d75ef, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x1018bab6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde80cd09, "ioremap" },
	{ 0xa275187e, "pci_disable_device" },
	{ 0x9cca4125, "pci_release_selected_regions" },
	{ 0xfb578fc5, "memset" },
	{ 0xb4a3d067, "pci_get_slot" },
	{ 0xc2be9a56, "pci_dev_put" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa4e579a8, "remove_proc_entry" },
	{ 0x62eec1d5, "panic" },
	{ 0xa6257a2f, "complete" },
	{ 0x625d8056, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb0faca18, "seq_putc" },
	{ 0x037a0cba, "kfree" },
	{ 0x5a427cf8, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x550ae280, "pci_disable_msi" },
	{ 0x646ed0f0, "pci_save_state" },
	{ 0x6cf3addb, "pci_set_power_state" },
	{ 0x38c1be31, "proc_mkdir" },
	{ 0x4585b1f2, "proc_create_single_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc426afb0, "pci_read_config_word" },
	{ 0x5f61ca39, "pci_write_config_word" },
	{ 0x58a46966, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x19a29890, "pci_enable_device" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc6c7fca8, "kthread_create_on_node" },
	{ 0xd812d09d, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x98abd0d3, "pci_read_config_byte" },
	{ 0x63fadc23, "pci_write_config_byte" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xedc03953, "iounmap" },
	{ 0x9084dfb9, "pci_enable_wake" },
	{ 0x25802ec7, "pci_restore_state" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x652a3c1a, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0x0ee52374, "pci_stop_and_remove_bus_device_locked" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x402440eb, "pci_select_bars" },
	{ 0xc49bdc59, "pci_enable_device_mem" },
	{ 0x8b5723f6, "pci_request_selected_regions" },
	{ 0xf9160df9, "dma_get_required_mask" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A9A75BA26A33B1F6BDD06DC");
