#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_data_line_cmd, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_do_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_mod_timer, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_initialize_data, "_gpl", "");
KSYMTAB_FUNC(sdhci_prepare_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_needs_reset, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_data_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_present_error, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_vdd_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_preset_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_done_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_complete_work, "_gpl", "");
KSYMTAB_FUNC(sdhci_thread_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0xb779ce9b, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0x532c46d8, "_gpl");
SYMBOL_CRC(sdhci_data_line_cmd, 0xc18d0327, "_gpl");
SYMBOL_CRC(sdhci_reset, 0x69483db1, "_gpl");
SYMBOL_CRC(sdhci_do_reset, 0xcd49858f, "_gpl");
SYMBOL_CRC(sdhci_mod_timer, 0x866346b3, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0x0a064a0c, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x1a07a8ce, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0x7b941b91, "_gpl");
SYMBOL_CRC(sdhci_initialize_data, 0x8af98ff5, "_gpl");
SYMBOL_CRC(sdhci_prepare_dma, 0xb23e57a8, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0xaea016d3, "_gpl");
SYMBOL_CRC(sdhci_needs_reset, 0x2ce95911, "_gpl");
SYMBOL_CRC(__sdhci_finish_mrq, 0x952c69bc, "_gpl");
SYMBOL_CRC(sdhci_finish_mrq, 0x8efb1fce, "_gpl");
SYMBOL_CRC(__sdhci_finish_data_common, 0x06e3c5de, "_gpl");
SYMBOL_CRC(sdhci_present_error, 0xa0b7a143, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0xec71df89, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0x5bc5ffe7, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0x1f4afd08, "_gpl");
SYMBOL_CRC(sdhci_get_vdd_value, 0x03082f95, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0xca397dda, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0x8978c888, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0x3ea6d078, "_gpl");
SYMBOL_CRC(sdhci_request, 0x2b6d425b, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0x1f5f69ad, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0x2ea5197a, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0xb57e4895, "_gpl");
SYMBOL_CRC(sdhci_set_ios_common, 0x25464e2c, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0x47e81621, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0xde777c1f, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0xd275094a, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x8bb61599, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0xae16539e, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0x68f8ad1c, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0xd24700dc, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0xda1f8c4d, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0x2b1e35af, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0x9c6b33f1, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0x3568d0b5, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0x59da6f54, "_gpl");
SYMBOL_CRC(sdhci_enable_preset_value, 0xf9ace8cb, "_gpl");
SYMBOL_CRC(sdhci_request_done_dma, 0xfbb9e7ac, "_gpl");
SYMBOL_CRC(sdhci_complete_work, 0x8236c57a, "_gpl");
SYMBOL_CRC(sdhci_thread_irq, 0x9b1d369c, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0xe2319462, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0x83406a19, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0x9cb4e7c3, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0xbe50036d, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0x44bac5ca, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0xbbbabbb6, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0x5986d3a1, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0xd9a1653c, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x4d35391c, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0xa61f2ca8, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0xba8d57da, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0x6bc1621e, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0x34b337f7, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0xc9851877, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0xfae94a77, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2541a6f7, "dma_map_sg_attrs" },
	{ 0x090a99a6, "__dma_sync_single_for_device" },
	{ 0x016f123e, "sg_copy_to_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd68f5746, "__dma_sync_sg_for_cpu" },
	{ 0x68f054b7, "dma_unmap_sg_attrs" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x272d8830, "__dma_sync_single_for_cpu" },
	{ 0xcb95dadd, "mmc_alloc_host" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x54c1833b, "regulator_disable" },
	{ 0x46df6686, "mmc_free_host" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0xdb94223e, "devm_kfree" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x295e09d8, "sg_miter_next" },
	{ 0x4d449a59, "sg_miter_stop" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf2ad9834, "mmc_retune_timer_stop" },
	{ 0x0aa309cf, "synchronize_hardirq" },
	{ 0xea3be02f, "mmc_send_abort_tuning" },
	{ 0x0ff09881, "mmc_request_done" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x23c4d5e4, "mmc_regulator_set_ocr" },
	{ 0x7ea344da, "mmc_gpio_get_cd" },
	{ 0x401fc5da, "mmc_can_gpio_cd" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4514f8b5, "mmc_detect_change" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x17c2086f, "led_classdev_register_ext" },
	{ 0x19d9f767, "mmc_add_host" },
	{ 0x79876873, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdc70a079, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8d9f22a3, "mmc_can_gpio_ro" },
	{ 0xe38aff59, "mmc_gpio_get_ro" },
	{ 0x3a814636, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc697e8bc, "device_property_read_u64_array" },
	{ 0xecc17fee, "regulator_is_supported_voltage" },
	{ 0x8d4e6c62, "regulator_get_current_limit" },
	{ 0xe7cda367, "regulator_enable" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0xc694ae0e, "mmc_regulator_get_supply" },
	{ 0x685e4a08, "dma_max_mapping_size" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0x0e1b2165, "sg_miter_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ce04bd0, "mmc_command_done" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x08520308, "sdio_signal_irq" },
	{ 0x2908c1ae, "param_ops_uint" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "D26392C24E21C766BA63EAC");
