#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pdsc_get_pf_struct, "_gpl", "");
KSYMTAB_FUNC(pds_client_register, "_gpl", "");
KSYMTAB_FUNC(pds_client_unregister, "_gpl", "");
KSYMTAB_FUNC(pds_client_adminq_cmd, "_gpl", "");
KSYMTAB_FUNC(pdsc_adminq_post, "_gpl", "");
KSYMTAB_FUNC(pdsc_register_notify, "_gpl", "");
KSYMTAB_FUNC(pdsc_unregister_notify, "_gpl", "");

SYMBOL_CRC(pdsc_get_pf_struct, 0x8d067163, "_gpl");
SYMBOL_CRC(pds_client_register, 0xf2dbde42, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0xae9bf359, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0x79d01b5d, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0x9074c166, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x07eb979a, "devl_lock" },
	{ 0xc2be9a56, "pci_dev_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xce8a04fb, "debugfs_create_u16" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0xc80773ca, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xbb89dfc3, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x77ff15c7, "devlink_alloc_ns" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x241c9003, "pci_reset_function_locked" },
	{ 0x9a9212df, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x20fdfba9, "pci_irq_vector" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0x0907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7b810861, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc61935d6, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc1b0d427, "debugfs_create_x64" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xa28d073d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa0dd4483, "debugfs_create_regset32" },
	{ 0x567d068a, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xddd5c421, "devl_health_reporter_create" },
	{ 0xc7df858f, "pci_iov_vf_id" },
	{ 0xa34161e4, "debugfs_lookup" },
	{ 0x1405b7fe, "pci_iomap_range" },
	{ 0xd26ad078, "devlink_flash_update_timeout_notify" },
	{ 0xd0734197, "_dev_err" },
	{ 0x44e60a66, "init_net" },
	{ 0x9584e7c2, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x1e063198, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0xb0faca18, "seq_putc" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe643e7c0, "devl_params_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf490eab5, "debugfs_create_ulong" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9f68349f, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x555435d2, "device_del" },
	{ 0x0b19b445, "ioread8" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xccac7c9a, "debugfs_create_u32" },
	{ 0xda922328, "devl_params_unregister" },
	{ 0x8bc280e8, "pci_reset_function" },
	{ 0x0db8366f, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0xa94462bd, "seq_read" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x92dd2415, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbf1e001d, "pci_release_regions" },
	{ 0x44f3a197, "pcie_print_link_status" },
	{ 0x5db55af7, "pci_dev_get" },
	{ 0xba936f69, "seq_write" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xa5f0d094, "devlink_priv" },
	{ 0x760c0f9f, "pci_disable_sriov" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0xa275187e, "pci_disable_device" },
	{ 0x49d0e787, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xaec940e7, "single_open" },
	{ 0x900a43fe, "devl_register" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0x3fab110b, "vcalloc_noprof" },
	{ 0xeca6626b, "pci_free_irq_vectors" },
	{ 0x98096cf7, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x84bd27cf, "pci_iov_get_pf_drvdata" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xf310ad56, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x19a29890, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x1c062c22, "auxiliary_device_init" },
	{ 0x7a718811, "pci_iomap" },
	{ 0x37effa85, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8433CD8EC2351E06F4D70C7");
