#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0xb62451a6, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0xe4263f74, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9edb2bcb, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb7d66a9c, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xc72cac90, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x526dfd74, "flow_rule_match_ipv6_addrs" },
	{ 0xf366c3ce, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9893ddd3, "ptp_clock_unregister" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0xaa038703, "xp_dma_unmap" },
	{ 0x1a86cd64, "__netif_napi_del_locked" },
	{ 0x55c1dfe0, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa9d9f776, "netdev_unbind_sb_channel" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0xbb5617a8, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x8a28ea5f, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x236fb5d5, "netdev_bind_sb_channel_queue" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xebd3064a, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3dcc939c, "netdev_reset_tc" },
	{ 0x8dc7f491, "gro_receive_skb" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x090a99a6, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9a7d891b, "call_netdevice_notifiers" },
	{ 0xbbd1b70f, "xp_set_rxq_info" },
	{ 0xbaa1ee48, "flow_rule_match_vlan" },
	{ 0x2354c97c, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x75b7608f, "napi_build_skb" },
	{ 0x4838f17b, "__xdp_rxq_info_reg" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe007335b, "netif_carrier_off" },
	{ 0xa5f0d094, "devlink_priv" },
	{ 0x72bff50d, "__hw_addr_sync_dev" },
	{ 0x9b0ac417, "devlink_port_register_with_ops" },
	{ 0x760c0f9f, "pci_disable_sriov" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x14ae08b1, "netif_carrier_on" },
	{ 0x03601f23, "netdev_set_num_tc" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x50c26879, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcabbb02b, "dev_uc_add_excl" },
	{ 0xa275187e, "pci_disable_device" },
	{ 0x4c90baba, "xp_free" },
	{ 0xddea4154, "dev_mc_add_excl" },
	{ 0xc3f28f67, "dev_uc_add" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6b133183, "_dev_crit" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x61679bb1, "skb_add_rx_frag_netmem" },
	{ 0x1a455602, "xdp_master_redirect" },
	{ 0x7991ce23, "__napi_schedule_irqoff" },
	{ 0x5d3c3241, "napi_schedule_prep" },
	{ 0xa4efa395, "napi_consume_skb" },
	{ 0x98abd0d3, "pci_read_config_byte" },
	{ 0xe9f9096a, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xd3aae776, "napi_disable" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x08e19431, "dcb_ieee_delapp" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x73d6b795, "flow_rule_match_control" },
	{ 0x98096cf7, "pci_enable_sriov" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x56c88e20, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x265b260f, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf2631606, "ethtool_op_get_ts_info" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2ee0ed59, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x06593d5f, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x75bcb07d, "__tracepoint_xdp_exception" },
	{ 0x6abf098d, "xsk_tx_completed" },
	{ 0x2a3d47f6, "napi_alloc_skb" },
	{ 0x9d80db70, "alloc_etherdev_mqs" },
	{ 0x646ed0f0, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x017f2b98, "pcie_capability_read_word" },
	{ 0x24199ffa, "device_set_wakeup_enable" },
	{ 0x2bf1d387, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5cd19bd1, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x20cf1b5a, "pci_find_ext_capability" },
	{ 0x308a06fe, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb502e823, "xp_dma_map" },
	{ 0x6d497965, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0x2908c1ae, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8b5723f6, "pci_request_selected_regions" },
	{ 0x9cca4125, "pci_release_selected_regions" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x41bbbdd7, "pci_wake_from_d3" },
	{ 0x19a29890, "pci_enable_device" },
	{ 0x6da64a34, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1c062c22, "auxiliary_device_init" },
	{ 0xc49bdc59, "pci_enable_device_mem" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa81966a5, "xsk_tx_peek_release_desc_batch" },
	{ 0x348293fa, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x6d81b822, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf2801e5e, "ndo_dflt_bridge_getlink" },
	{ 0x1a6d3aaa, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xe9684912, "xdp_convert_zc_to_xdp_frame" },
	{ 0xed951d67, "xdp_features_set_redirect_target" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x223223be, "pci_get_device" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x76fd3e27, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xf918181a, "pci_num_vf" },
	{ 0xfa2323b6, "flow_rule_match_eth_addrs" },
	{ 0xcdcfe876, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x550ae280, "pci_disable_msi" },
	{ 0x0df1d856, "ptp_clock_index" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x77ff15c7, "devlink_alloc_ns" },
	{ 0x72544b78, "devlink_register" },
	{ 0x3c2c3f81, "xdp_do_redirect" },
	{ 0x9a9212df, "devlink_free" },
	{ 0xcfd73d88, "eth_validate_addr" },
	{ 0x2d15b5a4, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x43eaa0d4, "netdev_warn" },
	{ 0xfba4d096, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6cf3addb, "pci_set_power_state" },
	{ 0x00148653, "vsnprintf" },
	{ 0x6fb3b77b, "flow_rule_match_ipv4_addrs" },
	{ 0xc0b1eae0, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x037876d2, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0xf5444453, "pci_restore_msi_state" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0x30c9a75c, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xfd8b1121, "ptp_find_pin" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x15ef83d0, "napi_complete_done" },
	{ 0x8d164611, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc61935d6, "priv_to_devlink" },
	{ 0x29f549f7, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa28d073d, "put_device" },
	{ 0x54f67676, "__napi_schedule" },
	{ 0x16d65c7a, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xe2869f4e, "pci_enable_msix_range" },
	{ 0x7a7db752, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x39da6341, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc48a9b58, "__free_pages" },
	{ 0x0549aa38, "__hw_addr_unsync_dev" },
	{ 0x567d068a, "_dev_info" },
	{ 0x5ebb13fd, "xdp_features_clear_redirect_target" },
	{ 0x402440eb, "pci_select_bars" },
	{ 0x566a318e, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf78be53d, "xp_raw_get_dma" },
	{ 0xef86a45c, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6c3bed2d, "xdp_rxq_info_is_reg" },
	{ 0xbf9371ef, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8c21a19, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x272d8830, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x58a46966, "pci_enable_msi" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xeaa3261b, "devlink_port_unregister" },
	{ 0xdb94223e, "devm_kfree" },
	{ 0xd0734197, "_dev_err" },
	{ 0x44e60a66, "init_net" },
	{ 0xa9f37490, "softnet_data" },
	{ 0x3c68f838, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x01c12c32, "cpu_bit_bitmap" },
	{ 0x83d648f9, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2166ed49, "ptp_clock_register" },
	{ 0xd99e5efe, "ethtool_intersect_link_masks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x21f51e91, "netif_set_real_num_tx_queues" },
	{ 0x1e063198, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x2e8e933a, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0xc426afb0, "pci_read_config_word" },
	{ 0x36a321da, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x818033ac, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x7277ce5f, "dcbnl_ieee_notify" },
	{ 0x8bd9b9aa, "xsk_uses_need_wakeup" },
	{ 0xc450210b, "register_netdev" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x7108738d, "free_netdev" },
	{ 0xfd23939c, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3b186a1f, "ethtool_op_get_link" },
	{ 0xbb585fa0, "eth_platform_get_mac_address" },
	{ 0xb0631095, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x97f7d76d, "__SCK__tp_func_xdp_exception" },
	{ 0x8f02a611, "netif_tx_stop_all_queues" },
	{ 0x25802ec7, "pci_restore_state" },
	{ 0x991de1d6, "netif_tx_wake_queue" },
	{ 0x555435d2, "device_del" },
	{ 0x3080b9e7, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf4cb4ae5, "dcb_getapp" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "libie");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "04CC454F5B83554EAAA5DED");
