#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_choose_vector, "", "");
KSYMTAB_FUNC(mlx4_release_vector, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x28a04ecb, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x932391bf, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0xd9d26cc0, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0xbe0afe27, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x26f439c8, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x296e21bb, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x1c99af05, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x6b4019e3, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x5a5cdcdf, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xdf172e6c, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x72b19b83, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x4f2778e9, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x1bffaffc, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xdf47256f, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x9a33f84d, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xd83f0734, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xe9a7856a, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x73631703, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x01d05e60, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xb2a7ad32, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x270adb1b, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xc47a6d48, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xa077c768, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0xaba950a6, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x59cb534a, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x0cf2ede9, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0xca250b30, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x32414190, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xe47bd672, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xd712b042, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x891c4bb4, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0xdda86483, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x17215ced, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xd4087132, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xf7a9ceaa, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x8653c565, "");
SYMBOL_CRC(mlx4_test_async, 0x79a88735, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x27a143f5, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0xf838b1f8, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xbb54788c, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x3ee77408, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0xd05e3d0f, "");
SYMBOL_CRC(mlx4_assign_eq, 0xb7dcfbd0, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xe9d78366, "");
SYMBOL_CRC(mlx4_release_eq, 0x4a745c1d, "");
SYMBOL_CRC(mlx4_choose_vector, 0x463051e6, "");
SYMBOL_CRC(mlx4_release_vector, 0x680d1d87, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x5c186bc8, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x691e1aee, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x677c6086, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xc4acf34e, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x266c9f5f, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xc1a70cf2, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x78a458b8, "");
SYMBOL_CRC(mlx4_wol_read, 0x5bf2e003, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0xf2af7c80, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0xf4a768be, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xa69c835d, "");
SYMBOL_CRC(set_phv_bit, 0x96c0360d, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x312e23ff, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xfc820b22, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x149342c1, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x26753776, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xbc1b325e, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x62422ddb, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xb31c8413, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x112db7c7, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0xbf2626b1, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x0503b40c, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x2bfb8440, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0xde8a78e5, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x5f83dc49, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xf0e6d871, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xf9e8f7af, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xeca0125c, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x70ce35e5, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xfb00b196, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xeaac909a, "");
SYMBOL_CRC(mlx4_read_clock, 0x2f0254ff, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x83c963bc, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x49d13ac8, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0xe4c58115, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x188ca683, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xe9ccfca7, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xc177fb2b, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xaff5f803, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x69ced8f2, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x78557d87, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x12ff8972, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x93f4ed7a, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0xc436fc70, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x8510be19, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x18b401f3, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0xea0fa83d, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x82b8e8f5, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x086e896f, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x534f65f5, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x763ebcff, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xc3fad792, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x70881ffe, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xd648eaeb, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x642fd62a, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x8e8fdcee, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x78a1798e, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0xa7e2cd21, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xdfbfcba2, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x0e8af4f8, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x4599af69, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xe4edff3f, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xd532f9ff, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xe655b04b, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xe476d8dd, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x1c0cc2d2, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0xda9fa41d, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xe02cacb7, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x0d92c9ff, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xa50814c7, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x2ae78cc1, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x78364f80, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x8cb361ad, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x32b54109, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xc04ed8d4, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x895f5e87, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x53f1effd, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xe92971fb, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xbed9bc87, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x3a0c9732, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x1d32beb0, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x49692dc1, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xb22e7fa7, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xa46ad31a, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x3bfab237, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x1cb88ecb, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xed36519e, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xae6878b3, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0xb7251727, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x91571db4, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xca11cc87, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xa628f550, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x43d42780, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x9a0a3154, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xd411cafd, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x3b4ec61e, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xed926fe6, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x4ae4b87b, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x8d222426, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x6ff70211, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x7fffe630, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0xd8f171a1, "");
SYMBOL_CRC(mlx4_get_module_info, 0x45244b48, "");
SYMBOL_CRC(mlx4_max_tc, 0x4963ebdf, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x6ed77e0d, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x9f094642, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x5651d247, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xa471715c, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xca1f5cd2, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x6a98592d, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x7b1b2e85, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x8452c0f0, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xa16e7435, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xeeddce0d, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x5d434e9f, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x3494f28d, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0xc9f436e0, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x1d3e0ceb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x04f89cec, "auxiliary_driver_unregister" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x8d164611, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x99f576e6, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc61935d6, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa28d073d, "put_device" },
	{ 0xe2869f4e, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x39da6341, "numa_node" },
	{ 0xc48a9b58, "__free_pages" },
	{ 0x567d068a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xec2958f8, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x272d8830, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0xd0734197, "_dev_err" },
	{ 0x44e60a66, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x1e063198, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x318f539a, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0xc426afb0, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x62eec1d5, "panic" },
	{ 0xe643e7c0, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x25802ec7, "pci_restore_state" },
	{ 0x555435d2, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xa80b12cd, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x70e1c53b, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xda922328, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x0db8366f, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0xbf1e001d, "pci_release_regions" },
	{ 0x090a99a6, "__dma_sync_single_for_device" },
	{ 0xf358177b, "devl_assert_locked" },
	{ 0x44f3a197, "pcie_print_link_status" },
	{ 0x7caaa1dd, "devl_port_unregister" },
	{ 0x135d0e57, "devl_param_driverinit_value_get" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa5f0d094, "devlink_priv" },
	{ 0x760c0f9f, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x50c26879, "pci_disable_msix" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0xa275187e, "pci_disable_device" },
	{ 0x9555fc04, "boot_cpu_data" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0xeb2140fd, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x68f054b7, "dma_unmap_sg_attrs" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x3767ba60, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x98096cf7, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x058a30b8, "pci_write_config_dword" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x388c2a07, "device_remove_file" },
	{ 0x2541a6f7, "dma_map_sg_attrs" },
	{ 0x0e606444, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0x646ed0f0, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9a7d02c0, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1ffa3c23, "devl_region_create" },
	{ 0x6d497965, "devlink_unregister" },
	{ 0x50164781, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x19a29890, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x1c062c22, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf5c6b804, "devlink_region_snapshot_id_get" },
	{ 0x07eb979a, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0xf918181a, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xab62c3bc, "param_array_ops" },
	{ 0xbb89dfc3, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x77ff15c7, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x0e23b37f, "alloc_cpumask_var_node" },
	{ 0x15640372, "pci_sriov_get_totalvfs" },
	{ 0x72544b78, "devlink_register" },
	{ 0xc406d8cf, "devlink_port_type_clear" },
	{ 0x9a9212df, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe9b9d815, "param_ops_byte" },
	{ 0x715801e3, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0x05c5234f, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "97DF1AA5C6425C52FC4F69D");
