#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_FUNC(mlx5_cmd_add_privileged_uid, "", "");
KSYMTAB_FUNC(mlx5_cmd_remove_privileged_uid, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get_low, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_put_low, "", "");
KSYMTAB_FUNC(mlx5_comp_irqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_get_flow_vport_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_fc_local_create, "", "");
KSYMTAB_FUNC(mlx5_fc_local_destroy, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_query_cong_counter, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xd2b102cf, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x8689178f, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x686e6484, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x07acc9ea, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x2bc32efd, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x93e447eb, "");
SYMBOL_CRC(mlx5_cmd_check, 0xe2fbb838, "");
SYMBOL_CRC(mlx5_cmd_do, 0x1784e7bc, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xced6b8bc, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x7d6eef00, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xd7acdd95, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x012d0a95, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x8e660ff3, "");
SYMBOL_CRC(mlx5_cmd_add_privileged_uid, 0xe3f9015c, "");
SYMBOL_CRC(mlx5_cmd_remove_privileged_uid, 0x4351e946, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x5429a039, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x6f19a1bc, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x85726e9d, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xd1d2be22, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x5b272d3b, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x47f2c61f, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x707667db, "");
SYMBOL_CRC(mlx5_eq_enable, 0x6108877b, "");
SYMBOL_CRC(mlx5_eq_disable, 0xee70fcad, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x328ca6dc, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x76c5d9ef, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x0d52086e, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x40270a78, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x285de6fa, "");
SYMBOL_CRC(mlx5_comp_eqn_get_low, 0xcca8af07, "");
SYMBOL_CRC(mlx5_comp_eqn_put_low, 0x9d63d822, "");
SYMBOL_CRC(mlx5_comp_irqn_get, 0xa43c0b83, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x01c0eab2, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xd2e0bbae, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x4ada8dfc, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xdedc8011, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x53c94879, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x8db6136d, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xb2e8c9a8, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x74e9c6f0, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xee70f60c, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xcaa2aa15, "");
SYMBOL_CRC(mlx5_create_cq, 0xec24c447, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xb31420d4, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x56f44fba, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x1bc5fe60, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x93bc99bc, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x7ea0a627, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x828e496f, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xec13b26e, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xd0ebc8ae, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x724acc8a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x760c864e, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x4ba5cc17, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x037ba1af, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x18633fff, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xe84e80a9, "");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x0df04e8d, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x4bd438ae, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x93d7256e, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0xef2c5440, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x4d6d00ab, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x2d7e1d65, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x1b145ad0, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xb6f320c0, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xc0ae8cd4, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0xbc88415f, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xd26d1a7d, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x63d78747, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x31ba80aa, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x28f9dc25, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x6182cb98, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x57ef455f, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x7c72625f, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xcd5f5f67, "");
SYMBOL_CRC(mlx5_core_query_sq, 0xd0aff6a0, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x07f9490f, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x6a33ec2f, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x8dacbd33, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x479dde36, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x61edab12, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xccd94cee, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xb8382c95, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x96844e9c, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xff1eb210, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x02fdf298, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x9e8cdfa6, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xe48061aa, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x5c5d3523, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x088a20b2, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x48ae7632, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xe91bc015, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xe65c8dfd, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xbe25b6e1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xfe3cf359, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x659111fd, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x6c056248, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x51fe8d1f, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xf0468642, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x860a478a, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x38d3d998, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x03a8b60e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x79c16f02, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xcd923731, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xaf9b3b4e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xb8e3b592, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xd762d336, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x2ec4f76c, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xb3ed516e, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xdb3e0bfe, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x6665f03c, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x9e4cbb34, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x43ce5de1, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x53282ab5, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xb1d1bc94, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x5052e704, "");
SYMBOL_CRC(mlx5_create_flow_table, 0xc7387224, "");
SYMBOL_CRC(mlx5_flow_table_id, 0x04e078a5, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xfe5e6db5, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x721a42d6, "");
SYMBOL_CRC(mlx5_create_flow_group, 0xb1a2c116, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x1bdd925e, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xa087561b, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xdb9ff463, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x57b612e8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x9e441b53, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x43f574fe, "");
SYMBOL_CRC(mlx5_get_flow_vport_namespace, 0x0af313f3, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xd2827e25, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x2f4c2b81, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x8e8fc80a, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xad803054, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x36fa1413, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x63a47565, "");
SYMBOL_CRC(mlx5_fc_create, 0x39af6e72, "");
SYMBOL_CRC(mlx5_fc_id, 0x94373b51, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x6c989265, "");
SYMBOL_CRC(mlx5_fc_query, 0x9573c91f, "");
SYMBOL_CRC(mlx5_fc_local_create, 0x01a3ec14, "");
SYMBOL_CRC(mlx5_fc_local_destroy, 0x5637f7c8, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x102be318, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x29d743d2, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x12846593, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xa027dee9, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xd73eef9c, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x8a03ac1e, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xfda7c9c3, "");
SYMBOL_CRC(mlx5_cmd_query_cong_counter, 0x860e7c80, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x9f6a3b85, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x3140c63c, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xcd832d33, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x79d0bac4, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x92c95d50, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xf0ec410d, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x9b17f353, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xae8fad0f, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x7dae7105, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x58f9601f, "");
SYMBOL_CRC(mlx5_notifier_register, 0x7a171b5c, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x4a967206, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xe31094e8, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xb7381e0c, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xeedab671, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x7431098f, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x1b32a625, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x92224470, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x8dadd93e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x939eb880, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x06fe360f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x24b96efd, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x912a2cfd, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0xafea81cc, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0xec4298ac, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x86a88219, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x6711779d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x45562f6f, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xb7877a05, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xce05c05e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x3eb1fb0e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xb64e0a35, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x6fe4a8db, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xa74a43ca, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x650a71df, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xf61f101f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x88ab73f6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x08a3cc58, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x7e4300fe, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x3d797840, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5d55e5bc, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0xcb910b48, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xf9cfc1eb, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x507b8262, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x9bf3c97a, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x04aee3c2, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x27685d91, "");
SYMBOL_CRC(mlx5_wc_support_get, 0x7dbef457, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x9e4a4da8, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x25a73c9f, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xe7df4e16, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x233b790a, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x8b8cf08c, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0xd46c6bc1, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x0c3d86f1, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xb64a29e7, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x57f58dcd, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x70188138, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x266f7a74, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x792eb2bb, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x3742447a, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xb03a0f6a, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x9d3da0eb, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xd9ffed23, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xfa0dd86c, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x9b19e123, "");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xaf22a2ab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x809f9b5c, "call_switchdev_notifiers" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0xfd2999e5, "flow_indr_block_cb_alloc" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x404c2a7e, "devl_nested_devlink_set" },
	{ 0x32206b06, "debugfs_attr_read" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x1ecdb045, "neigh_lookup" },
	{ 0xe9af7397, "__xa_set_mark" },
	{ 0xad7452a7, "dev_get_by_index" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x07eb979a, "devl_lock" },
	{ 0x646ed0f0, "pci_save_state" },
	{ 0x8dc7f491, "gro_receive_skb" },
	{ 0xc83be75d, "auxiliary_device_sysfs_irq_add" },
	{ 0xe8f042db, "seq_open" },
	{ 0x7dd05ed7, "pci_cfg_access_unlock" },
	{ 0xef86a45c, "eth_get_headlen" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x172ab0de, "register_fib_notifier" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x8417d1b8, "request_firmware_direct" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0xd96d2f5c, "netif_queue_set_napi" },
	{ 0x6af95a6c, "__ethtool_get_link_ksettings" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x567d068a, "_dev_info" },
	{ 0xc8c21a19, "flow_rule_match_basic" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2a3d47f6, "napi_alloc_skb" },
	{ 0xa275187e, "pci_disable_device" },
	{ 0xed5fdc20, "dev_remove_pack" },
	{ 0xb637657c, "netif_set_tso_max_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc72cac90, "netif_schedule_queue" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd3aae776, "napi_disable" },
	{ 0x0df1d856, "ptp_clock_index" },
	{ 0x566a318e, "netdev_pick_tx" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x980ae105, "flow_block_cb_alloc" },
	{ 0x81c3b6ef, "devlink_port_attrs_pci_sf_set" },
	{ 0x4f9e7842, "flow_block_cb_lookup" },
	{ 0xf918181a, "pci_num_vf" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xece784c2, "rb_first" },
	{ 0x7bd0e017, "ipv6_stub" },
	{ 0x19a29890, "pci_enable_device" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb680fbb4, "xp_alloc" },
	{ 0x71430632, "__dev_get_by_index" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0xbf1e001d, "pci_release_regions" },
	{ 0xebd3064a, "xsk_set_tx_need_wakeup" },
	{ 0xf78be53d, "xp_raw_get_dma" },
	{ 0x782cf559, "skb_ext_add" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xe08b2ffb, "pci_reset_bus" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa7646253, "flow_rule_match_meta" },
	{ 0x25802ec7, "pci_restore_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x0f5d9794, "kmem_cache_alloc_noprof" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x6b4b8e63, "seq_release" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0x1c062c22, "auxiliary_device_init" },
	{ 0x65d1db4b, "devl_rate_leaf_create" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3d5f6e7e, "devl_rate_nodes_destroy" },
	{ 0x046729ec, "__skb_flow_dissect" },
	{ 0x265b260f, "dcb_ieee_setapp" },
	{ 0xb7d66a9c, "ptp_clock_event" },
	{ 0x6c3bed2d, "xdp_rxq_info_is_reg" },
	{ 0x2ceb41fa, "netif_carrier_event" },
	{ 0x00aa1603, "xa_find" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xa97ebd6f, "unregister_fib_notifier" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x50164781, "dma_pool_create" },
	{ 0x07efae96, "flow_indr_dev_register" },
	{ 0x9fc18ca8, "debugfs_create_u64" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x014870d1, "xdp_return_frame_bulk" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x22bb4cd9, "page_pool_alloc_pages" },
	{ 0xbbd1b70f, "xp_set_rxq_info" },
	{ 0x166fc5da, "netif_device_detach" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x78720a1b, "pcie_relaxed_ordering_enabled" },
	{ 0x072f4225, "simple_attr_release" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x83d648f9, "xdp_return_frame" },
	{ 0xf310ad56, "devl_unregister" },
	{ 0xc48a9b58, "__free_pages" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x78c25e78, "devlink_net" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0xf9a482f9, "msleep" },
	{ 0x090a99a6, "__dma_sync_single_for_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x862258db, "timecounter_init" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x75ec85f3, "unregister_netdevice_notifier_dev_net" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x30c9a75c, "xdp_rxq_info_reg_mem_model" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x73d6b795, "flow_rule_match_control" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbaf4332d, "netdev_printk" },
	{ 0x318f539a, "devl_port_register_with_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbd7f9358, "sock_gen_put" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0xb7fb70c8, "debugfs_create_u8" },
	{ 0x36a321da, "napi_enable" },
	{ 0xe4589ffb, "devl_trap_groups_unregister" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x8a26348f, "flow_rule_match_cvlan" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0xf2801e5e, "ndo_dflt_bridge_getlink" },
	{ 0x71670815, "__neigh_event_send" },
	{ 0xbf9371ef, "flow_block_cb_setup_simple" },
	{ 0x89592605, "neigh_destroy" },
	{ 0x70ddfa6f, "arp_tbl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x8ba3fdad, "xp_can_alloc" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xda922328, "devl_params_unregister" },
	{ 0x3c68f838, "simple_open" },
	{ 0x70be755a, "vlan_dev_vlan_id" },
	{ 0x72544b78, "devlink_register" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x0f4cfd0f, "dev_get_iflink" },
	{ 0x1d2441bb, "free_fib_info" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5d3c3241, "napi_schedule_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd663747d, "devlink_port_attrs_pci_vf_set" },
	{ 0x037a0cba, "kfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x102e82b4, "xsk_clear_tx_need_wakeup" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfa7983e8, "pv_ops" },
	{ 0x946372b2, "bpf_trace_run5" },
	{ 0x1a86cd64, "__netif_napi_del_locked" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x08e19431, "dcb_ieee_delapp" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x84bd27cf, "pci_iov_get_pf_drvdata" },
	{ 0x09da0ba4, "xa_set_mark" },
	{ 0x3eaac1bb, "kmem_cache_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4e1571a8, "xp_raw_get_data" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x135d0e57, "devl_param_driverinit_value_get" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xedc03953, "iounmap" },
	{ 0x023967b1, "xas_find" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xffb7c514, "ida_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x7b3a8bee, "flow_rule_match_enc_control" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x0907d14d, "blocking_notifier_chain_register" },
	{ 0xa9e3da63, "netif_napi_set_irq_locked" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x8ab7f9bb, "netdev_update_features" },
	{ 0x72448823, "__inet_lookup_established" },
	{ 0x8b241250, "tls_get_record" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0xa1aebf9b, "devlink_trap_report" },
	{ 0xa3ba22cd, "__netdev_alloc_skb" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x6d0a28ad, "flow_rule_match_enc_ip" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x0e23b37f, "alloc_cpumask_var_node" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x060b16f4, "___pskb_trim" },
	{ 0xeebae099, "flow_rule_match_tcp" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x15ef83d0, "napi_complete_done" },
	{ 0x34ddd2d7, "debugfs_attr_write" },
	{ 0xe643e7c0, "devl_params_register" },
	{ 0x61679bb1, "skb_add_rx_frag_netmem" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa5f0d094, "devlink_priv" },
	{ 0xe9f9096a, "xp_alloc_batch" },
	{ 0x1af267f8, "int_pow" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0xfe2eddc2, "pci_msix_vec_count" },
	{ 0x934cea83, "bpf_prog_add" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x017f2b98, "pcie_capability_read_word" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x92dd2415, "debugfs_create_x32" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb755ce0e, "devl_port_fn_devlink_set" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53b954a2, "up_read" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x473abf30, "dev_printk_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x01281003, "devlink_fmsg_binary_put" },
	{ 0x7bbdcfb3, "dev_add_pack" },
	{ 0x9d80db70, "alloc_etherdev_mqs" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x6b65dae4, "pci_msix_alloc_irq_at" },
	{ 0x20fdfba9, "pci_irq_vector" },
	{ 0x9893ddd3, "ptp_clock_unregister" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6da64a34, "skb_tstamp_tx" },
	{ 0x8a28ea5f, "ipv6_find_hdr" },
	{ 0x14ae08b1, "netif_carrier_on" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0x991de1d6, "netif_tx_wake_queue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0xaaec3d6d, "auxiliary_device_sysfs_irq_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x44e60a66, "init_net" },
	{ 0x98096cf7, "pci_enable_sriov" },
	{ 0x29ec4585, "tls_validate_xmit_skb" },
	{ 0x05c5234f, "pci_read_config_dword" },
	{ 0x23f18a70, "ktime_get_snapshot" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0xb0631095, "netif_set_xps_queue" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7caaa1dd, "devl_port_unregister" },
	{ 0x1e063198, "__auxiliary_device_add" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xc5af7be3, "netdev_master_upper_dev_get_rcu" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xde80cd09, "ioremap" },
	{ 0x0745a981, "xa_erase" },
	{ 0x3c2c3f81, "xdp_do_redirect" },
	{ 0xb0a34f15, "psample_sample_packet" },
	{ 0xa916b694, "strnlen" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xcdcfe876, "devlink_port_attrs_set" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x40e9ac43, "flow_rule_match_mpls" },
	{ 0x272d8830, "__dma_sync_single_for_cpu" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x052daeb7, "flow_rule_match_enc_ports" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0xc4a70327, "devl_resources_unregister" },
	{ 0xf30fc678, "page_pool_put_unrefed_netmem" },
	{ 0x0ee03265, "skb_put" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc426afb0, "pci_read_config_word" },
	{ 0xb502e823, "xp_dma_map" },
	{ 0x208b3442, "flow_rule_match_enc_ipv6_addrs" },
	{ 0xfb578fc5, "memset" },
	{ 0x528762cd, "hwmon_device_unregister" },
	{ 0x4838f17b, "__xdp_rxq_info_reg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x6d497965, "devlink_unregister" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x6ee8b603, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x90a2bc1a, "udp4_hwcsum" },
	{ 0x4c90baba, "xp_free" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x1a455602, "xdp_master_redirect" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x01b6865c, "xa_get_mark" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf67cbc60, "secpath_set" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x57bc19d2, "down_write" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x39da6341, "numa_node" },
	{ 0x349cba85, "strchr" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7d145aba, "unregister_netdevice_notifier_net" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0x75bcb07d, "__tracepoint_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x0db8366f, "devl_unlock" },
	{ 0xeca6626b, "pci_free_irq_vectors" },
	{ 0x6b65ae44, "pci_cfg_access_lock" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0xbe6850fb, "pcie_bandwidth_available" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0x659c1415, "ptp_schedule_worker" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x37effa85, "pci_alloc_irq_vectors" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x2908c1ae, "param_ops_uint" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xff7e0468, "flow_rule_match_ip" },
	{ 0xfd8b1121, "ptp_find_pin" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0xb0faca18, "seq_putc" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbb89dfc3, "pci_request_regions" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xcf2a6966, "up" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xb49d7a94, "metadata_dst_alloc" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xb598adf6, "xsk_tx_release" },
	{ 0x731dc6a1, "devl_trap_groups_register" },
	{ 0x53ce1de4, "pcie_capability_clear_and_set_word_locked" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x3b186a1f, "ethtool_op_get_link" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xa6257a2f, "complete" },
	{ 0x6abf098d, "xsk_tx_completed" },
	{ 0x92bd40b5, "page_pool_put_unrefed_page" },
	{ 0x04f89cec, "auxiliary_driver_unregister" },
	{ 0x2f617ef2, "devl_resource_register" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x35abd87a, "pci_msix_can_alloc_dyn" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x037876d2, "netdev_err" },
	{ 0xfba4d096, "udp_tunnel_nic_ops" },
	{ 0xfa2323b6, "flow_rule_match_eth_addrs" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x5cd19bd1, "flow_rule_match_enc_keyid" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c141745, "page_pool_get_stats" },
	{ 0xc3221414, "bpf_prog_inc" },
	{ 0xae022281, "hwmon_device_register_with_info" },
	{ 0x7e7dd2d1, "pci_enable_atomic_ops_to_root" },
	{ 0xcc554475, "flow_rule_match_ct" },
	{ 0x754d539c, "strlen" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x862859d9, "netdev_lower_get_next" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf366c3ce, "netdev_set_tc_queue" },
	{ 0xd4405cf4, "debugfs_create_atomic_t" },
	{ 0xbdcecb0d, "register_netdevice_notifier_dev_net" },
	{ 0xccac7c9a, "debugfs_create_u32" },
	{ 0x6fb3b77b, "flow_rule_match_ipv4_addrs" },
	{ 0x308a06fe, "bpf_prog_put" },
	{ 0x0c2c5802, "work_busy" },
	{ 0xc450210b, "register_netdev" },
	{ 0x2e8e933a, "netif_set_real_num_rx_queues" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x8d164611, "__alloc_pages_noprof" },
	{ 0x343c3c65, "xfrm_replay_seqhi" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x15640372, "pci_sriov_get_totalvfs" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9a9212df, "devlink_free" },
	{ 0xcd279169, "nla_find" },
	{ 0x0ff5d251, "skb_coalesce_rx_frag" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x70e1c53b, "__kmalloc_cache_node_noprof" },
	{ 0xdfcc992c, "current_work" },
	{ 0xa993097a, "kmem_cache_destroy" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0x760c0f9f, "pci_disable_sriov" },
	{ 0x0f086b91, "flow_rule_match_enc_opts" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x65f0263a, "page_pool_update_nid" },
	{ 0xddd5c421, "devl_health_reporter_create" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xca738dd5, "ip_route_output_flow" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2166ed49, "ptp_clock_register" },
	{ 0x75b7608f, "napi_build_skb" },
	{ 0x6918c262, "pci_find_capability" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd0d1db28, "page_pool_destroy" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x9555fc04, "boot_cpu_data" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xa9ac5286, "flow_block_cb_free" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55c1dfe0, "__dynamic_netdev_dbg" },
	{ 0x4ed0d788, "xsk_tx_peek_desc" },
	{ 0x9edb2bcb, "flow_rule_match_ports" },
	{ 0xdce96d8c, "skb_checksum" },
	{ 0x49e6ce92, "xdp_set_features_flag" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe7d76f57, "__inet6_lookup_established" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x6bee75eb, "page_pool_create" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0x77ff15c7, "devlink_alloc_ns" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9b0ac417, "devlink_port_register_with_ops" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xa94462bd, "seq_read" },
	{ 0xd5fc9b54, "ip6_dst_hoplimit" },
	{ 0xe007335b, "netif_carrier_off" },
	{ 0xaec940e7, "single_open" },
	{ 0x183ca5fd, "devlink_port_attrs_pci_pf_set" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa874e309, "devl_traps_unregister" },
	{ 0xa43f107c, "devl_port_health_reporter_create" },
	{ 0x555435d2, "device_del" },
	{ 0x3c2764ac, "pci_msix_free_irq" },
	{ 0xe20a91b7, "vlan_dev_real_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xc311ccaf, "dev_get_port_parent_id" },
	{ 0x7a7db752, "xsk_set_rx_need_wakeup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa28d073d, "put_device" },
	{ 0x49d0e787, "single_release" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xa80b12cd, "devl_param_driverinit_value_set" },
	{ 0x0b19b445, "ioread8" },
	{ 0xe574a5cc, "simple_attr_open" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x05f361f6, "qdisc_reset" },
	{ 0xc8c1d748, "flow_indr_dev_unregister" },
	{ 0x818033ac, "xsk_clear_rx_need_wakeup" },
	{ 0xedd67b61, "__kmalloc_node_noprof" },
	{ 0x2d15b5a4, "netif_napi_add_weight_locked" },
	{ 0x63b8f32b, "netdev_port_same_parent_id" },
	{ 0x526dfd74, "flow_rule_match_ipv6_addrs" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2271ba4f, "register_netdevice_notifier_net" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x17e73d91, "netdev_master_upper_dev_get" },
	{ 0xa5e986c4, "flow_rule_match_icmp" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x02e746ad, "dev_get_by_index_rcu" },
	{ 0xc7df858f, "pci_iov_vf_id" },
	{ 0xd0734197, "_dev_err" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0x2ee0ed59, "netdev_info" },
	{ 0xd4484c35, "devlink_port_health_reporter_create" },
	{ 0x805e3de8, "debugfs_create_size_t" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x07d89666, "skb_vlan_pop" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xa4efa395, "napi_consume_skb" },
	{ 0x999f5537, "netif_device_attach" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x900a43fe, "devl_register" },
	{ 0xce807a25, "up_write" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x6210230d, "irq_get_irq_data" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6d81b822, "bpf_warn_invalid_xdp_action" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x21f51e91, "netif_set_real_num_tx_queues" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0x6e1933d3, "skb_store_bits" },
	{ 0x6626afca, "down" },
	{ 0xb51878d5, "skb_push" },
	{ 0x8bd9b9aa, "xsk_uses_need_wakeup" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf13bd613, "devlink_health_reporter_create" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x8ee8543e, "net_dim" },
	{ 0x1a6d3aaa, "unregister_netdev" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x54f67676, "__napi_schedule" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x058a30b8, "pci_write_config_dword" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xeb2140fd, "__auxiliary_driver_register" },
	{ 0x0d58eb88, "__neigh_create" },
	{ 0xc61935d6, "priv_to_devlink" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x61d7e175, "devl_rate_leaf_destroy" },
	{ 0x71150e15, "__dev_queue_xmit" },
	{ 0x8453f818, "__kmem_cache_create_args" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x96848186, "scnprintf" },
	{ 0xaa038703, "xp_dma_unmap" },
	{ 0x9c40a84a, "vlan_dev_vlan_proto" },
	{ 0xe9684912, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbaa1ee48, "flow_rule_match_vlan" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x03601f23, "netdev_set_num_tc" },
	{ 0x3dcc939c, "netdev_reset_tc" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xeaa3261b, "devlink_port_unregister" },
	{ 0x859e0b95, "xdp_rxq_info_unused" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x92997ed8, "_printk" },
	{ 0x668b19a1, "down_read" },
	{ 0x97f7d76d, "__SCK__tp_func_xdp_exception" },
	{ 0x8dc3e5d2, "rps_may_expire_flow" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf358177b, "devl_assert_locked" },
	{ 0x44f3a197, "pcie_print_link_status" },
	{ 0x737488c1, "xfrm_state_check_expire" },
	{ 0x20d85987, "devlink_remote_reload_actions_performed" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0xa9f37490, "softnet_data" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x7108738d, "free_netdev" },
	{ 0x43eaa0d4, "netdev_warn" },
	{ 0x2354c97c, "xdp_rxq_info_unreg" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x99b746ec, "devl_traps_register" },
	{ 0x36892c56, "bpf_trace_run7" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "mlxfw,tls,pci-hyperv-intf,psample");

MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "6860CDB733F4B4C06CBF01A");
