#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(geneve_dev_create_fb, "_gpl", "");

SYMBOL_CRC(geneve_dev_create_fb, 0x27687b9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ce200b8, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x67686b10, "unregister_netdevice_queue" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xeb162f79, "udp_tunnel_notify_add_rx_port" },
	{ 0x0491272a, "setup_udp_tunnel_sock" },
	{ 0x037a0cba, "kfree" },
	{ 0xb76a9bb7, "rtnl_create_link" },
	{ 0x23223519, "rtnl_configure_link" },
	{ 0x7108738d, "free_netdev" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x2a0b6a36, "udp_tun_rx_dst" },
	{ 0x56848656, "gro_cells_receive" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d2a429d, "__iptunnel_pull_header" },
	{ 0x48bab78a, "udp_tunnel_dst_lookup" },
	{ 0x9f479afd, "skb_tunnel_check_pmtu" },
	{ 0x5209ce7b, "__netif_rx" },
	{ 0x6aee6c7f, "__skb_get_hash_net" },
	{ 0x8753b9aa, "udp_tunnel_xmit_skb" },
	{ 0x65f11671, "udp_tunnel6_dst_lookup" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3164c272, "eth_gro_receive" },
	{ 0x79548ebf, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x937f2bbe, "udp_tunnel6_xmit_skb" },
	{ 0xd5fc9b54, "ip6_dst_hoplimit" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0x55c1dfe0, "__dynamic_netdev_dbg" },
	{ 0x3b186a1f, "ethtool_op_get_link" },
	{ 0x4a280003, "eth_mac_addr" },
	{ 0xcfd73d88, "eth_validate_addr" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8d304f20, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb49d7a94, "metadata_dst_alloc" },
	{ 0x3136495d, "dst_cache_init" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0x56470118, "__warn_printk" },
	{ 0x202ab87c, "metadata_dst_free" },
	{ 0x23ac7cdf, "skb_scrub_packet" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0x3bb8355e, "iptunnel_handle_offloads" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8833c3a9, "eth_gro_complete" },
	{ 0x09e6d4b5, "gro_find_complete_by_type" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x920829e6, "udp_sock_create4" },
	{ 0x8c61bfed, "udp_sock_create6" },
	{ 0x47076f7c, "dst_cache_destroy" },
	{ 0x50ff7a4f, "gro_cells_destroy" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x0c5a5cc8, "register_netdevice" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc9e6c0b9, "register_pernet_subsys" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa24d3ba8, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x65a1a183, "unregister_pernet_subsys" },
	{ 0x2ffe28d3, "udp_tunnel_push_rx_port" },
	{ 0x81df7049, "udp_tunnel_drop_rx_port" },
	{ 0xa307d66e, "rtnl_link_unregister" },
	{ 0x3354c16b, "rt6_lookup" },
	{ 0xca738dd5, "ip_route_output_flow" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x29257adf, "udp_tunnel_notify_del_rx_port" },
	{ 0xeef57e44, "udp_tunnel_sock_release" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xabea5f83, "gro_cells_init" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "C53B22D788789FB19FC8913");
