#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x94e389a4, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xdef16e64, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xd990ee46, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x0c5a5cc8, "register_netdevice" },
	{ 0x379e550a, "netdev_upper_dev_link" },
	{ 0x145c609c, "netdev_upper_dev_unlink" },
	{ 0x67686b10, "unregister_netdevice_queue" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2d626ce5, "netif_stacked_transfer_operstate" },
	{ 0xaa4007e5, "linkwatch_fire_event" },
	{ 0x2afca751, "netdev_rx_handler_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x33b4278e, "skb_ensure_writable_head_tail" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xabea5f83, "gro_cells_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0xd8dbf451, "netif_inherit_tso_max" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0xaf79b167, "skb_trim" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1828ebab, "netdev_rx_handler_unregister" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x8ab7f9bb, "netdev_update_features" },
	{ 0x97910edb, "dev_set_mtu" },
	{ 0xe007335b, "netif_carrier_off" },
	{ 0xc3000164, "dev_mc_unsync" },
	{ 0xa410b612, "dev_uc_unsync" },
	{ 0x9cfbcceb, "dev_uc_del" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc3f28f67, "dev_uc_add" },
	{ 0x14ae08b1, "netif_carrier_on" },
	{ 0xfb578fc5, "memset" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xdc4f53ee, "genlmsg_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa24d3ba8, "rtnl_link_register" },
	{ 0xe6dad916, "genl_register_family" },
	{ 0xa307d66e, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x907cd046, "free_percpu" },
	{ 0x037a0cba, "kfree" },
	{ 0xd4e81835, "crypto_destroy_tfm" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xc4c9f6b0, "crypto_alloc_aead" },
	{ 0xc14b787e, "crypto_aead_setkey" },
	{ 0xf4bf9f3b, "crypto_aead_setauthsize" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8d304f20, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x060b16f4, "___pskb_trim" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb49d7a94, "metadata_dst_alloc" },
	{ 0x8ce200b8, "ether_setup" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0xafa5fbd0, "dev_fetch_sw_netstats" },
	{ 0x55f31b3d, "dev_mc_sync" },
	{ 0x7f4f13c8, "dev_uc_sync" },
	{ 0xfa9a75b2, "dev_set_allmulti" },
	{ 0xc98babec, "dev_set_promiscuity" },
	{ 0x50ff7a4f, "gro_cells_destroy" },
	{ 0x990c8b25, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x71150e15, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb7671140, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x32140b30, "skb_to_sgvec" },
	{ 0x5eb86948, "crypto_aead_decrypt" },
	{ 0x02d3b8a3, "skb_clone" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0x3ed6a9a7, "skb_copy" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0x56848656, "gro_cells_receive" },
	{ 0x71430632, "__dev_get_by_index" },
	{ 0xb51878d5, "skb_push" },
	{ 0x0ee03265, "skb_put" },
	{ 0xb2e0ab94, "crypto_aead_encrypt" },
	{ 0xd4baecad, "skb_copy_expand" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5209ce7b, "__netif_rx" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7F6C3B32ED4A7AF5B31E8B5");
