#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x56bb6d51, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x097f6106, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x6decc2a7, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x7511849b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x2afca751, "netdev_rx_handler_register" },
	{ 0x968b777d, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x907cd046, "free_percpu" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x67686b10, "unregister_netdevice_queue" },
	{ 0x145c609c, "netdev_upper_dev_unlink" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0xc3f28f67, "dev_uc_add" },
	{ 0x97910edb, "dev_set_mtu" },
	{ 0x8ab7f9bb, "netdev_update_features" },
	{ 0x2d626ce5, "netif_stacked_transfer_operstate" },
	{ 0x9a7d891b, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x02d3b8a3, "skb_clone" },
	{ 0xe7b5c95f, "netif_rx" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xd1aec8af, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfa7983e8, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x71150e15, "__dev_queue_xmit" },
	{ 0x318a46ba, "dev_forward_skb" },
	{ 0x02d2b18c, "netpoll_send_skb" },
	{ 0x5209ce7b, "__netif_rx" },
	{ 0x74df31d8, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcd6bfa87, "netdev_core_stats_inc" },
	{ 0x71430632, "__dev_get_by_index" },
	{ 0x0c5a5cc8, "register_netdevice" },
	{ 0x379e550a, "netdev_upper_dev_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xaa4007e5, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfca962fc, "passthru_features_check" },
	{ 0xcfd73d88, "eth_validate_addr" },
	{ 0xfab8792b, "ndo_dflt_fdb_dump" },
	{ 0x3b186a1f, "ethtool_op_get_link" },
	{ 0xad938b1e, "eth_header_parse" },
	{ 0xf896ff3f, "eth_header_cache" },
	{ 0x6f5f3965, "eth_header_cache_update" },
	{ 0xc0d0011f, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ce200b8, "ether_setup" },
	{ 0x6af95a6c, "__ethtool_get_link_ksettings" },
	{ 0x3d7563f8, "ethtool_get_ts_info_by_layer" },
	{ 0x44e60a66, "init_net" },
	{ 0x36e1ea1a, "generic_hwtstamp_set_lower" },
	{ 0xaac6938e, "generic_hwtstamp_get_lower" },
	{ 0x51067670, "dev_mc_del" },
	{ 0x9cfbcceb, "dev_uc_del" },
	{ 0xddea4154, "dev_mc_add_excl" },
	{ 0xcabbb02b, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x7677a967, "__netpoll_free" },
	{ 0xbd5ca3ad, "vlan_vid_del" },
	{ 0xdb2d87a9, "vlan_vid_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f4f13c8, "dev_uc_sync" },
	{ 0x55f31b3d, "dev_mc_sync" },
	{ 0xfa9a75b2, "dev_set_allmulti" },
	{ 0xc98babec, "dev_set_promiscuity" },
	{ 0xa410b612, "dev_uc_unsync" },
	{ 0xc3000164, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1828ebab, "netdev_rx_handler_unregister" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0x69acdf38, "memcpy" },
	{ 0x768f147f, "dev_set_mac_address" },
	{ 0x037a0cba, "kfree" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd8dbf451, "netif_inherit_tso_max" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa24d3ba8, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa307d66e, "rtnl_link_unregister" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8d304f20, "nla_put" },
	{ 0xce331482, "netdev_is_rx_handler_busy" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4559B630E161CA7B81707D5");
