#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xpcs_to_phylink_pcs, "_gpl", "");
KSYMTAB_FUNC(xpcs_get_an_mode, "_gpl", "");
KSYMTAB_FUNC(xpcs_config_eee_mult_fact, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_mdiodev, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_pcs_mdiodev, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_fwnode, "_gpl", "");
KSYMTAB_FUNC(xpcs_destroy, "_gpl", "");
KSYMTAB_FUNC(xpcs_destroy_pcs, "_gpl", "");

SYMBOL_CRC(xpcs_to_phylink_pcs, 0x4b8e6414, "_gpl");
SYMBOL_CRC(xpcs_get_an_mode, 0x3aec2a17, "_gpl");
SYMBOL_CRC(xpcs_config_eee_mult_fact, 0x6e286cc6, "_gpl");
SYMBOL_CRC(xpcs_create_mdiodev, 0x532c0c3c, "_gpl");
SYMBOL_CRC(xpcs_create_pcs_mdiodev, 0x3c9a2e2c, "_gpl");
SYMBOL_CRC(xpcs_create_fwnode, 0xd679b1f6, "_gpl");
SYMBOL_CRC(xpcs_destroy, 0xc9a52071, "_gpl");
SYMBOL_CRC(xpcs_destroy_pcs, 0xc002c3bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfdd22d64, "device_property_read_u32_array" },
	{ 0x993b7f77, "mdio_device_register" },
	{ 0xef29fcdd, "clk_bulk_put" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0xd0734197, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xedbbb8f1, "phylink_mii_c45_pcs_get_state" },
	{ 0xd1009c0b, "mdio_device_create" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x7cee0b51, "device_get_match_data" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x131eb706, "fwnode_handle_get" },
	{ 0xc0632f95, "phylink_mii_c22_pcs_encode_advertisement" },
	{ 0xd549e20a, "devm_mdiobus_alloc_size" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x43a32e29, "__platform_driver_register" },
	{ 0x6dea3921, "mdiobus_c45_modify" },
	{ 0x29073393, "fwnode_device_is_available" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0xc89f7150, "devm_ioremap_resource" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x7892044d, "clk_bulk_get_optional" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x99e61cd0, "phylink_mii_c22_pcs_decode_state" },
	{ 0xf126b28e, "__devm_mdiobus_register" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xd5d17a14, "dev_err_probe" },
	{ 0x1d21b5a4, "mdio_device_free" },
	{ 0x815588a6, "clk_enable" },
	{ 0x2b16db38, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdfe5d83b, "__dev_fwnode" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x644cd65c, "mdiobus_c45_modify_changed" },
	{ 0x278cf939, "mdiobus_c45_read" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x2b1874a2, "devm_pm_runtime_enable" },
	{ 0xe6345608, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0xb86cede7, "phylink_resolve_c73" },
	{ 0x037a0cba, "kfree" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd5d29215, "platform_get_resource_byname" },
	{ 0x715801e3, "get_device" },
	{ 0x04602277, "fwnode_mdio_find_device" },
	{ 0x86921ac7, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45b23cea, "mdiobus_c45_write" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x46f3107e, "__pm_runtime_set_status" },
	{ 0x5c988a12, "device_set_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Csnps,dw-xpcs");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcsC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12gC*");

MODULE_INFO(srcversion, "84BEBAA7DDF04EB87D9B499");
