#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0x13ee05d5, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x0c08aa7a, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0xbc604a05, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0xa24b9762, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0x7894b964, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0x4cce69b5, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0x4c7fce9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x556d7f94, "genphy_read_status" },
	{ 0x228ff72a, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x5d6301f7, "device_property_present" },
	{ 0xb3aa1810, "devm_clk_get_optional_enabled_with_rate" },
	{ 0xd5d17a14, "dev_err_probe" },
	{ 0x8f22159b, "phy_drivers_register" },
	{ 0xbc80d404, "phy_read_mmd" },
	{ 0x02d75e70, "__genphy_config_aneg" },
	{ 0x2ed529bc, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xe1a527d4, "genphy_soft_reset" },
	{ 0xfd3560c4, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf9d7b585, "phy_write_mmd" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x567d068a, "_dev_info" },
	{ 0xccecdd08, "genphy_suspend" },
	{ 0x3398badf, "genphy_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x550fe134, "mdiobus_read" },
	{ 0x264d6665, "phy_trigger_machine" },
	{ 0x84c5343d, "phy_error" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "crc16");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "FD064005EC667A6BA9923A8");
