#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x66d906a8, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x2bed954a, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x170f3bf4, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x5afdb0f9, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x470e0e21, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x7cb04081, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xbf6a5e3f, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xbc853c26, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x64745242, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x037876d2, "netdev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0x9c373a16, "sk_alloc" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf99caa77, "sock_init_data_uid" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf6fcfdfe, "sk_free" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x30f076bf, "cdev_init" },
	{ 0x14e1425a, "cdev_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xe7458c1b, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x1b730d03, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaeb84537, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x328dc76a, "skb_copy_datagram_iter" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2cfd4804, "_copy_to_iter" },
	{ 0x01000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xd522671b, "iov_iter_zero" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb51878d5, "skb_push" },
	{ 0x93fdb94b, "__skb_gso_segment" },
	{ 0x29f549f7, "skb_checksum_help" },
	{ 0x052b37b3, "kfree_skb_list_reason" },
	{ 0x6aee6c7f, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x046729ec, "__skb_flow_dissect" },
	{ 0x80a1254b, "skb_partial_csum_set" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0xf6d606af, "iov_iter_advance" },
	{ 0x97ba4bc3, "iov_iter_npages" },
	{ 0x89b9cb1c, "sock_alloc_send_pskb" },
	{ 0x0ee03265, "skb_put" },
	{ 0x100ff0e3, "zerocopy_sg_from_iter" },
	{ 0x71150e15, "__dev_queue_xmit" },
	{ 0xec7bf697, "skb_copy_datagram_from_iter" },
	{ 0xf153c749, "_copy_from_iter" },
	{ 0x28168137, "iov_iter_revert" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0x55d83148, "build_skb" },
	{ 0x73c07e98, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AC8E791B70A90FF3AEE00BA");
