#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x8bdf9593, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x4448e258, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x36ac20e3, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0xeb6525c4, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0xfe3f13ba, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0xd1833c9d, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0xbfdd70e8, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0xeae09e5a, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xee6a804b, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x19cfdc1a, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x16f3298c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0313037f, "netif_tx_lock" },
	{ 0x83bf1430, "usbnet_start_xmit" },
	{ 0x5a1fe8ad, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x567d068a, "_dev_info" },
	{ 0x5272e759, "usbnet_write_cmd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5813f0e7, "hrtimer_active" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0x05efacb6, "usbnet_read_cmd" },
	{ 0xd0734197, "_dev_err" },
	{ 0xa3ba22cd, "__netdev_alloc_skb" },
	{ 0x0ee03265, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb8e467e4, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x7d5c8c92, "cdc_parse_cdc_header" },
	{ 0x2d228fb0, "usb_ifnum_to_if" },
	{ 0x78ef4473, "usb_driver_claim_interface" },
	{ 0x44fe10b0, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9dd0b607, "usbnet_get_ethernet_addr" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0x70d5ee9e, "usbnet_manage_power" },
	{ 0x886c37aa, "usbnet_cdc_update_filter" },
	{ 0x47e7e2a4, "usbnet_open" },
	{ 0x628f24dd, "usbnet_stop" },
	{ 0x93913f8a, "usbnet_set_rx_mode" },
	{ 0x4a280003, "eth_mac_addr" },
	{ 0xcfd73d88, "eth_validate_addr" },
	{ 0xc1387f1c, "usbnet_tx_timeout" },
	{ 0x6461f425, "dev_get_tstats64" },
	{ 0x2f3525bb, "usbnet_get_drvinfo" },
	{ 0xcb0facff, "usbnet_get_msglevel" },
	{ 0xa33010f7, "usbnet_set_msglevel" },
	{ 0xa5540c5b, "usbnet_nway_reset" },
	{ 0x65cfd67c, "usbnet_get_link" },
	{ 0xf2631606, "ethtool_op_get_ts_info" },
	{ 0x3098098f, "usbnet_get_link_ksettings_internal" },
	{ 0xb253a992, "usbnet_probe" },
	{ 0x15ee613f, "usbnet_disconnect" },
	{ 0x65411397, "usbnet_suspend" },
	{ 0x90701d6f, "usbnet_resume" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x037a0cba, "kfree" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0xae6fa576, "usb_driver_release_interface" },
	{ 0x0f451c62, "usb_altnum_to_altsetting" },
	{ 0x55c1dfe0, "__dynamic_netdev_dbg" },
	{ 0xd0f14fa6, "usb_register_driver" },
	{ 0xcf6563d0, "usb_deregister" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x78d98ecb, "usbnet_link_change" },
	{ 0x81252b1c, "usbnet_update_max_qlen" },
	{ 0xa5a4997d, "usbnet_unlink_rx_urbs" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "usbnet,cdc_ether");

MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A3CB03854F18F085AB290E3");
