#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(__ath11k_dbg, "", "");
KSYMTAB_FUNC(ath11k_dbg_dump, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_fw_destroy, "", "");
KSYMTAB_FUNC(ath11k_debugfs_soc_destroy, "", "");
KSYMTAB_DATA(__tracepoint_ath11k_log_dbg, "", "");
KSYMTAB_FUNC(ath11k_coredump_get_dump_type, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0xd7560f6a, "");
SYMBOL_CRC(ath11k_core_resume, 0xb1fb346c, "");
SYMBOL_CRC(ath11k_core_pre_init, 0x191cd91e, "");
SYMBOL_CRC(ath11k_core_init, 0x5934d3ad, "");
SYMBOL_CRC(ath11k_core_deinit, 0x1cd33325, "");
SYMBOL_CRC(ath11k_core_free, 0xba2f09fc, "");
SYMBOL_CRC(ath11k_core_alloc, 0xbd4d0d54, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x6b40b120, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0xdfeed4fc, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x43021a00, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0xba1a23aa, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x21866490, "");
SYMBOL_CRC(ath11k_info, 0x79d9ce17, "");
SYMBOL_CRC(ath11k_err, 0x3af2bc17, "");
SYMBOL_CRC(ath11k_warn, 0xea409443, "");
SYMBOL_CRC(__ath11k_dbg, 0xcf149964, "");
SYMBOL_CRC(ath11k_dbg_dump, 0x555c55f0, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0xcea21068, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x36cd6c4d, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0xe53076b8, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0x3caf58ad, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x05dc1c1c, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x4ea2018c, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0xebf39243, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x1757177e, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x1da79a08, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x8e698264, "");
SYMBOL_CRC(ath11k_pcic_read, 0x27d391cc, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0x6931a30c, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0xef579369, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x7708d641, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0x8cdf7142, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x82d142c1, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x72627c98, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x32b709c6, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x50b663b6, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0xf2bc0b05, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x4d2cf7c5, "");
SYMBOL_CRC(ath11k_pcic_start, 0x290de8f1, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xf4986f65, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x72661415, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0xd56bc1a0, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x561ece42, "");
SYMBOL_CRC(ath11k_fw_destroy, 0x016c7850, "");
SYMBOL_CRC(ath11k_debugfs_soc_destroy, 0xbaa60795, "");
SYMBOL_CRC(__tracepoint_ath11k_log_dbg, 0xe0968a76, "");
SYMBOL_CRC(ath11k_coredump_get_dump_type, 0x3f81fc96, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xaa5951ce, "ieee80211_color_change_finish" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0x46d36e9b, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3277691c, "thermal_cooling_device_unregister" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xa76a5323, "ieee80211_queue_work" },
	{ 0x5d3c3241, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xd3aae776, "napi_disable" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x540fa239, "ieee80211_bss_get_elem" },
	{ 0xd5a7035e, "regulatory_set_wiphy_regd" },
	{ 0x3767ba60, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1017e9e5, "cfg80211_chandef_dfs_cac_time" },
	{ 0x258fca53, "crypto_alloc_shash" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c35428d, "ieee80211_beacon_get_template_ema_list" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x93abfd69, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x576b8e49, "__cfg80211_get_bss" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x8eb5b940, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x84e492cb, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc8b0cf55, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe0a5a11b, "ieee80211_gtk_rekey_notify" },
	{ 0x24199ffa, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xf70d766d, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x94b33418, "ieee80211_connection_loss" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x05d9a39c, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0x2908c1ae, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x0ee03265, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x94366b7f, "firmware_request_nowarn" },
	{ 0x845d61b8, "qmi_handle_init" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcc78f507, "device_get_mac_address" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0xd3f1bd4e, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb88bdb48, "debugfs_create_symlink" },
	{ 0x0160266c, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8d6e85c8, "ieee80211_free_hw" },
	{ 0x1fe4fc5b, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x5cfbb0ec, "dma_free_pages" },
	{ 0xf10de5e8, "ieee80211_iterate_stations_atomic" },
	{ 0x5b8b0fda, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x2524deba, "ieee80211_tx_status_ext" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xadff5382, "ieee80211_beacon_loss" },
	{ 0x037a0cba, "kfree" },
	{ 0x0e0776d9, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd843e882, "thermal_cooling_device_register" },
	{ 0xcbda8d67, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x2d15b5a4, "netif_napi_add_weight_locked" },
	{ 0x3ccfc972, "ieee80211_restart_hw" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x12ef15bd, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x00148653, "vsnprintf" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6bf7e311, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0xe61112c7, "dev_driver_string" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0xd4e81835, "crypto_destroy_tfm" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcb85f5fc, "ieee80211_find_sta" },
	{ 0x79c98754, "dma_map_page_attrs" },
	{ 0x2a9d2f12, "qmi_send_request" },
	{ 0x15ef83d0, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xb3c782bd, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x387c5a21, "ieee80211_tx_status_irqsafe" },
	{ 0x7d19e97a, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x43b646f4, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x54f67676, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xa916b694, "strnlen" },
	{ 0xf4196511, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x83e758a7, "qmi_txn_wait" },
	{ 0x567d068a, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x89253265, "skb_queue_tail" },
	{ 0xc8fdf070, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xda85925d, "sysfs_create_link" },
	{ 0xe8078104, "ieee80211_obss_color_collision_notify" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd9a12ced, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa34161e4, "debugfs_lookup" },
	{ 0x6aee6c7f, "__skb_get_hash_net" },
	{ 0x272d8830, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9a3e16e0, "ieee80211_queue_delayed_work" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0xd0734197, "_dev_err" },
	{ 0x9584e7c2, "debugfs_create_bool" },
	{ 0x7c56da45, "crypto_shash_setkey" },
	{ 0x3c68f838, "simple_open" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x61c9ed04, "qmi_txn_cancel" },
	{ 0xe468895c, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6182eae8, "ieee80211_find_sta_by_ifaddr" },
	{ 0x946372b2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x276c7784, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0xd64639bb, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x36a321da, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x80a6b298, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa55e0847, "ieee80211_wake_queues" },
	{ 0x7108738d, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdddc9db2, "qmi_txn_init" },
	{ 0x7a543952, "ieee80211_report_low_ack" },
	{ 0x65c77a5e, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0x04239b38, "crypto_shash_update" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x05019fac, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7526f924, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa95daf03, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x84e64183, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb0c57cf9, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x1c1e8117, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8355fa96, "ieee80211_beacon_free_ema_list" },
	{ 0xa3ba22cd, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xc7a11f54, "ieee80211_ready_on_channel" },
	{ 0x6db85105, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaf79b167, "skb_trim" },
	{ 0xfbb0b28c, "qmi_handle_release" },
	{ 0x1a86cd64, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa7983e8, "pv_ops" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xaadad49f, "alloc_netdev_dummy" },
	{ 0x1b915166, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x44a53273, "ieee80211_scan_completed" },
	{ 0x7cc5d258, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x296bad7d, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x090a99a6, "__dma_sync_single_for_device" },
	{ 0x8563af11, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x93a12aab, "dput" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,qmi_helpers");


MODULE_INFO(srcversion, "D4CDDF46D94236B5C884290");
