#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x8e473c46, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x6b4faf20, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x8e8acdd4, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0xe7c39be6, "_gpl");
SYMBOL_CRC(mt76x0_set_channel, 0xa28305ea, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x01e058bd, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x9ceddc1a, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0xab14024c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7733ecd6, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x9a3e16e0, "ieee80211_queue_delayed_work" },
	{ 0x1fd2df80, "mt76_eeprom_init" },
	{ 0xd0734197, "_dev_err" },
	{ 0x4b12a063, "mt76x02_mac_setaddr" },
	{ 0x4df7ab26, "mt76_register_device" },
	{ 0x3746deed, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2e1e83f6, "mt76x02_phy_set_band" },
	{ 0xbbef58e9, "mt76x02_init_device" },
	{ 0xf05e6be3, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x42bea268, "mt76x02_phy_set_rxpath" },
	{ 0x5658f845, "mt76x02_edcca_init" },
	{ 0x2e3bf32f, "mt76_eeprom_override" },
	{ 0x53b2e689, "mt76x02_get_lna_gain" },
	{ 0x4c7c67e9, "mt76x02_init_debugfs" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf6eb85c3, "mt76x02_mac_cc_reset" },
	{ 0x8e70d80c, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9d97d023, "____mt76_poll_msec" },
	{ 0x1af96f8f, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x97e97e53, "mt76x02_config_mac_addr_list" },
	{ 0x988b8e91, "mt76_get_sar_power" },
	{ 0xf7ea39cf, "mt76x02_eeprom_copy" },
	{ 0xf6e59972, "mt76x02_mcu_calibrate" },
	{ 0xc10046ac, "mt76x02_mcu_function_select" },
	{ 0x0ecce388, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x2691aeb2, "mt76x02_mac_wcid_setup" },
	{ 0x9ca2ee45, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7ff84385, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xcddd4f1d, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x62187c99, "mt76_update_channel" },
	{ 0x399362e0, "mt76_init_sar_power" },
	{ 0xbcb7af25, "mt76x02_phy_adjust_vga_gain" },
	{ 0x93bc3360, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x226880d4, "mt76x02_mac_shared_key_setup" },
	{ 0xdf4616b6, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa1d89b15, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x567d068a, "_dev_info" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "5DC9561920B69322101AB5F");
