#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0xbbef58e9, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0xb3f4bf7a, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xa85ca040, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xcd59bf6b, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x0af38a54, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0xe7ea7124, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xb8837e40, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x2a8f4d4b, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x1edbb095, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x7fd5d0dc, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xd46b55b8, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x0e50c58d, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xb12928d4, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x58d2a061, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x6e46c4dc, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0xf0102376, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x8d7ca74a, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x97e97e53, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x0e812c4b, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x226880d4, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x2691aeb2, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xd8cef9b3, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x4b12a063, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xeadbf772, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x631768bb, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x5658f845, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0xf6eb85c3, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x38ddd606, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xe7ac5c43, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0xc10046ac, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x174f641b, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xf6e59972, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x9cfe9b6a, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x8b45fd50, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0xf7ea39cf, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xa1d89b15, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0xf05e6be3, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xdf4616b6, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x7733ecd6, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x53b2e689, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x42bea268, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x7ff84385, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x0ecce388, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x3746deed, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x2e1e83f6, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xbcb7af25, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x8e70d80c, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x31e223ea, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x373842f8, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x7e823dd7, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0xe1048dab, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x6962e6f2, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xeefe22f0, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x1b81def6, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x6f686028, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x7184d1d9, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x4735dc9a, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x79fa2631, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x4c7c67e9, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x93bc3360, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x1af96f8f, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0xb246c96a, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xb25412d3, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x4bd71781, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0xc25d2472, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x13ae41be, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0xed6ed1a1, "__mt76_tx_complete_skb" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x2d15b5a4, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3ccfc972, "ieee80211_restart_hw" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x12ef15bd, "ieee80211_get_hdrlen_from_skb" },
	{ 0x628ef9a2, "kthread_park" },
	{ 0x5b1f3d40, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20d3fcb4, "mt76_wcid_init" },
	{ 0x0d5cfaed, "mt76_tx_status_check" },
	{ 0xd812d09d, "wake_up_process" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0x04f5af2b, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x15ef83d0, "napi_complete_done" },
	{ 0x2d041bcf, "ieee80211_get_tx_rates" },
	{ 0xe828721c, "ieee80211_send_bar" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe45aa9a6, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x026678c5, "mt76_tx" },
	{ 0x54f67676, "__napi_schedule" },
	{ 0xac817eb2, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xea873f61, "mt76_wcid_key_setup" },
	{ 0x567d068a, "_dev_info" },
	{ 0xc7767f57, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x86937be3, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xda020d3b, "kthread_unpark" },
	{ 0xdf5315cb, "mt76_phy_dfs_state" },
	{ 0xd9a12ced, "wiphy_to_ieee80211_hw" },
	{ 0xcbd2ce33, "mt76_init_queue" },
	{ 0x32206b06, "debugfs_attr_read" },
	{ 0x0830dfb6, "__mt76_sta_remove" },
	{ 0x2dd64748, "mt76_tx_status_skb_done" },
	{ 0x9a3e16e0, "ieee80211_queue_delayed_work" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0xd0734197, "_dev_err" },
	{ 0x9584e7c2, "debugfs_create_bool" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x072f4225, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb1b63f87, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x36a321da, "napi_enable" },
	{ 0xb0faca18, "seq_putc" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0xd8f53ee8, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xa55e0847, "ieee80211_wake_queues" },
	{ 0x14002848, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf3e8cc26, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x3b8042f7, "__mt76_mcu_msg_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x803ed46e, "mt76_set_irq_mask" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0xeb73d8c3, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xccac7c9a, "debugfs_create_u32" },
	{ 0x585ea613, "__SCK__tp_func_mac_txdone" },
	{ 0x50ccc36b, "mt76_seq_puts_array" },
	{ 0x6db85105, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x477d7eb3, "__tracepoint_dev_irq" },
	{ 0xa94462bd, "seq_read" },
	{ 0x99c9cad0, "mt76_mcu_get_response" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x7cc5d258, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xec79bb00, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd1c3d2e3, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xba936f69, "seq_write" },
	{ 0x9d97d023, "____mt76_poll_msec" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0x8b7aff3f, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0xb7b53a8a, "mt76_wcid_cleanup" },
	{ 0x46d36e9b, "ieee80211_radar_detected" },
	{ 0x49d0e787, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x255e8263, "mt76_queues_read" },
	{ 0x294c5020, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x5d3c3241, "napi_schedule_prep" },
	{ 0xd3aae776, "napi_disable" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x9ca2ee45, "__mt76_poll" },
	{ 0x1c3f545e, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb7fb70c8, "debugfs_create_u8" },
	{ 0xaec940e7, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x03f64388, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa20ae500, "ieee80211_sta_register_airtime" },
	{ 0x9652f957, "mt76_dma_rx_poll" },
	{ 0x67cc26b1, "mt76_tx_status_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe574a5cc, "simple_attr_open" },
	{ 0x34ddd2d7, "debugfs_attr_write" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x772ee3dc, "mt76_tx_status_skb_get" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0xd2ca2c31, "mt76_tx_status_lock" },
	{ 0x0160266c, "skb_dequeue" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x725bc060, "mt76_csa_check" },
	{ 0x1074eb38, "mt76_tx_status_skb_add" },
	{ 0x9ee88ed5, "__tracepoint_mac_txdone" },
	{ 0x68f94a7c, "mt76_tx_check_agg_ssn" },
	{ 0x2524deba, "ieee80211_tx_status_ext" },
	{ 0x7c312e2b, "mt76_stop_tx_queues" },
	{ 0x060b16f4, "___pskb_trim" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "F372D4E7B3860D16A73FAAF");
