#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wl1251_init_ieee80211, "_gpl", "");
KSYMTAB_FUNC(wl1251_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wl1251_free_hw, "_gpl", "");

SYMBOL_CRC(wl1251_init_ieee80211, 0x41718cca, "_gpl");
SYMBOL_CRC(wl1251_alloc_hw, 0xb91810cc, "_gpl");
SYMBOL_CRC(wl1251_free_hw, 0x2f9673df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xc19400a8, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xe9c231e6, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa3ba22cd, "__netdev_alloc_skb" },
	{ 0x6db85105, "ieee80211_stop_queues" },
	{ 0xaf79b167, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x999e8297, "vfree" },
	{ 0x44a53273, "ieee80211_scan_completed" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8563af11, "ieee80211_unregister_hw" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b7aff3f, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0xbdd3740b, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa76a5323, "ieee80211_queue_work" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0xbb1ed5f0, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x860f5a06, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x46bce313, "skb_queue_head" },
	{ 0x84e492cb, "ieee80211_rx_napi" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x0ee03265, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x0160266c, "skb_dequeue" },
	{ 0x8d6e85c8, "ieee80211_free_hw" },
	{ 0xf9ed4ee2, "ieee80211_probereq_get" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0xadff5382, "ieee80211_beacon_loss" },
	{ 0x037a0cba, "kfree" },
	{ 0xdcac8146, "ieee80211_nullfunc_get" },
	{ 0x6a85ac45, "ieee80211_pspoll_get" },
	{ 0xcbda8d67, "ieee80211_register_hw" },
	{ 0x0b87a0c9, "ieee80211_emulate_change_chanctx" },
	{ 0x12ef15bd, "ieee80211_get_hdrlen_from_skb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x8aaf63d0, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb3c782bd, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xd4baecad, "skb_copy_expand" },
	{ 0x89253265, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9a3e16e0, "ieee80211_queue_delayed_work" },
	{ 0x3c68f838, "simple_open" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x9166fada, "strncpy" },
	{ 0xa55e0847, "ieee80211_wake_queues" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa95daf03, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "1B95ED8390DD366ADCBAD1B");
