#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x6a7cc235, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0xc53f1074, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xe636257e, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x29c9bb6b, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xc5b0e68c, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0xb22fa0bd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3d312923, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7b6f515d, "alloc_netdev_mqs" },
	{ 0x9ff33f92, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa28d073d, "put_device" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x567d068a, "_dev_info" },
	{ 0x89253265, "skb_queue_tail" },
	{ 0x23223519, "rtnl_configure_link" },
	{ 0x73c07e98, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa307d66e, "rtnl_link_unregister" },
	{ 0x44e60a66, "init_net" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xca93c548, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x8d304f20, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x7108738d, "free_netdev" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf8289da9, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x0fac4011, "class_dev_iter_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeb78441d, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5e4c294e, "__register_chrdev" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x47b07a66, "device_match_name" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x12c575e6, "stream_open" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0xea72c169, "class_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x46bce313, "skb_queue_head" },
	{ 0xc017ceae, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x0c5a5cc8, "register_netdevice" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x0388e314, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x132d4666, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x0ee03265, "skb_put" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x83e0d3c9, "device_unregister" },
	{ 0x0160266c, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa24d3ba8, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x037a0cba, "kfree" },
	{ 0x04a7cf42, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb76a9bb7, "rtnl_create_link" },
	{ 0x67686b10, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9EBB2D46967BD030D547067");
