#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x5da692c3, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xc371e7b7, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x71019eb6, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x6a361c52, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x041506d7, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x2bd1a769, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0xc22bea41, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x77a54866, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xe621d1b6, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x00c90cf6, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x48676a34, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xfff59253, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x159785ea, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x965791f6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa28d073d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x567d068a, "_dev_info" },
	{ 0xaf3e0764, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd4c287b8, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x57bc19d2, "down_write" },
	{ 0xd0734197, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x98ed3f24, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xb0faca18, "seq_putc" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x4d02c9ed, "__nvme_submit_sync_cmd" },
	{ 0xc2535452, "nvme_try_sched_reset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x89069085, "misc_register" },
	{ 0x4a62409d, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xa94462bd, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xba936f69, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x7cb7a7e1, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x49d0e787, "single_release" },
	{ 0x20c2c5bc, "nvme_wait_reset" },
	{ 0x3b6c48c9, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0xaec940e7, "single_open" },
	{ 0x53b954a2, "up_read" },
	{ 0xea72c169, "class_register" },
	{ 0xff6e36e3, "nvme_tls_key_lookup" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc68427e6, "nvme_auth_negotiate" },
	{ 0x798fab05, "try_module_get" },
	{ 0xe693fe3f, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x037a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "80C6F6FA4FD49DBA00CD40B");
