#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_cq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_update_cc, "_gpl", "");
KSYMTAB_FUNC(nvmet_alloc_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_put, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0xcfb38d76, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x0bc6e170, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x7ae48bbe, "_gpl");
SYMBOL_CRC(nvmet_cq_create, 0xb80a0cee, "_gpl");
SYMBOL_CRC(nvmet_sq_create, 0x6d27f22d, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x7e569bb0, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x1f515445, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0xa71838b7, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x958d1edf, "_gpl");
SYMBOL_CRC(nvmet_req_transfer_len, 0xc856bce7, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0xe8913573, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x6fb55a18, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x99ae2314, "_gpl");
SYMBOL_CRC(nvmet_update_cc, 0xd6b6590f, "_gpl");
SYMBOL_CRC(nvmet_alloc_ctrl, 0x4c86f2f7, "_gpl");
SYMBOL_CRC(nvmet_ctrl_put, 0x1341227d, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0x0f4f31ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x399d17f8, "bio_add_page" },
	{ 0x04239b38, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9f8443db, "nvme_find_get_ns" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x208527f4, "bio_integrity_alloc" },
	{ 0x0e1b2165, "sg_miter_start" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0x11089ac7, "_ctype" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1c3327c3, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0xbc1f40b7, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x8453f818, "__kmem_cache_create_args" },
	{ 0x14cc5319, "nvme_passthru_start" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x0a0ebc08, "__xa_cmpxchg" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x0745a981, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x296bad7d, "crypto_shash_final" },
	{ 0x4e8c5d07, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x00aa1603, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x412bdede, "filp_close" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf771fae0, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x352f14a0, "nvme_ctrl_from_file" },
	{ 0x9e438518, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x86a7b070, "nvme_init_request" },
	{ 0x09da0ba4, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0x30da0d0c, "nvme_execute_rq" },
	{ 0xe0710edf, "key_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xadb49546, "nvme_put_ns" },
	{ 0x258fca53, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa9cb677f, "nvme_auth_gen_privkey" },
	{ 0x1043c93c, "bio_alloc_bioset" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x9ea2fc40, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x1d31f3e3, "nvme_get_features" },
	{ 0xf927878a, "submit_bio_wait" },
	{ 0x35c39ad7, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xf754df54, "__blkdev_issue_discard" },
	{ 0x0851b9ce, "fs_bio_set" },
	{ 0x21cea196, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa993097a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3c436759, "filp_open" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x1fe23272, "bdev_file_open_by_path" },
	{ 0x798fab05, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x65248530, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x6a537e6d, "config_group_init" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc2be9a56, "pci_dev_put" },
	{ 0x9ce27899, "blk_rq_append_bio" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0xedd67b61, "__kmalloc_node_noprof" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xcf2a6966, "up" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdc5f95af, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x1b10d90e, "nvme_command_effects" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x84f4e89c, "nvme_auth_generate_digest" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xbe720537, "__module_get" },
	{ 0x715801e3, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9e553b18, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x59f13627, "nvme_passthru_end" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0xd4e81835, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x022f9e87, "crypto_alloc_kpp" },
	{ 0x8a0d7524, "vfs_fallocate" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0xbe216c27, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa28d073d, "put_device" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x5706d563, "nvme_tls_psk_refresh" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xd7e7b271, "blk_mq_free_request" },
	{ 0xb1d34d40, "nvme_auth_derive_tls_psk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x19a8d94c, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0x036156c5, "submit_bio" },
	{ 0xaf3e0764, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfc521e1e, "nvme_auth_gen_pubkey" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0xd4c287b8, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x2149e671, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x59dbdae4, "bio_endio" },
	{ 0x295e09d8, "sg_miter_next" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x5114acf2, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x7c56da45, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xae84cea6, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x1a1a5838, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4ed3d556, "config_group_init_type_name" },
	{ 0x6626afca, "down" },
	{ 0xb03a3eca, "nvme_auth_generate_psk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd9678031, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x4d449a59, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x67611e86, "bio_chain" },
	{ 0xb930784b, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-auth,nvme-keyring");


MODULE_INFO(srcversion, "DE586250CF528128C16C8BD");
