#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmt_telem_get_next_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_register_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_unregister_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_get_endpoint_info, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_read, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_read32, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_find_and_register_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");

SYMBOL_CRC(pmt_telem_get_next_endpoint, 0xd71cecee, "_gpl");
SYMBOL_CRC(pmt_telem_register_endpoint, 0x7ef6b9d9, "_gpl");
SYMBOL_CRC(pmt_telem_unregister_endpoint, 0x9755cd5e, "_gpl");
SYMBOL_CRC(pmt_telem_get_endpoint_info, 0x1cd956d1, "_gpl");
SYMBOL_CRC(pmt_telem_read, 0x47fd825a, "_gpl");
SYMBOL_CRC(pmt_telem_read32, 0x988ec23e, "_gpl");
SYMBOL_CRC(pmt_telem_find_and_register_endpoint, 0x879ce84c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x04f89cec, "auxiliary_driver_unregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x58f0e72f, "intel_pmt_is_early_client_hw" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x654c4004, "intel_pmt_dev_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x00aa1603, "xa_find" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xeb2140fd, "__auxiliary_driver_register" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x0357bfb8, "intel_pmt_dev_create" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xa855de12, "pmt_telem_read_mmio" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x037a0cba, "kfree" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "pmt_class");

MODULE_ALIAS("auxiliary:intel_vsec.telemetry");

MODULE_INFO(srcversion, "CF3F14EB0E193A62C63C1D6");
