#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(is_clock_scaling_supported_by_slave, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_slave_get_scale_index, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_bpt_send_async, "", "");
KSYMTAB_FUNC(sdw_bpt_wait, "", "");
KSYMTAB_FUNC(sdw_bpt_send_sync, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_lane_mapping, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0xb93ad8f9, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xef024412, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xa63d68f6, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x8b4f414f, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xa150e792, "");
SYMBOL_CRC(sdw_show_ping_status, 0xf732bfd8, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x85de7e26, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0xaa137a61, "");
SYMBOL_CRC(sdw_write_no_pm, 0x59f312d1, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xba92ba83, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x11fc27e2, "");
SYMBOL_CRC(sdw_read_no_pm, 0xcb6d72ed, "");
SYMBOL_CRC(sdw_update_no_pm, 0x835d0150, "");
SYMBOL_CRC(sdw_update, 0x8fddfa50, "");
SYMBOL_CRC(sdw_nread, 0x0460f50e, "");
SYMBOL_CRC(sdw_nwrite, 0x9bc7fafa, "");
SYMBOL_CRC(sdw_read, 0x9bcd92f5, "");
SYMBOL_CRC(sdw_write, 0x0fe647cb, "");
SYMBOL_CRC(sdw_compare_devid, 0x704ba38b, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xf81ed15e, "");
SYMBOL_CRC(is_clock_scaling_supported_by_slave, 0x09c15e67, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xf6dd40e8, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x35183a31, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xe0a52429, "");
SYMBOL_CRC(sdw_slave_get_scale_index, 0xafde564d, "");
SYMBOL_CRC(sdw_handle_slave_status, 0xe90e5316, "");
SYMBOL_CRC(sdw_clear_slave_status, 0xb2bec416, "");
SYMBOL_CRC(sdw_bpt_send_async, 0xb7e0fe77, "");
SYMBOL_CRC(sdw_bpt_wait, 0xcf4893a2, "");
SYMBOL_CRC(sdw_bpt_send_sync, 0xb34365ca, "");
SYMBOL_CRC(sdw_slave_add, 0xcfdda4ac, "");
SYMBOL_CRC(sdw_master_read_prop, 0x5c59a9b7, "");
SYMBOL_CRC(sdw_slave_read_lane_mapping, 0xf9f5e55a, "");
SYMBOL_CRC(sdw_slave_read_prop, 0xe5639845, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x7d67b26c, "");
SYMBOL_CRC(sdw_enable_stream, 0x00c6021b, "");
SYMBOL_CRC(sdw_disable_stream, 0x1ef4c6f6, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x8dd47a06, "");
SYMBOL_CRC(sdw_alloc_stream, 0x51bdf662, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0x9da20792, "");
SYMBOL_CRC(sdw_stream_add_master, 0x55df0795, "");
SYMBOL_CRC(sdw_stream_remove_master, 0xcbc1c26f, "");
SYMBOL_CRC(sdw_stream_add_slave, 0xd327560d, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x9ace2e04, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7e526291, "devm_kasprintf" },
	{ 0xa94462bd, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1238a0c6, "fwnode_property_present" },
	{ 0xfabaf622, "irq_domain_instantiate" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x247b6e40, "device_get_named_child_node" },
	{ 0x6fe7cfb2, "sdca_lookup_interface_revision" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xfc3698ea, "irq_create_mapping_affinity" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0x49d0e787, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x088bd0cf, "acpi_dev_for_each_child" },
	{ 0xbf8117e6, "__pm_runtime_suspend" },
	{ 0x68f3d1b6, "__devm_add_action" },
	{ 0xa2ea8c88, "irq_set_chip" },
	{ 0x754d539c, "strlen" },
	{ 0x56b0b931, "__pm_runtime_use_autosuspend" },
	{ 0xaec940e7, "single_open" },
	{ 0x088da5e1, "__pm_runtime_disable" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0xafa4154c, "fwnode_property_read_u8_array" },
	{ 0xcec2ab0c, "driver_register" },
	{ 0x2b16db38, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x3f1b8924, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e335ddf, "debugfs_create_str" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe9b2ffec, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe574a5cc, "simple_attr_open" },
	{ 0x34ddd2d7, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x83e0d3c9, "device_unregister" },
	{ 0x5600980d, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd93f28b2, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x037a0cba, "kfree" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x853e7d47, "dev_pm_domain_attach" },
	{ 0xf349dda9, "devm_device_add_group" },
	{ 0x04a7cf42, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x71403033, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x46f3107e, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa28d073d, "put_device" },
	{ 0x5c65f4a2, "pm_runtime_enable" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xfdd22d64, "device_property_read_u32_array" },
	{ 0x319fed11, "fwnode_property_read_u32_array" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0xe3d46ca8, "dev_pm_domain_detach" },
	{ 0x2ba41f5f, "pm_generic_runtime_suspend" },
	{ 0x32206b06, "debugfs_attr_read" },
	{ 0x1184834a, "bus_unregister" },
	{ 0xd0734197, "_dev_err" },
	{ 0x072f4225, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x57d2e93e, "device_property_read_string" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0xb217aa95, "driver_unregister" },
	{ 0x61297f1b, "__dev_fwnode_const" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xeb78441d, "device_register" },
	{ 0x0dbeacec, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x961cc49b, "sdca_lookup_functions" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-sdca");


MODULE_INFO(srcversion, "7AD5D45DBA65175DF047DF9");
