#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0xaf7daf60, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x0fa4e411, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x96fcabb5, "");
SYMBOL_CRC(sdw_intel_startup, 0x35272ca4, "");
SYMBOL_CRC(sdw_intel_exit, 0x967c85dc, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x91be015b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x418a366b, "debugfs_remove" },
	{ 0xaafcf7e8, "sdw_cdns_check_read_response" },
	{ 0x421333a8, "cdns_xfer_msg_defer" },
	{ 0x6477ebca, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x7ce1c6d3, "sdw_cdns_bpt_find_buffer_sizes" },
	{ 0x077dcac0, "sdw_cdns_prepare_write_dma_buffer" },
	{ 0x8dd47a06, "sdw_deprepare_stream" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x555435d2, "device_del" },
	{ 0xa1cf5f27, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e526291, "devm_kasprintf" },
	{ 0x27cb2218, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0xa94462bd, "seq_read" },
	{ 0x55df0795, "sdw_stream_add_master" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3a07c054, "cdns_read_ping_status" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6a4c1514, "acpi_fetch_acpi_dev" },
	{ 0x247b6e40, "device_get_named_child_node" },
	{ 0x258913cd, "sdw_cdns_probe" },
	{ 0x00c6021b, "sdw_enable_stream" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xc8a21362, "sdw_cdns_config_update" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0x9ace2e04, "sdw_stream_remove_slave" },
	{ 0xa6628dbd, "hda_sdw_bpt_close" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0xa150e792, "sdw_bus_master_delete" },
	{ 0x49d0e787, "single_release" },
	{ 0xeb2140fd, "__auxiliary_driver_register" },
	{ 0xbaa77aa5, "sdw_cdns_check_self_clearing_bits" },
	{ 0xd448679f, "hda_sdw_bpt_wait" },
	{ 0x56b0b931, "__pm_runtime_use_autosuspend" },
	{ 0x988cb4f5, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x9da20792, "sdw_release_stream" },
	{ 0xaec940e7, "single_open" },
	{ 0x86363a65, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x088da5e1, "__pm_runtime_disable" },
	{ 0x2e6d8e5f, "hda_sdw_bpt_send_async" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0x7d67b26c, "sdw_prepare_stream" },
	{ 0xd327560d, "sdw_stream_add_slave" },
	{ 0x5c59a9b7, "sdw_master_read_prop" },
	{ 0x10f0787f, "hdac_bus_eml_get_count" },
	{ 0x79a59bb6, "sdw_compute_params" },
	{ 0x2b16db38, "__pm_runtime_idle" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x1db3b00c, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe574a5cc, "simple_attr_open" },
	{ 0x34ddd2d7, "debugfs_attr_write" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x1c062c22, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xec8aa0b4, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x66227078, "sdw_cdns_clock_restart" },
	{ 0x7684af24, "sdw_cdns_debugfs_init" },
	{ 0x4ed0885f, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x5600980d, "pm_runtime_set_autosuspend_delay" },
	{ 0x8b4f414f, "sdw_bus_master_add" },
	{ 0x6e88c8df, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x7dd58b10, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x037a0cba, "kfree" },
	{ 0xda8663dc, "sdw_cdns_is_clock_stop" },
	{ 0xb837d651, "hdac_bus_eml_enable_interrupt_unlocked" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x7f8be6f6, "sdw_cdns_config_update_set_wait" },
	{ 0x04a7cf42, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdebf2db8, "sdw_cdns_prepare_read_dma_buffer" },
	{ 0x51bdf662, "sdw_alloc_stream" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x713f5fb6, "sdw_cdns_check_write_response" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7283c69, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x46f3107e, "__pm_runtime_set_status" },
	{ 0x04f89cec, "auxiliary_driver_unregister" },
	{ 0x2c17316d, "devm_snd_soc_register_component" },
	{ 0x491368f3, "cdns_bus_conf" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc4ddc5a2, "sdw_cdns_soft_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa28d073d, "put_device" },
	{ 0x31c89761, "cdns_set_sdw_stream" },
	{ 0x5c65f4a2, "pm_runtime_enable" },
	{ 0xe129d669, "hda_sdw_bpt_open" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x319fed11, "fwnode_property_read_u32_array" },
	{ 0x567d068a, "_dev_info" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0xb2bec416, "sdw_clear_slave_status" },
	{ 0x1ef4c6f6, "sdw_disable_stream" },
	{ 0x32206b06, "debugfs_attr_read" },
	{ 0xcbc1c26f, "sdw_stream_remove_master" },
	{ 0x714b2fd0, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0xbb7c9d9d, "sdw_cdns_exit_reset" },
	{ 0xd0734197, "_dev_err" },
	{ 0x2748a673, "hdac_bus_eml_sdw_get_lsdiid_unlocked" },
	{ 0x072f4225, "simple_attr_release" },
	{ 0x1e063198, "__auxiliary_device_add" },
	{ 0x1f692bc6, "sdw_cdns_alloc_pdi" },
	{ 0x504cf8fe, "sdw_cdns_clock_stop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5f3c8ce2, "fwnode_property_read_u16_array" },
	{ 0xfc2349f8, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,soundwire-bus,snd-sof-intel-hda-mlink,snd-sof-intel-hda-sdw-bpt,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "395539096AE4994554C3DAF");
