#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(teedev_open, "_gpl", "");
KSYMTAB_FUNC(teedev_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_session_calc_client_uuid, "_gpl", "");
KSYMTAB_FUNC(tee_device_alloc, "_gpl", "");
KSYMTAB_FUNC(tee_device_set_dev_groups, "_gpl", "");
KSYMTAB_FUNC(tee_device_register, "_gpl", "");
KSYMTAB_FUNC(tee_device_unregister, "_gpl", "");
KSYMTAB_FUNC(tee_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_get_version, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_system_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_invoke_func, "_gpl", "");
KSYMTAB_DATA(tee_bus_type, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_priv_buf, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_alloc_helper, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_free_helper, "_gpl", "");
KSYMTAB_FUNC(tee_shm_register_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_free, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_va, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_pa, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_from_id, "_gpl", "");
KSYMTAB_FUNC(tee_shm_put, "_gpl", "");
KSYMTAB_FUNC(tee_shm_pool_alloc_res_mem, "_gpl", "");

SYMBOL_CRC(teedev_open, 0x40deb2ff, "_gpl");
SYMBOL_CRC(teedev_close_context, 0x91521eba, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0x37eab7a1, "_gpl");
SYMBOL_CRC(tee_device_set_dev_groups, 0x109652aa, "_gpl");
SYMBOL_CRC(tee_device_register, 0xd8068b4a, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0x8f479f52, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0xf3b6cc61, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0xe3f92521, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0x1978304c, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0xa2ae105d, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0x0a9e1938, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0xd35ceed5, "_gpl");
SYMBOL_CRC(tee_client_system_session, 0x0a5bed34, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0xeabe7914, "_gpl");
SYMBOL_CRC(tee_bus_type, 0xf85cc114, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0xfe393e49, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0xe944f137, "_gpl");
SYMBOL_CRC(tee_dyn_shm_alloc_helper, 0x9b367307, "_gpl");
SYMBOL_CRC(tee_dyn_shm_free_helper, 0x17256758, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0xaa6304ed, "_gpl");
SYMBOL_CRC(tee_shm_free, 0x4b16a0fa, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0x964b050f, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x2efb05b2, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0x8051a67e, "_gpl");
SYMBOL_CRC(tee_shm_put, 0x93d23718, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0x4562e5c0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd4e81835, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0xef3d9f7b, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc001b161, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa28d073d, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x053feeb8, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x73c07e98, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x1184834a, "bus_unregister" },
	{ 0xd0734197, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x8ee3d128, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x04239b38, "crypto_shash_update" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x037ad6f1, "alloc_pages_exact_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2592c5bf, "make_kgid" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x296bad7d, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x060ba97c, "gen_pool_free_owner" },
	{ 0x5278fdf4, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x2b593aa8, "gen_pool_alloc_algo_owner" },
	{ 0x5e855e56, "gen_pool_first_fit_align" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x7d0ba682, "gen_pool_virt_to_phys" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x258fca53, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x97ba4bc3, "iov_iter_npages" },
	{ 0xea72c169, "class_register" },
	{ 0x30f076bf, "cdev_init" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x3f1b8924, "bus_register" },
	{ 0xc017ceae, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0x21bb96a5, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x248cc4c4, "device_initialize" },
	{ 0x8e313a4c, "unpin_user_pages" },
	{ 0xf1e7c90d, "remap_pfn_range" },
	{ 0x037a0cba, "kfree" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F990AB9E202D0939F5B8C9E");
