#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_set_ops, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_mode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_mode, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_cable_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_cable_ops, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x04b602a7, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0x6ad929db, "_gpl");
SYMBOL_CRC(typec_altmode_set_ops, 0x8df475fa, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x2eeddd41, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_mode, 0x73ba32d0, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x5c489c90, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x2bc36778, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x88f83092, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0xc5b2511b, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x64fe3447, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0xce564f31, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0x978b01c1, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x0e18fa15, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0x36432807, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0x5adf82a2, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0xe49b9082, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x09e77d33, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0xdc12b3f2, "_gpl");
SYMBOL_CRC(typec_cable_get, 0x7443867f, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x59f25612, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0x08a9f95f, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0xa0d012a7, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x30fa50c3, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x1153825b, "_gpl");
SYMBOL_CRC(typec_port_set_usb_mode, 0xb04dad27, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0x49db69b8, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0x1abb8e6b, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0xe93b5632, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x48edd9fa, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0xf73a02a6, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0xb07c2739, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x96d32a12, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x561908bc, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x4c5a8713, "_gpl");
SYMBOL_CRC(typec_get_cable_svdm_version, 0xbcaec894, "_gpl");
SYMBOL_CRC(typec_cable_set_svdm_version, 0x08618553, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x0fb05bc1, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0x7f0d0a1a, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0xa9ce7ed4, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0xc6b84ccf, "_gpl");
SYMBOL_CRC(typec_port_register_cable_ops, 0xb0248cb2, "_gpl");
SYMBOL_CRC(typec_register_port, 0xf76e7a5d, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0x40c9a719, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0xebed47c6, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x962d1e08, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0xc537f133, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x58594e0f, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0xe8d10374, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x8f1f071d, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0x702011bc, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0xe741a1fe, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0xaf756604, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0xe3272d46, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0xd3638be0, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x21776987, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0xffed1619, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0x61946000, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xc40a466e, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0xbfa48a4a, "_gpl");
SYMBOL_CRC(typec_cable_altmode_enter, 0xdd8413d8, "_gpl");
SYMBOL_CRC(typec_cable_altmode_exit, 0xfdca1276, "_gpl");
SYMBOL_CRC(typec_cable_altmode_vdm, 0x190b3ac0, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0x80eceb3c, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0xf45f41ef, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0x4de16566, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0xefd3c5e4, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0xb324d62f, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x3cdd47c2, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0xb954dc93, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0xa1d25a19, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0xa1340304, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0xdb8d32b8, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x62fd5d87, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0xc4d2e1dd, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0x119564f2, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0xb1cb6582, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0x080e0361, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x2553f56e, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0xa0673966, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb217aa95, "driver_unregister" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0xf8289da9, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xeb78441d, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x230e58b4, "fwnode_property_read_string" },
	{ 0x1238a0c6, "fwnode_property_present" },
	{ 0x33fb95f5, "component_master_del" },
	{ 0x6b976c09, "component_match_add_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x247b6e40, "device_get_named_child_node" },
	{ 0x83d0d961, "component_bind_all" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x47b07a66, "device_match_name" },
	{ 0x6ca812d2, "kobject_uevent" },
	{ 0xcb01a711, "fwnode_connection_find_matches" },
	{ 0x81188c30, "match_string" },
	{ 0xd8173e41, "component_unbind_all" },
	{ 0xcec2ab0c, "driver_register" },
	{ 0xea72c169, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xdfe5d83b, "__dev_fwnode" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x3f1b8924, "bus_register" },
	{ 0xc017ceae, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x798fab05, "try_module_get" },
	{ 0xe297d3df, "device_match_type" },
	{ 0xe9b2ffec, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x35876268, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x83e0d3c9, "device_unregister" },
	{ 0xf922741c, "acpi_bus_for_each_dev" },
	{ 0x248cc4c4, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0x947c3c5a, "fwnode_connection_find_match" },
	{ 0x183ec921, "fwnode_get_next_child_node" },
	{ 0x04a7cf42, "device_for_each_child" },
	{ 0x715801e3, "get_device" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xff89fe68, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x190083e3, "device_match_fwnode" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa28d073d, "put_device" },
	{ 0x319fed11, "fwnode_property_read_u32_array" },
	{ 0xaf3e0764, "module_put" },
	{ 0xda85925d, "sysfs_create_link" },
	{ 0x14cb9eda, "fwnode_get_name" },
	{ 0x9b01439c, "kobject_uevent_env" },
	{ 0x3fec91aa, "sysfs_update_group" },
	{ 0x1184834a, "bus_unregister" },
	{ 0xd0734197, "_dev_err" },
	{ 0x76a3bdf5, "device_add" },
	{ 0xe468895c, "sysfs_remove_link" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5f3c8ce2, "fwnode_property_read_u16_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F3B68E79439123BE343C351");
