#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(viafb_find_i2c_adapter, "_gpl", "");
KSYMTAB_FUNC(viafb_irq_enable, "_gpl", "");
KSYMTAB_FUNC(viafb_irq_disable, "_gpl", "");
KSYMTAB_FUNC(viafb_pm_register, "_gpl", "");
KSYMTAB_FUNC(viafb_pm_unregister, "_gpl", "");

SYMBOL_CRC(viafb_find_i2c_adapter, 0xcb69385b, "_gpl");
SYMBOL_CRC(viafb_irq_enable, 0xcd538333, "_gpl");
SYMBOL_CRC(viafb_irq_disable, 0xb4606f8d, "_gpl");
SYMBOL_CRC(viafb_pm_register, 0xb4f863e6, "_gpl");
SYMBOL_CRC(viafb_pm_unregister, 0x31469540, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2e34c19e, "i2c_del_adapter" },
	{ 0x098b71c6, "fb_dealloc_cmap" },
	{ 0xa11e8e10, "gpiochip_get_data" },
	{ 0xd0734197, "_dev_err" },
	{ 0xfcc331f1, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x364e51b5, "aperture_remove_conflicting_pci_devices" },
	{ 0xb0faca18, "seq_putc" },
	{ 0xc2c37246, "platform_device_add" },
	{ 0xaa51b153, "register_framebuffer" },
	{ 0x5ce1060b, "fb_io_read" },
	{ 0xb709c1f5, "platform_device_alloc" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x07a890c8, "fb_alloc_cmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa89b9152, "cfb_imageblit" },
	{ 0x38c1be31, "proc_mkdir" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xd691b0ed, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8496f7d1, "fb_io_write" },
	{ 0xc631580a, "console_unlock" },
	{ 0x9565d1eb, "fb_set_suspend" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdcd85016, "gpiochip_add_data_with_key" },
	{ 0x43a32e29, "__platform_driver_register" },
	{ 0xa94462bd, "seq_read" },
	{ 0x0974b436, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x6513a3fa, "fb_get_color_depth" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x31b2a317, "cfb_fillrect" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa4e579a8, "remove_proc_entry" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0xae1d2c5e, "fb_modesetting_disabled" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd0a7770a, "i2c_transfer" },
	{ 0xa275187e, "pci_disable_device" },
	{ 0x49d0e787, "single_release" },
	{ 0x3b6c48c9, "__seq_puts" },
	{ 0x4585b1f2, "proc_create_single_data" },
	{ 0x89b98a74, "framebuffer_release" },
	{ 0x754d539c, "strlen" },
	{ 0x2b10ccb1, "fb_io_mmap" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0xaec940e7, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xb8b4bc7d, "unregister_framebuffer" },
	{ 0x49006127, "platform_device_put" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x19a29890, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xe6345608, "platform_driver_unregister" },
	{ 0xb7fafc94, "proc_create" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x1bb540f9, "i2c_bit_add_bus" },
	{ 0xc2be9a56, "pci_dev_put" },
	{ 0x01fad1fd, "cfb_copyarea" },
	{ 0x223223be, "pci_get_device" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x037a0cba, "kfree" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x255a3845, "framebuffer_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc07b0863, "fb_destroy_modedb" },
	{ 0x0397edd5, "fb_edid_to_monspecs" },
	{ 0x05c5234f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "i2c-algo-bit");

MODULE_ALIAS("pci:v00001106d00003122sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00007205sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003108sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003118sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003344sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003157sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003225sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003230sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003343sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003371sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00001122sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00005122sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00007122sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CE92A584486BBD446334A73");
