#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x96bca716, "");
SYMBOL_CRC(jbd2_journal_start, 0xbd7ad0c4, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x92c90e85, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x1c78100d, "");
SYMBOL_CRC(jbd2__journal_restart, 0xb52120e6, "");
SYMBOL_CRC(jbd2_journal_restart, 0xf18036cb, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xb890d5bf, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x3e233726, "");
SYMBOL_CRC(jbd2_journal_extend, 0xa947530f, "");
SYMBOL_CRC(jbd2_journal_stop, 0x9dd8d430, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x82c61fe2, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xaa8d0dc9, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x26018ff5, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xd5b93c18, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x277f5624, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x3d1a12df, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xaacbdd79, "");
SYMBOL_CRC(jbd2_journal_forget, 0xd84e88a6, "");
SYMBOL_CRC(jbd2_journal_flush, 0x4e36584e, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x579a9b38, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x6fbcc775, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x1a7d70ee, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x55fdadbe, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xbf46bebd, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x203490f4, "");
SYMBOL_CRC(jbd2_journal_load, 0x1f571d57, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x43e5cc29, "");
SYMBOL_CRC(jbd2_journal_abort, 0x9574229f, "");
SYMBOL_CRC(jbd2_journal_errno, 0xe69d94dd, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x513a6e62, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x176dcd52, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xf3d30730, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x05c2107b, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x33031d15, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x6742fb23, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xc0113a42, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x6a6271b6, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0xe91cacf8, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x9ea8d43d, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x83c6f466, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xa55988a1, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x6f585e4d, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xd4646280, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xfab5d053, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xfb105d56, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x4b862fff, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x3657d022, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xd124d476, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xc7e46c66, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x9402ed03, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x18e9f58a, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x8376b855, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x4c831370, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x86caf9b2, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xe4ca8f6d, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xe233909a, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xb46bdfc4, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x24b4cb38, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29061d98, "preempt_model_lazy" },
	{ 0x9a264fc5, "try_to_free_buffers" },
	{ 0x9b911bc2, "sync_blockdev" },
	{ 0x0ece9c0d, "free_buffer_head" },
	{ 0xce7b61eb, "shrinker_register" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x19a8d94c, "blk_finish_plug" },
	{ 0xd08da148, "bdev_getblk" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x1dde648b, "crc32_be_arch" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x58a232ff, "bit_waitqueue" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b0cac4f, "__brelse" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x05240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x702eb528, "__bh_read_batch" },
	{ 0x946372b2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x6dbefe59, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3eaac1bb, "kmem_cache_free" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0xf81e605e, "__bh_read" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x27c8154c, "blkdev_issue_zeroout" },
	{ 0x8e238243, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x01a9e109, "freezing_slow_path" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0x38c1be31, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe2601cd3, "__find_get_block_nonatomic" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0f5d9794, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8453f818, "__kmem_cache_create_args" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc6c7fca8, "kthread_create_on_node" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0xa94462bd, "seq_read" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x16cb6036, "unlock_buffer" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0x0b0db153, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x5278fdf4, "__folio_put" },
	{ 0xa4e579a8, "remove_proc_entry" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0x3df0fb79, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4757a86c, "truncate_inode_pages_range" },
	{ 0xf771fae0, "blkdev_issue_flush" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x7816b3f6, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xeef28e82, "end_buffer_write_sync" },
	{ 0xe8f042db, "seq_open" },
	{ 0xfc48d39c, "bmap" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa993097a, "kmem_cache_destroy" },
	{ 0x2fc0d8a6, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xf4a95a74, "bh_uptodate_or_lock" },
	{ 0x521c7509, "shrinker_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x65248530, "blk_start_plug" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0xc29cc573, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xe8317f7d, "folio_unlock" },
	{ 0x6b4b8e63, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2650cb34, "bpf_trace_run6" },
	{ 0x89ad7112, "mark_buffer_dirty" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x7ebe0058, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x3f9a1f00, "__bforget" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x77985a31, "write_dirty_buffer" },
	{ 0x061227e2, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x475ac1c0, "iput" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x9eeb5537, "blockdev_superblock" },
	{ 0x0b86b736, "proc_create_data" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc0b1eae0, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc195f4aa, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb82a5eac, "alloc_buffer_head" },
	{ 0xd812d09d, "wake_up_process" },
	{ 0x676ba3a4, "shrinker_free" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x64a31445, "mutex_lock_io" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3D2E14D46EF69677210EADB");
