#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(get_nfs_version, "_gpl", "");
KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open_v23, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_splice_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_update_delegated_mtime, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(get_nfs_version, 0x95e1e0fe, "_gpl");
SYMBOL_CRC(register_nfs_version, 0xe535bb39, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x71ce74a0, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0xa38f3cc3, "_gpl");
SYMBOL_CRC(nfs_free_client, 0xef33024d, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x80445734, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0xdaaf4f90, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0x75a33be7, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0xc7f426af, "_gpl");
SYMBOL_CRC(nfs_get_client, 0x5db8d827, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x88dacf78, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x23330f58, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0xa36aa4aa, "_gpl");
SYMBOL_CRC(nfs_init_client, 0xac912529, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0x20baa80c, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x14adcc11, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x7e2bc707, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x2a9cd077, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x25cf87ba, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x709abff4, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x87b7a4ec, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0x95a6a9e3, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0x847c3960, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x9644ad1a, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0xc8a3ce27, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x7e6f9ad1, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x441eaee2, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0x63661d96, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x469bf93c, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0xa36e677e, "_gpl");
SYMBOL_CRC(nfs_atomic_open_v23, 0xe463f4a0, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0xde2172be, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0xe940687f, "_gpl");
SYMBOL_CRC(nfs_create, 0x829da950, "_gpl");
SYMBOL_CRC(nfs_mknod, 0x78ed9da0, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x8a48161b, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0xc3f93761, "_gpl");
SYMBOL_CRC(nfs_unlink, 0xa92207b1, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x44203068, "_gpl");
SYMBOL_CRC(nfs_link, 0xeac682ac, "_gpl");
SYMBOL_CRC(nfs_rename, 0x4a4cfa17, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x14bfe292, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xd13e3de0, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x020f0be8, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0x08e162a8, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x03b92100, "_gpl");
SYMBOL_CRC(nfs_permission, 0xd888eb3c, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x2cb5faeb, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0xc63f178f, "_gpl");
SYMBOL_CRC(nfs_file_read, 0xe8730b12, "_gpl");
SYMBOL_CRC(nfs_file_splice_read, 0xf0c8aa5a, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0x336303c4, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0x49202fec, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xa141d714, "_gpl");
SYMBOL_CRC(nfs_lock, 0xc92992d8, "_gpl");
SYMBOL_CRC(nfs_flock, 0x350fecd4, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0xf81c0e2c, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x4161e916, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x36bed17e, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0xeaf263f0, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x435cb8bc, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0xb8c3a324, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x1acd4b6b, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0xd13d2929, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0xecf50c54, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0xaec2a1d1, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x0092c475, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x9956a095, "_gpl");
SYMBOL_CRC(nfs_update_delegated_mtime, 0xdbb8c32c, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x36803c05, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0xb64bef18, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x96514dc5, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x4ebe93c8, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0x194966db, "_gpl");
SYMBOL_CRC(nfs_close_context, 0xa2a4a010, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x159e5a6e, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0xb54ffdd6, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0xdb6f33ca, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x6a914752, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0x3766f3d4, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0x5c0e0a1b, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0x4ed2b7d9, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x2d0f9b90, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x3ea0dca7, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x766c0369, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0xb0634e71, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0x829b9e97, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x09d1f4c2, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0x92ace902, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0x0d78b5af, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0xc07b52a9, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x80c121ba, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0x674eacf6, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x05212c59, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x7cc63668, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x012b3bab, "_gpl");
SYMBOL_CRC(nfs_show_path, 0x4358d436, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0x14ab8d4e, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x513df1b3, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0x590055f7, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x526a616a, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0xba2441f5, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0x6889df2e, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0xb0e83b57, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0xad457ed1, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0x1df20276, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x57071bb1, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0xd09f898d, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0xaecf15ee, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x17398413, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x9a48175c, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x1359180e, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0xbf357dda, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x286299ad, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x0c153c6c, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x122ee819, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x632276df, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x5d18a7b4, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0x65736a44, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0xeec13fda, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0xe72b394e, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0xbdc46519, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0xc95966d2, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0xd12473c2, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x199c3089, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0xfef48c19, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x2f4dbb09, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x2ed56f26, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0x017a9368, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x69db1c42, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0xb830ace5, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x98bf466e, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x448377bf, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0xcedd5306, "_gpl");
SYMBOL_CRC(nfs_path, 0x84976edc, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x2ffd7c6f, "_gpl");
SYMBOL_CRC(nfs_submount, 0x5d520d8d, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x046ae1be, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0xd06f6ead, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xe98e3322, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_enter, 0xfd3c0de6, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x099df028, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0xb6cf7faa, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x55cc4ca8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_exit, 0x9d919c44, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x14c3f4da, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0x71e8dc41, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x4892485a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_status, 0xfeb42418, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0x277d3b20, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x98b7cb57, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0xa9a262b6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_bad_filehandle, 0x37239e6d, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0xec23b8fd, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0xbbd9631d, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x704449a5, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0xa7639dd7, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0xfed6dbc5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xaf3e0764, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7f71da0e, "rpc_setbufsize" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9796aa09, "fs_context_for_submount" },
	{ 0xecf8aa8e, "inode_init_once" },
	{ 0x36e706e4, "folio_wait_private_2" },
	{ 0x85039644, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x2952cc22, "__fscache_relinquish_volume" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0xe53831a0, "seq_escape_mem" },
	{ 0x2b6a4138, "ilookup5" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0xc88c2add, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x36008ebe, "inode_nohighmem" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x3e1ef1aa, "security_d_instantiate" },
	{ 0x57bc19d2, "down_write" },
	{ 0x44e60a66, "init_net" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0xeaf1c774, "generic_file_read_iter" },
	{ 0x0f4126e9, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0xde63775b, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x671a6b5c, "put_fs_context" },
	{ 0x06794c00, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xd353b6a0, "kobj_sysfs_ops" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x946372b2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x8d4e09ff, "write_cache_pages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3759ee4f, "set_nlink" },
	{ 0x0be6afcd, "kmem_cache_alloc_lru_noprof" },
	{ 0x3eaac1bb, "kmem_cache_free" },
	{ 0x61ba50ee, "rpc_max_payload" },
	{ 0x7713cbdc, "d_move" },
	{ 0xb0faca18, "seq_putc" },
	{ 0x9319536b, "rpc_proc_unregister" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x371a78a1, "vfs_create_mount" },
	{ 0x064db9a5, "mark_mounts_for_expiry" },
	{ 0x7c5cdb91, "folio_wait_writeback" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2eb920ed, "nlmclnt_rpc_clnt" },
	{ 0x3e24445f, "rpc_clnt_swap_activate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0xbb77b172, "kobject_init_and_add" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf99bd6c1, "write_inode_now" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8be8fae0, "d_obtain_alias" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xb6efc304, "folio_end_read" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xa3ee9012, "rpc_create" },
	{ 0xee185324, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x66a449d7, "__folio_start_writeback" },
	{ 0x86b72ad1, "d_obtain_root" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0x51f40041, "param_ops_short" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5475ad16, "folio_end_writeback" },
	{ 0xede8682c, "folio_alloc_noprof" },
	{ 0x5a084ae1, "rpc_call_sync" },
	{ 0x38c1be31, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x2a580a38, "rpc_put_task_async" },
	{ 0x65a1a183, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5f9416a1, "xdr_init_decode_pages" },
	{ 0xec813656, "register_sysctl_sz" },
	{ 0x92171127, "netfs_read_subreq_terminated" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0f5d9794, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2c2b4ba2, "rpc_exit" },
	{ 0x2592c5bf, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x1b6f223d, "d_delete" },
	{ 0x8453f818, "__kmem_cache_create_args" },
	{ 0x2d13f46a, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7ee9eda4, "out_of_line_wait_on_bit_lock" },
	{ 0x646e8baf, "nfs_ssc_unregister" },
	{ 0x7de8675d, "rpc_killall_tasks" },
	{ 0x62f7e207, "down_read_killable" },
	{ 0x668b19a1, "down_read" },
	{ 0x51f533e3, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0x907cd046, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d6183ad, "iov_iter_get_pages_alloc2" },
	{ 0x5c889de4, "set_page_dirty" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0x45436317, "__put_net" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb62940fc, "vfs_pressure_ratio" },
	{ 0xa66ceefd, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0xcaa4f679, "generic_read_dir" },
	{ 0x19c46b7b, "kobject_del" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0x1663e92c, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0xce174536, "filemap_fdatawait_range" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0x0b0db153, "percpu_counter_add_batch" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x3436d778, "security_inode_notifysecctx" },
	{ 0x3926e041, "nfs_ssc_register" },
	{ 0x87ad1a06, "init_user_ns" },
	{ 0x00aa1603, "xa_find" },
	{ 0x4be36ba8, "invalidate_inode_pages2" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xba936f69, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x5278fdf4, "__folio_put" },
	{ 0x1ef4a17b, "kobject_set_name" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0x93a12aab, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x59271d51, "deactivate_locked_super" },
	{ 0x40ec6ba0, "put_rpccred" },
	{ 0x74fd0f60, "__percpu_down_read" },
	{ 0xad335621, "__d_lookup_unhash_wake" },
	{ 0x7dc18eb8, "rpc_clnt_swap_deactivate" },
	{ 0x6ca812d2, "kobject_uevent" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x077c107a, "__fscache_invalidate" },
	{ 0xd37acba3, "folio_mapping" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0xd85cfd20, "cred_fscmp" },
	{ 0xfc3ec233, "__folio_lock" },
	{ 0x113246b0, "filemap_dirty_folio" },
	{ 0xc744e6a8, "pagecache_get_page" },
	{ 0x66153100, "is_bad_inode" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xfd1b51df, "__fscache_use_cookie" },
	{ 0x55a7743d, "rcuwait_wake_up" },
	{ 0xfba7bf70, "_proc_mkdir" },
	{ 0x46dd2540, "node_data" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xf883cd23, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x08ad4d2e, "__fs_parse" },
	{ 0x7981a569, "sysfs_create_link_nowarn" },
	{ 0xd45eb120, "filemap_splice_read" },
	{ 0xf76992d0, "dget_parent" },
	{ 0x1ee1473f, "nlmclnt_init" },
	{ 0x3b6c48c9, "__seq_puts" },
	{ 0x575e2647, "kill_anon_super" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x3584fabd, "iget5_locked" },
	{ 0x35b4f401, "filemap_write_and_wait_range" },
	{ 0x22733abd, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9c00166f, "nlmclnt_done" },
	{ 0x754d539c, "strlen" },
	{ 0xc05fa600, "proc_symlink" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x28168137, "iov_iter_revert" },
	{ 0xe7103c17, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6b1aab38, "mntget" },
	{ 0x72efc4b9, "setattr_should_drop_sgid" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xe4fcbc77, "filemap_fault" },
	{ 0x903330bd, "d_invalidate" },
	{ 0x5e4e92cf, "__mark_inode_dirty" },
	{ 0xbb1ed5f0, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xaa0c3772, "folio_wait_private_2_killable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x53b954a2, "up_read" },
	{ 0x26c2a27e, "rpc_wait_for_completion_task" },
	{ 0x6176a30e, "set_anon_super" },
	{ 0xf9014cbe, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xb5f2e117, "inode_set_ctime_to_ts" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa993097a, "kmem_cache_destroy" },
	{ 0xed04bd3a, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6d9f2e0f, "kobject_put" },
	{ 0xe7b6f9de, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x7175d213, "rpc_put_task" },
	{ 0x8bfcc8bf, "super_setup_bdi_name" },
	{ 0x95377d4a, "posix_test_lock" },
	{ 0xfac5e820, "inode_update_timestamps" },
	{ 0x49729151, "filemap_fdatawrite" },
	{ 0x94c620b8, "generic_fillattr" },
	{ 0xcd1c95d3, "vfs_fsync_range" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x521c7509, "shrinker_alloc" },
	{ 0xab98092f, "clear_nlink" },
	{ 0x3f4e56d6, "file_check_and_advance_wb_err" },
	{ 0x798fab05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc4cdc2ff, "d_alloc_parallel" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc0351f9d, "clear_inode" },
	{ 0xbc1fcb47, "inode_to_bdi" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0xf2d521bd, "__fscache_acquire_volume" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x06fe5e1a, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0xe2d75bf3, "rpc_proc_register" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa81e50d8, "sysfs_create_file_ns" },
	{ 0xae0402bc, "rpc_shutdown_client" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x563bd5d9, "fs_param_is_string" },
	{ 0xe8317f7d, "folio_unlock" },
	{ 0x0a04e369, "mnt_set_expiry" },
	{ 0x282e3a91, "param_ops_ushort" },
	{ 0xc11d3895, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x12af692b, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8f2499d2, "filemap_map_pages" },
	{ 0xa789895c, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x979faae6, "kobject_rename" },
	{ 0xd3fc040c, "security_sb_set_mnt_opts" },
	{ 0xec4892ee, "init_special_inode" },
	{ 0x4224b663, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x48688feb, "generic_error_remove_folio" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x7ebe0058, "filemap_fdatawrite_range" },
	{ 0x839e2b93, "folio_wait_bit_killable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x93de5552, "d_make_root" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xfa3d88e8, "sync_filesystem" },
	{ 0x59bcbf29, "__fscache_unuse_cookie" },
	{ 0x5a9f7a9e, "folio_redirty_for_writepage" },
	{ 0x278dd41f, "sget_fc" },
	{ 0x176c23a6, "d_splice_alias" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x8e6b25ef, "unmap_mapping_range" },
	{ 0xca19afa1, "ihold" },
	{ 0x421a9eeb, "inode_dio_wait" },
	{ 0xbfed35a8, "generic_permission" },
	{ 0x037a0cba, "kfree" },
	{ 0x0d18f518, "invalidate_inode_pages2_range" },
	{ 0x54106132, "read_cache_page" },
	{ 0x571174c6, "finish_open" },
	{ 0x475ac1c0, "iput" },
	{ 0x8a4a0880, "kset_unregister" },
	{ 0xd28c565d, "security_sb_clone_mnt_opts" },
	{ 0x5c00fb1f, "fs_param_is_enum" },
	{ 0x8fb329d4, "logfc" },
	{ 0x7ce1fb15, "iter_file_splice_write" },
	{ 0xae2f068d, "rpc_pton" },
	{ 0x0c132834, "mod_node_page_state" },
	{ 0x3c5db7cc, "rpc_wake_up_queued_task" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x53f5c7f3, "remove_proc_subtree" },
	{ 0xd48a44b3, "rpc_restart_call_prepare" },
	{ 0x655e0628, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbe720537, "__module_get" },
	{ 0x3a1e87ab, "__fscache_relinquish_cookie" },
	{ 0x4e3abff5, "register_filesystem" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xbb244fa3, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x8b631d99, "filemap_add_folio" },
	{ 0x4bab3d80, "rpc_sleep_on" },
	{ 0xc2eb7355, "rpc_run_task" },
	{ 0xa9772aca, "netfs_readahead" },
	{ 0xe34960d9, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xba0b73ef, "d_prune_aliases" },
	{ 0xc586f354, "__put_cred" },
	{ 0xc9e6c0b9, "register_pernet_subsys" },
	{ 0x296bdeb6, "rpc_cancel_tasks" },
	{ 0x676ba3a4, "shrinker_free" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0xdc9536d1, "filemap_fdatawrite_range_kick" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x29624ca5, "migrate_folio" },
	{ 0xd53faeea, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x18aaa152, "add_swap_extent" },
	{ 0x3fd3652e, "fs_param_is_u32" },
	{ 0x9d0730b6, "inode_newsize_ok" },
	{ 0x69f1300c, "d_drop" },
	{ 0xd94bf0de, "deactivate_super" },
	{ 0x13ee8c92, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0x6df5de49, "security_sb_mnt_opts_compat" },
	{ 0x9c367b7e, "param_get_uint" },
	{ 0xbe8cfded, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x65d79536, "unregister_sysctl_table" },
	{ 0xa867d6b4, "make_kuid" },
	{ 0xd3b29c2a, "truncate_inode_pages_final" },
	{ 0x7d9ea04c, "d_alloc" },
	{ 0xdfb56a14, "fs_kobj" },
	{ 0x6374ec35, "net_ns_type_operations" },
	{ 0xe383da93, "__filemap_set_wb_err" },
	{ 0x98cc416c, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x25782fab, "generic_perform_write" },
	{ 0xce7b61eb, "shrinker_register" },
	{ 0x6975df1d, "__filemap_get_folio" },
	{ 0xc1012b5d, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,netfs,lockd");


MODULE_INFO(srcversion, "8BFA0468103AB5F69C5E011");
