#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0xe8b3f9b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x71ce74a0, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1df20276, "nfs_async_iocounter_wait" },
	{ 0xb64bef18, "nfs_setattr_update_inode" },
	{ 0x0d78b5af, "nfs_sops" },
	{ 0x87ad1a06, "init_user_ns" },
	{ 0xbab856a2, "rpc_restart_call" },
	{ 0xeac682ac, "nfs_link" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x93a12aab, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0xdb6f33ca, "put_nfs_open_context" },
	{ 0xd888eb3c, "nfs_permission" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0xde2172be, "nfs_add_or_obtain" },
	{ 0x4ead95ce, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0xef33024d, "nfs_free_client" },
	{ 0xa2a4a010, "nfs_close_context" },
	{ 0x766c0369, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x08e162a8, "nfs_access_set_mask" },
	{ 0x0686ff8a, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x44203068, "nfs_symlink" },
	{ 0xa92207b1, "nfs_unlink" },
	{ 0xddbf701c, "forget_cached_acl" },
	{ 0x95a6a9e3, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x423c4a77, "nlmclnt_proc" },
	{ 0xfef48c19, "nfs_writeback_update_inode" },
	{ 0xa38f3cc3, "nfs_alloc_client" },
	{ 0x7e6f9ad1, "nfs_dentry_operations" },
	{ 0xb3912543, "xdr_write_pages" },
	{ 0x14bfe292, "nfs_access_zap_cache" },
	{ 0xcedd5306, "nfs_wb_all" },
	{ 0xa789895c, "xdr_inline_decode" },
	{ 0x45689817, "forget_all_cached_acls" },
	{ 0x5d520d8d, "nfs_submount" },
	{ 0x14c3f4da, "__tracepoint_nfs_xdr_status" },
	{ 0x78ed9da0, "nfs_mknod" },
	{ 0x87b7a4ec, "nfs_create_server" },
	{ 0x69acdf38, "memcpy" },
	{ 0xac912529, "nfs_init_client" },
	{ 0x037a0cba, "kfree" },
	{ 0xb0634e71, "nfs_post_op_update_inode" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xda8cd9a1, "xdr_read_pages" },
	{ 0x751803c1, "nfsacl_decode" },
	{ 0x22f7cb6b, "posix_acl_from_mode" },
	{ 0x829da950, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8a48161b, "nfs_mkdir" },
	{ 0x5c0e0a1b, "nfs_revalidate_inode" },
	{ 0x4ebe93c8, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x590055f7, "nfs_try_get_tree" },
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa867d6b4, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x5db8d827, "nfs_get_client" },
	{ 0xc48a9b58, "__free_pages" },
	{ 0xf81c0e2c, "nfs_file_operations" },
	{ 0x7f5a418d, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x194966db, "nfs_put_lock_context" },
	{ 0x4a4cfa17, "nfs_rename" },
	{ 0x441eaee2, "nfs_lookup" },
	{ 0xec23b8fd, "nfs_sysfs_link_rpc_client" },
	{ 0x09336b6f, "nfsacl_encode" },
	{ 0x7a19b0eb, "posix_acl_create" },
	{ 0xb54ffdd6, "get_nfs_open_context" },
	{ 0x4892485a, "__SCK__tp_func_nfs_xdr_status" },
	{ 0xecf50c54, "nfs_invalidate_atime" },
	{ 0x20e093a4, "posix_acl_equiv_mode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x96514dc5, "nfs_getattr" },
	{ 0xa9a262b6, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xd13d2929, "nfs_zap_acl_cache" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x277d3b20, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x72aee7cb, "rpc_bind_new_program" },
	{ 0xe535bb39, "register_nfs_version" },
	{ 0xe463f4a0, "nfs_atomic_open_v23" },
	{ 0x1d2d82bb, "rpc_call_start" },
	{ 0x5a084ae1, "rpc_call_sync" },
	{ 0x70b9b79c, "rpc_prepare_reply_pages" },
	{ 0x704449a5, "nfs_fs_type" },
	{ 0x36803c05, "nfs_setattr" },
	{ 0x528dd0b1, "xdr_terminate_string" },
	{ 0x4ed2b7d9, "nfs_fattr_init" },
	{ 0xf5965b2e, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x2592c5bf, "make_kgid" },
	{ 0x6fcd0833, "from_kgid_munged" },
	{ 0x2d0f9b90, "nfs_alloc_fattr" },
	{ 0x51f533e3, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3f93761, "nfs_rmdir" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "DA6D4B3753CAAABAF25DB75");
