#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v9fs_register_trans, "", "");
KSYMTAB_FUNC(v9fs_unregister_trans, "", "");
KSYMTAB_FUNC(v9fs_get_trans_by_name, "", "");
KSYMTAB_FUNC(v9fs_get_default_trans, "", "");
KSYMTAB_FUNC(p9_is_proto_dotl, "", "");
KSYMTAB_FUNC(p9_is_proto_dotu, "", "");
KSYMTAB_FUNC(p9_show_client_options, "", "");
KSYMTAB_FUNC(p9_fcall_fini, "", "");
KSYMTAB_FUNC(p9_tag_lookup, "", "");
KSYMTAB_FUNC(p9_req_put, "", "");
KSYMTAB_FUNC(p9_client_cb, "", "");
KSYMTAB_FUNC(p9_parse_header, "", "");
KSYMTAB_DATA(__tracepoint_9p_fid_ref, "", "");
KSYMTAB_FUNC(__traceiter_9p_fid_ref, "", "");
KSYMTAB_DATA(__SCK__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(__SCT__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_get, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_put, "", "");
KSYMTAB_FUNC(p9_client_create, "", "");
KSYMTAB_FUNC(p9_client_destroy, "", "");
KSYMTAB_FUNC(p9_client_disconnect, "", "");
KSYMTAB_FUNC(p9_client_begin_disconnect, "", "");
KSYMTAB_FUNC(p9_client_attach, "", "");
KSYMTAB_FUNC(p9_client_walk, "", "");
KSYMTAB_FUNC(p9_client_open, "", "");
KSYMTAB_FUNC(p9_client_create_dotl, "", "");
KSYMTAB_FUNC(p9_client_fcreate, "", "");
KSYMTAB_FUNC(p9_client_symlink, "", "");
KSYMTAB_FUNC(p9_client_link, "", "");
KSYMTAB_FUNC(p9_client_fsync, "", "");
KSYMTAB_FUNC(p9_client_clunk, "", "");
KSYMTAB_FUNC(p9_client_remove, "", "");
KSYMTAB_FUNC(p9_client_unlinkat, "", "");
KSYMTAB_FUNC(p9_client_read, "", "");
KSYMTAB_FUNC(p9_client_read_once, "", "");
KSYMTAB_FUNC(p9_client_write, "", "");
KSYMTAB_FUNC(p9_client_write_subreq, "", "");
KSYMTAB_FUNC(p9_client_stat, "", "");
KSYMTAB_FUNC(p9_client_getattr_dotl, "", "");
KSYMTAB_FUNC(p9_client_wstat, "", "");
KSYMTAB_FUNC(p9_client_setattr, "", "");
KSYMTAB_FUNC(p9_client_statfs, "", "");
KSYMTAB_FUNC(p9_client_rename, "", "");
KSYMTAB_FUNC(p9_client_renameat, "", "");
KSYMTAB_FUNC(p9_client_xattrwalk, "_gpl", "");
KSYMTAB_FUNC(p9_client_xattrcreate, "_gpl", "");
KSYMTAB_FUNC(p9_client_readdir, "", "");
KSYMTAB_FUNC(p9_client_mknod_dotl, "", "");
KSYMTAB_FUNC(p9_client_mkdir_dotl, "", "");
KSYMTAB_FUNC(p9_client_lock_dotl, "", "");
KSYMTAB_FUNC(p9_client_getlock_dotl, "", "");
KSYMTAB_FUNC(p9_client_readlink, "", "");
KSYMTAB_FUNC(p9_error_init, "", "");
KSYMTAB_FUNC(p9_errstr2errno, "", "");
KSYMTAB_FUNC(p9stat_free, "", "");
KSYMTAB_FUNC(p9stat_read, "", "");
KSYMTAB_FUNC(p9dirent_read, "", "");
KSYMTAB_FUNC(p9_release_pages, "", "");

SYMBOL_CRC(v9fs_register_trans, 0xfaa16354, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x82841a06, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x786bc775, "");
SYMBOL_CRC(v9fs_get_default_trans, 0x64101d1c, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x9cd238fa, "");
SYMBOL_CRC(p9_is_proto_dotu, 0xabce775f, "");
SYMBOL_CRC(p9_show_client_options, 0x4401ed27, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0x6ca16cc0, "");
SYMBOL_CRC(p9_req_put, 0x31023e24, "");
SYMBOL_CRC(p9_client_cb, 0xe7338b6f, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0xcddd5939, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0x12f112f5, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0xb44ee5c1, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0x475638d5, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0x2044bdda, "");
SYMBOL_CRC(p9_client_create, 0x10ac75e7, "");
SYMBOL_CRC(p9_client_destroy, 0x00594380, "");
SYMBOL_CRC(p9_client_disconnect, 0xe5f7d6cc, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0xd0d3adf8, "");
SYMBOL_CRC(p9_client_attach, 0x5f235b50, "");
SYMBOL_CRC(p9_client_walk, 0x41ac10c9, "");
SYMBOL_CRC(p9_client_open, 0x2977b3bf, "");
SYMBOL_CRC(p9_client_create_dotl, 0x107ce769, "");
SYMBOL_CRC(p9_client_fcreate, 0xd82ad90e, "");
SYMBOL_CRC(p9_client_symlink, 0x5732c4b5, "");
SYMBOL_CRC(p9_client_link, 0x40dfc401, "");
SYMBOL_CRC(p9_client_fsync, 0x054c4f07, "");
SYMBOL_CRC(p9_client_clunk, 0x1138885e, "");
SYMBOL_CRC(p9_client_remove, 0x20068d98, "");
SYMBOL_CRC(p9_client_unlinkat, 0x508dae67, "");
SYMBOL_CRC(p9_client_read, 0x9f4879b0, "");
SYMBOL_CRC(p9_client_read_once, 0x4fa80e05, "");
SYMBOL_CRC(p9_client_write, 0x3df0d71e, "");
SYMBOL_CRC(p9_client_write_subreq, 0xf7711c72, "");
SYMBOL_CRC(p9_client_stat, 0xae50e4b0, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0x3164252d, "");
SYMBOL_CRC(p9_client_wstat, 0xb8319951, "");
SYMBOL_CRC(p9_client_setattr, 0x3790b40b, "");
SYMBOL_CRC(p9_client_statfs, 0x01f373f5, "");
SYMBOL_CRC(p9_client_rename, 0x410da130, "");
SYMBOL_CRC(p9_client_renameat, 0xab9e74af, "");
SYMBOL_CRC(p9_client_xattrwalk, 0x8a9ec454, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x7e6eacf8, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0xa83d55c5, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0x5fba2a49, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x792dd230, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x5c6481c0, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0xbec3d37c, "");
SYMBOL_CRC(p9_client_readlink, 0x3233a319, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x41ce9823, "");
SYMBOL_CRC(p9dirent_read, 0x95bd8f96, "");
SYMBOL_CRC(p9_release_pages, 0xa8805b21, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa867d6b4, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xaf3e0764, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x3eaac1bb, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x23b3d106, "from_kgid" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x8ee3d128, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9a911dc7, "from_kuid" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0f5d9794, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2592c5bf, "make_kgid" },
	{ 0x8453f818, "__kmem_cache_create_args" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x87ad1a06, "init_user_ns" },
	{ 0xba936f69, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x5278fdf4, "__folio_put" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xf153c749, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x754d539c, "strlen" },
	{ 0x28168137, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa993097a, "kmem_cache_destroy" },
	{ 0x798fab05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2cfd4804, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "0307F8A60B5D7F2D1E157F9");
