#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x23cce412, "");
SYMBOL_CRC(bt_sock_register, 0x4e0e2542, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xd12943f6, "");
SYMBOL_CRC(bt_sock_link, 0xb50730da, "");
SYMBOL_CRC(bt_sock_unlink, 0xb87cb840, "");
SYMBOL_CRC(bt_sock_linked, 0xd37484ef, "");
SYMBOL_CRC(bt_accept_enqueue, 0x1210ac3a, "");
SYMBOL_CRC(bt_accept_unlink, 0x78087461, "");
SYMBOL_CRC(bt_accept_dequeue, 0xc10a0678, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x7d6b5f40, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x71f2cf6d, "");
SYMBOL_CRC(bt_sock_poll, 0x65c9dba7, "");
SYMBOL_CRC(bt_sock_ioctl, 0x7d78a950, "");
SYMBOL_CRC(bt_sock_wait_state, 0x417fed71, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x2d8493c8, "");
SYMBOL_CRC(bt_procfs_init, 0xfe6bc843, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x37902c1f, "");
SYMBOL_CRC(bt_debugfs, 0xbcd835e0, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0xbc35d43c, "");
SYMBOL_CRC(hci_free_dev, 0x242f9124, "");
SYMBOL_CRC(hci_register_dev, 0x0bac20ac, "");
SYMBOL_CRC(hci_unregister_dev, 0x336fd215, "");
SYMBOL_CRC(hci_release_dev, 0xd73d1f66, "");
SYMBOL_CRC(hci_suspend_dev, 0x7f53c31d, "");
SYMBOL_CRC(hci_resume_dev, 0x609f041c, "");
SYMBOL_CRC(hci_reset_dev, 0x9a20b7cf, "");
SYMBOL_CRC(hci_recv_frame, 0x1d9576fd, "");
SYMBOL_CRC(hci_recv_diag, 0x378b02da, "");
SYMBOL_CRC(hci_set_hw_info, 0x392d6902, "");
SYMBOL_CRC(hci_set_fw_info, 0x862fc1a5, "");
SYMBOL_CRC(hci_register_cb, 0x538492a1, "");
SYMBOL_CRC(hci_unregister_cb, 0x164ba96b, "");
SYMBOL_CRC(__hci_cmd_send, 0xc23eb6ec, "");
SYMBOL_CRC(hci_get_route, 0x0ed0dabd, "");
SYMBOL_CRC(hci_conn_security, 0xc1935c17, "");
SYMBOL_CRC(hci_conn_check_secure, 0xab4471f0, "");
SYMBOL_CRC(hci_conn_switch_role, 0x2586d9cb, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x0533467b, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x623f0a83, "");
SYMBOL_CRC(l2cap_add_psm, 0x248bfb1b, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xca8abd86, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x4bc4f53e, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0xbc49fae1, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x50b015f5, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x1fac9d30, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x73ef8edd, "");
SYMBOL_CRC(l2cap_register_user, 0x08f4e1b7, "");
SYMBOL_CRC(l2cap_unregister_user, 0x189915b6, "");
SYMBOL_CRC(l2cap_conn_get, 0xd5df7ed3, "");
SYMBOL_CRC(l2cap_conn_put, 0xf5e54a18, "");
SYMBOL_CRC(l2cap_chan_send, 0xc99c9d72, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xd56a64db, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x52697472, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x88061b8e, "");
SYMBOL_CRC(__hci_cmd_sync, 0xb0f35316, "");
SYMBOL_CRC(hci_cmd_sync, 0xc1a6afc2, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x2e323261, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xbddd7656, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x346c27f3, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xdd406425, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0xf829944a, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xa29c4580, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xf03f19ab, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x2e42fe15, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xe1b24614, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x485caafd, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x986610a4, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0xf505a11c, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xa8c34d50, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x1f6790fd, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x32bd13a9, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x0c0c668c, "");
SYMBOL_CRC(hci_devcd_init, 0x2d8e5299, "");
SYMBOL_CRC(hci_devcd_append, 0xcf8dd8c2, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x1ecbb983, "");
SYMBOL_CRC(hci_devcd_complete, 0x820870b2, "");
SYMBOL_CRC(hci_devcd_abort, 0xfe1fdf3b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbe720537, "__module_get" },
	{ 0x00148653, "vsnprintf" },
	{ 0x715801e3, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x0248efd3, "kstrtobool_from_user" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xd8a9b28a, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc586f354, "__put_cred" },
	{ 0x1642f980, "put_cmsg" },
	{ 0x3d312923, "skb_queue_purge_reason" },
	{ 0xd4e81835, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b631508, "disable_delayed_work" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x022f9e87, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x93154b3a, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd418939c, "sock_register" },
	{ 0x846feafb, "datagram_poll" },
	{ 0x0c0a8e27, "__sock_recv_cmsgs" },
	{ 0xea241d3d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa28d073d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3b91ea98, "security_secid_to_secctx" },
	{ 0xdcba90ae, "proto_register" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xf9f3f380, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x89253265, "skb_queue_tail" },
	{ 0xaf3e0764, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x32206b06, "debugfs_attr_read" },
	{ 0xf9733cb9, "__sock_recv_timestamp" },
	{ 0x1827fe86, "sock_no_shutdown" },
	{ 0x7d64c919, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x0a8e458b, "crypto_req_done" },
	{ 0x44e60a66, "init_net" },
	{ 0x7c56da45, "crypto_shash_setkey" },
	{ 0x3c68f838, "simple_open" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x76a3bdf5, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x072f4225, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c472df5, "init_uts_ns" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0x35f01dd5, "__sock_tx_timestamp" },
	{ 0xf6fcfdfe, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x86429c52, "device_move" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x124405ec, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xe627c9a5, "sock_no_listen" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xb0faca18, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8ee3d128, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6e6ca7d9, "sock_recv_errqueue" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xad818c4c, "lock_sock_nested" },
	{ 0xf8289da9, "device_find_child" },
	{ 0x7526f924, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x328dc76a, "skb_copy_datagram_iter" },
	{ 0xe8792b4f, "rfkill_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9c373a16, "sk_alloc" },
	{ 0x555435d2, "device_del" },
	{ 0xd45c48da, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x84e64183, "default_llseek" },
	{ 0x0ae4294d, "__sock_recv_wifi_status" },
	{ 0x9a911dc7, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x61334024, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xab5f2062, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xadf193e5, "security_sk_clone" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0x74f3a602, "sock_cmsg_send" },
	{ 0xd091e781, "__scm_destroy" },
	{ 0x6fcd0833, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xaf79b167, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x8753f535, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa94462bd, "seq_read" },
	{ 0x10e45293, "sock_i_ino" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe2c87f9d, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x8005fa3d, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x89b9cb1c, "sock_alloc_send_pskb" },
	{ 0xba936f69, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa4e579a8, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3ed6a9a7, "skb_copy" },
	{ 0x02d3b8a3, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xf153c749, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0x6aebf90a, "device_match_any" },
	{ 0xbfb593bc, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x27d2abcf, "sock_gettstamp" },
	{ 0x49d0e787, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2dacb86a, "pid_vnr" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x696c866d, "disable_delayed_work_sync" },
	{ 0x4ead95ce, "from_kuid_munged" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x28168137, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe3909af2, "proc_create_seq_private" },
	{ 0xb7fb70c8, "debugfs_create_u8" },
	{ 0xaec940e7, "single_open" },
	{ 0x258fca53, "crypto_alloc_shash" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0xafa4154c, "fwnode_property_read_u8_array" },
	{ 0xce13824b, "put_pid" },
	{ 0xea72c169, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x81316a72, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdfe5d83b, "__dev_fwnode" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xec8dafd2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x46bce313, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xf46e2d28, "security_sock_graft" },
	{ 0x63b819a3, "skb_free_datagram" },
	{ 0xc0241995, "__skb_tstamp_tx" },
	{ 0x9fee5663, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x798fab05, "try_module_get" },
	{ 0x8aeeb4d2, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe574a5cc, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x34ddd2d7, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x083eb21c, "rfkill_unregister" },
	{ 0x0ee03265, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xed14563a, "dev_set_name" },
	{ 0xeac3214d, "scm_detach_fds" },
	{ 0x51ba875d, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1e75c755, "skb_clone_sk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x83e0d3c9, "device_unregister" },
	{ 0x0160266c, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xce8a04fb, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x248cc4c4, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x037a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x794f8a4a, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x91db46e5, "dev_kfree_skb_irq_reason" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "crc16,rfkill");


MODULE_INFO(srcversion, "85E43D2F9EA77634806528D");
