#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x2e98943e, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0xa123ebc0, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x94ec3a89, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xd836f12e, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x718b90fb, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x6b529b77, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x44f50b6c, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x7c1cfc1c, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x33c37dfa, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x16a385e6, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x04429b93, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x6103211f, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x88002245, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x16a3bf47, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x9a7cbd24, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xd4f9bf05, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x9cb09494, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xb2bf6c6c, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x8f168be9, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xfeb123d6, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x9b7bb3c0, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xbe65a2b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x591a2e05, "iptun_encaps" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7b6f515d, "alloc_netdev_mqs" },
	{ 0x0c5a5cc8, "register_netdevice" },
	{ 0x7108738d, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x67686b10, "unregister_netdevice_queue" },
	{ 0x3136495d, "dst_cache_init" },
	{ 0xabea5f83, "gro_cells_init" },
	{ 0x47076f7c, "dst_cache_destroy" },
	{ 0x50ff7a4f, "gro_cells_destroy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0xca738dd5, "ip_route_output_flow" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0x71430632, "__dev_get_by_index" },
	{ 0xf916b4af, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0x990f8d1b, "netdev_state_change" },
	{ 0x95354c99, "ns_capable" },
	{ 0x97910edb, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x44e60a66, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7467f46b, "ip6_mtu" },
	{ 0xeb0f8d75, "icmpv6_ndo_send" },
	{ 0xf49f8706, "icmp_ndo_send" },
	{ 0x1c8fc996, "ipv4_mtu" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0x9eea9288, "dst_cache_get_ip4" },
	{ 0xfadd32f9, "dst_cache_set_ip4" },
	{ 0xf10e5de2, "iptunnel_xmit" },
	{ 0x6aee6c7f, "__skb_get_hash_net" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0x89592605, "neigh_destroy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x23ac7cdf, "skb_scrub_packet" },
	{ 0x56848656, "gro_cells_receive" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4B3D7AB35EA52F9F826260D");
