#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x920829e6, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x0491272a, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x2ffe28d3, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x81df7049, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0xeb162f79, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x29257adf, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x8753b9aa, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xeef57e44, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x2a0b6a36, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x48bab78a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7bd0e017, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x680530ba, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf10e5de2, "iptunnel_xmit" },
	{ 0x8d304f20, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb0c57cf9, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaf79b167, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x55c1dfe0, "__dynamic_netdev_dbg" },
	{ 0x9eea9288, "dst_cache_get_ip4" },
	{ 0x03a612c2, "sock_create_kern" },
	{ 0x9a7d891b, "call_netdevice_notifiers" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb49d7a94, "metadata_dst_alloc" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0xcf57e361, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4a46702, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfadd32f9, "dst_cache_set_ip4" },
	{ 0x8dd191f9, "kernel_bind" },
	{ 0xa1ce98b4, "udp_set_csum" },
	{ 0x037a0cba, "kfree" },
	{ 0x43eaa0d4, "netdev_warn" },
	{ 0xfba4d096, "udp_tunnel_nic_ops" },
	{ 0xca738dd5, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5058CADAAA947D3980ECE6F");
