#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6t_alloc_initial_table, "_gpl", "");
KSYMTAB_FUNC(ip6t_register_table, "", "");
KSYMTAB_FUNC(ip6t_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(ip6t_unregister_table_exit, "", "");
KSYMTAB_FUNC(ip6t_do_table, "", "");

SYMBOL_CRC(ip6t_alloc_initial_table, 0x3b9388a8, "_gpl");
SYMBOL_CRC(ip6t_register_table, 0xf2beb0de, "");
SYMBOL_CRC(ip6t_unregister_table_pre_exit, 0xfb7e991d, "");
SYMBOL_CRC(ip6t_unregister_table_exit, 0x208e0f44, "");
SYMBOL_CRC(ip6t_do_table, 0x0e27f24b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x27e56e02, "xt_table_unlock" },
	{ 0xaf3e0764, "module_put" },
	{ 0xd1e246a2, "xt_compat_unlock" },
	{ 0xa7c94f1d, "xt_compat_lock" },
	{ 0x04e27719, "xt_compat_flush_offsets" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x28cdf351, "xt_compat_match_from_user" },
	{ 0xad1e2efe, "xt_compat_target_from_user" },
	{ 0xf6abeb06, "xt_copy_counters" },
	{ 0x48aeb85e, "xt_find_table_lock" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x67653f00, "xt_recseq" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x999e8297, "vfree" },
	{ 0xc7fae024, "xt_compat_calc_jump" },
	{ 0xedaebd09, "xt_proto_fini" },
	{ 0xebb301a3, "xt_proto_init" },
	{ 0x213df162, "nf_unregister_sockopt" },
	{ 0x8a28ea5f, "ipv6_find_hdr" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xa25fc115, "xt_compat_check_entry_offsets" },
	{ 0x2ce52c3d, "xt_request_find_match" },
	{ 0xc5ed0ce7, "xt_request_find_target" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x79837853, "xt_compat_match_to_user" },
	{ 0x8ec6e61b, "xt_compat_target_to_user" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x95354c99, "ns_capable" },
	{ 0xddf68fc6, "xt_find_revision" },
	{ 0xdc9c90eb, "xt_match_to_user" },
	{ 0x4382f78d, "xt_target_to_user" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x0b733d64, "xt_percpu_counter_alloc" },
	{ 0xb649489d, "xt_check_match" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbfacb837, "xt_percpu_counter_free" },
	{ 0xaf7d6ddc, "xt_check_target" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0xd3fcc511, "xt_tee_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaad8afaa, "nf_skb_duplicated" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x58736add, "nf_log_trace" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcc69ee97, "xt_unregister_table" },
	{ 0xe204e042, "xt_free_table_info" },
	{ 0xcb3e91cc, "xt_counters_alloc" },
	{ 0xc4535720, "xt_replace_table" },
	{ 0x0d7f5fcd, "xt_alloc_entry_offsets" },
	{ 0xd87ae60d, "xt_check_entry_offsets" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3bf9d084, "xt_check_table_hooks" },
	{ 0xfef779fa, "xt_find_jump_offset" },
	{ 0x977fd4bf, "xt_alloc_table_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x737bbcf5, "xt_register_table" },
	{ 0x1ddb50a8, "kmemdup_array" },
	{ 0xa323e412, "nf_register_net_hooks" },
	{ 0xfb578fc5, "memset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x16d5e831, "xt_find_table" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb6b2fcb1, "nf_unregister_net_hooks" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9e6c0b9, "register_pernet_subsys" },
	{ 0x3bdc2a89, "xt_register_targets" },
	{ 0x7642973e, "nf_register_sockopt" },
	{ 0x74e5aa5b, "xt_unregister_targets" },
	{ 0x65a1a183, "unregister_pernet_subsys" },
	{ 0x50873741, "xt_compat_init_offsets" },
	{ 0x074bed91, "xt_compat_match_offset" },
	{ 0x53d3bd2e, "xt_compat_target_offset" },
	{ 0x823edea5, "xt_compat_add_offset" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x7581495c, "xt_request_find_table_lock" },
	{ 0xa916b694, "strnlen" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "07F291F1812F3464339005B");
