#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0xe8426a7b, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0xd938038d, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0x22f2982d, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x2de001b5, "_gpl");
SYMBOL_CRC(nla_put_labels, 0xe8e96f18, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71430632, "__dev_get_by_index" },
	{ 0x7bd0e017, "ipv6_stub" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xffec088c, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x72126f68, "rtnl_af_unregister" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xed5fdc20, "dev_remove_pack" },
	{ 0xad7452a7, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb51878d5, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0x662b0644, "__rtnl_register_many" },
	{ 0xcd279169, "nla_find" },
	{ 0xbd56800a, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x718b90fb, "ip_tunnel_encap_del_ops" },
	{ 0x65a1a183, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0xaf79b167, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x907cd046, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x00aa1603, "xa_find" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x051c079d, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x02d3b8a3, "skb_clone" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0xfa880d64, "dev_get_flags" },
	{ 0xf0338d05, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x1b48d1b4, "netlink_strict_get_check" },
	{ 0xd836f12e, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x132d4666, "__nlmsg_put" },
	{ 0x6645ed4c, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0x7bbdcfb3, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xbd6ba6e3, "neigh_xmit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xca738dd5, "ip_route_output_flow" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0xc9e6c0b9, "register_pernet_subsys" },
	{ 0x1e9be7d5, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbe452767, "rtnl_af_register" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0x75513712, "rtnl_set_sk_err" },
	{ 0x97c8e75a, "rtnl_unicast" },
	{ 0x639cb360, "nla_reserve_64bit" },
	{ 0xf5d4bebc, "ip_valid_fib_dump_req" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "8DBF9DCEB59700C37F54646");
