#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x6cc27a12, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x8a2210c8, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xa27b43bd, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xccbea069, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xf39df3cc, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x74128c5d, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xd9117501, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x11fe503a, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x58358176, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x49a3e10f, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x781fba5b, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x6a17dc92, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xe49821a9, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x74f52f5f, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x97ce80dd, "");
SYMBOL_CRC(nf_nat_follow_master, 0x4f2606bc, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0xd384b5ca, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x0b9bf53a, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xec37d28c, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x4b668b1f, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x498ff5d3, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x7d87d4a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9e6c0b9, "register_pernet_subsys" },
	{ 0xac7c3af5, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x331d631a, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x16d65c7a, "ipv6_skip_exthdr" },
	{ 0xa323e412, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaf3e0764, "module_put" },
	{ 0x611adec7, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xfcb43714, "nf_ct_expect_related_report" },
	{ 0x12968d33, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x993c70b2, "nf_hook_entries_delete_raw" },
	{ 0xca6084fd, "skb_ensure_writable" },
	{ 0xb6b2fcb1, "nf_unregister_net_hooks" },
	{ 0x9407b0a8, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0x65a1a183, "unregister_pernet_subsys" },
	{ 0xdce96d8c, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5b053d30, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x9d17a9e0, "nf_ip_checksum" },
	{ 0x9a615d8f, "register_btf_kfunc_id_set" },
	{ 0xe9345c73, "nf_ct_iterate_destroy" },
	{ 0x0e4262c6, "__siphash_unaligned" },
	{ 0x9364616a, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x45436317, "__put_net" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4c96ece9, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd0dd186e, "inet_proto_csum_replace4" },
	{ 0x311fb02e, "crc32c_shift" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0x1733672b, "nf_ct_l4proto_find" },
	{ 0x5fc470fe, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x8f3321c7, "nf_nat_hook" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9e74ec39, "nf_ct_ext_add" },
	{ 0x89f57540, "__do_once_done" },
	{ 0xd3dacae4, "nf_conntrack_find_get" },
	{ 0x798fab05, "try_module_get" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x08816824, "nf_ip6_checksum" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0xe4f64155, "nf_hook_entries_insert_raw" },
	{ 0xf31d6d76, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xf7d15623, "nf_ct_seqadj_set" },
	{ 0x0ee03265, "skb_put" },
	{ 0x1ddb50a8, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf1c235ea, "nf_ct_helper_expectfn_unregister" },
	{ 0xa95e0692, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xc26a4216, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0xd7b31c60, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "10A1183F61EF65871BF01DF");
