#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xdd5feb94, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x0256aab9, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xc982abb5, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x74fb3961, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xdd3076d6, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x10327ade, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca6084fd, "skb_ensure_writable" },
	{ 0x7108738d, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbd56800a, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa0d4a79a, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3b186a1f, "ethtool_op_get_link" },
	{ 0x0650e095, "__nf_conntrack_confirm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x67173aee, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x0f5d9794, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0x5b053d30, "nf_ct_delete" },
	{ 0x3d254da9, "nf_conncount_init" },
	{ 0xe919e382, "skb_vlan_push" },
	{ 0xe7b5c95f, "netif_rx" },
	{ 0xa3ba22cd, "__netdev_alloc_skb" },
	{ 0x8453f818, "__kmem_cache_create_args" },
	{ 0xc4df7117, "netdev_master_upper_dev_link" },
	{ 0x0bbea458, "skb_zerocopy_headlen" },
	{ 0x964adbff, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x9364616a, "inet_proto_csum_replace16" },
	{ 0xaf79b167, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x907cd046, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23ac7cdf, "skb_scrub_packet" },
	{ 0x990eee07, "nf_ct_deliver_cached_events" },
	{ 0x8a28ea5f, "ipv6_find_hdr" },
	{ 0xd937cff3, "skb_tx_error" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x71150e15, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x4c96ece9, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd0dd186e, "inet_proto_csum_replace4" },
	{ 0xf4707952, "nf_conncount_destroy" },
	{ 0x311fb02e, "crc32c_shift" },
	{ 0x7486dd70, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x17e73d91, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6155fd09, "dev_get_by_name" },
	{ 0x02d3b8a3, "skb_clone" },
	{ 0xb49d7a94, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x672a8cb4, "peernet2id_alloc" },
	{ 0xb61eecdb, "nf_ct_get_tuplepr" },
	{ 0x2afca751, "netdev_rx_handler_register" },
	{ 0xa4fbae6a, "ip_do_fragment" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x990c8b25, "genl_unregister_family" },
	{ 0x57586f4a, "dev_disable_lro" },
	{ 0x445b185d, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x044154c6, "tc_skb_ext_tc" },
	{ 0x973a1400, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe6dad916, "genl_register_family" },
	{ 0x1f471f99, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65a36916, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x19d1a07f, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x93fdb94b, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x73b2c073, "skb_mpls_push" },
	{ 0x0c93c6a0, "register_pernet_device" },
	{ 0x4afb6f3d, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa993097a, "kmem_cache_destroy" },
	{ 0x02a73b13, "__skb_vlan_pop" },
	{ 0x0c99806b, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x0c5a5cc8, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x9e74ec39, "nf_ct_ext_add" },
	{ 0xbd6d4cb4, "nsh_pop" },
	{ 0xd3dacae4, "nf_conntrack_find_get" },
	{ 0xb535ce1b, "nf_ct_set_timeout" },
	{ 0xda08fc96, "dev_get_stats" },
	{ 0x9a5ea756, "__nla_put" },
	{ 0x798fab05, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x3004fde5, "dev_fill_metadata_dst" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0x20529962, "nf_ct_handle_fragments" },
	{ 0x4a280003, "eth_mac_addr" },
	{ 0x0ee03265, "skb_put" },
	{ 0x7f8b515a, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x0f4e103d, "nsh_push" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7d87d4a2, "nf_ct_nat" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe6ad7a8f, "skb_eth_pop" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0xf7030912, "skb_gso_validate_mac_len" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xe9804bca, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x299504ec, "nf_ct_helper" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x45b24a84, "rtnl_delete_link" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xa24d3ba8, "rtnl_link_register" },
	{ 0x8afc018f, "nf_connlabels_put" },
	{ 0xdc4f53ee, "genlmsg_put" },
	{ 0x060b16f4, "___pskb_trim" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb0a34f15, "psample_sample_packet" },
	{ 0x037a0cba, "kfree" },
	{ 0xc98babec, "dev_set_promiscuity" },
	{ 0x9d91248d, "nf_ct_destroy_timeout" },
	{ 0xbde8a5a4, "nf_ct_add_helper" },
	{ 0xe7614b56, "nf_conntrack_helper_put" },
	{ 0xd7faac06, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x678a3748, "nf_ct_skb_network_trim" },
	{ 0x67686b10, "unregister_netdevice_queue" },
	{ 0xc38fd1f1, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x8ce200b8, "ether_setup" },
	{ 0xd0278fcc, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0xad02f7fd, "skb_csum_hwoffload_help" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0xe04f9dd0, "dev_addr_mod" },
	{ 0x468b7fdb, "nf_connlabels_replace" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7b6f515d, "alloc_netdev_mqs" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xb5a1f946, "nf_connlabels_get" },
	{ 0x9a282d29, "drop_reasons_unregister_subsys" },
	{ 0x1828ebab, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x17ce3db7, "skb_eth_push" },
	{ 0xcee7edf7, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0x39da6341, "numa_node" },
	{ 0x3136495d, "dst_cache_init" },
	{ 0x75cc3495, "skb_mpls_pop" },
	{ 0x07d89666, "skb_vlan_pop" },
	{ 0xd142eb32, "dst_init" },
	{ 0xaf3e0764, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x04ea5d10, "ksize" },
	{ 0x6aee6c7f, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xa307d66e, "rtnl_link_unregister" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x44e60a66, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x7bd0e017, "ipv6_stub" },
	{ 0xe52e196f, "skb_mpls_update_lse" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x5d8ae242, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0x3c87be6d, "netlink_unicast" },
	{ 0x946372b2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x02e746ad, "dev_get_by_index_rcu" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0x3eaac1bb, "kmem_cache_free" },
	{ 0x145c609c, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,nsh,nf_nat,psample");


MODULE_INFO(srcversion, "BACDB7FB264A05F2FC4F29C");
