#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0xba85dc33, "");
SYMBOL_CRC(tipc_dump_start, 0xf07c98d6, "");
SYMBOL_CRC(tipc_dump_done, 0xb2af4c2d, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x44fb6e4a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f984513, "strrchr" },
	{ 0x0d59419d, "skb_try_coalesce" },
	{ 0xdcba90ae, "proto_register" },
	{ 0xd4baecad, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x89253265, "skb_queue_tail" },
	{ 0xaf3e0764, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xc14b787e, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x71430632, "__dev_get_by_index" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x44e60a66, "init_net" },
	{ 0x7bd0e017, "ipv6_stub" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb2e0ab94, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0x3c87be6d, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd2915a8e, "__SCK__tp_func_sk_data_ready" },
	{ 0xed5fdc20, "dev_remove_pack" },
	{ 0xf6fcfdfe, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x680530ba, "kernel_sock_shutdown" },
	{ 0x124405ec, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xb51878d5, "skb_push" },
	{ 0x955d5f8d, "dst_cache_get" },
	{ 0xa1756598, "dev_nit_active_rcu" },
	{ 0xe627c9a5, "sock_no_listen" },
	{ 0x8d304f20, "nla_put" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8ee3d128, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb8369f3c, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa0d4a79a, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xad818c4c, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x328dc76a, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0x9c373a16, "sk_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65a1a183, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xfcac04fa, "kfree_skb_partial" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xeef57e44, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xab5f2062, "sock_no_mmap" },
	{ 0xadf193e5, "security_sk_clone" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0xe7b5c95f, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x0491272a, "setup_udp_tunnel_sock" },
	{ 0x8c61bfed, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaf79b167, "skb_trim" },
	{ 0xb7671140, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x907cd046, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa7983e8, "pv_ops" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0x45436317, "__put_net" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x23cd15e3, "sock_rfree" },
	{ 0x10e45293, "sock_i_ino" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0xf2fb907c, "kernel_listen" },
	{ 0x71150e15, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x03a612c2, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x0897805d, "dst_cache_set_ip6" },
	{ 0x78a84365, "pskb_put" },
	{ 0xe091c977, "list_sort" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x8753b9aa, "udp_tunnel_xmit_skb" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd21a1108, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3ed6a9a7, "skb_copy" },
	{ 0x02d3b8a3, "skb_clone" },
	{ 0x6155fd09, "dev_get_by_name" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xf153c749, "_copy_from_iter" },
	{ 0xcf57e361, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x41158a0f, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfbef4ab5, "sk_stop_timer" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x990c8b25, "genl_unregister_family" },
	{ 0x4ead95ce, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x28168137, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xe6dad916, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xca6090d1, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x32140b30, "skb_to_sgvec" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x0c93c6a0, "register_pernet_device" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x81316a72, "sock_init_data" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xec8dafd2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x282e548c, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x8aeeb4d2, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x132d4666, "__nlmsg_put" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x0ee03265, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xd5fc9b54, "ip6_dst_hoplimit" },
	{ 0xa13f50f6, "trace_output_call" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0x7bbdcfb3, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x920829e6, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x19bde577, "__ip_dev_find" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xfadd32f9, "dst_cache_set_ip4" },
	{ 0x937f2bbe, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xdc4f53ee, "genlmsg_put" },
	{ 0x060b16f4, "___pskb_trim" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xc4c9f6b0, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb8499a7f, "__tracepoint_sk_data_ready" },
	{ 0x43eaa0d4, "netdev_warn" },
	{ 0xf4bf9f3b, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5eb86948, "crypto_aead_decrypt" },
	{ 0x4fe88e23, "kernel_accept" },
	{ 0xbe720537, "__module_get" },
	{ 0xca738dd5, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd8a9b28a, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc53d5c03, "pskb_expand_head" },
	{ 0xc9e6c0b9, "register_pernet_subsys" },
	{ 0x1642f980, "put_cmsg" },
	{ 0x3d312923, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0x1e9be7d5, "register_net_sysctl_sz" },
	{ 0xd4e81835, "crypto_destroy_tfm" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x47076f7c, "dst_cache_destroy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x93154b3a, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xd418939c, "sock_register" },
	{ 0x51a100d9, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x3136495d, "dst_cache_init" },
	{ 0x6376db1a, "sk_reset_timer" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "6DC2395F28FD12F7F5E1F5F");
