#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x29dc6809, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x8e81359e, "_gpl");
SYMBOL_CRC(tls_get_record, 0x8b241250, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x29ec4585, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x28cf08c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f644a0a, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x053feeb8, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xcae89075, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc14b787e, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x0a8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb2e0ab94, "crypto_aead_encrypt" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0xd2915a8e, "__SCK__tp_func_sk_data_ready" },
	{ 0x946372b2, "bpf_trace_run5" },
	{ 0xf6fcfdfe, "sk_free" },
	{ 0x6e1933d3, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcb32355f, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x213649e6, "sk_stream_wait_memory" },
	{ 0x8d304f20, "nla_put" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x8ee3d128, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6e6ca7d9, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xad818c4c, "lock_sock_nested" },
	{ 0x40264828, "sk_msg_return_zero" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x328dc76a, "skb_copy_datagram_iter" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0x11ebfbf2, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65a1a183, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xd7ce8166, "sock_efree" },
	{ 0xbc1f40b7, "iov_iter_bvec" },
	{ 0x052b37b3, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcda458d2, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x3cecc1f9, "sk_msg_free_partial" },
	{ 0x668b19a1, "down_read" },
	{ 0xaf79b167, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x1585c691, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x907cd046, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe70a93d8, "tcp_register_ulp" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x9a988b1a, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa882d1cd, "skb_page_frag_refill" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x0f828455, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5278fdf4, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xa4e579a8, "remove_proc_entry" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xd42c45f6, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x02d3b8a3, "skb_clone" },
	{ 0xdba4cd2d, "dst_release" },
	{ 0xf153c749, "_copy_from_iter" },
	{ 0xba66c6b6, "skb_copy_header" },
	{ 0xf29476fb, "sk_msg_trim" },
	{ 0x02a4c01d, "alloc_pages_noprof" },
	{ 0xc2291a2f, "memcpy_from_scatterwalk" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x717e6d71, "netdev_sk_get_lowest_dev" },
	{ 0x12f21bdd, "sk_msg_alloc" },
	{ 0x575530a8, "scatterwalk_skip" },
	{ 0xd60af457, "_copy_from_iter_nocache" },
	{ 0x809d90cd, "tcp_rate_check_app_limited" },
	{ 0x69c60879, "tcp_poll" },
	{ 0x28168137, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x10663813, "sk_msg_zerocopy_from_iter" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x32140b30, "skb_to_sgvec" },
	{ 0x53b954a2, "up_read" },
	{ 0x97ba4bc3, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x904b6291, "tcp_read_done" },
	{ 0xec8dafd2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xec9ed5da, "memcpy_to_scatterwalk" },
	{ 0x92ee7c51, "sk_msg_free" },
	{ 0x063d495f, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd1b0facb, "tcp_read_sock" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9d45e4f8, "sk_page_frag_refill" },
	{ 0x0ee03265, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x78b70434, "tcp_sendmsg_locked" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xe662e828, "sk_psock_msg_verdict" },
	{ 0x2650cb34, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x19efdb43, "iov_iter_get_pages2" },
	{ 0x060b16f4, "___pskb_trim" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x0bfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xf45b1ee3, "clean_acked_data_enable" },
	{ 0x5c39a4ed, "skb_splice_bits" },
	{ 0xc4c9f6b0, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb8499a7f, "__tracepoint_sk_data_ready" },
	{ 0xf4bf9f3b, "crypto_aead_setauthsize" },
	{ 0x5eb86948, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0xff0612db, "sk_stream_error" },
	{ 0x3e5f7566, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaef26e5b, "sk_msg_memcopy_from_iter" },
	{ 0xe35fa282, "sk_error_report" },
	{ 0xc9e6c0b9, "register_pernet_subsys" },
	{ 0x1642f980, "put_cmsg" },
	{ 0xefd6cb32, "__sk_flush_backlog" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0xd4e81835, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xa08cca9c, "sk_psock_tls_strp_read" },
	{ 0x7e38efbf, "sk_msg_clone" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "83838804B8AFEC0AF2B8680");
