#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_pending, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(cfg80211_radio_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_wdev_channel_allowed, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(nl80211_mlo_reconf_add_done, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_epcs_changed, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_mlo_reconf_add_done, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_check_beaconing, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_locked_debugfs_read, "_gpl", "");
KSYMTAB_FUNC(wiphy_locked_debugfs_write, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x71d98338, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x44fa9bb6, "");
SYMBOL_CRC(wiphy_register, 0x622cfa00, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x4777bc7e, "");
SYMBOL_CRC(wiphy_unregister, 0xd1b65c36, "");
SYMBOL_CRC(wiphy_free, 0xe63fee17, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x9061f7f5, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x7a649783, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x5530eb9c, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x38cea24a, "");
SYMBOL_CRC(wiphy_work_queue, 0xb729fe5c, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x9fa281df, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0xa07a92e2, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0xf043d0c6, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x781a2d27, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x02d47d49, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_pending, 0x497a69e8, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0xb3f40e25, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x57e81fc4, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0xc8fdf070, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x12ef15bd, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x6ef9366d, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0xc1d8164b, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0x05e96ee6, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0xc24570be, "");
SYMBOL_CRC(cfg80211_classify8021d, 0xeaa51e08, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x540fa239, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0x2dddc112, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x68989baf, "");
SYMBOL_CRC(cfg80211_check_combinations, 0xe20fe95e, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0x5a2ce4ec, "");
SYMBOL_CRC(cfg80211_get_station, 0x7821fa4f, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0xfb41084c, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x9cd4d259, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x64de8ebb, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0xc90286ff, "");
SYMBOL_CRC(cfg80211_radio_chandef_valid, 0xe281e5d8, "");
SYMBOL_CRC(cfg80211_wdev_channel_allowed, 0xb1626204, "");
SYMBOL_CRC(get_wiphy_regdom, 0xbab9af90, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0x93af3b63, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x615fa728, "");
SYMBOL_CRC(regulatory_hint, 0xb7e1f343, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0xd5a7035e, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0x203959c4, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0xae9711bb, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_scan_done, 0xd8158f48, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x53ccd081, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x5b34de58, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x4698dc32, "");
SYMBOL_CRC(cfg80211_bss_flush, 0xe9604bcc, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0x576b8e49, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0xdb3e93d9, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x76d93919, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x1e99d0a1, "");
SYMBOL_CRC(cfg80211_put_bss, 0xf4196511, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x2517280c, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x4b9b952c, "");
SYMBOL_CRC(nl80211_send_chandef, 0x32100ee5, "");
SYMBOL_CRC(cfg80211_check_station_change, 0xd0fb7d16, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x68a614b4, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x788b2a6d, "");
SYMBOL_CRC(cfg80211_nan_match, 0x6cbd2e53, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0xfebd929c, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x0106fdb4, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0xa0d02978, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x73aa843c, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x2dc75421, "");
SYMBOL_CRC(cfg80211_links_removed, 0x41971c3c, "");
SYMBOL_CRC(nl80211_mlo_reconf_add_done, 0x2c174531, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0xfe5defca, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0xa51b4e13, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0xdafd2495, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0xd7b89fb0, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0xab6225f1, "");
SYMBOL_CRC(cfg80211_new_sta, 0x9cca77f3, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x61953317, "");
SYMBOL_CRC(cfg80211_conn_failed, 0xdd342006, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x5338e00b, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0xd2d0c039, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0xb2421b2a, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0x36dfcfdd, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x50976ff6, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x97c82453, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x7ccdbfd2, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0xb6b0fabd, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0xa03ec342, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x46082ca4, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xb67cd2f4, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x0218a1c3, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0xf69a826c, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x33dcd18d, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x7ade377f, "");
SYMBOL_CRC(cfg80211_probe_status, 0xfdc1a14c, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x62cc4c3f, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x676c2a28, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0xa95cb9fc, "");
SYMBOL_CRC(cfg80211_ft_event, 0x99c630b5, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x9328cbb6, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x75eb313a, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x838c6088, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0x6fa38948, "");
SYMBOL_CRC(cfg80211_epcs_changed, 0x4e67be3a, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0xd4006896, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x8f140810, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x90d826b3, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0x817374b1, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x6b4db37c, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0xfb767256, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x18865ba7, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x2905e944, "");
SYMBOL_CRC(cfg80211_cac_event, 0xcd67a81b, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x3b4ea9b3, "");
SYMBOL_CRC(cfg80211_mlo_reconf_add_done, 0x867ed529, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0xb9d79368, "");
SYMBOL_CRC(cfg80211_connect_done, 0x9fd30653, "");
SYMBOL_CRC(cfg80211_roamed, 0xc8a0ae9a, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x292b69ce, "");
SYMBOL_CRC(cfg80211_disconnected, 0xd3e5c128, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0xb2ded75a, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0xf70d766d, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0x1017e9e5, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0xea30a6a3, "");
SYMBOL_CRC(cfg80211_reg_check_beaconing, 0xb17c016f, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0xf0b6b29c, "");
SYMBOL_CRC(wdev_chandef, 0x1434905d, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x3501b9f5, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xcb2460e6, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x78cd1d04, "_gpl");
SYMBOL_CRC(wiphy_locked_debugfs_read, 0x362f15b6, "_gpl");
SYMBOL_CRC(wiphy_locked_debugfs_write, 0x1e404657, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x990c8b25, "genl_unregister_family" },
	{ 0x61679bb1, "skb_add_rx_frag_netmem" },
	{ 0x863f8409, "gcd" },
	{ 0x754d539c, "strlen" },
	{ 0x36892c56, "bpf_trace_run7" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0xe6dad916, "genl_register_family" },
	{ 0xbb1ed5f0, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x0c93c6a0, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2d59100e, "get_net_ns_by_fd" },
	{ 0xea72c169, "class_register" },
	{ 0x0c35db69, "bpf_trace_run11" },
	{ 0x05612fab, "debugfs_leave_cancellation" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x0c5a5cc8, "register_netdevice" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x6f475c5f, "__sock_create" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x26a93eb2, "verify_pkcs7_signature" },
	{ 0x8f8723b2, "bpf_trace_run4" },
	{ 0x63fb2f8e, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x083eb21c, "rfkill_unregister" },
	{ 0x0ee03265, "skb_put" },
	{ 0x1ddb50a8, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x7512c0d7, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x2650cb34, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x248cc4c4, "device_initialize" },
	{ 0xdc4f53ee, "genlmsg_put" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x037a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x38347621, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0x67686b10, "unregister_netdevice_queue" },
	{ 0xc0b1eae0, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd0278fcc, "netlink_broadcast_filtered" },
	{ 0x96d29164, "keyring_alloc" },
	{ 0x037876d2, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9148e72c, "device_rename" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0xe106930a, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa28d073d, "put_device" },
	{ 0x6374ec35, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0xb67a2eb4, "__alloc_skb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xda85925d, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x33e1477d, "inet_csk_get_port" },
	{ 0xd4c287b8, "key_put" },
	{ 0x9b01439c, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x71430632, "__dev_get_by_index" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x44e60a66, "init_net" },
	{ 0x682f1b6c, "request_firmware_nowait" },
	{ 0x3c68f838, "simple_open" },
	{ 0xe4deed42, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x76a3bdf5, "device_add" },
	{ 0xe468895c, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c472df5, "init_uts_ns" },
	{ 0xfcc331f1, "platform_device_unregister" },
	{ 0x4f27c441, "sk_skb_reason_drop" },
	{ 0x3c87be6d, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xad7452a7, "dev_get_by_index" },
	{ 0x946372b2, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x934926e3, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb51878d5, "skb_push" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8d304f20, "nla_put" },
	{ 0xb2d7ddf4, "const_current_task" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x514a9fe4, "debugfs_enter_cancellation" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf17ce5f0, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa0d4a79a, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6df9f495, "debugfs_change_name" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe8792b4f, "rfkill_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0x555435d2, "device_del" },
	{ 0x84e64183, "default_llseek" },
	{ 0xfcd01236, "rfkill_set_hw_state_reason" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xd691b0ed, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4ecdca74, "__pskb_pull_tail" },
	{ 0xe7b5c95f, "netif_rx" },
	{ 0xa3ba22cd, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaf79b167, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0x45436317, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x12df62c6, "get_net_ns_by_pid" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x760c583f, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xde5574cf, "x509_load_certificate_list" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xcf57e361, "sock_release" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0x12969e29, "dev_change_net_namespace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "009D25B0ED4A21DAD62446F");
