#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format_bits, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spdif_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x437da944, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0xb0357cd6, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x0e1b0673, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0xc756dee6, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x795a1dc4, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x4b362001, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xd45545b6, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x96490746, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0xe643f029, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x4f203da1, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x85f2c067, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0xf831dc8e, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x39e47991, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x343a67d3, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x61743019, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x99e53ac5, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0xef89526d, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x091d6801, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0xdec50491, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x7f3b7ad5, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xa570b7b1, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x6f2bb22b, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x58332e10, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x29796fc5, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format_bits, 0xdfb2511b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format, 0xdcb61650, "_gpl");
SYMBOL_CRC(snd_hdac_spdif_stream_format, 0xbfc95c33, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0xc506c3e9, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0xc17af220, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x5f8e4b87, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x1f58b80a, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x0fce56a1, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x26c9f953, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0xf368321d, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0xa8afdb29, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0xb437e482, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0xce8a4cf4, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0xd3cde2ba, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0xc6d5e03e, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x9100179e, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x21e02bb4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x057e0842, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x878fe2df, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xa07ac322, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0xc4b7e8c7, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0xb0bb56de, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x742b217c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x8a6e05e3, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x1f0ba8f7, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x264ab3cc, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0xc367c80b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0xc529e158, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0xdf61efb4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x957982b1, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x75911f29, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x56b45da7, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0xcaca5ab9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x8cd8f636, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x5a5ef916, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xf80217e5, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xdc8156b6, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0x7b49d58d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0xe7a64dd8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0xd8d9aee8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x32937d39, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x365958b6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x8d31198b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0xd7e2299e, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x0505fc92, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x5730f078, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x3b96eb78, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x04a80e0d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x2467b31c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x1e3e1cdf, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x2d327c99, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x5ac338ee, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0x2c51e8b7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0xa88fcf15, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0xd98d2958, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x705ba153, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x97b48e5f, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x30af0ea2, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xfca9c63f, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x98f5c860, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x62c1fa82, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0xb9d78c34, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x95e0d746, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0xe2f8472a, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x516728f0, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0xc8065890, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x47c1b8d5, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0xbe6040b4, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x429e4b2c, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0xcaeaa980, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0xb307b262, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0xba7b77d7, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x8a0e1430, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0xab3f193d, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x46f3107e, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa28d073d, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x567d068a, "_dev_info" },
	{ 0xaf3e0764, "module_put" },
	{ 0xda085bed, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0x1184834a, "bus_unregister" },
	{ 0xd0734197, "_dev_err" },
	{ 0xa820930a, "kobject_add" },
	{ 0x76a3bdf5, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd3527ed2, "__devres_alloc_node" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x988da772, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x2a937116, "__regmap_init" },
	{ 0x555435d2, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x47c16376, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x20de3a8c, "sysfs_remove_group" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x33fb95f5, "component_master_del" },
	{ 0xa315014f, "regmap_read" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x83d0d961, "component_bind_all" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe385f704, "snd_pcm_hw_params_bits" },
	{ 0x6ca812d2, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x81719d9a, "pci_match_id" },
	{ 0xbbee0752, "devres_find" },
	{ 0x6d0267b8, "regmap_update_bits_base" },
	{ 0xd5d17a14, "dev_err_probe" },
	{ 0xbf8117e6, "__pm_runtime_suspend" },
	{ 0x13330c24, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd8173e41, "component_unbind_all" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a80e1f9, "pci_bus_type" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x3f1b8924, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6d9f2e0f, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x798fab05, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e2e4d83, "regcache_sync" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfe0446c6, "regmap_write" },
	{ 0x696f6621, "snd_dma_alloc_dir_pages" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xed14563a, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x35876268, "component_master_add_with_match" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0x489afcdd, "snd_pcm_add_chmap_ctls" },
	{ 0xc2be9a56, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x223223be, "pci_get_device" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x1b6b1336, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xb294072a, "pm_runtime_get_if_active" },
	{ 0x96cb05f9, "kobject_init" },
	{ 0x248cc4c4, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x037a0cba, "kfree" },
	{ 0x0ac32beb, "regcache_reg_cached" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x03958b61, "snd_sgbuf_get_addr" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x488ec78f, "snd_sgbuf_get_chunk_size" },
	{ 0x349efb0d, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "7F190FC1032A05C8F2C4B9B");
