#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_memset, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x080019d7, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0xb92cf8b5, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0xa8cf8f6d, "");
SYMBOL_CRC(snd_emu10k1_synth_memset, 0x0ca7eaa0, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0x3dffa6e6, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x9770536d, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0x3d941d82, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x1a92964d, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0x9b20b979, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0x6ca0ed19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb56ab4d7, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x696f6621, "snd_dma_alloc_dir_pages" },
	{ 0xa920901f, "devm_request_threaded_irq" },
	{ 0x2908c1ae, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x61b338bb, "snd_rawmidi_transmit" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xd879df14, "snd_ac97_write_cache" },
	{ 0x15cf71e2, "snd_ctl_add" },
	{ 0x9c1221dd, "snd_ac97_resume" },
	{ 0x766f734a, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0xb965b4f0, "snd_seq_device_new" },
	{ 0xdc1b6190, "snd_card_register" },
	{ 0xf7ea8553, "request_firmware" },
	{ 0xc26dade6, "snd_devm_alloc_dir_pages" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0x2f5cdabb, "snd_pcm_hw_constraint_minmax" },
	{ 0x9dad92da, "snd_pcm_set_sync_per_card" },
	{ 0x4f1eef8b, "snd_timer_interrupt" },
	{ 0xab62c3bc, "param_array_ops" },
	{ 0xbb89dfc3, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x1894cca4, "snd_card_rw_proc_new" },
	{ 0x85e5b8b8, "snd_ac97_update_bits" },
	{ 0x4c17ded4, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0x03958b61, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x675ae8dd, "snd_ctl_remove" },
	{ 0x76d84eb3, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xddf01e78, "snd_ctl_find_id" },
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x05c5234f, "pci_read_config_dword" },
	{ 0xab3f193d, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x08f987d8, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe15d62b0, "snd_ctl_remove_id" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x567d068a, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3e419842, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xbc1a262e, "snd_ac97_suspend" },
	{ 0x5699539d, "snd_pcm_lib_malloc_pages" },
	{ 0xd28dc0da, "__snd_util_mem_alloc" },
	{ 0x46d852af, "snd_ctl_boolean_mono_info" },
	{ 0xd0734197, "_dev_err" },
	{ 0x0eda33fa, "snd_util_memhdr_new" },
	{ 0xb1131316, "snd_pcm_lib_ioctl" },
	{ 0x23cb3522, "snd_pcm_lib_free_pages" },
	{ 0xabd65d72, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc426afb0, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x76e44c1e, "snd_ctl_notify" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x82492047, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x12ba4ca3, "snd_pcm_set_managed_buffer" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x820a2872, "snd_timer_new" },
	{ 0x7bf96094, "snd_ctl_rename" },
	{ 0xe019ed8b, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x256a61bf, "snd_ac97_update" },
	{ 0xf8080d3e, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xfb578fc5, "memset" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0xd691b0ed, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf683bec6, "snd_rawmidi_new" },
	{ 0xed530e32, "dma_set_coherent_mask" },
	{ 0xc1984c7f, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5b5614f4, "_dev_notice" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0x6e2f9b1c, "snd_rawmidi_set_ops" },
	{ 0xc656ab08, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5d7a278e, "param_ops_bool" },
	{ 0xfcc29d80, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0xca925e92, "snd_info_create_card_entry" },
	{ 0xcb0026d4, "dma_set_mask" },
	{ 0xe01d1d48, "snd_device_free" },
	{ 0xc81f50c5, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0x754d539c, "strlen" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x623494e2, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ef9824a, "snd_pcm_hw_rule_noresample" },
	{ 0x6abf20ad, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-rawmidi,snd-ac97-codec,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8CCAC3B67534165C894980A");
