#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x2dde005a, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xd0e76a2e, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x976255c6, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x33a0eef3, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0xcfc91885, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x48bf8ba5, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0xf1adeef4, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x0b917aca, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x47554832, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0xb3f0aa79, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x8750bbc7, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x071210ab, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0xc73114b2, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x99c1459d, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0xa90dab6f, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0xafc7a2a4, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x6b54b6ac, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0xd8e4f80b, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x7c21de54, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x49664d45, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x699632eb, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x4016a7bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9a482f9, "msleep" },
	{ 0x21e02bb4, "snd_hdac_regmap_sync" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x143e6d20, "snd_hda_apply_verbs" },
	{ 0xf6a3fbe6, "snd_hda_codec_amp_update" },
	{ 0xf1ef6699, "snd_hda_add_new_ctls" },
	{ 0x1e2be00a, "snd_hda_get_connections" },
	{ 0xe54ed104, "snd_hda_codec_amp_init_stereo" },
	{ 0x3068afe1, "snd_hda_set_vmaster_tlv" },
	{ 0xee70d972, "hda_get_autocfg_input_label" },
	{ 0x9f53b6ad, "query_amp_caps" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0xd5de9bbc, "snd_hda_mixer_amp_volume_info" },
	{ 0xd3cde2ba, "snd_hdac_regmap_read_raw" },
	{ 0xd61d00e7, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x80c7e51d, "snd_hda_codec_setup_stream" },
	{ 0x2bf43e74, "snd_hda_mixer_amp_switch_info" },
	{ 0x70416acb, "hda_codec_driver_unregister" },
	{ 0x920d21e9, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1f58b80a, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x6f9558c1, "snd_hda_jack_tbl_get_mst" },
	{ 0x714c69b8, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb2cbcc4, "snd_hda_add_vmaster_hook" },
	{ 0x037a0cba, "kfree" },
	{ 0x79876873, "led_classdev_unregister" },
	{ 0x6e0fdc38, "snd_hda_codec_pcm_new" },
	{ 0xb8f70c05, "__snd_hda_codec_cleanup_stream" },
	{ 0x8c43b899, "snd_ctl_sync_vmaster" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x652c2d7f, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x78503146, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe4f431c6, "snd_hda_add_imux_item" },
	{ 0xb9fa740c, "snd_hda_correct_pin_ctl" },
	{ 0x61743019, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd419431, "snd_hda_create_dig_out_ctls" },
	{ 0xea4193a3, "snd_hda_multi_out_dig_close" },
	{ 0x972e297c, "snd_hda_get_conn_index" },
	{ 0x4b10dfb3, "snd_hda_multi_out_analog_open" },
	{ 0xaf7b1273, "snd_hda_get_bool_hint" },
	{ 0x435ed4a4, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7d361dce, "snd_hda_find_mixer_ctl" },
	{ 0x44fd99f6, "snd_hda_get_int_hint" },
	{ 0xd0734197, "_dev_err" },
	{ 0x8ebb2ade, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x79880a6a, "snd_hda_parse_pin_defcfg" },
	{ 0xe9d66d24, "snd_hda_codec_amp_init" },
	{ 0xc113ce28, "snd_hda_create_spdif_in_ctls" },
	{ 0x9130696f, "is_jack_detectable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8472f612, "snd_hda_multi_out_analog_cleanup" },
	{ 0xe6877c07, "snd_hda_multi_out_analog_prepare" },
	{ 0x709dcb8e, "snd_ctl_boolean_stereo_info" },
	{ 0xb96218f5, "snd_hda_get_conn_list" },
	{ 0x995cf7f6, "snd_hda_mixer_amp_switch_get" },
	{ 0xdf2b19e6, "snd_hda_codec_set_pin_target" },
	{ 0x17c2086f, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x816de249, "snd_hda_attach_beep_device" },
	{ 0xc2c9b024, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0xce8a4cf4, "snd_hdac_regmap_write_raw" },
	{ 0x6776523e, "snd_hda_mixer_amp_volume_get" },
	{ 0x5953081b, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x87ba74bb, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x41b2be70, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x262c7bcf, "snd_hda_jack_unsol_event" },
	{ 0x2139f164, "snd_hda_check_amp_list_power" },
	{ 0x0676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa60592eb, "snd_hda_mixer_amp_tlv" },
	{ 0xf07d4154, "snd_hda_jack_add_kctls" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xb7866e13, "__snd_hda_add_vmaster" },
	{ 0x7db4505a, "snd_hda_codec_amp_stereo" },
	{ 0x53366f24, "snd_hda_sync_vmaster_hook" },
	{ 0x34e32032, "snd_hda_apply_fixup" },
	{ 0xbc75f4a1, "snd_hda_enum_helper_info" },
	{ 0x86f39909, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x5f8e4b87, "snd_hdac_codec_read" },
	{ 0xbf981bb8, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x0d715b91, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x641bf73d, "snd_hda_codec_get_pin_target" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd,snd-hda-codec");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "18A55DF3D17F007A41101A5");
