#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0xd6b12d19, "");
SYMBOL_CRC(oxygen_read16, 0x8d20501a, "");
SYMBOL_CRC(oxygen_read32, 0x89d97d0d, "");
SYMBOL_CRC(oxygen_write8, 0x28bb1c6c, "");
SYMBOL_CRC(oxygen_write16, 0x36704495, "");
SYMBOL_CRC(oxygen_write32, 0x2138de17, "");
SYMBOL_CRC(oxygen_write8_masked, 0x14c3dc32, "");
SYMBOL_CRC(oxygen_write16_masked, 0xcbc99a8d, "");
SYMBOL_CRC(oxygen_write32_masked, 0xf6179357, "");
SYMBOL_CRC(oxygen_write_ac97, 0xc6ecd94c, "");
SYMBOL_CRC(oxygen_read_ac97, 0xb3a7ca06, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0xbb9d0940, "");
SYMBOL_CRC(oxygen_write_spi, 0x5c97eddb, "");
SYMBOL_CRC(oxygen_write_i2c, 0x5f2b6d36, "");
SYMBOL_CRC(oxygen_reset_uart, 0xc46a6179, "");
SYMBOL_CRC(oxygen_write_uart, 0x020f6788, "");
SYMBOL_CRC(oxygen_pci_probe, 0x750e1280, "");
SYMBOL_CRC(oxygen_pci_pm, 0xa8789f08, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x34f103f0, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x3f366f5e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcc29d80, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0x664a8bbc, "snd_mpu401_uart_new" },
	{ 0x81719d9a, "pci_match_id" },
	{ 0x768c3284, "snd_pcm_hw_constraint_msbits" },
	{ 0xc81f50c5, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0x9567abff, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x623494e2, "pcim_enable_device" },
	{ 0x5f61ca39, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x058a30b8, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa920901f, "devm_request_threaded_irq" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0x15cf71e2, "snd_ctl_add" },
	{ 0x766f734a, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdc1b6190, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbb89dfc3, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x01021e2e, "snd_card_free_on_error" },
	{ 0x1894cca4, "snd_card_rw_proc_new" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x05c5234f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x08f987d8, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x936969d5, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x567d068a, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x46d852af, "snd_ctl_boolean_mono_info" },
	{ 0xd0734197, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x76e44c1e, "snd_ctl_notify" },
	{ 0x82492047, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x12ba4ca3, "snd_pcm_set_managed_buffer" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xf8080d3e, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0xa8af94aa, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-mpu401-uart,snd-pcm");


MODULE_INFO(srcversion, "E188D39BEB37E35D6662F98");
