#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x8c75874b, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x71b5ac7e, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0xc11d7e75, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0xdf313fdd, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x7778de7f, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x01b76078, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xd35397fd, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x81d01157, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x841b51e7, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x2d150f54, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ce7224f, "devm_gpiod_get_optional" },
	{ 0x449a214a, "wm_adsp_stop" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe01ea704, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x46f3107e, "__pm_runtime_set_status" },
	{ 0x2c17316d, "devm_snd_soc_register_component" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4e474c50, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x59f312d1, "sdw_write_no_pm" },
	{ 0x02f30589, "devm_free_irq" },
	{ 0x5c65f4a2, "pm_runtime_enable" },
	{ 0x3341b096, "fwnode_gpiod_get_index" },
	{ 0x129e4281, "regulator_bulk_disable" },
	{ 0x567d068a, "_dev_info" },
	{ 0x70db0dac, "acpi_dev_remove_driver_gpios" },
	{ 0x14001579, "snd_soc_info_volsw" },
	{ 0x97d6a973, "cs35l56_init_cs_dsp" },
	{ 0x37150232, "wm_adsp_power_down" },
	{ 0xd0734197, "_dev_err" },
	{ 0x9584e7c2, "debugfs_create_bool" },
	{ 0x990a19a3, "wm_adsp_event" },
	{ 0x05c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x57d2e93e, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x0fa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6cda10e6, "cs35l56_runtime_suspend_common" },
	{ 0xcb6d72ed, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3608af89, "cs35l56_mbox_send" },
	{ 0xdcad47d5, "cs35l56_hw_init" },
	{ 0x12264b22, "_dev_warn" },
	{ 0xf7892f4a, "wm_adsp2_component_probe" },
	{ 0xec2630fe, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x45206080, "cs35l56_system_reset" },
	{ 0x5a67834e, "snd_soc_info_enum_double" },
	{ 0xb9774683, "regulator_bulk_enable" },
	{ 0x94724270, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xfb5e5cb4, "wm_adsp2_component_remove" },
	{ 0x26412353, "cs35l56_wait_for_firmware_boot" },
	{ 0x7e526291, "devm_kasprintf" },
	{ 0x4af501d1, "snd_soc_get_volsw" },
	{ 0x6780974d, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x1238a0c6, "fwnode_property_present" },
	{ 0x196244e2, "cs35l56_is_fw_reload_needed" },
	{ 0xa315014f, "regmap_read" },
	{ 0x3dbe7eaa, "snd_soc_put_volsw" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9f733a7e, "cs_amp_write_cal_coeffs" },
	{ 0x247b6e40, "device_get_named_child_node" },
	{ 0xbd967c2d, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x9ace2e04, "sdw_stream_remove_slave" },
	{ 0x342a2ab4, "cs35l56_runtime_resume_common" },
	{ 0x0321a617, "dapm_regulator_event" },
	{ 0xa6631e83, "cs35l56_get_speaker_id" },
	{ 0x55138332, "wm_adsp_run" },
	{ 0x6d0267b8, "regmap_update_bits_base" },
	{ 0x4103822f, "acpi_dev_get_property" },
	{ 0xd5d17a14, "dev_err_probe" },
	{ 0xbf8117e6, "__pm_runtime_suspend" },
	{ 0x01d4878b, "cs35l56_fill_supply_names" },
	{ 0x68f3d1b6, "__devm_add_action" },
	{ 0x54d8d617, "snd_soc_dapm_get_enum_double" },
	{ 0x56b0b931, "__pm_runtime_use_autosuspend" },
	{ 0xc4e19f7b, "wm_halo_init" },
	{ 0x088da5e1, "__pm_runtime_disable" },
	{ 0x7872fa1c, "cs35l56_firmware_shutdown" },
	{ 0xd327560d, "sdw_stream_add_slave" },
	{ 0xa0ee0c58, "pm_runtime_force_suspend" },
	{ 0x9bb61b3c, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb62a81cf, "snd_soc_dapm_put_enum_double" },
	{ 0xf222e055, "gpiod_get_value_cansleep" },
	{ 0xe51d774e, "regcache_cache_only" },
	{ 0xe9b2ffec, "is_acpi_device_node" },
	{ 0x66f8b58b, "gpiod_put" },
	{ 0x6e2e4d83, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfe0446c6, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5600980d, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x746cf5e4, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7af0fdb3, "acpi_dev_add_driver_gpios" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x423b9238, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-wm-adsp,snd-soc-cs35l56-shared,snd-soc-core,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "2871F58509BF44ECC344640");
