#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_ret, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0xaa414b03, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0x651b4b5e, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0x386adae1, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0xd9fed339, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0x867335c9, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0xea5044e1, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0xe42de2d1, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0x130e9dfe, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0xcf12df06, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0x64c4cc8f, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0xc3d8dcb8, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0xf096d8d2, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0xd165fc20, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0x18280c6f, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0x050f1b5d, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0x6f4c2ead, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0x7592de45, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0x22fd654b, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x669be0b0, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0x3fe5e2a2, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0x66a79bae, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0xf4a1c205, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0xc32dcb04, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0xf83431ac, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0xce443a50, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0xbe158fad, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0x5aabfbab, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0xd8eb0361, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x521cba98, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0x43de9fa8, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0xb14f04c8, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0x5767806c, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0x311ef0af, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0x591c3a53, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0x88d6dc70, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0xb51515d7, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0xda7f7ae4, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0x4eed3bfb, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0x5298225f, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0x6286e58d, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0x61810949, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0x9743fde1, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0x34bb7ecf, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0x6f9587cb, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0xa294092a, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0xba6ec1e3, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0xf57248fe, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0xf6e5a836, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0xd6f44390, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0x604c022b, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0x9981a8cc, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x435cdb36, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0xfc38d20b, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0x5cb27a30, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0x49c9afd9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0x29c59dc8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0x2ff870dd, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0xf0953566, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0xfa44ed92, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0x0321a617, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0x8aef227c, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0x75c3daa5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0x5914936e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0xb30b352a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0x53689083, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0x8873a41c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0x79248e93, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0xe4aa0bb1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0x325e6532, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0xd27ab8fc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x430eee82, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0x869e2732, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0x31e3706d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0xb9a2fbc2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0x54d8d617, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0xb62a81cf, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0x573a3093, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0x1fbfe59c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0x55922955, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0x1927551b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0x2e12cbc5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x2ee9461a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0x6738fc78, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0x87629f63, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0x3fae6b4e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0xdb63d222, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0x1c31afb7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0xce0febe9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0x46dda2ed, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x84327f16, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0xfe2908f5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0x7189825b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0x3e50e070, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0xb4783667, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0x322f0115, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0x642f7a80, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0xb8cd46d4, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x120706cc, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0x8910d41d, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0x3a1f2c5a, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0xfdbf2d90, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x29b08e14, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0x24a9bdd0, "_gpl");
SYMBOL_CRC(snd_soc_ret, 0x4eaef7a9, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0xd7ceca21, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0xa92cf9ed, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0x5187b628, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x7c8213ad, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0x7cf704fa, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0x944be37b, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0x3697d8b6, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0x6a686708, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0x7c93a6ce, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0x3d85585b, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0x3abe692a, "_gpl");
SYMBOL_CRC(snd_soc_dai_prepare, 0xa0c17274, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0x1c2d7953, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0x1ea71308, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x059a81bd, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0x19e2e1ab, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0x5a36ad47, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0x51db38fe, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0x1792a7a7, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0x5d3d4a36, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0xe2660b3c, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x917e30be, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0xa3d0cf0b, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x9a44f077, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0x6b518613, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0x426fb00a, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0xa383b908, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0x98523449, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0xa0cb19eb, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0xc0d4275b, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0x9c8e0ba9, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0x6ba5a784, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0x51980129, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0x972e017d, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0x9ee288d4, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0x80e21bd8, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0x9bec511b, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0x502478bf, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0x9da5e1bc, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0x2fb395a3, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0x89c96806, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0xdb7ddd53, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0xe0de5d32, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x0a85ad3e, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0xe745665a, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0x558676e5, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0x78d36c9f, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0xe2f7bf3d, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0x5ed6b3ba, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x3d6f5e66, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0xaf1d983d, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0x54d443d8, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0x07434694, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0xe8730272, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0xb67fb5d0, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0x97b3689d, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0xe18d15a8, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0xf664bd8d, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0xbc9383f5, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0xa017105f, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0xf48e2608, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0x92766305, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0x32fe3506, "_gpl");
SYMBOL_CRC(widget_in_list, 0x513332db, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0x5f722379, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0x773ac141, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0xf42874d1, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0xd0fd0235, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0x2c17316d, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0x0a1b6c74, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0x5a67834e, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0x37144112, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0x30d86ae7, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0x14001579, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0x8e19090b, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0x4af501d1, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x3dbe7eaa, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x09132ef7, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x181e5410, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0x7bcde054, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0x26e148cf, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0x7fdc33be, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0x9fb39b76, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x160f4bf4, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0x279553d5, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0x79448023, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0xc126fdae, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0xb66d82d5, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x4cf98b43, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x8b596888, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x304b8d5b, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x8b8dee36, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0xac2286fc, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0xafbce755, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0xc7a3415a, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0xb2bbde3a, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x2a9522d4, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0xa0613c75, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0xc343e06e, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0x2901a88d, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0x52c3342b, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0x38092b8f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69105874, "faux_device_create" },
	{ 0xaf3e0764, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xe2f3583a, "snd_card_new" },
	{ 0x4ac85c15, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb805f52f, "devm_kmemdup" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x97272cd4, "perf_trace_run_bpf_submit" },
	{ 0xdb94223e, "devm_kfree" },
	{ 0xd0734197, "_dev_err" },
	{ 0xf07a17d0, "pinctrl_pm_select_sleep_state" },
	{ 0x3c68f838, "simple_open" },
	{ 0x043d1763, "faux_device_destroy" },
	{ 0xb1131316, "snd_pcm_lib_ioctl" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0x611e3faa, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1dec67e4, "snd_pcm_stream_unlock_irqrestore" },
	{ 0x3a9d5e80, "snd_jack_add_new_kctl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe805a6c3, "dev_get_regmap" },
	{ 0x418a366b, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xd3527ed2, "__devres_alloc_node" },
	{ 0x7ce21504, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x76e44c1e, "snd_ctl_notify" },
	{ 0x6a0cd327, "regulator_allow_bypass" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x82492047, "snd_pcm_set_ops" },
	{ 0xd9c291d8, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x34f18931, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0xeb78441d, "device_register" },
	{ 0xbb1d72ae, "bpf_trace_run1" },
	{ 0x84e64183, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xccac7c9a, "debugfs_create_u32" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x0ba63543, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x82d76096, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x43a32e29, "__platform_driver_register" },
	{ 0x7e526291, "devm_kasprintf" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xbf737100, "pinctrl_lookup_state" },
	{ 0x7405888d, "bpf_trace_run3" },
	{ 0xa94462bd, "seq_read" },
	{ 0x05fc01f3, "snd_compress_new" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xa315014f, "regmap_read" },
	{ 0xe561ee81, "trace_event_buffer_reserve" },
	{ 0xcf83f55c, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2fd02398, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e80da3, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2c171b3, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xda897164, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x6fd59d1b, "pinctrl_select_state" },
	{ 0x5b484c5f, "snd_power_wait" },
	{ 0x768c3284, "snd_pcm_hw_constraint_msbits" },
	{ 0x49d0e787, "single_release" },
	{ 0x6d0267b8, "regmap_update_bits_base" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd5d17a14, "dev_err_probe" },
	{ 0xf67d9e73, "device_add_groups" },
	{ 0xbf8117e6, "__pm_runtime_suspend" },
	{ 0x13330c24, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x5d88470c, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0x1dc9d7eb, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaec940e7, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0x9ef118fc, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2b16db38, "__pm_runtime_idle" },
	{ 0x501589cc, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xf222e055, "gpiod_get_value_cansleep" },
	{ 0xe7cda367, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x798fab05, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0x66f8b58b, "gpiod_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfe0446c6, "regmap_write" },
	{ 0xcc92873b, "devm_kmalloc" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xed14563a, "dev_set_name" },
	{ 0xff5b76f3, "regmap_get_val_bytes" },
	{ 0xe6345608, "platform_driver_unregister" },
	{ 0x15cf71e2, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x766f734a, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1383aaca, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x426a17c5, "trace_raw_output_prep" },
	{ 0xa1d636ca, "regmap_raw_read" },
	{ 0xdc1b6190, "snd_card_register" },
	{ 0x83e0d3c9, "device_unregister" },
	{ 0xff3140fd, "snd_card_free" },
	{ 0xff88ce52, "__trace_trigger_soft_disabled" },
	{ 0x4775a046, "trace_event_printf" },
	{ 0x1b6b1336, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0xc0a93b5c, "gpiod_get_index" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x2f5cdabb, "snd_pcm_hw_constraint_minmax" },
	{ 0x89c78477, "trace_event_raw_init" },
	{ 0x13380b49, "gpiod_to_irq" },
	{ 0xc3ec03e9, "gpiod_export" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x037a0cba, "kfree" },
	{ 0xad972c70, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x423b9238, "regcache_mark_dirty" },
	{ 0x106efe77, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x00148653, "vsnprintf" },
	{ 0x349c441e, "regulator_disable_deferred" },
	{ 0x7c6e4f28, "__dynamic_dev_dbg" },
	{ 0x675ae8dd, "snd_ctl_remove" },
	{ 0x1dd65812, "snd_ctl_free_one" },
	{ 0xddf01e78, "snd_ctl_find_id" },
	{ 0x86921ac7, "devm_clk_get" },
	{ 0x349efb0d, "devres_add" },
	{ 0x5d614e0e, "snd_pcm_new_internal" },
	{ 0x0907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x16576c9a, "pinctrl_pm_select_default_state" },
	{ 0x6740702b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x08f987d8, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x863f2486, "snd_pcm_stream_unlock_irq" },
	{ 0xec1682f4, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x4e474c50, "devm_kstrdup" },
	{ 0xb809ce56, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7751ec8d, "debugfs_lookup_and_remove" },
	{ 0xa28d073d, "put_device" },
	{ 0xb9d6b83e, "gpiod_unexport" },
	{ 0x936969d5, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x2f579165, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x567d068a, "_dev_info" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-compress");


MODULE_INFO(srcversion, "ECAAABF7D92A96C00C256AC");
