#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sof_lnl_set_ops, "", "SND_SOC_SOF_INTEL_LNL");
KSYMTAB_FUNC(lnl_dsp_check_sdw_irq, "", "SND_SOC_SOF_INTEL_LNL");
KSYMTAB_FUNC(lnl_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_LNL");
KSYMTAB_FUNC(lnl_sdw_check_wakeen_irq, "", "SND_SOC_SOF_INTEL_LNL");

SYMBOL_CRC(sof_lnl_set_ops, 0x0319d64f, "");
SYMBOL_CRC(lnl_dsp_check_sdw_irq, 0x258ef63b, "");
SYMBOL_CRC(lnl_dsp_disable_interrupts, 0x589d78ff, "");
SYMBOL_CRC(lnl_sdw_check_wakeen_irq, 0x8ce1cdde, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57eac6f3, "pci_unregister_driver" },
	{ 0xef3caad4, "hdac_bus_eml_check_interrupt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb16bf028, "mtl_dsp_cl_init" },
	{ 0xdbef656a, "mtl_enable_interrupts" },
	{ 0x2814ca44, "hda_pci_intel_probe" },
	{ 0x9584e7c2, "debugfs_create_bool" },
	{ 0xd9f8401d, "sof_pci_remove" },
	{ 0x1b9b0b42, "mtl_disable_ipc_interrupts" },
	{ 0x62d0baa9, "hdac_bus_eml_enable_offload" },
	{ 0x12264b22, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xafd22f5c, "snd_soc_acpi_intel_lnl_machines" },
	{ 0x889ee052, "hda_dsp_runtime_resume" },
	{ 0xf33a6894, "hda_dsp_remove" },
	{ 0xba595b16, "sof_pci_shutdown" },
	{ 0xfbffed27, "hda_sdw_process_wakeen_common" },
	{ 0xe2ae9992, "hda_dsp_resume" },
	{ 0x3615bc2f, "sof_mtl_set_ops" },
	{ 0x9a06e742, "hda_sdw_check_lcount_ext" },
	{ 0x99a426d1, "sof_pci_pm" },
	{ 0x1d2f1423, "mtl_power_down_dsp" },
	{ 0x4ba5816e, "snd_soc_acpi_intel_lnl_sdw_machines" },
	{ 0xc3b9316e, "hda_dsp_probe" },
	{ 0x430a0cbe, "__pci_register_driver" },
	{ 0x18541ed6, "mtl_dsp_check_ipc_irq" },
	{ 0x72200eca, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-mlink,snd-sof-pci-intel-mtl,snd-sof-intel-hda-generic,snd-sof-pci,snd-sof,snd-soc-acpi-intel-match,snd-sof-intel-hda-common");

MODULE_ALIAS("pci:v00008086d0000A828sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6DAE1DE6787379071F17A12");
